/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

#ifndef DPEPSY_H
#define DPEPSY_H

static char *SccsDPepsy_h = "@(#)PEPSY:\td_pepsy.h\t1.5\t93/05/14 14:45:03";

#ifdef ultrix
#	include <cursesX.h>
#else
#	include <curses.h>
#endif
#include  <sys/signal.h>

typedef int		BOOL;

#define RMAX	20  /* Max. Anz. Auftragsklassen   		 */
#define MMAX    90  /* Max. Anzahl Bedieneinheiten 		 */
#define NMAX    90  /* Maximale Anzahl Knoten      		 */
#define MAUFTR  90  /* Maximale Anzahl Auftraege   		 */
#define NETZMAX	 7  /* Maximale Anzahl Teilnetze		 */

#define JA		    TRUE
#define NEIN		FALSE
#define P_INT_MAX	9999	/* groesste erlaubte Integer-Zahl 	*/
#define DOUBLE_MAX	9999.999  /* groesste erlaubte Double-Zahl	*/
#define MAXTEXT		18
#define MAXLINE		20
#define MAXZEILEN	(LINES-11) /* Maximale Anzahl Bildschirmzeilen	*/
#define MAXMATRIX	(LINES-13)
#define BELL		'\007'

/* Fensterdeklaration */

extern char   *spr();
extern WINDOW *win1;	      /* Fenster 1 (Maskenkennung) */
extern WINDOW *win2;	      /* Fenster 2 (Steuerfenster) */
extern WINDOW *win3;	      /* Fenster 3 (Arbeitsfenster)*/
extern WINDOW *win4;	      /* Fenster 4 (Meldungen)     */

#ifndef MAIN
extern int debug;
extern int pepsyversion;
#endif

#define status(string)	if(debug) 		\
			{							\
				werase(win4); 			\
				waddstr(win4,string);	\
				wrefresh(win4);			\
			}

#endif
