/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

#ifndef DSONDER_H
#define DSONDER_H

static char *SccsDSonder_h = "@(#)PEPSY:\td_sonder.h\t1.2\t92/12/08 09:20:00";

/* Groessen, die vereinbart werden muessen, weil die ansonsten   */
/* zugelassenen Maximalgroessen (in d_netz.h vereinbart) fuer    */
/* einige Verfahren zu gross sind.				 */

#define	NMAX_E	  10	/* Bei "epa-chw-i" nur 6 Knoten 	 */
#define RMAX_E     1	/* Einklassenfall */
#define MMAX_E1   10    /* Bei "scat" und "linearizer" nur 10 
						 Bedieneinheiten */
#define MMAX_E2   10    /* Bei "epa-chw-i" nur 2 Bedieneinheiten */
#define MMAX_E3    1    /* Bei "marie" nur eine Bedieneinheit    */
#define NETZMAX_E  4	/* Bei "epa-chw-i" nur 4 Teilnetze       */
#define MAUFTR_E1 15    /* Bei "epa-chw-i" 15 Auftraege 	 */
#define MAUFTR_E2 20    /* Bei "marie" 20 Auftraege 		 */

#define K1MAX     15    /* Nur bei "epa-chw-i" - Maximale Anzahl */
#define K2MAX     15    /* Auftraege 				 */
#define K3MAX     15    /* pro Klasse 1,2,3,4,5 		 */ 
#define K4MAX      0     
#define K5MAX      0     

#define NMAX_PRIO  10	/* Bei "priomva" nur 10 Knoten 		 */
#define RMAX_PRIO  5	/*  "      "      "   5 Klassen		 */

#endif
