/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

#ifndef LIBZUSATZ_H
#define LIBZUSATZ_H

static char *SccsLibzusatz_h = "@(#)PEPSY:\tlibzusatz.h\t1.2\t93/06/25 12:34:56";


#undef	EXTERN
#ifdef	LZ_GET_AMONO_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	void	get_amono();  		/*	get_amono.c		*/

#undef	EXTERN
#ifdef	LZ_GET_FESC_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	void	get_fesc();			/*	get_fesc.c		*/

#undef	EXTERN
#ifdef	LZ_GET_HIER_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	int		get_hier();		/*	get_hier.c		*/

#undef	EXTERN
#ifdef	LZ_GET_HIER2_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	char	*get_hier2();		/*	get_hier2.c		*/

#undef	EXTERN
#ifdef	LZ_GET_KOEFFS_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	void	get_varkoeffs();		/*	get_koeffs.c	*/

#undef	EXTERN
#ifdef	LZ_SIM_GEN_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	void	get_prozess();		/*	sim_gen.c		*/
EXTERN	void	sim_ankunft();		/*	sim_gen.c		*/
EXTERN	void	sim_dauer();			/*	sim_gen.c		*/
EXTERN	void	sim_gen();			/*	sim_gen.c		*/
EXTERN	void	sim_general();		/*	sim_gen.c		*/
EXTERN	void	sim_kapazitaet();	/*	sim_gen.c		*/

#undef	EXTERN
#ifdef	LZ_Z_AMONO_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	double **amue;

EXTERN	void	z_amono();		 	/*	z_amono.c		*/


#undef	EXTERN
#ifdef	LZ_Z_HIER_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	void	z_hier();			/*	z_hier.c		*/

#undef	EXTERN
#ifdef	LZ_Z_HIER2_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	void	z_hier2();			/*	z_hier2.c		*/

#undef	EXTERN
#ifdef	LZ_Z_MEM_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	double **varkoeffs;
EXTERN	void	z_mem();				/*	z_mem.c			*/

#include "sim.h"
#undef	EXTERN
#ifdef	LZ_Z_SIM_C
#define	EXTERN
		int				deadlock			= 0;
		int				blockarrival		= 0;
		int				simulationsdauer	= 0;
		int				*kapazitaet			= (int *)0;
		struct prozess	**general			= (struct prozess **) 0;
		struct prozess	*ankunft			= (struct prozess *) 0;
#else
#define	EXTERN	extern
EXTERN	int				deadlock;
EXTERN	int				blockarrival;
EXTERN	int				simulationsdauer;
EXTERN	int				*kapazitaet;
EXTERN	struct prozess	**general;
EXTERN	struct prozess	*ankunft;
#endif

EXTERN	void	z_sim();				/*	z_sim.c			*/

#undef	EXTERN
#endif
