/* SccsLogging.c
 *
 * Protokoll-Datei fuer die Delta-Historie aller SCCS-Dateien
 * eines Verzeichnisses.
 * ACHTUNG: Diese Datei darf nicht manuell bearbeitet werden.
 *
 * SccsLogging.o wird zu jedem Programm hinzugebunden. In der
 * main()-Routine jedes Programmes werden die beiden globalen
 * Variablen SccsRelease und SccsLevel referenziert.
 *
 * SccsLogging.o wird in jede Bibliothek aufgenommen, jedoch
 * nicht von dort geladen und in eine Phase eingebunden.
 */

static	char	*SccsId	
		= "@(#)PEPSY:\tSccsLogging.c\t1.60\t95/06/20 16:15:31";
	int	SccsRelease	= 1;
	int	SccsLevel	= 60;

/*	SccsLogging.c	1.2	92/03/02 10:37:15 admpepsy	*/

/* Ignition */
/*	analyse.de	1.1	92/03/02 10:38:24 admpepsy	*/
/*	auswahl.de	1.1	92/03/02 10:38:28 admpepsy	*/
/*	boundsout.de	1.1	92/03/02 10:38:31 admpepsy	*/
/*	eingabe.de	1.1	92/03/02 10:38:35 admpepsy	*/
/*	pepout.de	1.1	92/03/02 10:38:39 admpepsy	*/
/*	xpepsy.de	1.1	92/03/02 10:38:43 admpepsy	*/
/*	zusatz.de	1.1	92/03/02 10:38:47 admpepsy	*/
/*	analyse.en	1.1	92/03/02 10:38:50 admpepsy	*/
/*	auswahl.en	1.1	92/03/02 10:38:54 admpepsy	*/
/*	boundsout.en	1.1	92/03/02 10:38:58 admpepsy	*/
/*	eingabe.en	1.1	92/03/02 10:39:02 admpepsy	*/
/*	pepout.en	1.1	92/03/02 10:39:06 admpepsy	*/
/*	xpepsy.en	1.1	92/03/02 10:39:10 admpepsy	*/
/*	zusatz.en	1.1	92/03/02 10:39:14 admpepsy	*/
/*	code.txt	1.1	92/03/02 10:39:17 admpepsy	*/
/*	grenzen.txt	1.1	92/03/02 10:39:21 admpepsy	*/
/*	grenzenall.txt	1.1	92/03/02 10:39:24 admpepsy	*/
/*	xpepsy.txt	1.1	92/03/02 10:39:28 admpepsy	*/
/*	Makefile	1.1	92/03/02 10:39:32 admpepsy	*/
/*	SccsLogging.c	1.3	92/03/02 10:39:36 admpepsy	*/

/* sccs-string added */
/*	Makefile	1.2	92/03/04 09:46:24 admpepsy	*/
/*	analyse.de	1.2	92/03/04 09:46:27 admpepsy	*/
/*	analyse.en	1.2	92/03/04 09:46:29 admpepsy	*/
/*	auswahl.de	1.2	92/03/04 09:46:31 admpepsy	*/
/*	auswahl.en	1.2	92/03/04 09:46:33 admpepsy	*/
/*	boundsout.de	1.2	92/03/04 09:46:35 admpepsy	*/
/*	boundsout.en	1.2	92/03/04 09:46:37 admpepsy	*/
/*	code.txt	1.2	92/03/04 09:46:39 admpepsy	*/
/*	eingabe.de	1.2	92/03/04 09:46:41 admpepsy	*/
/*	eingabe.en	1.2	92/03/04 09:46:43 admpepsy	*/
/*	grenzen.txt	1.2	92/03/04 09:46:46 admpepsy	*/
/*	grenzenall.txt	1.2	92/03/04 09:46:49 admpepsy	*/
/*	pepout.de	1.2	92/03/04 09:46:51 admpepsy	*/
/*	pepout.en	1.2	92/03/04 09:46:53 admpepsy	*/
/*	xpepsy.de	1.2	92/03/04 09:46:55 admpepsy	*/
/*	xpepsy.en	1.2	92/03/04 09:46:57 admpepsy	*/
/*	xpepsy.txt	1.2	92/03/04 09:47:00 admpepsy	*/
/*	zusatz.de	1.2	92/03/04 09:47:02 admpepsy	*/
/*	zusatz.en	1.2	92/03/04 09:47:04 admpepsy	*/
/*	SccsLogging.c	1.4	92/03/04 09:47:06 admpepsy	*/

/* new delta */
/*	code.txt	1.3	92/03/04 09:51:54 admpepsy	*/
/*	SccsLogging.c	1.5	92/03/04 09:51:56 admpepsy	*/

/* PEPSY => PEPSY-Q, OWNER & GROUP removed  by kirschni */
/*	Makefile	1.3	92/03/05 11:48:18 admpepsy	*/
/*	eingabe.de	1.3	92/03/05 11:48:20 admpepsy	*/
/*	eingabe.en	1.3	92/03/05 11:48:22 admpepsy	*/
/*	xpepsy.de	1.3	92/03/05 11:48:24 admpepsy	*/
/*	xpepsy.en	1.3	92/03/05 11:48:27 admpepsy	*/
/*	zusatz.de	1.3	92/03/05 11:48:29 admpepsy	*/
/*	zusatz.en	1.3	92/03/05 11:48:31 admpepsy	*/
/*	SccsLogging.c	1.6	92/03/05 11:48:33 admpepsy	*/

/* purge, .DEFAULT  eingebaut    kirschni */
/*	Makefile	1.4	92/03/11 14:45:10 admpepsy	*/
/*	SccsLogging.c	1.7	92/03/11 14:45:12 admpepsy	*/

/* bard_schweitzer umbenannt in bardschweitzer */
/*	code.txt	1.4	92/03/18 12:19:55 admpepsy	*/
/*	grenzenall.txt	1.3	92/03/18 12:19:59 admpepsy	*/
/*	SccsLogging.c	1.8	92/03/18 12:20:03 admpepsy	*/

/* EXECMODE auf 444 geaendert    kirschni */
/*	Makefile	1.5	92/03/20 10:47:09 admpepsy	*/
/*	SccsLogging.c	1.9	92/03/20 10:47:19 admpepsy	*/

/* format bereinigt, kommentare eingefuegt    kirschni */
/*	code.txt	1.5	92/03/20 11:31:27 admpepsy	*/
/*	grenzen.txt	1.3	92/03/20 11:31:41 admpepsy	*/
/*	grenzenall.txt	1.4	92/03/20 11:31:50 admpepsy	*/
/*	SccsLogging.c	1.10	92/03/20 11:31:58 admpepsy	*/

/* pref_simulation in pref_simula umbenannt  kitschni */
/*	code.txt	1.6	92/03/23 11:04:15 admpepsy	*/
/*	SccsLogging.c	1.11	92/03/23 11:04:20 admpepsy	*/

/* erste lauffaehige version von pls   kirschni */
/*	pls.de	1.1	92/03/25 11:17:37 admpepsy	*/
/*	pls.en	1.1	92/03/25 11:17:39 admpepsy	*/
/*	SccsLogging.c	1.12	92/03/25 11:17:41 admpepsy	*/

/* pls eingesetzt  kirschni */
/*	Makefile	1.6	92/03/25 11:25:10 admpepsy	*/
/*	SccsLogging.c	1.13	92/03/25 11:25:12 admpepsy	*/

/* kommentare umgestellt */
/*	pls.de	1.2	92/03/25 11:28:02 admpepsy	*/
/*	pls.en	1.2	92/03/25 11:28:04 admpepsy	*/
/*	SccsLogging.c	1.14	92/03/25 11:28:07 admpepsy	*/

/* asym knoten bei sim2 erlaubt	kirschni */
/*	grenzen.txt	1.4	92/04/06 14:48:05 admpepsy	*/
/*	grenzenall.txt	1.5	92/04/06 14:48:09 admpepsy	*/
/*	SccsLogging.c	1.15	92/04/06 14:48:12 admpepsy	*/

/* pepout um legende erweitert	kirschni */
/*	pepout.de	1.3	92/04/08 10:12:32 admpepsy	*/
/*	pepout.en	1.3	92/04/08 10:12:38 admpepsy	*/
/*	SccsLogging.c	1.16	92/04/08 10:12:42 admpepsy	*/

/* usage erweitert		kirschni */
/*	analyse.de	1.3	92/04/08 13:11:56 admpepsy	*/
/*	analyse.en	1.3	92/04/08 13:12:03 admpepsy	*/
/*	SccsLogging.c	1.17	92/04/08 13:12:09 admpepsy	*/

/* squared coeff of variation/ quad. Var-koeff	kirschni */
/*	eingabe.de	1.4	92/04/09 07:37:04 admpepsy	*/
/*	eingabe.en	1.4	92/04/09 07:37:07 admpepsy	*/
/*	SccsLogging.c	1.18	92/04/09 07:37:11 admpepsy	*/

/* Korrektur von mean->average	kirschni */
/*	Makefile	1.7	92/04/13 13:55:38 admpepsy	*/
/*	pepout.en	1.4	92/04/13 13:55:41 admpepsy	*/
/*	SccsLogging.c	1.19	92/04/13 13:55:45 admpepsy	*/

/* ignition	kirschni */
/*	pinfo.de	1.1	92/04/13 13:56:04 admpepsy	*/
/*	pinfo.en	1.1	92/04/13 13:56:07 admpepsy	*/
/*	SccsLogging.c	1.20	92/04/13 13:56:10 admpepsy	*/

/* kleine Schoenheitsreparatur	kirschni */
/*	zusatz.de	1.4	92/04/14 16:58:12 admpepsy	*/
/*	zusatz.en	1.4	92/04/14 16:58:18 admpepsy	*/
/*	SccsLogging.c	1.21	92/04/14 16:58:23 admpepsy	*/

/* tabstop=3	kirschni */
/*	code.txt	1.7	92/04/15 13:50:45 admpepsy	*/
/*	grenzen.txt	1.5	92/04/15 13:50:49 admpepsy	*/
/*	grenzenall.txt	1.6	92/04/15 13:50:52 admpepsy	*/
/*	SccsLogging.c	1.22	92/04/15 13:50:55 admpepsy	*/

/* minor upgrade	kirschni */
/*	xpepsy.de	1.4	92/04/30 10:18:06 admpepsy	*/
/*	xpepsy.en	1.4	92/04/30 10:18:11 admpepsy	*/
/*	SccsLogging.c	1.23	92/04/30 10:18:15 admpepsy	*/

/* new delta */
/*	xpepsy.de	1.5	92/05/06 10:23:43 admpepsy	*/
/*	xpepsy.en	1.5	92/05/06 10:23:47 admpepsy	*/
/*	SccsLogging.c	1.24	92/05/06 10:23:50 admpepsy	*/

/* kirschni */
/*	eingabe.de	1.5	92/05/13 07:58:28 admpepsy	*/
/*	xpepsy.de	1.6	92/05/13 07:58:31 admpepsy	*/
/*	SccsLogging.c	1.25	92/05/13 07:58:35 admpepsy	*/

/* kirschni */
/*	pinfo.de	1.2	92/05/14 21:32:13 admpepsy	*/
/*	pinfo.en	1.2	92/05/14 21:32:26 admpepsy	*/
/*	SccsLogging.c	1.26	92/05/14 21:32:36 admpepsy	*/

/* bemerk hinzugefuegt	kirschni */
/*	pinfo.de	1.3	92/05/15 10:35:06 admpepsy	*/
/*	pinfo.en	1.3	92/05/15 10:35:12 admpepsy	*/
/*	SccsLogging.c	1.27	92/05/15 10:35:19 admpepsy	*/

/* usage0 berichtigt	kirschni */
/*	pinfo.de	1.4	92/05/15 10:52:41 admpepsy	*/
/*	pinfo.en	1.4	92/05/15 10:52:46 admpepsy	*/
/*	SccsLogging.c	1.28	92/05/15 10:52:52 admpepsy	*/

/* optionen P und p	kirschni */
/*	analyse.de	1.4	92/05/25 09:48:30 admpepsy	*/
/*	analyse.en	1.4	92/05/25 09:48:34 admpepsy	*/
/*	SccsLogging.c	1.29	92/05/25 09:48:37 admpepsy	*/

/* an neues p_lang_init und spr mit dynamischer Speicherverwaltung angepasst	kirschni */
/*	analyse.de	1.5	92/08/25 14:56:26 admpepsy	*/
/*	analyse.en	1.5	92/08/25 14:56:27 admpepsy	*/
/*	auswahl.de	1.3	92/08/25 14:56:28 admpepsy	*/
/*	auswahl.en	1.3	92/08/25 14:56:29 admpepsy	*/
/*	boundsout.de	1.3	92/08/25 14:56:31 admpepsy	*/
/*	boundsout.en	1.3	92/08/25 14:56:32 admpepsy	*/
/*	eingabe.de	1.6	92/08/25 14:56:34 admpepsy	*/
/*	eingabe.en	1.5	92/08/25 14:56:35 admpepsy	*/
/*	pepout.de	1.4	92/08/25 14:56:36 admpepsy	*/
/*	pepout.en	1.5	92/08/25 14:56:37 admpepsy	*/
/*	pinfo.de	1.5	92/08/25 14:56:38 admpepsy	*/
/*	pinfo.en	1.5	92/08/25 14:56:39 admpepsy	*/
/*	pls.de	1.3	92/08/25 14:56:40 admpepsy	*/
/*	pls.en	1.3	92/08/25 14:56:41 admpepsy	*/
/*	xpepsy.de	1.7	92/08/25 14:56:42 admpepsy	*/
/*	xpepsy.en	1.6	92/08/25 14:56:43 admpepsy	*/
/*	zusatz.de	1.5	92/08/25 14:56:45 admpepsy	*/
/*	zusatz.en	1.5	92/08/25 14:56:46 admpepsy	*/
/*	SccsLogging.c	1.30	92/08/25 14:56:47 admpepsy	*/

/* sp_ein	eintraege herausgenommen	kirschni */
/*	eingabe.de	1.7	92/08/25 15:08:20 admpepsy	*/
/*	eingabe.en	1.6	92/08/25 15:08:21 admpepsy	*/
/*	SccsLogging.c	1.31	92/08/25 15:08:22 admpepsy	*/

/* eigene eintraege der Funktion sp_ein() in libein.a	kirschni */
/*	sp_ein.de	1.1	92/08/25 15:08:56 admpepsy	*/
/*	sp_ein.en	1.1	92/08/25 15:08:57 admpepsy	*/
/*	SccsLogging.c	1.32	92/08/25 15:08:58 admpepsy	*/

/* vertauschung korrigiert	kirschni */
/*	eingabe.de	1.8	92/08/25 15:27:08 admpepsy	*/
/*	eingabe.en	1.7	92/08/25 15:27:09 admpepsy	*/
/*	sp_ein.de	1.2	92/08/25 15:27:11 admpepsy	*/
/*	sp_ein.en	1.2	92/08/25 15:27:12 admpepsy	*/
/*	SccsLogging.c	1.33	92/08/25 15:27:13 admpepsy	*/

/* kommentare eingefuegt!  kirschni */
/*	grenzen.txt	1.6	92/09/01 09:33:38 admpepsy	*/
/*	grenzenall.txt	1.7	92/09/01 09:33:39 admpepsy	*/
/*	SccsLogging.c	1.34	92/09/01 09:33:40 admpepsy	*/

/* analyse und pls veraendert, alle anderen update	kirschni */
/*	analyse.de	1.6	92/09/14 09:09:30 admpepsy	*/
/*	analyse.en	1.6	92/09/14 09:09:32 admpepsy	*/
/*	auswahl.de	1.4	92/09/14 09:09:34 admpepsy	*/
/*	auswahl.en	1.4	92/09/14 09:09:35 admpepsy	*/
/*	boundsout.en	1.4	92/09/14 09:09:37 admpepsy	*/
/*	eingabe.en	1.8	92/09/14 09:09:39 admpepsy	*/
/*	pepout.en	1.6	92/09/14 09:09:41 admpepsy	*/
/*	pinfo.en	1.6	92/09/14 09:09:43 admpepsy	*/
/*	pls.de	1.4	92/09/14 09:09:44 admpepsy	*/
/*	pls.en	1.4	92/09/14 09:09:46 admpepsy	*/
/*	sp_ein.en	1.3	92/09/14 09:09:48 admpepsy	*/
/*	xpepsy.de	1.8	92/09/14 09:09:49 admpepsy	*/
/*	xpepsy.en	1.7	92/09/14 09:09:51 admpepsy	*/
/*	zusatz.en	1.6	92/09/14 09:09:53 admpepsy	*/
/*	SccsLogging.c	1.35	92/09/14 09:09:55 admpepsy	*/

/* sp_ein.xx hinzugefuegt		kirschni */
/*	Makefile	1.8	92/09/23 14:32:24 admpepsy	*/
/*	SccsLogging.c	1.36	92/09/23 14:32:27 admpepsy	*/

/* kirschni */
/*	xpepsy.de	1.9	92/11/25 15:41:55 admpepsy	*/
/*	zusatz.de	1.6	92/11/25 15:41:56 admpepsy	*/
/*	zusatz.en	1.7	92/11/25 15:41:58 admpepsy	*/
/*	SccsLogging.c	1.37	92/11/25 15:42:00 admpepsy	*/

/* kirschni */
/*	sp_ein.de	1.3	93/04/21 15:18:00 admpepsy	*/
/*	sp_ein.en	1.4	93/04/21 15:18:04 admpepsy	*/
/*	SccsLogging.c	1.38	93/04/21 15:18:07 admpepsy	*/

/* norslt  kirschni */
/*	auswahl.de	1.5	93/04/22 11:08:00 admpepsy	*/
/*	auswahl.en	1.5	93/04/22 11:08:02 admpepsy	*/
/*	SccsLogging.c	1.39	93/04/22 11:08:04 admpepsy	*/

/* kirschni */
/*	sp_ein.en	1.5	93/06/03 12:29:17 admpepsy	*/
/*	SccsLogging.c	1.40	93/06/03 12:29:20 admpepsy	*/

/* anregungen und verbesserungen von jssztrick	kirschni */
/*	eingabe.de	1.9	93/06/24 21:12:51 admpepsy	*/
/*	eingabe.en	1.9	93/06/24 21:12:53 admpepsy	*/
/*	pepout.de	1.5	93/06/24 21:12:55 admpepsy	*/
/*	pepout.en	1.7	93/06/24 21:12:57 admpepsy	*/
/*	SccsLogging.c	1.41	93/06/24 21:12:59 admpepsy	*/

/* initial revision (hahn) */
/*	mmva.de	1.1	93/10/06 14:18:18 admpepsy	*/
/*	mmva.en	1.1	93/10/06 14:18:18 admpepsy	*/
/*	SccsLogging.c	1.42	93/10/06 14:18:19 admpepsy	*/

/* mmva{en,de} added by kirschni */
/*	Makefile	1.9	93/10/18 13:54:59 admpepsy	*/
/*	SccsLogging.c	1.43	93/10/18 13:55:01 admpepsy	*/

/* initial revision (hahn) */
/*	asymmva.de	1.1	93/10/25 15:55:39 admpepsy	*/
/*	asymmva.en	1.1	93/10/25 15:55:40 admpepsy	*/
/*	SccsLogging.c	1.44	93/10/25 15:55:40 admpepsy	*/

/* usag06 geaendert (hahn) */
/*	asymmva.de	1.2	93/10/26 12:31:31 admpepsy	*/
/*	asymmva.en	1.2	93/10/26 12:31:32 admpepsy	*/
/*	SccsLogging.c	1.45	93/10/26 12:31:33 admpepsy	*/

/* new delta */
/*	Makefile	1.10	93/12/22 16:18:25 admpepsy	*/
/*	mmva.de	1.2	93/12/22 16:18:27 admpepsy	*/
/*	mmva.en	1.2	93/12/22 16:18:29 admpepsy	*/
/*	SccsLogging.c	1.46	93/12/22 16:18:31 admpepsy	*/

/* sopenpfn richtig eingetragen	kirschni */
/*	code.txt	1.8	94/01/17 15:31:07 admpepsy	*/
/*	SccsLogging.c	1.47	94/01/17 15:31:09 admpepsy	*/

/* mmva.XX ersetzt durch asymmva.XX fuer die Verfahren ammva asymmva und mmva	kirschni */
/*	Makefile	1.11	94/02/02 11:38:23 admpepsy	*/
/*	mmva.de	1.3	94/02/02 11:38:24 admpepsy	*/
/*	mmva.en	1.3	94/02/02 11:38:26 admpepsy	*/
/*	SccsLogging.c	1.48	94/02/02 11:38:28 admpepsy	*/

/* MVA-Algorithmen zusammengefasst! */
/*	code.txt	1.9	94/02/02 12:05:09 admpepsy	*/
/*	SccsLogging.c	1.49	94/02/02 12:05:11 admpepsy	*/

/* typo, sorry	kirschni */
/*	Makefile	1.12	94/02/02 14:36:03 admpepsy	*/
/*	SccsLogging.c	1.50	94/02/02 14:36:05 admpepsy	*/

/* dekomp ersetzt die "alten" Dekompositionsmethoden	kirschni */
/*	code.txt	1.10	94/04/25 10:49:42 admpepsy	*/
/*	grenzen.txt	1.7	94/04/25 10:49:44 admpepsy	*/
/*	grenzenall.txt	1.8	94/04/25 10:49:46 admpepsy	*/
/*	SccsLogging.c	1.51	94/04/25 10:49:48 admpepsy	*/

/* whitt kann beliebig viele Klassen analysieren.	kirschni */
/*	grenzenall.txt	1.9	94/04/25 17:00:40 admpepsy	*/
/*	SccsLogging.c	1.52	94/04/25 17:00:42 admpepsy	*/

/* kirschni */
/*	grenzen.txt	1.8	94/10/13 15:10:56 admpepsy	*/
/*	grenzenall.txt	1.10	94/10/13 15:10:58 admpepsy	*/
/*	SccsLogging.c	1.53	94/10/13 15:11:01 admpepsy	*/

/* asymmva kann definitiv (th.hahn) keine TYP21-Knoten! */
/*	grenzenall.txt	1.11	94/11/21 09:50:54 admpepsy	*/
/*	SccsLogging.c	1.54	94/11/21 09:50:56 admpepsy	*/

/* marie corrected */
/*	grenzen.txt	1.9	94/12/07 10:02:08 admpepsy	*/
/*	grenzenall.txt	1.12	94/12/07 10:02:11 admpepsy	*/
/*	SccsLogging.c	1.55	94/12/07 10:02:14 admpepsy	*/

/* ld_ein ist neu und Makefile mit Kommentar       roessler */
/*	Makefile	1.13	94/12/16 13:09:28 admpepsy	*/
/*	ld_ein.de	1.1	94/12/16 13:09:31 admpepsy	*/
/*	ld_ein.en	1.1	94/12/16 13:09:33 admpepsy	*/
/*	SccsLogging.c	1.56	94/12/16 13:09:35 admpepsy	*/

/* Wenn ich noch wuesste, was ich geaendert habe.... */
/* SCCS-ERROR: delta failed on code.txt */
/*	SccsLogging.c	1.57	95/05/19 15:16:08 i4pepsy	*/

/* pls: Protokolldatei wird erkannt, code.txt: ??? */
/*	code.txt	1.11	95/05/19 15:18:03 i4pepsy	*/
/*	pls.de	1.5	95/05/19 15:18:06 i4pepsy	*/
/*	pls.en	1.5	95/05/19 15:18:08 i4pepsy	*/
/*	SccsLogging.c	1.58	95/05/19 15:18:10 i4pepsy	*/

/* xpepsy.txt gibt's schon lange nicht mehr. roe */
/*	Makefile	1.14	95/05/19 15:20:47 i4pepsy	*/
/*	SccsLogging.c	1.59	95/05/19 15:20:49 i4pepsy	*/

/* typo fixed by roessler */
/*	auswahl.en	1.6	95/06/20 16:15:29 i4pepsy	*/
