/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define LE_GET_WUNSCH_C

static char *SccsId = "@(#)PEPSY:\tget_wunsch.c\t1.4\t93/06/25 10:57:12";


#include "d_pepsy.h"
#include "d_netz.h"
#include "libpepsy.h"


/*
   get_wunsch() --- aufgerufen von eingabe() (eingabe.c)                     
                                                                             
   Rueckgabeparameter:							      
 	- wunsch = 1 -> Uebergangswahrscheinlichkeiten gewuenscht	      
 		 = 2 -> Besuchshaeufigkeiten gewuenscht	      		      
                                                                             
   Der Benutzer hat die Wahl, Uebergangswahrscheinlichkeiten oder Besuchs-   
   haeufigkeiten anzugeben.						      
 */

int get_wunsch()
{
	auto short	wunsch;		/* Benutzerwunsch: 1 oder 1	*/

	status("get_wunsch");
	werase(win3);	 /* Fenster 3 loeschen */

	/* Formular ausgeben */

	mvwaddstr(win3,3,8,spr("wuns01"));
	mvwaddstr(win3,8,8,spr("wuns02"));
	mvwaddstr(win3,6,8,spr("wuns03"));
	mvwaddstr(win3,11,8,spr("wuns04"));
	mvwprintw(win3,11,36,".");

	/* Formular ausfuellen */

	wmove(win3,11,36);
	wrefresh(win3);
	wunsch = l_integer(wunsch,0,1,2,1);
	mvwprintw(win3,11,36,"%1d",wunsch);
	wrefresh(win3);
	return(wunsch);
} /* get_wunsch(...) */
