/* SccsLogging.c
 *
 * Protokoll-Datei fuer die Delta-Historie aller SCCS-Dateien
 * eines Verzeichnisses.
 * ACHTUNG: Diese Datei darf nicht manuell bearbeitet werden.
 *
 * SccsLogging.o wird zu jedem Programm hinzugebunden. In der
 * main()-Routine jedes Programmes werden die beiden globalen
 * Variablen SccsRelease und SccsLevel referenziert.
 *
 * SccsLogging.o wird in jede Bibliothek aufgenommen, jedoch
 * nicht von dort geladen und in eine Phase eingebunden.
 */

static	char	*SccsId	
		= "@(#)PEPSY:\tSccsLogging.c\t1.13\t94/02/10 17:14:45";
	int	SccsRelease	= 1;
	int	SccsLevel	= 13;

/* Ignition */
/*	Makefile	1.1	93/07/07 10:49:14 admpepsy	*/
/*	aliaslist.c	1.1	93/07/07 10:49:15 admpepsy	*/
/* Ignition */
/*	Makefile	1.1	93/07/07 10:51:42 admpepsy	*/
/*	aliaslist.c	1.1	93/07/07 10:51:43 admpepsy	*/
/*	closehelp.c	1.1	93/07/07 10:51:45 admpepsy	*/
/*	convert.c	1.1	93/07/07 10:51:46 admpepsy	*/
/*	getreferences.c	1.1	93/07/07 10:51:48 admpepsy	*/
/*	index.c	1.1	93/07/07 10:51:49 admpepsy	*/
/*	inithelp.c	1.1	93/07/07 10:51:51 admpepsy	*/
/*	libmisc.c	1.1	93/07/07 10:51:52 admpepsy	*/
/*	ohs_error.c	1.1	93/07/07 10:51:53 admpepsy	*/
/*	openhelp.c	1.1	93/07/07 10:51:55 admpepsy	*/
/*	readhelp.c	1.1	93/07/07 10:51:56 admpepsy	*/
/*	toc.c	1.1	93/07/07 10:51:58 admpepsy	*/
/*	SccsLogging.c	1.1	93/07/07 10:51:59 admpepsy	*/

/* neue INdexsortierung mit abgesetzten Buchstaben	kirschni/mnmuelle */
/*	index.c	1.2	93/07/12 17:19:56 admpepsy	*/
/*	libmisc.c	1.2	93/07/12 17:19:58 admpepsy	*/
/*	SccsLogging.c	1.2	93/07/12 17:20:00 admpepsy	*/

/* new compare	kirschni/mnmuelle */
/*	index.c	1.3	93/07/13 16:08:48 admpepsy	*/
/*	readhelp.c	1.2	93/07/13 16:08:50 admpepsy	*/
/*	SccsLogging.c	1.3	93/07/13 16:08:52 admpepsy	*/

/* minor bug fix regarding prev/next KW	kirschni/mnmuelle */
/*	readhelp.c	1.3	93/07/14 13:29:18 admpepsy	*/
/*	SccsLogging.c	1.4	93/07/14 13:29:20 admpepsy	*/

/* bug fix	kirschni/mnmuelle */
/*	index.c	1.4	93/07/15 15:25:53 admpepsy	*/
/*	SccsLogging.c	1.5	93/07/15 15:25:55 admpepsy	*/

/* strdup durch MyStrDup aus libpepsy:database.c ersetzt	kirschni */
/*	index.c	1.5	93/07/16 09:59:57 admpepsy	*/
/*	libmisc.c	1.3	93/07/16 09:59:59 admpepsy	*/
/*	readhelp.c	1.4	93/07/16 10:00:01 admpepsy	*/
/*	SccsLogging.c	1.6	93/07/16 10:00:03 admpepsy	*/

/* fixes with toupper, convert is more verbose	kirschni/mnmuelle */
/*	convert.c	1.2	93/08/18 16:34:58 admpepsy	*/
/*	index.c	1.6	93/08/18 16:35:00 admpepsy	*/
/*	libmisc.c	1.4	93/08/18 16:35:01 admpepsy	*/
/*	toc.c	1.2	93/08/18 16:35:03 admpepsy	*/
/*	SccsLogging.c	1.7	93/08/18 16:35:05 admpepsy	*/

/* strdup() durch MyStrDup() aus libpepsy.a ersetzt	kirschni */
/*	convert.c	1.3	93/10/18 13:02:28 admpepsy	*/
/*	getreferences.c	1.2	93/10/18 13:02:30 admpepsy	*/
/*	openhelp.c	1.2	93/10/18 13:02:32 admpepsy	*/
/*	SccsLogging.c	1.8	93/10/18 13:02:34 admpepsy	*/

/* strings.h durch string.h ersetzt	kirschni */
/*	convert.c	1.4	93/12/21 12:42:21 admpepsy	*/
/*	getreferences.c	1.3	93/12/21 12:42:23 admpepsy	*/
/*	openhelp.c	1.3	93/12/21 12:42:25 admpepsy	*/
/*	SccsLogging.c	1.9	93/12/21 12:42:27 admpepsy	*/

/* strdup ist jetzt gueltoige funktion	kirschni */
/*	convert.c	1.5	93/12/21 14:33:16 admpepsy	*/
/*	getreferences.c	1.4	93/12/21 14:33:18 admpepsy	*/
/*	index.c	1.7	93/12/21 14:33:20 admpepsy	*/
/*	libmisc.c	1.5	93/12/21 14:33:22 admpepsy	*/
/*	openhelp.c	1.4	93/12/21 14:33:24 admpepsy	*/
/*	readhelp.c	1.5	93/12/21 14:33:26 admpepsy	*/
/*	SccsLogging.c	1.10	93/12/21 14:33:28 admpepsy	*/

/* fixes...	kirschni */
/*	index.c	1.8	93/12/22 16:11:27 admpepsy	*/
/*	SccsLogging.c	1.11	93/12/22 16:11:29 admpepsy	*/

/* ANSI-C	kirschni */
/*	convert.c	1.6	94/02/04 14:38:25 admpepsy	*/
/*	index.c	1.9	94/02/04 14:38:27 admpepsy	*/
/*	libmisc.c	1.6	94/02/04 14:38:30 admpepsy	*/
/*	readhelp.c	1.6	94/02/04 14:38:32 admpepsy	*/
/*	toc.c	1.3	94/02/04 14:38:34 admpepsy	*/
/*	SccsLogging.c	1.12	94/02/04 14:38:36 admpepsy	*/

/* casting fuer -Wall	kirchni */
/*	convert.c	1.7	94/02/10 17:14:32 admpepsy	*/
/*	index.c	1.10	94/02/10 17:14:35 admpepsy	*/
/*	libmisc.c	1.7	94/02/10 17:14:37 admpepsy	*/
/*	readhelp.c	1.7	94/02/10 17:14:39 admpepsy	*/
/*	toc.c	1.4	94/02/10 17:14:42 admpepsy	*/
