/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define LZ_GET_FESC_C

static char *SccsId = "@(#)PEPSY:\tget_fesc.c\t1.5\t93/06/25 12:05:15";


#include <unistd.h>
#include "d_netz.h"
#include "d_pepsy.h"
#include "d_sonder.h"
#include "libpepsy.h"

/*
   get_fesc() 
 									  
   Eingabe der Bedienraten fuer Flow-Equivalent Service Centers
   funktioniert momentan nur fuer eine Klasse
 */

extern netzstruktur netz;

void get_fesc(knoten)
int knoten;
{
	netzstruktur *np = &netz;
	int i;

	/* Fenster 3 loeschen */
	werase(win3);

	/* Formular ausgeben */

	if(np->klass > 1)
	{
		mvwaddstr(win3,3,8,"FESC-Knoten nur bei einer Klasse moeglich");
		wrefresh(win3);
		sleep(1);
		exit(1);
	}

	for(i=0;i<np->knot;i++)
	{
		if(np->knotentyp[i] != 22)  /* kein FESC */
			continue;
		read_fesc(i);
	}
}
