/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define LZ_GET_HIER_C

static char *SccsId = "@(#)PEPSY:\tget_hier.c\t1.5\t93/06/25 12:05:17";

#include "d_netz.h"
#include "d_pepsy.h"
#include "d_sonder.h"
#include "libpepsy.h"

extern netzstruktur netz;


/*
   get_hier() 
 									  
   Eingabe der Anzahl Teilnetze, in die das Gesamtnetz zerlegt 	  
   werden soll								  
   Die Nummer des Teilnetzes ist gleichzeitig die Hierarchiestufe
 */
int get_hier(knoten)
int knoten;
{
	netzstruktur *np = &netz;
	int	teilanz;	/* Anzahl der Teilnetze			*/
	int i,z;

	/* Fenster 3 loeschen */
	werase(win3);

	/* Formular ausgeben */

	mvwaddstr(win3,3,8,spr("geth01"));
	mvwprintw(win3,8,8,spr("geth02"));
	wmove(win3,8,32);
	waddstr(win3,".");
	wrefresh(win3);

	/* Formular ausfuellen */

	wmove(win3,8,32);
	wrefresh(win3);
	/* Eingabe der der Anzahl Teilnetze */
	teilanz = l_integer(teilanz,0,1,(np->knot > NETZMAX_E ? NETZMAX_E : np->knot) ,1);
	mvwprintw(win3,8,32,"%d",teilanz);
	wrefresh(win3);


	/* Formular ausgeben */

	z = 0;
	for(i=0;i<np->knot;i++)
	{
		if(z == 0)
		{
			werase(win3);
			mvwaddstr(win3,0,8,spr("geth03"));
		}

		mvwprintw(win3,2 + z,8,"  %s %s",np->knotname[i],spr("geth04"));
		wmove(win3,2 + z,42);
		waddstr(win3,"..");
		z++;
	} /* for(...) */

	wrefresh(win3);

	/* Formular ausfuellen */

	for(z=0, i=0;i<np->knot;i++)
	{
		wmove(win3,2 + z,42);
		wrefresh(win3);
		/* Eingabe der Zuordung durch den Benutzer */
		np->teilnr[i] = l_integer(np->teilnr[i],0,1,teilanz,2);
		mvwprintw(win3,2 + z,42,"%2d",np->teilnr[i]);
		wrefresh(win3);
		z++;
	}
	return(teilanz);
}
