/* SccsLogging.c
 *
 * Protokoll-Datei fuer die Delta-Historie aller SCCS-Dateien
 * eines Verzeichnisses.
 * ACHTUNG: Diese Datei darf nicht manuell bearbeitet werden.
 *
 * SccsLogging.o wird zu jedem Programm hinzugebunden. In der
 * main()-Routine jedes Programmes werden die beiden globalen
 * Variablen SccsRelease und SccsLevel referenziert.
 *
 * SccsLogging.o wird in jede Bibliothek aufgenommen, jedoch
 * nicht von dort geladen und in eine Phase eingebunden.
 */

static	char	*SccsId	
		= "@(#)PEPSY:\tSccsLogging.c\t1.25\t95/06/09 14:25:57";
	int	SccsRelease	= 1;
	int	SccsLevel	= 25;

/* ignition */
/*	Makefile	1.1	92/02/27 10:27:20 admpepsy	*/
/*	auswahl.c	1.1	92/02/27 10:27:22 admpepsy	*/
/*	SccsLogging.c	1.1	92/02/27 10:27:25 admpepsy	*/

/* sccsid added, grenzen dateien angepasst kirschni */
/*	Makefile	1.2	92/02/28 11:53:57 admpepsy	*/
/*	auswahl.c	1.2	92/02/28 11:54:01 admpepsy	*/
/*	SccsLogging.c	1.2	92/02/28 11:54:05 admpepsy	*/

/* kosmetik, kommentar angepasst */
/*	auswahl.c	1.3	92/02/28 12:34:21 admpepsy	*/
/*	SccsLogging.c	1.3	92/02/28 12:34:26 admpepsy	*/

/* option -a bugfix   kirschni */
/*	auswahl.c	1.4	92/02/28 14:11:24 admpepsy	*/
/*	SccsLogging.c	1.4	92/02/28 14:11:29 admpepsy	*/

/* new delta */
/*	auswahl.c	1.5	92/02/28 14:24:51 admpepsy	*/
/*	SccsLogging.c	1.5	92/02/28 14:24:56 admpepsy	*/

/* new delta */
/*	Makefile	1.3	92/03/04 12:01:12 admpepsy	*/
/*	SccsLogging.c	1.6	92/03/04 12:01:14 admpepsy	*/

/* Versionausgabe korrigiert   kirschni */
/*	auswahl.c	1.6	92/03/04 12:53:12 admpepsy	*/
/*	SccsLogging.c	1.7	92/03/04 12:53:15 admpepsy	*/

/* Anpassung an Sequent   kirschni */
/*	Makefile	1.4	92/03/06 08:21:41 admpepsy	*/
/*	auswahl.c	1.7	92/03/06 08:21:43 admpepsy	*/
/*	SccsLogging.c	1.8	92/03/06 08:21:45 admpepsy	*/

/* new delta */
/*	auswahl.c	1.8	92/03/19 11:59:03 admpepsy	*/
/*	SccsLogging.c	1.9	92/03/19 11:59:09 admpepsy	*/

/* purge: clobber	kirschni */
/*	Makefile	1.5	92/03/27 11:23:24 admpepsy	*/
/*	SccsLogging.c	1.10	92/03/27 11:23:28 admpepsy	*/

/* kleine Debugausgabe bei MMm-Knoten	kirschni */
/*	auswahl.c	1.9	92/05/05 14:56:48 admpepsy	*/
/*	SccsLogging.c	1.11	92/05/05 14:56:52 admpepsy	*/

/* angepasst an neue Database und neue library-funktionen aus libpepsy.a	kirschni */
/*	auswahl.c	1.10	92/09/02 14:40:42 admpepsy	*/
/*	SccsLogging.c	1.12	92/09/02 14:40:43 admpepsy	*/

/* r-Option	kirschni */
/*	auswahl.c	1.11	93/02/11 17:10:32 admpepsy	*/
/*	SccsLogging.c	1.13	93/02/11 17:10:35 admpepsy	*/

/* bedeutung der -r Option geaendert	kirschni */
/*	auswahl.c	1.12	93/02/12 11:11:27 admpepsy	*/
/*	SccsLogging.c	1.14	93/02/12 11:11:30 admpepsy	*/

/* auswahl korrigiert, verbesserte Debugausgaben	kirschni */
/*	Makefile	1.6	93/04/22 08:57:49 admpepsy	*/
/*	auswahl.c	1.13	93/04/22 08:57:52 admpepsy	*/
/*	SccsLogging.c	1.15	93/04/22 08:57:55 admpepsy	*/

/* semantik der -r option korrigiert	kirschni */
/*	auswahl.c	1.14	93/04/22 11:05:28 admpepsy	*/
/*	SccsLogging.c	1.16	93/04/22 11:05:31 admpepsy	*/

/* kirschni */
/*	auswahl.c	1.15	93/05/14 15:23:52 admpepsy	*/
/*	SccsLogging.c	1.17	93/05/14 15:23:55 admpepsy	*/

/* getopt liefert int -> int c;    kirschni */
/*	auswahl.c	1.16	93/05/18 16:15:58 admpepsy	*/
/*	SccsLogging.c	1.18	93/05/18 16:16:00 admpepsy	*/

/* Ausgabeformat fuer -f geaendert. Es wird jetzt neue Reihenfolge benutzt	kirschni */
/*	auswahl.c	1.17	93/07/14 11:43:14 admpepsy	*/
/*	SccsLogging.c	1.19	93/07/14 11:43:16 admpepsy	*/

/* new delta */
/*	auswahl.c	1.18	93/07/15 16:53:59 admpepsy	*/
/*	SccsLogging.c	1.20	93/07/15 16:54:02 admpepsy	*/

/* option -m bei mehreren e_* korrigiert	kirschni */
/*	auswahl.c	1.19	94/01/17 15:59:08 admpepsy	*/
/*	SccsLogging.c	1.21	94/01/17 15:59:10 admpepsy	*/

/* Database-Ptr ist jetzt static in libpepsy.a:database.c */
/*	auswahl.c	1.20	94/01/19 10:04:28 admpepsy	*/
/*	SccsLogging.c	1.22	94/01/19 10:04:30 admpepsy	*/

/* more debug info		kirschni */
/*	auswahl.c	1.21	94/03/23 10:40:47 admpepsy	*/
/*	SccsLogging.c	1.23	94/03/23 10:40:50 admpepsy	*/

/* roe */
/*	auswahl.c	1.22	95/05/22 10:51:31 i4pepsy	*/
/*	SccsLogging.c	1.24	95/05/22 10:51:34 i4pepsy	*/

/* fixes for sunos, more debugging         roe */
/*	auswahl.c	1.23	95/06/09 14:25:53 i4pepsy	*/
