static char *SccsId = "@(#)PEPSY:\tstdfkt.c\t1.2\t92/03/27 12:02:15";
/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/


/*********************************************************************
***                                                                ***
***  Modul:   s t d f k t . c                                      ***
***                                                                ***
***----------------------------------------------------------------***
***                                                                ***
***  Datum:   13.08.87                                             ***
***  Version: 1.0                                                  ***
***  Autor:   Gerhard Schmuck                                      ***
***  Inhalt:  Standartmakros und Standart E/A-Funktionen           ***
***                                                                ***
**********************************************************************
*/
#include <stdio.h>
#include <string.h>
/*
**********************************************************************
*                       Funktion EXITCTRL                            *
**********************************************************************
Prueft ob <eof> von stdin geliefert wird und bricht in diesem Fall
ab, wobei <eof> auf stdout weitergereicht wird.
*/
EXITCTRL ()
{
      int  c;
  
      if ( ( c = getc( stdin)) == '\004') {
            fprintf ( stderr, "%s\n",spr("exit01"));
            printf  ( "\004");
            exit    ( 8);
            }
      else
            ungetc  ( c, stdin);
}
/*
**********************************************************************
*                        Funktion JUMPCOM                            *
**********************************************************************
Kommentar- ( mit # beginnend) und Leerzeilen ueberspringen
Return: 0 ok, 1 Eof
*/
JUMPCOM ( fp)
      FILE  *fp;
{
      char  c;
      char  comment[100];

      do    {
            while ( ( c = getc( fp)) == ' ' || c == '\n') ;
            if ( c == '#') 
                  FSCANC ( fp, '\n');
            }
      while ( c == '#');
      ungetc ( c, fp);
      return ( ( c == EOF) ? 1 : 0);
}
/*
*********************************************************************
*                        Funktion FSCANC                            *
*********************************************************************
In Datei fp bis Zeichen ch lesen
*/
FSCANC ( fp, ch)
      FILE  *fp;
      char  ch;
{
      char  z;
      int   i;
      while ( ( z = getc( fp)) != ch)
            i++;
      return ( i);
}
/*
*********************************************************************
*                       Funktion SEARCHFOR                          *
*********************************************************************
Suchen in einer Datei nach Zeichenkette
*/
SEARCHFOR ( fp, vstr)
      FILE  *fp;
      char  *vstr;
{
      int   erg = 1;
      char  line[100];

      if ( JUMPCOM ( fp) == 0) {
            fscanf ( fp, "%s", line);
            if ( strcmp ( line, vstr) == 0)
                  erg = 0;
      }
      return ( erg);
}
/*
******************** Ende Modul stdfkt.c **************************/

