static char *SccsId = "@(#)PEPSY:\tpepin.c\t1.3\t93/09/14 14:59:03";

#define _NEW_

#include <stdio.h>
#include "const+type.h"
#ifdef _NEW_
#include "libpepsy.h"
#include "d_konst.h"
#include "d_netz.h"

	netzstruktur netz;

#endif

int fpepin(fp, pN, pR, K, m, typ, csq, ptrans, e, mue, app_flag)
FILE *fp;
int *pN, *pR, K[RMAX], m[NMAX], typ[NMAX];
double csq[NMAX][RMAX], ptrans[RMAX][NMAX + 1][NMAX + 1];
double e[NMAX][RMAX], mue[NMAX][RMAX];
int app_flag;
{
	int		eflag;
	int		i;
	int		r;

#ifdef _NEW_

	int 	k;

	if ((eflag = get_standard(fp)) == 0)
	{
		*pN		= netz.knot;
		*pR		= netz.klass;

		for (i = 0; i < netz.knot; ++i)
		{
			switch(netz.knotentyp[i])
			{
				case TYP11:
				case TYP15 :
				case TYP17 :
				case TYP19 :	typ[i] = FCFS_NP;
								break;
				/*	no LCFS-NONPRE
								typ[i] = LCFS_NP;
								break;
					no SIRO_NONPRE
								typ[i] = SIRO_NP;
								break;
					no SIRO
								typ[i] = SIRO;
								break;
					no LCFS-PRE-PRIO
								typ[i] = LCFS_PR;
								break;
					no PS-PRE
								typ[i] = PS_PR;
								break;
					no FESC	
								typ[i] = FESC;
								break;
					no LCFS
								typ[i] = LCFS;
								break;
				*/
				case TYP10 :
				case TYP14 :
				case TYP16 :
				case TYP18 :	typ[i] = FCFS_PR;
								break;
				case TYP9  :	typ[i] = LCFS_PF;
								break;
				case TYP4  :	typ[i] = IS;
								break;
				case TYP3  :
				case TYP12 :
				case TYP13 :	typ[i] = PS;
								break;
				case TYP1  :
				case TYP2  :	
				case TYP5  :
				case TYP6  :
				case TYP7  :
				case TYP8  :	typ[i] = FCFS;
								break;

				default :		fprintf(stderr, "Knoten %d: WS-Disziplin unbekannt!\n", i+1);
								exit(1);
			}
		}

		/* FCFS --> SIRO */
		if(app_flag == 1)
		{
			for (i = 0; i < netz.knot; ++i)
			{
				if (typ[i] == FCFS)
					typ[i] = SIRO;

				if (typ[i] == FCFS_NP)
					typ[i] = SIRO_NP;
			}
		}

		for (i = 0; i < netz.klass; ++i)
		{
			K[i] = netz.auftr[i];

			for (k = 0; k < netz.knot; k++)
			{
				mue[k][i] = netz.bedr[k][i];
				csq[k][i] = netz.quadvar[k][i];
				e[k][i]   = netz.besh[k][i];
			}
		}

		for (i = 0; i< netz.knot; i++)
		{
			m[i] = netz.bede[i];
		}

		if (netz.haeuf == TRUE)
			eflag = 0;
		else
			eflag = 1;

		if (netz.haeuf==TRUE)
		{
			/*
				UEW's !
			*/
			for (r = 0; r < netz.klass; ++r)
			{
				for(i = 0; i <= netz.knot; i++)
				{
					for(k = 0; k <= netz.knot; k++)
					{
						ptrans[r][i][k] = netz.uew[i][k][r];
					}
				}
			}
		}
	}
#else
	char typstr[20];
	int n, N, R, c, j, eflag;

	while ((n = fscanf(fp, " ANZAHL KNOTEN: %d", &N)) != 1)
	{
		if (n == EOF)
		{
			fprintf(stderr, "ANZAHL KNOTEN: nicht gefunden\n");
			exit(1);
		}
		fscanf(fp, "%*[^\n]");
	}
	*pN = N;

	while ((n = fscanf(fp, " ANZAHL KLASSEN: %d", &R)) != 1)
	{
		if (n == EOF)
		{
			fprintf(stderr, "ANZAHL KLASSEN: nicht gefunden\n");
			exit(1);
		}
		fscanf(fp, "%*[^\n]");
	}
	*pR = R;

	while ((n = fscanf(fp, " KNOTENBESCHREIBUNG%c", &c)) != 1)
	{
		if (n == EOF)
		{
			fprintf(stderr, "KNOTENBESCHREIBUNG nicht gefunden\n");
			exit(1);
		}
		fscanf(fp, "%*[^\n]");
	}
	if (fscanf(fp, " Knoten | Name | Typ %*[-+]") == EOF)
	{
		fprintf(stderr, " Knoten | Name | Typ %*[-+] nicht gefunden\n");
		exit(1);
	}
	for (i = 0; i < N; ++i)
	{
		if (fscanf(fp, "%*d | %*[^|] | %*4s %d", &m[i]) != 1)
		{
			fprintf(stderr, "m[%d] nicht gefunden\n", i + 1);
			exit(1);
		}
		if (fscanf(fp, "- %s", typstr) != 1)
		{
			fprintf(stderr, "Knoten %d: WS-Disziplin nicht gefunden\n", i + 1);
			fprintf(stderr, " nicht gefunden\n");
			exit(1);
		}
		if (strcmp(typstr,"FCFS-NONPRE") == 0)
			typ[i] = FCFS_NP;
		else if (strcmp(typstr,"LCFS-NONPRE") == 0)
			typ[i] = LCFS_NP;
		else if (strcmp(typstr,"SIRO-NONPRE") == 0)
			typ[i] = SIRO_NP;
		else if (strcmp(typstr,"FCFS-PRE") == 0)
			typ[i] = FCFS_PR;
		else if (strcmp(typstr,"LCFS-PRE-PRIO") == 0)
			typ[i] = LCFS_PR;
		else if (strcmp(typstr,"LCFS-PRE") == 0)
			typ[i] = LCFS_PF;
		else if (strcmp(typstr,"PS-PRE") == 0)
			typ[i] = PS_PR;
		else
		{
			for (j = 0;; ++j)
			{
				if (TYP[j] == NULL)
				{
					fprintf(stderr, "Knoten %d: WS-Disziplin %s unbekannt\n",
						i + 1, typstr);
					exit(1);
				}
				if (strncmp(typstr, TYP[j], strlen(typstr)) == 0)
				{
					typ[i] = j - 1;
					break;
				}
			}
		}
	}

	/* FCFS --> SIRO */
	if(app_flag == 1)
	{
		for (i = 0; i < N; ++i)
		{
			if (typ[i] == FCFS)
				typ[i] = SIRO;

			if (typ[i] == FCFS_NP)
				typ[i] = SIRO_NP;
		}
	}

	while ((n = fscanf(fp, " KLASSENBESCHREIBUNG%c", &c)) != 1)
	{
		if (n == EOF)
		{
			fprintf(stderr, "KLASSENBESCHREIBUNG nicht gefunden\n");
			exit(1);
		}
		fscanf(fp, "%*[^\n]");
	}
	if (fscanf(fp, " Klasse | Ankunftsrate Anzahl Auftraege %*[-+]") == EOF)
	{
		fprintf(stderr, " Klasse | Ankunftsrate Anzahl Auftraege %*[-+]");
		fprintf(stderr, " nicht gefunden\n");
		exit(1);
	}
	for (r = 0; r < R; ++r)
	{
		if (fscanf(fp, "%*d | - %d", &K[r]) != 1)
		{
			fprintf(stderr, "K[%d] nicht gefunden\n", r + 1);
			fprintf(stderr, " nicht gefunden\n");
			exit(1);
		}
	}

	while ((n = fscanf(fp, " KLASSENSPEZIFISCHE KNOTENGROESSEN%c", &c)) != 1)
	{
		if (n == EOF)
		{
			fprintf(stderr, "KLASSENSPEZIFISCHE KNOTENGROESSEN nicht gefunden");
			fprintf(stderr, " nicht gefunden\n");
			exit(1);
		}
		fscanf(fp, "%*[^\n]");
	}
	for (r = 0; r < R; ++r)
	{
		while ((n = fscanf(fp, " KLASSE %d", &j)) != 1)
		{
			if (n == EOF)
			{
				fprintf(stderr, "Klasse %d: ", r + 1);
				fprintf(stderr, "KLASSE nicht gefunden");
				fprintf(stderr, " nicht gefunden\n");
				exit(1);
			}
			fscanf(fp, "%*[^\n]");
		}
		if (fscanf(fp, " Knoten | Bedienrate Variationskoeff.") == EOF)
		{
			fprintf(stderr, "Klasse %d: ", r + 1);
			fprintf(stderr, "Knoten | Bedienrate Variationskoeff.");
			fprintf(stderr, " nicht gefunden\n");
			exit(1);
		}
		if (r == 0)
			eflag = fscanf(fp, " Besuchshaeuf.%c", &c) == 1;
		else if (eflag && fscanf(fp, " Besuchshaeuf.%c", &c) != 1)
		{
			fprintf(stderr, "Klasse %d: ", r + 1);
			fprintf(stderr, "Besuchshaeuf.");
			fprintf(stderr, " nicht gefunden\n");
			exit(1);
		}
		if (fscanf(fp, " %*[-+]") == EOF)
		{
			fprintf(stderr, "Klasse %d: ", r + 1);
			fprintf(stderr, " %*[-+] nicht gefunden\n");
			exit(1);
		}
		for (i = 0; i < N; ++i)
		{
			if (fscanf(fp, "%*[^|] | %lf", &mue[i][r]) != 1)
			{
				fprintf(stderr, "Klasse %d: Knoten %d: ", r + 1, i + 1);
				fprintf(stderr, "mue nicht gefunden\n");
				exit(1);
			}
			if (fscanf(fp, "%lf", &csq[i][r]) != 1)
			{
				fprintf(stderr, "Klasse %d: Knoten %d: ", r + 1, i + 1);
				fprintf(stderr, "c nicht gefunden\n");
				exit(1);
			}
			/*
			csq[i][r] *= csq[i][r];
			*/
			if (eflag)
			{
				if (fscanf(fp, "%lf", &e[i][r]) != 1)
				{
					fprintf(stderr, "Klasse %d: Knoten %d: ", r + 1, i + 1);
					fprintf(stderr, "e nicht gefunden\n");
					exit(1);
				}
			}
		}
		if (eflag)
			continue;
		while ((n = fscanf(fp, " UEBERGANGSWAHRSCHEINLICHKEITEN%c", &c)) != 1)
		{
			if (n == EOF)
			{
				fprintf(stderr, "Klasse %d: ", r + 1);
				fprintf(stderr, "UEBERGANGSWAHRSCHEINLICHKEITEN");
				fprintf(stderr, " nicht gefunden\n");
				exit(1);
			}
			fscanf(fp, "%*[^\n]");
		}
		if (fscanf(fp, " von/zu | aussen %*[^\n] %*[-+]") == EOF)
		{
			fprintf(stderr, "Klasse %d: ", r + 1);
			fprintf(stderr, "von/zu | aussen %*[^\n] %*[-+]");
			fprintf(stderr, " nicht gefunden\n");
			exit(1);
		}
		for (i = 0; i <= N; ++i)
		{
			fscanf(fp, "%*[^|] |");
			for (j = 0; j <= N; ++j)
			{
				if (fscanf(fp, "%lf", &ptrans[r][i][j]) != 1)
				{
					fprintf(stderr, "Klasse %d: ", r + 1);
					fprintf(stderr, "Uebergangsw. %d -> %d nicht gefunden\n",
						i, j);
					exit(1);
				}
			}
		}
	}
#endif

	return(eflag);
}
