/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988, 1994
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  91058 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

static char *SccsId = "@(#)PEPSY:\tget_dekomp.c\t1.1\t94/04/25 12:50:55";

#include <stdio.h>
#include <string.h>
#include "d_netz.h"
#include "d_speicher.h"
#define	EXTERN_KNOTENTYPEN
#include "d_konst.h"
#include "xxalloc.h"
#include "libpepsy.h"

extern int dbg;
extern netzstruktur netz;
double *ank_quadvar;
char zusatzblock[20];

int get_dekomp(fp)
FILE *fp;
{
	register netzstruktur *np = &netz;
	char buffer[5120], *cp;
	extern double atof();
	int gefunden, i;

	if(dbg)
		fprintf(stderr,"get_dekomp\n");

	if(( ank_quadvar = d_1dim_alloc(np->knot)) == (double *) 0) mall_err("get_dekomp");

	/* Zusatzblock in Eingabedatei suchen */

	get_zusatzblock("dekomp",zusatzblock);
	gefunden = FALSE;
	rewind(fp);
	i = strlen(zusatzblock);
	while ( gefunden == FALSE && nextline(fp,buffer,5120) != EOF )
	{
		if (strncmp(zusatzblock,buffer,i) == 0)
		{
			if(dbg)
				fprintf(stderr,"get_dekomp : Zusatzblock %s gefunden\n",buffer);
			gefunden = TRUE;
		}
	}

	if (gefunden == TRUE)
	{
		nextline(fp,buffer,5120);
		nextline(fp,buffer,5120);
		nextline(fp,buffer,5120);
		for(i=0;i<np->knot;i++)
		{
			nextline(fp,buffer,5120);
			/* bis "|" lesen */
			cp = buffer;
			while(*cp != '\0' && *cp++ != '|')
				;

			sscanf(cp,"%lf",&ank_quadvar[i]);

			if (dbg)   fprintf(stderr,"get_dekomp: ank_quadvar %d : %f \n",i,ank_quadvar[i]);
		}
	}
	else
	{
		for(i=0;i<np->knot;i++)
		{
			ank_quadvar[i] = 1.0;
			if (dbg)   fprintf(stderr,"get_dekomp: ank_quadvar %d : %f \n",i,ank_quadvar[i]);
		}
	}
	return(0);
}
