/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

static char *SccsId = "@(#)PEPSY:\tget_diffprox.c\t1.3\t92/08/24 11:09:47";

#include <stdio.h>
#include "d_netz.h"
#include "d_speicher.h"
#define	EXTERN_KNOTENTYPEN
#include "d_konst.h"

extern int dbg;
extern netzstruktur netz;
double *ank_quadvar;
char zusatzblock[20];

get_diffprox(fp)
FILE *fp;
{
	register netzstruktur *np = &netz;
	int gefunden, i;
	char buffer[5120], *cp;

	if(dbg)
		fprintf(stderr,"get_diffprox\n");

	if(( ank_quadvar = d_1dim_alloc(np->knot)) == (double *) 0) mall_err("get_diffprox");

	/* Zusatzblock suchen */

	get_zusatzblock("diffprox",zusatzblock);
	gefunden = FALSE;
	rewind(fp);
	i = strlen(zusatzblock);
	while ( gefunden == FALSE && nextline(fp,buffer,5120) != EOF )
	{
		if (strncmp(zusatzblock,buffer,i) == 0)
		{
			if(dbg)
				fprintf(stderr,"diff_in : Zusatzblock %s gefunden\n",buffer);
			gefunden = TRUE;
		}
	}

	if (gefunden == TRUE)
	{
		nextline(fp,buffer,5120);
		nextline(fp,buffer,5120);
		nextline(fp,buffer,5120);
		for(i=0;i<np->knot;i++)
		{
			nextline(fp,buffer,5120);
			cp = buffer ;
			while(*cp++ != '|')
				;

			sscanf(cp,"%lf",&ank_quadvar[i]);

			if (dbg)   fprintf(stderr,"diff_in: ank_quadvar : %lf \n",ank_quadvar[i]);
		}
	}
	else
	{
		for(i=0;i<np->knot;i++)
		{
			ank_quadvar[i] = 1.0;
			if (dbg)   fprintf(stderr,"diff_in: ank_quadvar : %lf \n",ank_quadvar[i]);
		}
	}
}
