/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

static char *SccsId = "@(#)PEPSY:\tput_diffprox.c\t1.3\t92/08/24 11:09:49";

#include <stdio.h>
#include "d_speicher.h"
#include "d_netz.h"
#define	EXTERN_KNOTENTYPEN
#include "d_konst.h"

extern int dbg;
extern netzstruktur netz;
extern double *ank_quadvar;

put_diffprox(fp)
FILE *fp;
{
	register netzstruktur *np = &netz;
	int i,j,k,l;

	if(dbg)
		fprintf(stderr,"put_diffprox\n");
	
	fprintf(fp,"%d\n\n",np->knot); /* Knoten  */
	fprintf(fp,"%g\n",np->ankr[0]);	/* Ankunftsrate */

	for(i=0;i<=np->knot;i++) 	/* Uebergangswahrscheinlichkeiten */
	{
		for(j=0;j<=np->knot;j++)
		{
			fprintf(fp,"%g  ",np->uew[i][j][0]);
		}
		fprintf(fp,"\n");
	}
	fprintf(fp,"\n");
	for(i=0;i<np->knot;i++) 	/* Bedienrate quad. Varkoeff */
	{
		fprintf(fp,"%g  %g  ",np->bedr[i][0], np->quadvar[i][0]);
		fprintf(fp,"%g\n",ank_quadvar[i]);
	}
	fprintf(fp,"\n");
			
		
		
}
