/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

static char *SccsId = "@(#)PEPSY:\tput_kuehn.c\t1.3\t92/08/24 12:43:34";

#include <stdio.h>
#include "d_speicher.h"
#include "d_netz.h"
#define EXTERN_KNOTENTYPEN
#include "d_konst.h"

extern int dbg;
extern netzstruktur netz;
extern double *ank_quadvar;

put_kuehn(fp)
FILE *fp;
{
	register netzstruktur *np = &netz;
	int i,j,k,l;

	if(dbg)
		fprintf(stderr,"put_kuehn\n");
	
	fprintf(fp,"%d\n",np->knot); /* Knoten  */
	fprintf(fp,"\n");
	for(i=0;i<np->klass;i++) 	/* Ankunftsraten */
	{
		fprintf(fp,"%g  ",np->ankr[i]);
	}
	fprintf(fp,"\n");
	for(i=0;i<np->knot;i++) 	/* Varkoeff Ankunft */
	{
		fprintf(fp,"%g  ",ank_quadvar[i]);
	}
	fprintf(fp,"\n");
	for(i=0;i<np->knot;i++) 	/* Bedienraten */
	{
		fprintf(fp,"%g  ",np->bedr[i][0]);
	}
	fprintf(fp,"\n");
	for(i=0;i<np->knot;i++) 	/* VarKoeff Bedienung */
	{
		fprintf(fp,"%g  ",np->quadvar[i][0]);
	}
	fprintf(fp,"\n");
	for(i=0;i<=np->knot;i++) 	/* Uebergangswahrscheinlichkeiten */
	{
		for(j=0;j<=np->knot;j++)
		{
			fprintf(fp,"%g  ",np->uew[i][j][0]);
		}
		fprintf(fp,"\n");
	}
	fprintf(fp,"\n");
	fprintf(fp,"%g\n\n",1e-5);
}

