/****************************************************************************************/
/*  In dieser Datei werden die Leistungsgroessen auf stdout ausgegeben			*/
/****************************************************************************************/


static char *SccsId = "@(#)PEPSY:\tausgabe.c\t1.4\t95/05/22 10:52:59";
#include	<stdio.h>
#include	"def.h"


/****************************************************************************************/
/*											*/
/*  FUNKTION										*/
/*  ausgabe()										*/
/*											*/
/*  Wird aufgerufen in :			gespeichert in :			*/
/*  - main()					main.c					*/
/*											*/
/*  Ausgabe der Leistungsgroessen auf sdtout						*/
/*											*/
/****************************************************************************************/

ausgabe(verfahren)

   char	verfahren;

{

   int 	i;				/* Laufvariable fuer die Knoten			*/
   int	r;				/* Laufvariable fuer die Knoten			*/


/* Ausgabe des Verfahrens */
/*------------------------*/
   switch (verfahren) {
      
      case '0':
	      fprintf(stdout,"chan_neu\n\n");
	      break;
      case '1':
	      fprintf(stdout,"bol_aky\n\n");
	      break;
      case '2':
	      fprintf(stdout,"pm_1\n\n");
	      break;
      case '3':
	      fprintf(stdout,"pmapp_1\n\n");
	      break;
      case '4':
	      fprintf(stdout,"pm_0\n\n");
	      break;
      case '5':
	      fprintf(stdout,"appscat_MG1_1\n\n");
	      break;
      case '6':
	      fprintf(stdout,"pm_2\n\n");
	      break;
      case '7':
	      fprintf(stdout,"pmapp_2\n\n");
	      break;
      case '8':
	      fprintf(stdout,"rtp\n\n");
	      break;
      case '9':
	      fprintf(stdout,"rtpapp\n\n");
	      break;
      case 'a':
	      fprintf(stdout,"bardschweitzer\n\n");
	      break;
      case 'b':
	      fprintf(stdout,"appscat_MG1_2\n\n");
	      break;
      case 'c':
	      fprintf(stdout,"appscat_app\n\n");
	      break;
      case 'd':
              fprintf(stdout,"ascat\n\n");
              break;
      case 'e':
              fprintf(stdout,"abol\n\n");
              break;
      case 'f':
	      fprintf(stdout,"ascat_bfh1\n\n");
	      break;
      case 'g':
	      fprintf(stdout,"ascat_bfh2\n\n");
	      break;
      default:
	     fprintf(stdout,"Unbekannt\n\n");
	     break;
      }
   

/* Ausgabe des Netztyps, der Anzahl der Knoten und der Anzahl der Klassen */
/*------------------------------------------------------------------------*/
   fprintf(stdout,"  1  ");		/* geschlossenes Netz		*/
   fprintf(stdout,"  %d  ",N);		/* Anzahl der Knoten		*/
   fprintf(stdout,"  %d  \n\n",R);	/* Anzahl der Klassen		*/

/* Ausgabe von Durchsatz, Besuchshaeufigkeiten, Bedienzeit, Auslastung, Antwortzeit,       */
/* m. Anzahl der Auftraege, m. Wartezeit und m. Warteschlangenlaenge pro Knoten und Klasse */
/*-----------------------------------------------------------------------------------------*/
   for (r = 0; r < R; r++)
      {
      for ( i = 0; i < N; i++)
         {
         fprintf(stdout,"%8.4f  ",durchsatz[r][i]);
         fprintf(stdout,"%8.4f  ",besh[r][i]);
         fprintf(stdout,"%8.4f  ",sq[r][i]);
         fprintf(stdout,"%8.4f  ",rho[r][i]);
         fprintf(stdout,"%8.4f  ",tq[r][i]);
         fprintf(stdout,"%8.4f  ",kq_K[r][i]);
         fprintf(stdout,"%8.4f  ",mwz[r][i]);
         fprintf(stdout,"%8.4f  ",mws[r][i]);
         fprintf(stdout,"\n");
         }
      fprintf(stdout,"\n");
      }

   fprintf(stdout,"Anzahl der Core - Iterationen  = %ld\n",CoreIter);
   if ( CoreIter >= iteration )
      {
      fprintf(stdout,"Das Verfahren konvergiert nicht, \n");
      fprintf(stdout,"es wurde nach %ld Core - Iterationen abgebrochen\n",CoreIter);
      }

}  /* Ende ausgabe() */
	
