static char *SccsId = "@(#)PEPSY:\teingabe.c\t1.2\t92/03/27 11:40:16";
/********************************************************************************/
/*  In dieser Datei werden die benoetigten Eingabedaten eingelesen 	        */
/********************************************************************************/


#include <stdio.h>
#include  "def.h"


/********************************************************************************/
/*  								     		*/
/*  FUNKTION							     		*/
/*  einlesen()							     		*/
/*  								     		*/
/*  Wird aufgerufen in :        gespeichert in :		     		*/
/*  - HAUPTPROGRAMM		main.c				     		*/
/*    main()							     		*/
/*  								     		*/
/*  Ruft auf :	                gespeichert in :		     		*/
/*  - sp_1_alloc()		speicher_verw.c			     		*/
/*								     		*/
/*  Die Funktion liest folgende Eingabedaten von stdin ein :	     		*/
/*  - Anzahl der Knoten						     		*/
/*  - Anzahl der Auftragsklassen				     		*/
/*  - Anzahl der Auftraege pro Klasse				     		*/
/*  - Knotentypen						     		*/
/*  - Anzahl der Bedieneinheiten				     		*/
/*  - Besuchshaeufigkeiten pro Knoten und Klasse		     		*/
/*  - mittl. Bedienzeiten pro Knoten und Klasse			     		*/
/*  - quadrierte Variationskoeffizienten der Bedienzeit pro Knoten   		*/
/*    und Klasse 						     		*/
/*								     		*/
/********************************************************************************/



einlesen()
{

   int		j, r, n;	/* Laufvariablen, r fuer die Klassen, 	*/
				/* n fuer die Knoten und die Bedieneinheiten	*/ 




/* Einlesen der Knotenzahl N */
/*---------------------------*/
   fscanf(stdin,"%d",&N);
      if (dbg) fprintf(stderr,"N = %d\n",N);

/* Einlesen der Anzahl der Auftragsklassen R */
/*-------------------------------------------*/
   fscanf(stdin,"%d",&R);
      if (dbg) fprintf(stderr,"R = %d\n",R);


/* dynamische Speicherbelegung */
/*-----------------------------*/
   sp_1_alloc();


/* Einlesen der Anzahl der Auftraege pro Klasse */
/*----------------------------------------------*/
   for (r = 0;r < R;r++)
      {
      fscanf(stdin,"%lf",&K[r]);
         if (dbg) fprintf(stderr,"K[%d] = %f\n",r,K[r]);
      }
   K[R] = 1.0;			/* unbenutzter Wert		*/

/* Einlesen der Knotentypen */
/*--------------------------*/
   for (n = 0;n < N;n++)
      {
      fscanf(stdin,"%d",&typ[n]);
         if (dbg) fprintf(stderr,"typ[%d] = %d\n",n,typ[n]);
      }

/* Einlesen der Anzahl der Bedieneinheiten pro Knoten */
/*----------------------------------------------------*/
   for (n = 0;n < N;n++)
      {
      fscanf(stdin,"%d",&mm[n]);
         if (dbg) fprintf(stderr,"mm[%d] = %d\n",n,mm[n]);
      }
  
/* Einlesen der Besuchshaeufigkeiten pro Klasse und Knoten */
/*---------------------------------------------------------*/
   for (r = 0;r < R;r++)
      for (n = 0;n < N;n++)
         {
         fscanf(stdin,"%lf",&besh[r][n]);
            if (dbg) fprintf(stderr,"besh[%d][%d] = %f\n",r,n,besh[r][n]);
          }

/* Einlesen der mittl. Bedienzeit pro Klasse und Knoten */
/*------------------------------------------------------*/
   for (r = 0;r < R;r++)
      for ( n = 0;n < N;n++)
         {
         fscanf(stdin,"%lf",&sq[r][n]);
            if (dbg) fprintf(stderr,"sq[%d][%d] = %f\n",r,n,sq[r][n]);
         }

/* Einlesen der quadrierten Variationskoeffizienten der Bedienzeit pro Klasse und Knoten */
/*---------------------------------------------------------------------------------------*/
   for (r = 0;r < R;r++)
      for ( n = 0;n < N;n++)
         {
         fscanf(stdin,"%lf",&vc[r][n]);
            if (dbg) fprintf(stderr,"vc[%d][%d] = %f\n",r,n,vc[r][n]);
         }
   
/* Einlesen der Bedienraten amue pro Knoten und Bedieneinheit*/

/* dynamische Speicherverwaltung */

   sp_3_alloc();
 
/*Einlesen*/

   for (n=0; n<N; n++)
      if (typ[n] == 20 || typ[n] == 21)
        {
          for (j=0 ; j<mm[n]; j++)
             {
                 fscanf(stdin,"%lf",&amue[n][j]);
                 sumamue[n] += amue[n][j];
             }
          sq[0][n] = mm[n]/sumamue[n];
        }

   
}

