#include <stdio.h>
#include <signal.h>

static char *SccsId = "@(#)PEPSY:\tpipe2.c\t1.2\t92/03/27 11:42:40";

static int pid, fd0[2];

int p2open(s)
char *s;
{
	int fd1[2], fd2[2];

	if(pipe(fd1) < 0)
	{
		perror("p2open-1:"); exit(1);
	}
	if(pipe(fd2) < 0)
	{
		perror("p2open-2:"); exit(1);
	}
	switch (pid = fork())
	{
		case -1:   /* fork - error */
		{
			return(-1);
		}
		case 0:    /* Sohnprozess  */
		{
			close(0); dup(fd1[0]); close(fd1[0]); close(fd1[1]);
			close(1); dup(fd2[1]); close(fd2[0]); close(fd2[1]);
			if (execlp("sh", "sh", "-c", s, NULL))
			{
				return(-1);
			}
		}
		default:   /* Vaterprozess */
		{
			fd0[0] = dup(0);
			fd0[1] = dup(1);
			close(1); dup(fd1[1]); close(fd1[0]); close(fd1[1]);
			close(0); dup(fd2[0]); close(fd2[0]); close(fd2[1]);
			return(0);
		}
	}
}

void p1close()
{
	fflush(stdout);
	close(1); dup(fd0[1]); close(fd0[1]);
}

void p2close()
{
	kill(pid, SIGKILL);
	close(0); dup(fd0[0]); close(fd0[0]);
}
