static char *SccsId = "@(#)PEPSY:\tfehler.c\t1.2\t92/03/27 11:43:19";
#include <stdio.h>

main()
{
   unsigned long dim;
   unsigned long i, j;
   unsigned long old_i;
   double m_elem, d_elem, max, pi;
   double *sol_v, *err_v;
   FILE *fpin, *fpmat;

   int fclose();
   FILE *fopen();

   fpin = fopen("Dimension", "r");
   if (fpin == (FILE *)0) error(__FILE__, "fopen", __LINE__);
   fscanf(fpin, "%lu", &dim);
   fclose(fpin);

   fpin = fopen("Gleichgewicht", "r");
   if (fpin == (FILE *)0) error(__FILE__, "fopen", __LINE__);
   
   fpmat = fopen("Matrix", "r");
   if (fpin == (FILE *)0) error(__FILE__, "fopen", __LINE__);
   
   sol_v = (double *)calloc(dim, sizeof(double));
   if (sol_v == (double *)0) error(__FILE__, "calloc", __LINE__);

   for (i=0; i<dim; i++)
      fscanf(fpin, "%*lu %le\n", (sol_v+i));

   err_v = (double *)calloc(dim, sizeof(double));
   if (err_v == (double *)0) error(__FILE__, "calloc", __LINE__);

   pi = sol_v[0];
   old_i = i = 0;
   d_elem = 0.0;
   while (fscanf(fpmat,"%lu", &i) != EOF)
   {
      if (i > old_i)
      {
         err_v[old_i] -= d_elem * pi; 
         d_elem = 0.0;
         pi = sol_v[i];
         old_i = i;
      }

      fscanf(fpmat,"%lu %le\n", &j, &m_elem);

      d_elem += m_elem;
      err_v[j] += pi* m_elem;
   }
   err_v[old_i] -= d_elem * pi; 

   if (err_v[0] < 0.0) err_v[0] -= err_v[0];
   if (err_v[0] > max) max = err_v[0];
   for (i=1; i<dim; i++)
   {
      if (err_v[i] < 0.0) err_v[i] -= err_v[i];
      if (err_v[i] > max) max = err_v[i];
   }

   printf("Maximaler Fehler: %le\n", max);
   fclose(fpin);
}
