static char *SccsDefine_h = "@(#)PEPSY:\tdefine.h\t1.2\t92/03/27 11:45:21";
/**********************************************************************************************************************/ 
/*														      */
/*	MODULNAME:							ERSTELLT:				      */
/*	"define.h"							Mai 1989	(Peter Menninger)	      */
/*														      */
/*      BESCHREIBUNG:												      */
/*	Durch Einbinden  in alle  C - Module werden nachfolgende "define's" global bekannt		 	      */
/*														      */
/**********************************************************************************************************************/ 

/*--------------------------------------------------------------------------------------------------------------------*/
/* saemtliche Dateinamen, die das Programm benutzt, sind hier als Macros geschrieben!				      */
/* Dadurch schnelle Anpassung an neue Dateinamen durch einfache Aenderung der Dateinamen moeglich		      */
/*--------------------------------------------------------------------------------------------------------------------*/
#define DIMENSION			"Dimension"
#define MATRIX_ELEMENTE			"MElemente"
#define MATRIX				"Matrix"
#define MATRIX_TMP			"Matrix.tmp"
#define COD				"Codierung"
#define COD_TMP				"Codierung.tmp"

#define SEMANTIK 			fflush (stdout); fprintf (stderr,
#define HALT 				Error (__FILE__, __LINE__-1,
#define KEINE_KANTE			(struct kante *) 0
#define DBG_2				(dbg == 2)

/*--------------------------------------------------------------------------------------------------------------------*/
/* fuer die Variable 'name' werden 'anz'- Speicherplaetze der Laenge ('type') bereitgestellt 		       	      */
/* im Fehlerfall Fehlermeldung und Abbruch                                                    	        	      */
/*--------------------------------------------------------------------------------------------------------------------*/
#define CALLOC(name, anz, type) 	if ((name = (type *) calloc (anz, sizeof (type))) == (type *) NULL) \
				    	    Error (__FILE__, __LINE__, strcat ("calloc", name))

#define ZEILENREST_KOPIEREN		while (putc (getc (fp_in), fp_out) != '\n');	/* Zeilen-Rest kopieren       */
#define ZEILENREST_UEBERLESEN   	while (getc (fp_in) != '\n');			/* Zeilen-rest ueberlesen     */


/*--------------------------------------------------------------------------------------------------------------------*/
/* an die Variable 'kante' werden die entsprechenden Werte der Strukturkomponenten zugewiesen		       	      */
/*--------------------------------------------------------------------------------------------------------------------*/
#define ZUWEISEN(kante, _nach, _uebergangs_rate) {\
    					kante->nach      	=  _nach; \
   					kante->gueltig  	=  1; \
    					kante->uebergangs_rate 	=  _uebergangs_rate; \
    					kante->next            	=  KEINE_KANTE; }

#define ALLE_ZUSTAENDE 		  	for (zustand = 0; zustand < dimension_aktuell; zustand++)
#define ALLE_INSTABILE_ZUSTAENDE  	for (zustand = 0; zustand < dimension_aktuell; zustand++) {\
					    if ((norm = instabil[zustand]) == 0) \
					        continue;

#define ALLE_STABILE_ZUSTAENDE 		for (zustand = 0; zustand < dimension_aktuell; zustand++) {\
					    if (instabil[zustand] > 0) \
					        continue;

#define ALLE_KANTEN(kname, start)	for (kname = &liste[start]; kname != KEINE_KANTE; kname = kname->next)

