/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

/***********************************************************
************************************************************
**
**  Modulname: allg.h
**
**	Beschreibung:
**  Deklaration aller in allg.c, eingabe.c, und ausgabe.c 
**  definierten globalen Funktionen 
**
***********************************************************
***********************************************************/

static char *SccsAllg_h = "@(#)PEPSY:\tallg.h\t1.2\t95/05/19 15:36:34";

#ifdef ALLGEMEIN_C
#define EXTERN_ALLG
#else
#define EXTERN_ALLG extern
#endif

EXTERN_ALLG	void	BerAnkRaten();
EXTERN_ALLG	void	CheckStab();
EXTERN_ALLG	void	GetOptionen();
EXTERN_ALLG	void	Ber_ca2_Kn();
EXTERN_ALLG	void	BerBedRaten_Kn();
EXTERN_ALLG	int	CheckGenauigkeit();
EXTERN_ALLG	void	InitVarKoeff_alt();
EXTERN_ALLG	void	InitVarKoeff();
EXTERN_ALLG	void	Einlesen();
EXTERN_ALLG	void	Ausgabe();
EXTERN_ALLG	void	Ausgabe_Q();
EXTERN_ALLG	void	InitVerfahren();
EXTERN_ALLG	int	CheckKnoten();
EXTERN_ALLG	void	BerUebergangsRaten();
EXTERN_ALLG	void	InitPostFilter();
EXTERN_ALLG	void	SaveInputData();
EXTERN_ALLG	void	GetOrigInputData();
