/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  91058 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/


/***********************************************************
************************************************************
**
**  Modulname: chylla.h
**
**	Beschreibung:
**  Deklaration aller in chylla.c definierten globalen
**  Funktionen
**
***********************************************************
***********************************************************/
static char *SccsChylla_h = "@(#)PEPSY:\tchylla.h\t1.2\t95/05/19 15:36:47";

#ifdef CHYLLA_C
#define EXTERN_CHYLLA
#else
#define EXTERN_CHYLLA extern
#endif

EXTERN_CHYLLA	void chylla__berechne_c2A_pro_Knoten_u_Klasse();
EXTERN_CHYLLA	void chylla__berechne_c2D_pro_Knoten();
EXTERN_CHYLLA	void chylla__berechne_VarKoeffizienten();

EXTERN_CHYLLA	int		*chylla_CheckVerfahren();
EXTERN_CHYLLA	void	chylla_InitNetz();
EXTERN_CHYLLA	void	chylla_InitIteration();
EXTERN_CHYLLA	void	chylla_Iterationsschritt();
EXTERN_CHYLLA	int		chylla_IterationsAbbruch();
EXTERN_CHYLLA	void	chylla_Leistung();

