/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  91058 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/


/* LookUpTabellen fuer eine Klasse und zwei Server */

static char *SccsLut_k1_m2_h = "@(#)PEPSY:\tlut_k1_m2.h\t1.2\t95/05/19 15:37:23";

# include "lut_cb.h"
# include "lut_macros.h"


LookUpTab_CB LUT_K1_M2_R03_CA025 [] = {
	{0.25, COS},
	{0.5, KIM},
	{0.75, COS},
	{1.0, KLB},
	{1.25, COS},
	{1.5, KLB},
	{2.0, MAR},
	{3.0, MAR},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R03_CA05 [] = {
	{0.25,COS },
	{0.5, COS},
	{0.75, KLB},
	{1.0, KLB},
	{1.25, COS},
	{1.5, MAR},
	{2.0, MAR},
	{3.0, MAR},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R03_CA075 [] = {
	{0.25, KLB},
	{0.5, KLB},
	{0.75, KLB},
	{1.0, PAG},
	{1.25, MAR},
	{1.5, MAR},
	{2.0, MAR},
	{3.0, PAG},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R03_CA1 [] = {
	{0.25, PAG},
	{0.5, PAG},
	{0.75, PAG},
	{1.0, PAG},
	{1.25, KIM},
	{1.5, KIM},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R03_CA125 [] = {
	{0.25, A_C},
	{0.5, A_C},
	{0.75, MAR},
	{1.0, A_C},
	{1.25, COS},
	{1.5, COS},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R03_CA15 [] = {
	{0.25, A_C},
	{0.5, MAR},
	{0.75, A_C},
	{1.0, A_C},
	{1.25, KLB},
	{1.5, COS},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R03_CA2 [] = {
	{0.25, A_C},
	{0.5, MAR},
	{0.75, A_C},
	{1.0, A_C},
	{1.25, KLB},
	{1.5, KLB},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R03_CA3 [] = {
	{0.25, MAR},
	{0.5, MAR},
	{0.75, A_C},
	{1.0, A_C},
	{1.25, KLB},
	{1.5, KLB},
	{2.0, KLB},
	{3.0, KLB},
	ENDE_KENNUNG
};


LookUpTab_CB LUT_K1_M2_R05_CA025 [] = {
	{0.25, COS},
	{0.5, KIM},
	{0.75, KLB},
	{1.0, COS},
	{1.25, PAG},
	{1.5, MAR},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R05_CA05 [] = {
	{0.25, COS},
	{0.5, COS},
	{0.75, COS},
	{1.0, PAG},
	{1.25, MAR},
	{1.5, MAR},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R05_CA075 [] = {
	{0.25, KLB},
	{0.5, COS},
	{0.75, PAG},
	{1.0, PAG},
	{1.25, MAR},
	{1.5, MAR},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R05_CA1 [] = {
	{0.25, PAG},
	{0.5, PAG},
	{0.75, PAG},
	{1.0, PAG},
	{1.25, KIM},
	{1.5, KIM},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R05_CA125 [] = {
	{0.25,  A_C},
	{0.5,  A_C},
	{0.75,A_C},
	{1.0, KLB},
	{1.25, COS},
	{1.5, COS},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R05_CA15 [] = {
	{0.25, MAR},
	{0.5, KLB},
	{0.75, KLB},
	{1.0, KLB},
	{1.25, KLB},
	{1.5, COS},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R05_CA2 [] = {
	{0.25, MAR},
	{0.5, KLB},
	{0.75, KLB},
	{1.0, KLB},
	{1.25, KLB},
	{1.5, KLB},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R05_CA3 [] = {
	{0.25, KLB},
	{0.5, KLB},
	{0.75, KLB},
	{1.0, KLB},
	{1.25, KLB},
	{1.5, KLB},
	{2.0, KLB},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R07_CA025 [] = {
	{0.25, KLB},
	{0.5, KIM},
	{0.75, KIM},
	{1.0, PAG},
	{1.25, KIM},
	{1.5, MAR},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R07_CA05 [] = {
	{0.25, KIM},
	{0.5, COS},
	{0.75, COS},
	{1.0, PAG},
	{1.25, KIM},
	{1.5, KIM},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R07_CA075 [] = {
	{0.25, KLB},
	{0.5, PAG},
	{0.75, PAG},
	{1.0, PAG},
	{1.25, KIM},
	{1.5, KIM},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R07_CA1 [] = {
	{0.25, PAG},
	{0.5, PAG},
	{0.75, PAG},
	{1.0, PAG},
	{1.25, KIM},
	{1.5, KIM},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R07_CA125 [] = {
	{0.25, KLB},
	{0.5, KLB},
	{0.75, KLB},
	{1.0, KLB},
	{1.25, COS},
	{1.5, COS},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R07_CA15 [] = {
	{0.25, KLB},
	{0.5, KLB},
	{0.75, KLB},
	{1.0, KLB},
	{1.25, COS},
	{1.5, COS},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R07_CA2 [] = {
	{0.25, KLB},
	{0.5, KLB},
	{0.75, KLB},
	{1.0, KLB},
	{1.25, KLB},
	{1.5, COS},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R07_CA3 [] = {
	{0.25, KLB},
	{0.5, KLB},
	{0.75, KLB},
	{1.0, KLB},
	{1.25, KLB},
	{1.5, KLB},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R08_CA025 [] = {
	{0.25, KLB},
	{0.5, COS},
	{0.75, KIM},
	{1.0, PAG},
	{1.25, MAR},
	{1.5, MAR},
	{2.0, KIM},
	{3.0, KIM}
};

LookUpTab_CB LUT_K1_M2_R08_CA05 [] = {
	{0.25, KIM},
	{0.5, COS},
	{0.75, MAR},
	{1.0, MAR},
	{1.25, KIM},
	{1.5, KIM},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R08_CA075 [] = {
	{0.25, KLB},
	{0.5, KLB},
	{0.75, PAG},
	{1.0, PAG},
	{1.25, KIM},
	{1.5, KIM},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R08_CA1 [] = {
	{0.25, PAG},
	{0.5, PAG},
	{0.75, PAG},
	{1.0, PAG},
	{1.25, KIM},
	{1.5, KIM},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R08_CA125 [] = {
	{0.25, KLB},
	{0.5, KLB},
	{0.75, KLB},
	{1.0, COS},
	{1.25, COS},
	{1.5, COS},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R08_CA15 [] = {
	{0.25, KLB},
	{0.5, KLB},
	{0.75, KLB},
	{1.0, COS},
	{1.25, COS},
	{1.5, COS},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R08_CA2 [] = {
	{0.25, KLB},
	{0.5, KLB},
	{0.75, KLB},
	{1.0, KLB},
	{1.25, COS},
	{1.5, COS},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R08_CA3 [] = {
	{0.25, KLB},
	{0.5, KLB},
	{0.75, KLB},
	{1.0, KLB},
	{1.25, COS},
	{1.5, COS},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R09_CA025 [] = {
	{0.25, KLB},
	{0.5, COS},
	{0.75, KIM},
	{1.0,PAG },
	{1.25, MAR},
	{1.5, MAR},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R09_CA05 [] = {
	{0.25, MAR},
	{0.5, KIM},
	{0.75, KIM},
	{1.0, MAR},
	{1.25, KIM},
	{1.5, KIM},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R09_CA075 [] = {
	{0.25, KIM},
	{0.5, MAR},
	{0.75, PAG},
	{1.0, PAG},
	{1.25, KIM},
	{1.5, KIM},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R09_CA1 [] = {
	{0.25, PAG},
	{0.5, PAG},
	{0.75, PAG},
	{1.0, PAG},
	{1.25, KIM},
	{1.5, KIM},
	{2.0, KIM},
	{3.0, KIM},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R09_CA125 [] = {
	{0.25, COS},
	{0.5, KLB},
	{0.75, KLB},
	{1.0, COS},
	{1.25, COS},
	{1.5, COS},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R09_CA15 [] = {
	{0.25, COS},
	{0.5, COS},
	{0.75, COS},
	{1.0, COS},
	{1.25, COS},
	{1.5, COS},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R09_CA2 [] = {
	{0.25, COS},
	{0.5, COS},
	{0.75, COS},
	{1.0, COS},
	{1.25, COS},
	{1.5, COS},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};

LookUpTab_CB LUT_K1_M2_R09_CA3 [] = {
	{0.25, COS},
	{0.5, COS},
	{0.75, COS},
	{1.0, COS},
	{1.25, COS},
	{1.5, COS},
	{2.0, COS},
	{3.0, COS},
	ENDE_KENNUNG
};
