/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  91058 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/


/***********************************************************
************************************************************
**
**  Modulname: lut_macros.h
**
**	Beschreibung:
**  Definition der Macros fuer die Nachschlagetabellen
**
***********************************************************
***********************************************************/

# ifndef LUT_MACROS
# define LUT_MACROS

static char *SccsLut_macros_h = "@(#)PEPSY:\tlut_macros.h\t1.2\t95/05/19 15:37:44";


# define COS "cos", Q_Cosmetatos
# define KIM "kim", Q_Kimura
# define KLB "klb", Q_KramerLangen
# define A_C "a_c", Q_Allen_Cunneen
# define PAG "pag", Q_Page
# define MAR "mar", Q_Marchal 

# define ENDE_KENNUNG {-1.0, NULL, NULL}




# endif
