static char *SccsId = "@(#)PEPSY:\tleistung.c\t1.2\t92/03/27 11:46:31";

#include "def_EPA"
/***********************************************************

     Funktion 
     TIEF()

     Wird aufgerufen in:
     - Funktion
       MWA()           gespeichert auf File  "leistung.c"
     - Funktion                                    
       Funkt()              "       "   "          "
     - Funktion
       Pilkber()            "       "   "          "
     - Funktion
       Leistung()           "       "   "          "

     

***********************************************************/

TIEF (J)

int J;

{

	switch(J)
	{
	case 1: 
		j1--;
		break;

	case 2: 
		j2--;
		break;

	case 3: 
		j3--;
		break;

	case 4: 
		j4--;
		break;

	case 5: 
		j5--;
		break;

	} /* Ende switch */

} /* Ende TIEF() */



/***********************************************************

     Funktion 
     HOCH()

     Wird aufgerufen in:       
     - Funktion
       MWA()           gespeichert auf File  "leistung.c"
     - Funktion                                    
       Funkt()              "       "   "          "
     - Funktion
       Pilkber()            "       "   "          "
     - Funktion
       Leistung()           "       "   "          "



***********************************************************/

HOCH (J)

int J;

{

	switch(J)
	{
	case 1: 
		j1++;
		break;

	case 2: 
		j2++;
		break;

	case 3: 
		j3++;
		break;

	case 4: 
		j4++;
		break;

	case 5: 
		j5++;
		break;

	} /* Ende switch */

} /* Ende HOCH() */
/***********************************************************

     Funktion
     Leistung()
 
     Wird aufgerufen im:
     - Hauptprogramm

     ruft auf:
     - Funktion
       TIEF()           gespeichert auf File  "leistung.c"
     - Funktion 
       HOCH()                "       "   "          "
     - Funktion 
       KIR()                 "       "   "          "
     - Funktion 
       FAK()                 "       "   "          "
     - Funktion
       Lgesamt()             "       "   "          "
     - Funktion
       Potenz()              "       "   "    "leistung.c"
       
     Berechnet die Leistungsgroessen je Knoten und Klasse
     aus der Normalisierungskonstanten und die Gesamt-
     leistungsgroessen des Netzes.

***********************************************************/

Leistung()

{

	int i,r,rr,kk1,kk2,kk3,kk4,kk5,ks,js,t1,t2,t3,t4,t5,
	rhilf[RMAX];
	int debg=0;

	double sum,
	summe,
	h1,
	h2,
	Potenz();
	extern index5();
	double FAK();

	/* Berechnung des Durchsatzes fuer die einzelnen Knoten */
	h1=ggalt[index5(anz_auftr[0],anz_auftr[1],anz_auftr[2],anz_auftr[3],anz_auftr[4])];
	for ( r=0; r<R; r++ )
	{
		anz_auftr[r]=anz_auftr[r]-1;
		h2=ggalt[index5(anz_auftr[0],anz_auftr[1],anz_auftr[2],anz_auftr[3],anz_auftr[4])]/h1;
		anz_auftr[r]=anz_auftr[r]+1;
		for ( i=0; i<N; i++ )
			lamda[i][r]=ee[i][r]*h2;
	}

	/* Berechnung der restlichen Leistungsgroessen */
	for ( i=0; i<N; i++ )
	{
		/* Infinite Server */
		if ( BE[i]==0 )
		{
			for ( r=0; r<R; r++ )
			{
				rho[i][r]=0.0;
				w[i][r]=0.0;
				q[i][r]=0.0;
				k_ir[i][r]=lamda[i][r]/my[i][r];
				if(lamda[i][r] > 0.0)
					t[i][r]=1/my[i][r];
				else
					t[i][r] = 0.0;
			}
		}

		else
		{
			for ( j1=0; j1<=anz_auftr[0]; j1++ )
				for ( j2=0; j2<=anz_auftr[1]; j2++ )
					for ( j3=0; j3<=anz_auftr[2]; j3++ )
						for ( j4=0; j4<=anz_auftr[3]; j4++ )
							for ( j5=0; j5<=anz_auftr[4]; j5++ )
							{
								js=j1+j2+j3+j4+j5;

								if ( BE[i] == 1 )
								{
/* code folded from here */
	h1=1.0;
	for ( rr=0; rr<R; rr++ )
		h1=h1/FAK(KIR(rr))*Potenz((ee[i][rr]/my[i][rr]),KIR(rr));
	ff[index5(j1,j2,j3,j4,j5)]=FAK(js)*h1;
/* unfolding */
								}

								if ( BE[i] > 1 )
								{
/* code folded from here */
	h1=1.0;
	for ( rr=0; rr<R; rr++ )
		h1=h1/FAK(KIR(rr))*Potenz(ee[i][rr],KIR(rr));
	h2=1.0;
	for ( rr=1; rr<=js; rr++ )
	{
		if ( rr <= BE[i] )
			h2=h2*rr*my[i][0];
		else
			h2=h2*BE[i]*my[i][0];
	}
	ff[index5(j1,j2,j3,j4,j5)]=FAK(js)/h2*h1;
/* unfolding */
								}
							} /* Ende Berechnung ff */

			if ( BE[i] > 1 )
			{
				for ( j1=0; j1<=anz_auftr[0]; j1++ )
					for ( j2=0; j2<=anz_auftr[1]; j2++ )
						for ( j3=0; j3<=anz_auftr[2]; j3++ )
							for ( j4=0; j4<=anz_auftr[3]; j4++ )
								for ( j5=0; j5<=anz_auftr[4]; j5++ )
								{
/* code folded from here */
	gN[index5(0,0,0,0,0)]=1.0;
	summe=0.0;
	for ( rr=0; rr<R; rr++ )
	{
		sum=0.0;
		TIEF(rr+1);
		t1=j1;
		t2=j2;
		t3=j3;
		t4=j4;
		t5=j5;
		HOCH(rr+1);
		for ( kk1=0; kk1<=t1; kk1++ )
			for ( kk2=0; kk2<=t2; kk2++ )
				for ( kk3=0; kk3<=t3; kk3++ )
					for ( kk4=0; kk4<=t4; kk4++ )
						for ( kk5=0; kk5<=t5; kk5++ )
						{
		ks=kk1+kk2+kk3+kk4+kk5;
		if ( ks <= BE[i]-2 )
			sum=sum+(BE[i]-1.0-ks)/(ks+1.0)*ff[index5(kk1,kk2,kk3,kk4,kk5)]*
				    gN[index5(t1-kk1,t2-kk2,t3-kk3,t4-kk4,t5-kk5)];
						}
		TIEF(rr+1);
		if (j1>=0 && j2>=0 && j3>=0 && j4>=0 && j5>=0)
		   summe=summe+ee[i][rr]/my[i][rr]*(ggalt[index5(j1,j2,j3,j4,j5)]+sum);
		HOCH(rr+1);
	}
	gN[index5(j1,j2,j3,j4,j5)]=ggalt[index5(j1,j2,j3,j4,j5)]-summe/BE[i];
	gN[index5(0,0,0,0,0)]=1.0;
/* unfolding */
								}
			} /* Ende Berechnung gN */

			for ( j1=0; j1<=anz_auftr[0]; j1++ )
				for ( j2=0; j2<=anz_auftr[1]; j2++ )
					for ( j3=0; j3<=anz_auftr[2]; j3++ )
						for ( j4=0; j4<=anz_auftr[3]; j4++ )
							for ( j5=0; j5<=anz_auftr[4]; j5++ )
							{
/* code folded from here */
	h2=ff[index5(j1,j2,j3,j4,j5)]/ggalt[index5(anz_auftr[0],anz_auftr[1],anz_auftr[2], 
	anz_auftr[3],anz_auftr[4])];
	if ( BE[i] == 1 )
	{
	h1=0.0;
	for ( rr=0; rr<R; rr++ )
	{
		HOCH(rr+1);
		if ( j1 <= anz_auftr[0] && j2 <= anz_auftr[1] && j3 <= anz_auftr[2] &&
		    j4 <= anz_auftr[3] && j5 <= anz_auftr[4] )
			h1=h1+ee[i][rr]/my[i][rr]*ggalt[index5(anz_auftr[0]-j1,anz_auftr[1]-j2, 
			anz_auftr[2]-j3,anz_auftr[3]-j4,anz_auftr[4]-j5)];
		TIEF(rr+1);
	}
	PI[index5(j1,j2,j3,j4,j5)]=h2*(ggalt[index5(anz_auftr[0]-j1,anz_auftr[1]-j2, 
	anz_auftr[2]-j3,anz_auftr[3]-j4,anz_auftr[4]-j5)]-h1);
/* unfolding */
								}

								if ( BE[i] > 1 )
/* code folded from here */
	PI[index5(j1,j2,j3,j4,j5)]=h2*gN[index5(anz_auftr[0]-j1,anz_auftr[1]-j2,
	    anz_auftr[2]-j3,anz_auftr[3]-j4,anz_auftr[4]-j5)];
/* unfolding */
							} /* Ende Berechnung pi */
			for ( r=0; r<RMAX; r++ )
				rhilf[r]=0;
			for ( r=0; r<R; r++ )
			{
				rhilf[r]=1;
				sum=0.0;
				summe=0.0;
				for ( j1=rhilf[0]; j1<=anz_auftr[0]; j1++ )
					for ( j2=rhilf[1]; j2<=anz_auftr[1]; j2++ )
						for ( j3=rhilf[2]; j3<=anz_auftr[2]; j3++ )
							for ( j4=rhilf[3]; j4<=anz_auftr[3]; j4++ )
								for ( j5=rhilf[4]; j5<=anz_auftr[4]; j5++ )
								{
/* code folded from here */
	h1=PI[index5(j1,j2,j3,j4,j5)]*KIR(r);
	sum=sum+h1;
	/*
	if ( BE[i] > 1 )
		summe=summe+h1/((j1+j2+j3+j4+j5)*BE[i])*((BE[i] > j1+j2+j3+j4+j5) ? (j1+j2+j3+j4+j5) : BE[i] ); 
        */
/* unfolding */
								}
				k_ir[i][r]=sum;
				if ( BE[i] > 1 )
					rho[i][r]=lamda[i][r]/(my[i][r] * BE[i]);
				        /*	
					rho[i][r] = summe;
					*/
				if ( BE[i] == 1 )
					rho[i][r]=lamda[i][r]/my[i][r];
				rhilf[r]=0;

				if(lamda[i][r] > 0.0 )
				{
					t[i][r]=k_ir[i][r]/lamda[i][r];
					w[i][r]=t[i][r]-1/my[i][r];
					q[i][r]=lamda[i][r]*w[i][r];
				}
				else
				{
					t[i][r] = 0.0;
					w[i][r] = 0.0;
					q[i][r] = 0.0;
				}
			}
		}
	}
} /* Ende Leistung() */


/***********************************************************

     Funktion
     FAK()

     wird aufgerufen in:
     - Funktion
       Leistung()       gespeichert auf File  "leistung.c"

     Berechnet die Fakultaet des Aufrufparameters.

*************************************************************/

double  FAK(X)

int X;

{

	int    x;
	double fak;

	fak=1;

	for ( x=1; x<=X; x++ )
		fak=fak*x;

	return(fak);

} /* Ende FAK() */



/***********************************************************

     Funktion
     KIR()

     wird aufgerufen in:
     - Funktion
       Leistung()       gespeichert auf File  "leistung.c"

     Liefert die Auftragszahl in Klasse R zurueck.

*************************************************************/

KIR(RR)

int RR;

{

	int kir;

	switch(RR+1)
	{
	case 1: 
		kir=j1;
		break;

	case 2: 
		kir=j2;
		break;

	case 3: 
		kir=j3;
		break;

	case 4: 
		kir=j4;
		break;

	case 5: 
		kir=j5;
		break;

	}

	return(kir);

} /* Ende KIR() */

/******************************************************************

FUNKTION  
Potenz()

Wird aufgerufen in:
-Funktion
 Leistung         gespeichert auf File "leistung.c"

Die Funktion "Potenz()" berechnet "x hoch y", wobei y>0 und ganz-
zahlig sein muss. Die Funktion liefert eine reele Zahl zurueck.

*****************************************************************/

double Potenz(X,Y)
int Y;
double X;
{
 
 int I;
 double W,Z;
   
 W=X;
 Z=1;
 I=Y;

 while(I>0)
   {
    if(I%2!=0)
      Z=Z*W;
    I=I/2;
    W=W*W;
   }

 return(Z);

} /* Ende Potenz */
