/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

static char *SccsGDaten_h = "@(#)PEPSY:\tgdaten.h\t1.3\t93/05/19 15:18:59";

#ifdef MAIN
#define EXTERN
#else
#define EXTERN extern
#endif



EXTERN	int N;				/* anzahl der knoten			*/



/*			ankunftsprozess von aussen				*/

EXTERN	double	*lambda0,		/* ankunftsrate ,i = 1..N		*/
       		*c0;			/* varkoeff ,i = 1..N			*/




/*			die parameter der knoten, i =1..N			*/

EXTERN	double	*my_R,			/* bedienrate				*/
	      	*cB_R,			/* varkoeff				*/
		**p_R ;	 		/* uebergangswahrscheinlichkeiten,
								 *j = 0..N	*/

EXTERN	double	epsilon ;		/* genauigkeitsschranke			*/

EXTERN	double	*lambda_R,		/* ankunftraten der einzelnen knoten	*/
      		*rho_R;			/* auslastung, i =1..N			*/



/*			groessen nach ersetzung der rueckkopplung		*/

EXTERN	double	*my,
		*cB_q,			/* varkoeff cB zum quadrat		*/
		**p,
		*rho,
		*lambda;

EXTERN	double	**c,			/* die unbekannten varkoeff		*/
		*cA_q,			/* v des ankunftsprozesses		*/
		*cD_q,			/* v des abgangprozesses		*/
		*g;			/* funktion g aus schritt6		*/

EXTERN	double	**c_neu,		/* v der (i+1).ten iteration		*/
		**c_alt,		/* v der i-ten iteration		*/
		**c_delta;		/* differenz cneu -calt			*/

EXTERN	int	knoten,			/* laufvariablen fuer die iterationen	*/
		iteration;
