/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

static char *SccsId = "@(#)PEPSY:\tkarl.c\t1.2\t92/03/27 11:48:00";

#include <stdio.h>

/*  aufruf von gauss 
 *  parameter: Dimension N,uebergangswkeitsmatrix p,
 *  ankunftsraten von aussen lambda0
 *  ausgabe : ankunftsraten lambda ;
 */
karl(N,p,lambda0,lambda)
	int N;
	double **p, *lambda0, *lambda ;
{
	int i,j,rvalue;
	double q, *lambda0t;
	extern int gauss();

	lambda0t=(double *)calloc(N,sizeof(double));
	for(i=0; i<N; i++)
		lambda0t[i]=lambda0[i];

	for(i=0;i<N;i++)
		p[i][i] -= 1.0;

	for(i=0;i<N;i++)
		lambda0t[i] *= -1.0;

	rvalue=gauss(p,lambda,lambda0t,N,0.0000001);
	free(lambda0t);

	if(rvalue == -1)
	{
		printf("kuehn_versagt\n 0 0 0\n");
		exit(1);
	}
}
