/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

static char *SccsId = "@(#)PEPSY:\tschritt2.c\t1.2\t93/05/19 15:10:18";

#include "gdaten.h"

schritt2()
/*substitution aller knoten mit direkter rueckkopplung
 *durch knoten ohne rueckkopplung */
{
	int i,j;
#	ifdef DEBUG
	printf("\n");
	printf("schritt2\n");
#	endif
	for (i=1;i<=N;i++)
	{
        	if(p_R[i][i] > 0)
		{
		 	my[i]   = my_R[i] * (1-p_R[i][i]);
			cB_q[i] = p_R[i][i] 
				  +(1- p_R[i][i])*(cB_R[i]*cB_R[i]);
			for(j=0;j<=N;j++)
			{
				if(j!=i)
				{
				  p[i][j] = p_R[i][j] / (1-p_R[i][i]);
				}
			}
			p[i][i] =0 ;
		}
		else
		{
			my[i] =my_R[i];
			cB_q[i] = cB_R[i] * cB_R[i];
			for(j=0;j<=N;j++)
				p[i][j] = p_R[i][j];
		}
	}
#ifdef DEBUG
	printf("die veraenderten parameter nach substitution:\n");
	for (i=1; i<=N;i++)
	{
		printf("my[%d]=%lg\n",i,my[i]);
		printf("cB_q[%d]=%lg\n",i,cB_q[i]);
		for(j=0;j<=N;j++)
		{
			printf("%lg  ",p[i][j]) ;
		}
		printf("\n");

	}
#endif
}



