/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

static char *SccsId = "@(#)PEPSY:\tschritt4.c\t1.2\t93/05/19 15:10:21";

#include "gdaten.h"

schritt4()
/*die unbekannten varkoeffizienten werden 1gesetzt
 *und zwar nur jene fuer die ein uebergang definiert (p>0) */
 {
	int i,j;
#	ifdef DEBUG
	printf("\n");
	printf("schritt4\n");
#	endif

	for (i=1;i<=N;i++)
		{ for (j=1;j<=N;j++)
			{ if (p[i][j] > 0)
				c[i][j] = 1.0;
			  else
				c[i][j] = -1.0;
			}
		}

#	ifdef DEBUG
	printf("matrix der varkoeff nach vorbesetzung:\n\n");
	for (i=1;i<=N;i++)
		{ for (j=1;j<=N;j++)
			printf("%lg   ",c[i][j]);
		  printf("\n");
		}
#	endif
}
