/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

static char *SccsId = "@(#)PEPSY:\tschritt7.c\t1.2\t93/05/19 15:10:26";

#include "gdaten.h"
#include <math.h>

schritt7()
/* ermittlung des varkoeff c[i][j] der teilprozesse des abgangsprozesses
*/
{
	int l;
	double d;
#	ifdef DEBUG
	printf("\n");
	printf("schritt7\n");
#	endif
	for(l=1;l<=N;l++)
	{   if( c[knoten][l] > 0)
		{
		      d = (p[knoten][l] * cD_q[knoten])
			    + (1-p[knoten][l]);
		      c[knoten][l] = sqrt(d);
#			ifdef DEBUG
		      printf("c_q = %lg\n",d);
		      printf("c[%d][%d] = %lg\n",knoten,l,c[knoten][l]);
#			endif
		}
	}
}
