/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

static char *SccsId = "@(#)PEPSY:\tmem_aus.c\t1.2\t92/03/27 11:49:00";

/* ***************************************************************
**                                                              **
**                     Include Dateien                          **
**                                                              **
*************************************************************** */

#include <stdio.h>
#include "mem_netz.h"

/* ***************************************************************
**                                                              **
**                        ausgabe                               **
**                aufgerufen von : main()                       **
**                                                              **
*************************************************************** */

ausgabe()
{                    /* Ausgabe im Pepsy Format */
	int i,r;             /* ZAEHLVARIABLEN i : KNOTEN r: KLASSE */
	double rmue;         /* Reziprok von der Bedienrate mue     */

	/* Ausgabe fuer Pepsy */

	fprintf(stdout,"mem\n\n");

	/* Name des Verfahrens */

	fprintf(stdout,"%d %d %d\n\n",netz.typ,netz.knoten,netz.klasse);

	/* Typ -- Anzahl Knoten -- Anzahl Klassen */

	for(r=0;r<netz.klasse;r++)
	{
		for(i=0;i<netz.knoten;i++)
		{
			fprintf(stdout,"%f ",netz.ankunftsrate[r][i]);

			/* Ankunftsrate pro Klasse und Knoten */

			fprintf(stdout,"%f ",netz.bsh[r][i]);

			/* Besuchshaeufigkeit */

			if (netz.bedienrate[r][i] == 0.0)
				rmue = 0.0;
			else
				rmue = 1/netz.bedienrate[r][i];
			fprintf(stdout,"%f ", rmue);

			/* Bedienzeit pro Klasse und Knoten */

			fprintf(stdout,"%f ",netz.auslastung[r][i]);

			/* Auslastung ... */

			fprintf(stdout,"%f ",netz.verweilzeit[r][i]);

			/* Verweilzeit ... */

			fprintf(stdout,"%f ",netz.anzauftrag[r][i]);

			/* mittlere Anzahl von Auftraegen ... */

			fprintf(stdout,"%f ",netz.wartezeit[r][i]);

			/* Wartezeit ... */

			fprintf(stdout,"%f\n",netz.warteschlange[r][i]);

			/* mittlere Warteschlangenlaenge ... */
		} /* ENDE for(i) */
		fprintf(stdout,"\n");
	} /* ENDE for(r) */
} /* ENDE ausgabe */
