/* multidef.h

   typedef's und define's fuer multisum.
*/

static char *SccsMultidef_h = "@(#)PEPSY:\tmultidef.h\t1.3\t92/12/09 16:43:59";

#include <stdio.h>

#ifndef min
#define min(a,b) ((a)>(b)?(b):(a))
#endif

typedef unsigned char bool;

#define true      1
#define false     0
#define MAXDOUBLE 1.7976931348623157e+308
#define MAXFLOAT  3.4028234663852886e+38
#define MINRHO    1e-32 /* Schranke fuer Rho */
#define MAXIT     10000 /* max. Zahl der Summ.-Schritte */
#define KMAXIT    200   /* max. Zahl der Schachtelungen bei kor_lam() */
#define EPS       .0001 /* Schranke fuer Verfahrensabbruch */
#define KEPS      EPS/(kl+1.0) /* Schranke fuer kor_lam() */
#define null      1e-16 /* eigener 'Null'-Wert */
#define stckl     3     /* Startwert von ckl */

/* -------- option.c - defines ---------------------- */

#define Anz_Opt   sizeof(option)-1

/* -------- stuetz.c - defines ---------------------- */
 
#define MINMUE    1e-05 /* Minimum fuer mue */
#define MAXMUE    1e+05 /* Maximum fuer mue */
#define MAXPKT    622   /* max. Zahl Stuetzpunkte */
#define STPKT     50    /* ungefaehre Zahl gew. Stuetzpunkte */
#define MINMAB    .1    /* minimalster Wert von 'maxab' */
#define XF        .3    /* Multiplikator */
#define YF        2.2   /* Multiplikator */

/* -------- vermom.c - defines ---------------------- */

#define prand_n   15.0
#define vmaa_n    auftraege/2.0
#define vmvz_n    auftraege/2.0
#define vmwz_n    auftraege/2.0
