static char *SccsId = "@(#)PEPSY:\tmultisum.c\t1.4\t92/12/09 16:44:00";

/* multisum.c

   Hauptprogramm 'multisum'.
*/

#include "multidef.h"

extern bool   mm1;
extern unsigned int   opt;
extern int    kn,
kl,
ukn,
ukl,
lkl;

extern void   stuetz(),
lstuetz(),
Analyse(),
eingabe(),
ausgabe(),
readopt(),
Blockfree(),
ber_prand(),
setfopt(),
fehler_ex();
extern unsigned int   topt();
extern FILE   *fopen();

FILE *fd=0;

void abbruch(sig)
int sig;
{
        printf("multisum_signal_%d\n 0 0 0 \n", sig);
        exit(1);
}

main(argc,argv)
int argc;
char *argv[];
{
	/*		Sccs support from SccsLogging.c			*/	
	extern int SccsRelease;
	extern int SccsLevel;

  {
        int i;
        void abbruch();

        for (i=1; i<12; i++)
                signal (i, abbruch);
  }


		if ((argc > 1) && (!strcmp(argv[1], "-V")))    /* kirschni 22.11.1991 */
		{
			fprintf(stdout, "%s Version %d.%d\n", argv[0], SccsRelease, SccsLevel);
			exit(0);
		}

	setfopt();
	readopt(argc,argv);
	eingabe();
	if (ukn>=kn || ukl>=kl || lkl>=kl)
	{
		fprintf(stderr,"Falsche Spezifikation Knoten bzw. Klasse (-u,-l) !\n");
		Blockfree();
		fehler_ex(14);
	}
	if (opt&topt("d"))
	{
		fd=fopen("mul_debug","w");
		if (!fd)
		{
			fprintf(stderr,"File 'mul_debug' nicht zu oeffnen\n");
			opt^=topt("d");
		}
	}
	if (opt&topt("d")) fprintf(fd,"option  : %u\n",opt);
	if (opt&topt("ul"))
	{
		if (opt&topt("l")) lstuetz();
		if (opt&topt("u")) stuetz();
		Blockfree();
		exit(0);
	}
	Analyse();
	if (opt&topt("m"))
		if (mm1) ber_prand();
	ausgabe();
	Blockfree();
	return 0;
}
