/* SccsLogging.c
 *
 * Protokoll-Datei fuer die Delta-Historie aller SCCS-Dateien
 * eines Verzeichnisses.
 * ACHTUNG: Diese Datei darf nicht manuell bearbeitet werden.
 *
 * SccsLogging.o wird zu jedem Programm hinzugebunden. In der
 * main()-Routine jedes Programmes werden die beiden globalen
 * Variablen SccsRelease und SccsLevel referenziert.
 *
 * SccsLogging.o wird in jede Bibliothek aufgenommen, jedoch
 * nicht von dort geladen und in eine Phase eingebunden.
 */

static	char	*SccsId	
		= "@(#)PEPSY:\tSccsLogging.c\t1.17\t94/03/03 12:46:20";
	int	SccsRelease	= 1;
	int	SccsLevel	= 17;

/* ignition */
/*	Makefile	1.1	92/02/27 10:42:51 admpepsy	*/
/*	funktionen.h	1.1	92/02/27 10:42:53 admpepsy	*/
/*	global.h	1.1	92/02/27 10:42:56 admpepsy	*/
/*	mmva.c	1.1	92/02/27 10:42:58 admpepsy	*/
/*	SccsLogging.c	1.1	92/02/27 10:43:01 admpepsy	*/

/* Sccsid string, Version, Sequent   kirschni */
/*	Makefile	1.2	92/03/06 11:15:04 admpepsy	*/
/*	funktionen.h	1.2	92/03/06 11:15:06 admpepsy	*/
/*	global.h	1.2	92/03/06 11:15:09 admpepsy	*/
/*	mmva.c	1.2	92/03/06 11:15:11 admpepsy	*/
/*	SccsLogging.c	1.2	92/03/06 11:15:13 admpepsy	*/

/* bug fixed   kirschni */
/*	mmva.c	1.3	92/03/13 10:08:41 admpepsy	*/
/*	SccsLogging.c	1.3	92/03/13 10:08:43 admpepsy	*/

/* index durch Index ersetzt um Kollision mit stringlib zu vermeiden  kirschni */
/*	funktionen.h	1.3	92/03/18 09:32:12 admpepsy	*/
/*	mmva.c	1.4	92/03/18 09:32:15 admpepsy	*/
/*	SccsLogging.c	1.4	92/03/18 09:32:18 admpepsy	*/

/* ulong in Ulong umbenannt   kirschni */
/*	funktionen.h	1.4	92/03/23 09:29:28 admpepsy	*/
/*	global.h	1.3	92/03/23 09:29:45 admpepsy	*/
/*	mmva.c	1.5	92/03/23 09:29:52 admpepsy	*/
/*	SccsLogging.c	1.5	92/03/23 09:30:03 admpepsy	*/

/* purge: clobber   kirschni */
/*	Makefile	1.3	92/03/25 17:03:59 admpepsy	*/
/*	SccsLogging.c	1.6	92/03/25 17:04:05 admpepsy	*/

/* Version von knroggen eingefuehrt	kirschni */
/*	funktionen.h	1.5	92/06/22 12:31:11 admpepsy	*/
/*	global.h	1.4	92/06/22 12:31:16 admpepsy	*/
/*	mmva.c	1.6	92/06/22 12:31:20 admpepsy	*/
/*	SccsLogging.c	1.7	92/06/22 12:31:23 admpepsy	*/

/* sqrt	bereinigt	kirschni */
/*	funktionen.h	1.6	92/12/08 09:51:59 admpepsy	*/
/*	SccsLogging.c	1.8	92/12/08 09:52:02 admpepsy	*/

/* j[10] -> j[11]	kirschni */
/*	funktionen.h	1.7	93/05/14 15:37:13 admpepsy	*/
/*	SccsLogging.c	1.9	93/05/14 15:37:17 admpepsy	*/

/* Ausgabe der Momente nun tabellarisch (hahn) */
/*	mmva.c	1.7	93/10/01 09:37:44 admpepsy	*/
/*	funktionen.h	1.8	93/10/01 09:37:46 admpepsy	*/
/*	global.h	1.5	93/10/01 09:37:49 admpepsy	*/
/*	SccsLogging.c	1.10	93/10/01 09:37:50 admpepsy	*/

/* Multi-Language-Support hinzu; Debug-Ausgaben ausmaskiert (hahn) */
/*	mmva.c	1.8	93/10/25 16:05:03 admpepsy	*/
/*	funktionen.h	1.9	93/10/25 16:05:04 admpepsy	*/
/*	global.h	1.6	93/10/25 16:05:05 admpepsy	*/
/*	SccsLogging.c	1.11	93/10/25 16:05:06 admpepsy	*/

/* asym_opt herausgenommen (wird mit opt-Flags erschlagen); Default `-va' (hahn) */
/*	mmva.c	1.9	93/10/26 12:33:49 admpepsy	*/
/*	funktionen.h	1.10	93/10/26 12:33:50 admpepsy	*/
/*	global.h	1.7	93/10/26 12:33:51 admpepsy	*/
/*	SccsLogging.c	1.12	93/10/26 12:33:52 admpepsy	*/

/* die neue mva ersetzt mmva ammva und asymmva	kirschni */
/*	Makefile	1.4	94/02/02 11:25:36 admpepsy	*/
/*	funktionen.h	1.11	94/02/02 11:25:38 admpepsy	*/
/*	global.h	1.8	94/02/02 11:25:41 admpepsy	*/
/*	mmva.c	1.10	94/02/02 11:25:43 admpepsy	*/
/*	SccsLogging.c	1.13	94/02/02 11:25:45 admpepsy	*/

/* pfad geaendert	kirschni */
/*	Makefile	1.5	94/02/02 11:54:02 admpepsy	*/
/*	SccsLogging.c	1.14	94/02/02 11:54:04 admpepsy	*/

/* gcc -Wall 	kirschni */
/*	funktionen.h	1.12	94/02/03 15:57:43 admpepsy	*/
/*	mmva.c	1.11	94/02/03 15:57:46 admpepsy	*/
/*	SccsLogging.c	1.15	94/02/03 15:57:49 admpepsy	*/

/* option -d fuer Ausgabe von Fehlermeldungen eingebaut.	kirschni */
/*	funktionen.h	1.13	94/03/03 10:27:54 admpepsy	*/
/*	global.h	1.9	94/03/03 10:28:03 admpepsy	*/
/*	mmva.c	1.12	94/03/03 10:28:07 admpepsy	*/
/*	SccsLogging.c	1.16	94/03/03 10:28:16 admpepsy	*/

/* malloc(0) verhindert	kirschni */
/*	funktionen.h	1.14	94/03/03 12:46:14 admpepsy	*/
