/* SccsLogging.c
 *
 * Protokoll-Datei fuer die Delta-Historie aller SCCS-Dateien
 * eines Verzeichnisses.
 * ACHTUNG: Diese Datei darf nicht manuell bearbeitet werden.
 *
 * SccsLogging.o wird zu jedem Programm hinzugebunden. In der
 * main()-Routine jedes Programmes werden die beiden globalen
 * Variablen SccsRelease und SccsLevel referenziert.
 *
 * SccsLogging.o wird in jede Bibliothek aufgenommen, jedoch
 * nicht von dort geladen und in eine Phase eingebunden.
 */

static	char	*SccsId	
		= "@(#)PEPSY:\tSccsLogging.c\t1.25\t94/02/04 11:23:25";
	int	SccsRelease	= 1;
	int	SccsLevel	= 25;

/* ignition */
/*	Makefile	1.1	92/02/27 10:55:28 admpepsy	*/
/*	debug.c	1.1	92/02/27 10:55:30 admpepsy	*/
/*	initsim.c	1.1	92/02/27 10:55:32 admpepsy	*/
/*	lists.c	1.1	92/02/27 10:55:34 admpepsy	*/
/*	lowlevel.c	1.1	92/02/27 10:55:37 admpepsy	*/
/*	main.c	1.1	92/02/27 10:55:39 admpepsy	*/
/*	memory.c	1.1	92/02/27 10:55:41 admpepsy	*/
/*	misc.c	1.1	92/02/27 10:55:44 admpepsy	*/
/*	results.c	1.1	92/02/27 10:55:47 admpepsy	*/
/*	rnd.c	1.1	92/02/27 10:55:49 admpepsy	*/
/*	statistik.c	1.1	92/02/27 10:55:51 admpepsy	*/
/*	SccsLogging.c	1.1	92/02/27 10:55:54 admpepsy	*/

/* new delta */
/*	Makefile	1.2	92/02/27 11:44:05 admpepsy	*/
/*	SccsLogging.c	1.2	92/02/27 11:44:07 admpepsy	*/

/* Sequent support added */
/*	Makefile	1.3	92/03/06 13:24:38 admpepsy	*/
/*	debug.c	1.2	92/03/06 13:24:41 admpepsy	*/
/*	initsim.c	1.2	92/03/06 13:24:44 admpepsy	*/
/*	lists.c	1.2	92/03/06 13:24:47 admpepsy	*/
/*	lowlevel.c	1.2	92/03/06 13:24:50 admpepsy	*/
/*	main.c	1.2	92/03/06 13:24:54 admpepsy	*/
/*	memory.c	1.2	92/03/06 13:24:57 admpepsy	*/
/*	misc.c	1.2	92/03/06 13:24:59 admpepsy	*/
/*	results.c	1.2	92/03/06 13:25:02 admpepsy	*/
/*	rnd.c	1.2	92/03/06 13:25:05 admpepsy	*/
/*	statistik.c	1.2	92/03/06 13:25:07 admpepsy	*/
/*	SccsLogging.c	1.3	92/03/06 13:25:11 admpepsy	*/

/* doppeltes include entfernt   kirschni */
/*	initsim.c	1.3	92/03/06 13:36:36 admpepsy	*/
/*	SccsLogging.c	1.4	92/03/06 13:36:39 admpepsy	*/

/* doppelte includes entfernt   kirschni */
/*	main.c	1.3	92/03/06 13:41:04 admpepsy	*/
/*	memory.c	1.3	92/03/06 13:41:07 admpepsy	*/
/*	misc.c	1.3	92/03/06 13:41:09 admpepsy	*/
/*	results.c	1.3	92/03/06 13:41:11 admpepsy	*/
/*	SccsLogging.c	1.5	92/03/06 13:41:14 admpepsy	*/

/* purge: clobber   kirschni */
/*	Makefile	1.4	92/03/26 10:56:18 admpepsy	*/
/*	SccsLogging.c	1.6	92/03/26 10:56:23 admpepsy	*/

/* ueberfluessige Abhaengigkeiten entfernt	kirschni */
/*	Makefile	1.5	92/03/27 09:13:22 admpepsy	*/
/*	SccsLogging.c	1.7	92/03/27 09:13:26 admpepsy	*/

/* static fuer ruckgabe des buf in DateStamp()	kirschni */
/*	lowlevel.c	1.3	92/04/08 16:17:39 admpepsy	*/
/*	SccsLogging.c	1.8	92/04/08 16:17:44 admpepsy	*/

/* minor bug fixed	kirschni */
/*	lowlevel.c	1.4	92/04/09 07:31:23 admpepsy	*/
/*	SccsLogging.c	1.9	92/04/09 07:31:26 admpepsy	*/

/* Fehler bei PS-BE beseitigt, wenn die WS leer wird	kirschni */
/*	misc.c	1.4	92/04/14 16:39:52 admpepsy	*/
/*	SccsLogging.c	1.10	92/04/14 16:39:58 admpepsy	*/

/* maximalzahl von Auftraegen im system eingefuehrt	kirschni */
/*	debug.c	1.3	92/05/12 13:09:08 admpepsy	*/
/*	main.c	1.4	92/05/12 13:09:12 admpepsy	*/
/*	results.c	1.4	92/05/12 13:09:17 admpepsy	*/
/*	SccsLogging.c	1.11	92/05/12 13:09:21 admpepsy	*/

/* kirschni */
/*	main.c	1.5	92/05/12 13:18:07 admpepsy	*/
/*	results.c	1.5	92/05/12 13:18:10 admpepsy	*/
/*	SccsLogging.c	1.12	92/05/12 13:18:13 admpepsy	*/

/* Auftragsbegrenzung abgeschlossen, temporaeres Maximum mitgefuehrt	kirschni */
/*	debug.c	1.4	92/05/13 07:40:00 admpepsy	*/
/*	initsim.c	1.4	92/05/13 07:40:03 admpepsy	*/
/*	main.c	1.6	92/05/13 07:40:08 admpepsy	*/
/*	results.c	1.6	92/05/13 07:40:12 admpepsy	*/
/*	SccsLogging.c	1.13	92/05/13 07:40:15 admpepsy	*/

/* Ausgabe der maximalen Anzahl von Auftraegen im Netz.	kirschni */
/*	results.c	1.7	92/05/13 07:44:40 admpepsy	*/
/*	SccsLogging.c	1.14	92/05/13 07:44:43 admpepsy	*/

/* Rundunksfehler bei rnd_exp() beseitigt und *_RS_LT 	kirschni */
/*	misc.c	1.5	92/05/22 09:50:33 admpepsy	*/
/*	rnd.c	1.3	92/05/22 09:50:36 admpepsy	*/
/*	SccsLogging.c	1.15	92/05/22 09:50:40 admpepsy	*/

/* bug fix		kirschni */
/*	misc.c	1.6	92/05/22 11:09:33 admpepsy	*/
/*	SccsLogging.c	1.16	92/05/22 11:09:37 admpepsy	*/

/* bug fix		kirschni */
/*	misc.c	1.7	92/05/22 11:24:16 admpepsy	*/
/*	SccsLogging.c	1.17	92/05/22 11:24:21 admpepsy	*/

/* bug fix (rundung von count)	kirschni */
/*	misc.c	1.8	92/05/22 13:15:11 admpepsy	*/
/*	SccsLogging.c	1.18	92/05/22 13:15:15 admpepsy	*/

/* MaxAnzJobs auf 10000 begrenzt	kirschni */
/*	main.c	1.7	92/05/25 10:42:01 admpepsy	*/
/*	SccsLogging.c	1.19	92/05/25 10:42:05 admpepsy	*/

/* Babette's bug report included	kirschni */
/*	statistik.c	1.3	92/07/28 09:12:58 admpepsy	*/
/*	SccsLogging.c	1.20	92/07/28 09:13:03 admpepsy	*/

/* ueberfluessige meldungen durch trace-variable abgefangen	kirschni */
/*	statistik.c	1.4	92/11/16 11:27:36 admpepsy	*/
/*	SccsLogging.c	1.21	92/11/16 11:27:38 admpepsy	*/

/* aix	kirschni */
/*	Makefile	1.6	92/12/09 16:51:57 admpepsy	*/
/*	debug.c	1.5	92/12/09 16:51:59 admpepsy	*/
/*	initsim.c	1.5	92/12/09 16:52:00 admpepsy	*/
/*	lists.c	1.3	92/12/09 16:52:02 admpepsy	*/
/*	lowlevel.c	1.5	92/12/09 16:52:03 admpepsy	*/
/*	main.c	1.8	92/12/09 16:52:05 admpepsy	*/
/*	memory.c	1.4	92/12/09 16:52:06 admpepsy	*/
/*	misc.c	1.9	92/12/09 16:52:08 admpepsy	*/
/*	results.c	1.8	92/12/09 16:52:10 admpepsy	*/
/*	rnd.c	1.4	92/12/09 16:52:11 admpepsy	*/
/*	statistik.c	1.5	92/12/09 16:52:12 admpepsy	*/
/*	SccsLogging.c	1.22	92/12/09 16:52:14 admpepsy	*/

/* casting korrigiert by kirschni */
/*	lowlevel.c	1.6	93/05/17 09:51:35 admpepsy	*/
/*	SccsLogging.c	1.23	93/05/17 09:51:38 admpepsy	*/

/* getopt() liefert int und nicht char	kirschni */
/*	main.c	1.9	94/01/27 12:37:24 admpepsy	*/
/*	SccsLogging.c	1.24	94/01/27 12:37:27 admpepsy	*/

/* gcc -Wall	kirschni */
/*	Makefile	1.7	94/02/04 11:22:52 admpepsy	*/
/*	debug.c	1.6	94/02/04 11:22:55 admpepsy	*/
/*	initsim.c	1.6	94/02/04 11:22:58 admpepsy	*/
/*	lists.c	1.4	94/02/04 11:23:01 admpepsy	*/
/*	lowlevel.c	1.7	94/02/04 11:23:04 admpepsy	*/
/*	main.c	1.10	94/02/04 11:23:06 admpepsy	*/
/*	memory.c	1.5	94/02/04 11:23:08 admpepsy	*/
/*	misc.c	1.10	94/02/04 11:23:11 admpepsy	*/
/*	results.c	1.9	94/02/04 11:23:14 admpepsy	*/
/*	rnd.c	1.5	94/02/04 11:23:16 admpepsy	*/
/*	statistik.c	1.6	94/02/04 11:23:23 admpepsy	*/
