static char *SccsId = "@(#)PEPSY:\tcalc_var.c\t1.2\t92/03/27 12:00:34";

#include "gpss_prepare.h"
#include "gpss_decl.h"
#include "gpss_priv.h"

int mv_ankunft(cl,node)
int cl;   
int node;
{
	double ankunft;
	/* Knoten node und Klasse cl  */
	assert(node <= anznode);
	assert(cl <= anzclass);
	knoten[node].anz_wait++;
	ankunft = TiMe - arr_last[node][cl];
	arr_mit[node][cl] += ankunft;
	arr_var[node][cl] += ankunft*ankunft;
	arr_anz[node][cl]++;
	arr_last[node][cl] = TiMe;
	/* Knoten node                    */
	ankunft = TiMe - arr_last[node][cl];
	arr_mit[node][anzclass] += ankunft;
	arr_var[node][anzclass] += ankunft*ankunft;
	arr_anz[node][anzclass]++;
	arr_last[node][anzclass] = TiMe;
}
int mv_bedienzeit(cl,node,random)
int cl;
int node;
double random;
{
	/* Knoten node und Klasse cl */
	assert(node <= anznode);
	assert(cl <= anzclass);
	knoten[node].anz_wait--;
	bed_mit[node][cl] += random;
	bed_var[node][cl] += random*random;
	bed_anz[node][cl]++;
	/* Knoten node                 */
	bed_mit[node][anzclass] += random;
	bed_var[node][anzclass] += random*random;
	bed_anz[node][anzclass]++;
}
int mv_abgang(cl,node)
int cl;
int node;
{
	double abgang;
	/* Knoten node und Klasse cl  */
	assert(node <= anznode);
	assert(cl <= anzclass);
	abgang = TiMe - dep_last[node][cl];
	dep_mit[node][cl] += abgang;
	dep_var[node][cl] += abgang*abgang;
	dep_anz[node][cl]++;
	dep_last[node][cl] = TiMe;
	/* Knoten node                   */
	abgang = TiMe - dep_last[node][anzclass];
	dep_mit[node][anzclass] += abgang;
	dep_var[node][anzclass] += abgang*abgang;
	dep_anz[node][anzclass]++;
	dep_last[node][anzclass] = TiMe;
}

