static char *SccsId = "@(#)PEPSY:\tevent.c\t1.3\t92/12/10 18:51:25";

#include <signal.h>
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"
#include "gpss_priv.h"
/************************************************************************/
/*                                                                      */
/*    *** Unterprogramm event(ne)                                       */
/*    ***                                                               */
/*    *** Funktion : Bearbeiten der Ereignisse und Anmelden der         */
/*    ***            naechsten Ereignisse                               */
/*    *** Parameter: ne = Nummer des Ereignisses                        */
/*    *** Rueckgabe: 0  = normale Kontrollfluss-Uebergabe               */
/*    ***            1  = Fehlerausgang                                 */

int pending_events;
/*    ***                                                               */
int	event(ne)
int	ne ;
{
	/*    Zusaetzliche externe Funktionen deklarieren                       */
	/*    ===========================================                       */
	LOGICAL check() ;
	/*    Lokale Variablen definieren                                    */
	/*    ===========================                                    */
	int	reply = NORMAL;
	int node  = ne / 10;
	int ltx;
	double next_event;


	ne = ne % 10;


	/*    Adressverteiler                                                */
	/*    ===============                                                */
	switch (ne) {
	case 1: /* Bearbeiten von Ereignis1 */
		break;
	case 2:
		update_ps(node);
		pending_events--;
		ltx = knoten[node].tx_list;
		dprint(ALL,"event: Knoten %d, Auftrag %d Ueberpruefung virt. Zeit (%f), pending events %d\n",node,ltx, wanted_time(ltx) - virtual_time(ltx),pending_events);
		if(wanted_time(ltx) - virtual_time(ltx) < eps)
		{
			/* Auftrag fertig */
			Remove(node,ltx);
			knoten[node].act--;
			CALL(nchain(3,ltx)); /* um sicherzugehen */
			activlist[ltx].target = NEXT_ENTRY(node,3);
			activlist[ltx].next = TiMe + eps;
			CALL(tchain(3,ltx));
		}
		ltx = knoten[node].tx_list;
		if(ltx != 0)
		{
			next_event = TiMe+knoten[node].act*(wanted_time(ltx)-virtual_time(ltx));
			if(pending_events != 0)
			{
				dprint(ALL,"event: Knoten %d, Ereigniszeit korrigieren %lf -> %lf \n",
					node,eventlist[node*10+2].next, next_event);
				nchain(1,node*10+2);
				eventlist[node*10+2].next = next_event;
				tchain(1,node*10+2);
			}
			else
			{
				dprint(ALL,"event: Knoten %d, neues Ereignis f`ur %lf anmelden\n",
					node,next_event);
				pending_events++;
				CALL(announ(node*10+2,next_event));
			}
		}
		;

		break;
	case 3:
		break;
	default: /* Fehler im Verteiler */
		;
		fprintf(nunit2, "\n\n+++++ event: TiMe=%12.4f Fehler im Adressverteiler  ne=%3d\n",
		    TiMe, ne);
		reply = FEHLER;
	};
	return(reply);
}


