static char *SccsId = "@(#)PEPSY:\tuser_rnx.c\t1.2\t92/03/27 12:01:12";

/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/



#include <stdio.h>

/*

	benutzer-definierte Zufallsgeneratoren

*/

#define NUMRN	5000

static unsigned short xsubi[NUMRN][3];
double erand48();
static double rnx;
extern FILE *nunit2;
extern double TiMe;

user_rnx_init()
{
	int i,j;
	short *sp1, *sp2, *sp3;
	unsigned short start[3];

	sp1 = (short *)( ( int ) &rnx + 6);
	sp2 = (short *)(( int ) &rnx + 4);
	sp3 = (short *)(( int ) &rnx + 2);
	start[0] = (unsigned short) 0; 
	start[1] = (unsigned short) ( (74125 >> 16) & 0xff);
	start[2] = (unsigned short) ( 74125 & 0xff );

	for(i=0; i< NUMRN; i++)
	{
		rnx = erand48(start);
		xsubi[i][0] = *sp1;
		xsubi[i][1] = *sp2;
		xsubi[i][2] = *sp3;
	}
}

double
user_rnx(num)
int num;
{
	if( num >= NUMRN)
	{
/*
		fprintf(nunit2,"user_rnx: called with num = %d, changing to num = 0 \n",num);
*/
		return(erand48(xsubi[0]));
	}
	return(erand48(xsubi[num]));
}


		
		


