static char *SccsId = "@(#)PEPSY:\tactivg.c\t1.2\t92/03/27 11:54:01";

#include <signal.h>
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"
/************************************************************************/
/*                                                                      */
/*    *** Unterprogramm activg()                                        */
/*    ***                                                               */
/*    *** Funktion : Modell fuer den Busverkehr                         */
/*    *** Rueckgabe: 1 = Adressausgang zur Endabrechnung                */
/*    ***            0 = normale Kontrollfluss-Uebergabe                */
/*    ***            wird in lokaler Variable reply gefuehrt            */
/*    ***                                                               */

int	activg()
/* Hier ist mindestens ein alternativer Ruecksprung zu beruecksichtigen */
{
	/* */
	short	check;
	extern int	next_int();

	/*    Lokale Variablen definieren                                    */
	/*    ===========================                                    */
	int	naddr = 0, reply = NORMAL;

	/* Bestimmung der Zieladresse                                        */
	/* ==========================                                        */
	if (row_source != NULL) 
		naddr = row_source->target;
	if (row_txact > 0) 
		naddr = activlist[row_txact].target;

	/* */
	/*     TRANSFER CONTROL TO LABEL */
	/*     ========================= */
	/* */
	if (naddr == 1) 
		goto l_1;

	fprintf(nunit2, "\n\n+++++ activg: TiMe=%12.4f Fehler im Adressverteiler  naddr=%3d\n",
	    TiMe, naddr);
	reply = FEHLER;
	goto l_9999;
	/* */
	/* */
	/*     MODEL */
	/*     ===== */
	/* */
l_1:
	/* */
	/* */
	/*     EXIT TO FLOW CONTROL */
	/*     ==================== */
l_9000: 
	return(reply);
	/* */
	/*     EXIT TO TERMINATING SECTION */
	/*     =========================== */
l_9999: 
	return(FEHLER);
}


