static char *SccsId = "@(#)PEPSY:\talloc_space.c\t1.3\t92/03/27 11:54:07";

#include "xxalloc.h"
#include "gpss_prepare.h"
#include "gpss_decl.h"

alloc_space()
{
	register i;
	/* anfordern der benoetigten Datenbereiche gemaess
		gpss_dim_info */


#ifdef DEBUG
dprint(WARNING, "starting space allocater ...\n"); /* */
#endif
	for (i = 0; i < PARAM; i++)
#ifdef DEBUG
dprint(WARNING, "%d %d\n", i, gpss_dim_info[i]); /* */
#endif


	zasm = ZASM;
	zbin = ZBIN;
	zcar = ZCAR;
	zconf = ZCONF;
	zevt = ZEVT;
	zfac = ZFAC;
	zfam = ZFAM;
	zgate = ZGATE;
	zgatf = ZGATF;
	zgatt = ZGATT;
	zldvar = ZLDVAR;
	zmatch = ZMATCH;
	zmfac = ZMFAC;
	znach = ZNACH;
	zncond = ZNCOND;
	zncro = ZNCRO;
	zndvar = ZNDVAR;
	znplo = ZNPLO;
	znset = ZNSET;
	zntab = ZNTAB;
	znv = ZNV;
	zpol = ZPOL;
	zpunkt = ZPUNKT;
	zras = ZRAS;
	zrout = ZROUT;
	zrout1 = ZROUT1;
	zpool = ZPOOL;
	zse = ZSE;
	zsect = ZSECT;
	zsegm = ZSEGM;
	zsegm1 = ZSEGM1;
	zsm = ZSM;
	zsrc = ZSRC;
	zstat = ZSTAT;
	zsta = ZSTA;
	zsto = ZSTO;
	ztab = ZTAB;
	ztx = ZTX;
	ztx2 = ZTX2;
	ztxip = ZTXIP;
	ztxfp = ZTXFP;
	ztxsp = ZTXSP;
	zuchf = ZUCHF;
	zucht = ZUCHT;
	zvar = ZVAR;
	zverz = ZVERZ;
	zvon = ZVON;
	znode = ZNODE;

	/* bin datenbereiche */

	bin = (struct BIN *) n1_alloc(1, ZBIN + 1, sizeof(struct BIN ));
	binsta = (struct BINSTA *) n1_alloc(1, ZBIN + 1, sizeof(struct BINSTA ));

	/* konfidenzintervall - datenbereiche    */
	conflist = (struct CONFLIST *) n1_alloc(1, ZBIN + 1, sizeof(struct CONFLIST ));
	con = d2_alloc(1, ZBIN + 1, 1, ZCONF + 1);

	/* eigentlich lokale anar-datenbereiche    */
	xcon = d1_alloc(1, ZCONF + 1);
	rho2 = d1_alloc(1, ZCONF + 1);
	cmean = d1_alloc(1, ZCONF + 1);

	/* delay - datenbereiche    */
	devar = (struct DELAY *) n1_alloc(1, ZNDVAR + 1, sizeof(struct DELAY ));
	delay_flag = d1_alloc(1, ZNSET + 1);
	s_devar = d2_alloc(1, ZNDVAR + 1, 1, ZLDVAR + 1);
	t_devar = d2_alloc(1, ZNDVAR + 1, 1, ZLDVAR + 1);
	tclear = d1_alloc(1, ZNDVAR + 1);

	/* zufallszahlen - datenbereiche    */

	drn = i1_alloc(1, 31);
	dmodul = i1_alloc(1, 3);
	dfact = i2_alloc(1, 31, 1, 3);
	dconst = i2_alloc(1, 31, 1, 3);

	/* integrations - datenbereiche    */
	equatlist = (struct EQUATLIST *) n1_alloc(1, ZNSET + 1, sizeof(struct EQUATLIST ));
	intma = (struct INTMA *) n1_alloc(1, ZNSET + 1, sizeof(struct INTMA ));
	intsta = (struct INTSTA *) n1_alloc(1, ZNSET + 1, sizeof(struct INTSTA ));

	jflag = i2_alloc(1, ZNSET + 1, 1, ZNCRO + 1);
	iflag = i2_alloc(1, ZNSET + 1, 1, ZNCRO + 1);
	jflagl = i2_alloc(1, ZNSET + 1, 1, ZNCRO + 1);
	iflagp = i2_alloc(1, ZNSET + 1, 1, ZNCRO + 1);

	sv = d2_alloc(1, ZNSET + 1, 1, ZNV + 1);
	svlast = d2_alloc(1, ZNSET + 1, 1, ZNV + 1);
	dv = d2_alloc(1, ZNSET + 1, 1, ZNV + 1);
	dvlast = d2_alloc(1, ZNSET + 1, 1, ZNV + 1);

	/* event - datenbereiche    */
	eventlist = (struct HEADELEM *) n1_alloc(1, ZEVT + 1, sizeof(struct HEADELEM ));

	/* facility - datenbereiche    */
	fac = (struct FAC *) n1_alloc(1, ZFAC + 1, sizeof(struct FAC ));

	/* family - datenbereiche    */
	fam = (struct FAM *) n1_alloc(1, ZFAM + 1, sizeof(struct FAM ));

	assem_ma = i2_alloc(1, ZFAM + 1, 1, ZASM + 1);

	/* e/a - datenbereiche    */
	plotfile = (struct PLOTFILE *) n1_alloc(1, 7, sizeof(struct PLOTFILE ));

	/* gather - datenbereiche    */
	gath_tx = i1_alloc(1, ZGATT + 1);
	gath_fam = i2_alloc(1, ZFAM + 1, 1, ZGATF + 1);

	/* multifacility - datenbereiche    */
	mfac = (struct MFAC *) n1_alloc(1, ZMFAC + 1, sizeof(struct MFAC ));
	service = (struct FAC *) n1_alloc(1, ZSE + 1, sizeof(struct FAC ));

	/* plan - datenbereiche    */
	plan = (struct PLAN *) n1_alloc(1, ZMFAC + 1, sizeof(struct PLAN ));

	/* plot - datenbereiche    */
	monitlist = (struct HEADELEM *) n1_alloc(1, ZNPLO + 1, sizeof(struct HEADELEM ));
	ploma1 = (struct PLOT1 *) n1_alloc(1, ZNPLO + 1, sizeof(struct PLOT1 ));
	ploma2 = (struct PLOT2 *) n1_alloc(1, ZNPLO + 1, sizeof(struct PLOT2 ));
	ploma3 = (struct PLOT3 **) n2_alloc(1, 7, 1, ZNPLO + 1, sizeof(struct PLOT3 ));

	/* policy - datenbereiche    */
	pol = (struct POL *) n1_alloc(1, ZPOL + 1, sizeof(struct POL ));

	/* pool - datenbereiche    */
	pool = (struct POOL *) n1_alloc(1, ZSRC + 1, sizeof(struct POOL ));

	/* source - datenbereiche    */
	sourcelist = (struct SOURCELIST *) n1_alloc(1, ZSRC + 1, sizeof(struct SOURCELIST ));

	/* storage - datenbereiche    */
	sto_base = (struct SBM *) n1_alloc(1, ZSTO + 1, sizeof(struct SBM ));
	sto_matrix = (struct STOR *) n1_alloc(1, ZSM + 1, sizeof(struct STOR ));

	/* strategie - datenbereiche    */
	strategy = (struct PLAN *) n1_alloc(1, ZSTO + 1, sizeof(struct PLAN ));

	/* haeufigkeitstabellen - datenbereiche    */
	table = (struct TAB **) n2_alloc(1, ZTAB + 1, 1, ZNTAB + 1, sizeof(struct TAB ));

	/* zeitfuehrungs - datenbereiche    */
	tcond = d1_alloc(1, ZNCOND);

	/* transaction - datenbereiche    */

	tx_system = (struct TX_SYST *) n1_alloc(1, ZTX + 1, sizeof(struct TX_SYST ));
	i_tx_priv = i2_alloc(1, ZTX + 1, 1, ZTXIP + 1);
	f_tx_priv = d2_alloc(1, ZTX + 1, 1, ZTXFP + 1);
	s_tx_priv = (char ***) n2_alloc(1, ZTX + 1, 1, ZTXSP + 1, sizeof(char *));
	activlist = (struct ACTIVLIST *) n1_alloc(1, ZTX + 1, sizeof(struct ACTIVLIST ));

	/* text - datenbereiche    */
	txt = c2_alloc(1, 4, 1, 77);

	/* verwaltungs - datenbereiche    */
	bhead = (struct ACTIVLIST **) n1_alloc(1, ZSTAT + 1, sizeof(struct ACTIVLIST *));
	head = (struct HEADELEM *) n1_alloc(1, 7, sizeof(struct HEADELEM ));

	ptr_offset = (int **) n1_alloc(0, 16, sizeof(int *));

	/* user-chain - datenbereiche    */
	userct = (struct UCHAIN *) n1_alloc(1, ZUCHT + 1, sizeof(struct UCHAIN ));
	usercf = (struct UCHAIN **) n2_alloc(1, ZFAM + 1, 1, ZUCHF + 1, sizeof(struct UCHAIN ));
	/* variablen - datenbereiche    */
	iv = (struct IVAR *) n1_alloc(1, ZVAR + 1, sizeof(struct IVAR ));
	rv = (struct RVAR *) n1_alloc(1, ZVAR + 1, sizeof(struct RVAR ));

	/* eingefuegt fuer transportmodelle    */
	txadd = d2_alloc(0, ZTX + 1, 0, 5);
	tarma = d2_alloc(0, ZCAR + 1, 0, 8);
	sectma = d2_alloc(0, ZSECT + 1, 0, 7);
	carma = d2_alloc(0, ZCAR + 1, 0, 11);
	txi   = i1_alloc(0, ZTX + 1);
	segma = i2_alloc(0, ZSEGM + 1, 0, ZSEGM1 + 1);
	routma = i2_alloc(0, ZROUT + 1, 0, ZROUT1 + 1);
	logma = d2_alloc(0, ZTX + 1, 0, 6);
	netsta = d2_alloc(0, ZSEGM + 1, 0, 7);
	courma = i2_alloc(0, ZROUT + 1, 0, 4);
	statst = d2_alloc(0, ZSTA + 1, 0, 5);
	parkst = d2_alloc(0, ZSTA + 1, 0, 5);
	blocst = d2_alloc(0, ZSECT + 1, 0, 5);
	logptr = i1_alloc(0, 3);
	logma = d2_alloc(0, ZTX + 1, 0, 6);
	statis = d2_alloc(0, ZCAR + 1, 0, 11);
	totlen = d2_alloc(0, ZNODE + 1, 0, ZNODE + 1);
	direct = d2_alloc(0, ZNODE + 1, 0, ZNODE + 1);
	blocve = i2_alloc(0, ZSECT + 1, 0, 3);
	coords = d2_alloc(0, ZSTA + 1, 0, 3);
	coordv = d2_alloc(0, ZVERZ + 1, 0, 3);
	coordp = d2_alloc(0, ZPUNKT + 1, 0, 3);
	tofrom = i3_alloc(0, ZNODE + 1, 0, ZNACH + 1, 0, 3);
	fromto = i3_alloc(0, ZNODE + 1, 0, ZVON + 1, 0, 3);
	rastl  = d1_alloc(0, ZRAS + 1);
	tab = d3_alloc(0, ZTAB + 1, 0, 5, 0, ZNTAB);
	dist = d2_alloc(0, ZSTA + 1, 0, 3);


#ifdef DEBUG
dprint(WARNING, "done\n"); /* */
#endif
}


