static char *SccsId = "@(#)PEPSY:\tblock.c\t1.3\t92/03/27 11:54:29";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	block(nt, ns, lfam, iftx)
int	iftx ;
int	lfam ;
int	ns ;
int	nt ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call block(nt,ns,lfam,iftx)                                   */
	/*    ***                                                               */
	/*    *** funktion : einketten einer tr in die block-kette hinter eine  */
	/*    ***            tr mit zeilennummer iftx                           */
	/*    *** parameter: nt   = stationstyp                                 */
	/*    ***            ns   = typnummer                                   */
	/*    ***            lfam = zeilennumer in der fam-matrix fuer stationen  */
	/*    ***                   mit nt = 7,10 oder 11                       */
	/*    ***            iftx = zeilennummer der vorhergehenden tr          */
	/*    ***                                                               */
	int	ns1, k ;
#ifdef DEBUG
dprint(TRANSACTION, "block: nt %d, ns %d, lfam %d, iftx %d\n", nt, ns, lfam, iftx); /* */
#endif
	/*                                                                      */
	/*    bestimmen der stationsnummer                                      */
	/*    ============================                                      */
	ns1 = ns;
	if (nt < 10 && nt != 7 || nt >= 12) 
		goto l_100;
	ns1 = zfam * (ns - 1) + lfam;
l_100:  
	k = *ptr_offset[nt] + ns1 - 1;
#ifdef DEBUG
dprint(LABEL, "block: ptr_offset[%d] %d\n", nt, *ptr_offset[nt]); /* */
#endif
	/*                                                                      */
	/*    einketten                                                         */
	/*    =========                                                         */
	if (iftx != 0) 
		goto l_200;
	if (bhead[k] == NULL)
		activlist[row_txact].blk_link = -1;
	else
		activlist[row_txact].blk_link = bhead[k] - activlist;
	bhead[k] = activlist + row_txact;
	return(NORMAL);
l_200:  
	activlist[row_txact].blk_link = activlist[iftx].blk_link;
	activlist[iftx].blk_link = row_txact;
	return(NORMAL);
}


