static char *SccsId = "@(#)PEPSY:\tbride.c\t1.4\t93/10/20 14:52:57";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"
#include <math.h>
#include <string.h>



int	bride()
/* Hier ist mindestens ein alternativer Ruecksprung zu beruecksichtigen */
{
	/*     ***  */
	/*     *** CALL BRIDE(*9000,*9999) */
	/*     ***  */
	/*     *** PURPOSE : MOVE A BUS TO THE END OF A SEGMENT */
	/*     *** PARAMETERS: *9000 = EXIT TO FLOW CONTROL */
	/*     ***             *9999 = ERROR EXIT */
	/*     ***  */
	/* */

	int	art, blocnr, bloc2, partnr, routnr, sectnr, segm, segmnr;
	short	printff;
	int	lastbl, ncar, nact, nterm, nsegm, nnode, itarg, k, line, np;
	extern int	tchain(), next_int(), dblock(), policy(), block();
	double	fnode, local_TiMe;


#ifdef DEBUG
dprint(BUS, "bride: beginn\n"); /* */
#endif

	/*     CHECK FOR ERRORS */
	/*     ================ */
	ncar  = next_int(txadd[row_txact][1]);
	if (ncar == 0)             
		goto l_4000;
	if (txi[row_txact] != 1) 
		goto l_4100;
	/* */
	/*     INITIALIZE */
	/*     ========== */
	routnr = next_int(tarma[ncar][5]);
	segm   = next_int(tarma[ncar][6]);
	segmnr = routma[routnr][segm];
	partnr = next_int(tarma[ncar][7]);
	sectnr = segma[segmnr][partnr];
	printff = ((iprint == 1 || jprint[23] == 1) && jprint[23] > -1);
	/* */
	/*     BUS HAS NOT BEEN LOADED OR GENERATED; HAS THE BUS BEEN MOVED? */
	/*     ============================================================= */
	if (next_int(carma[ncar][7]) != 1) {
		if (tarma[ncar][4] >= 0.0) {
			if (printff) 
				fprintf (nunit2, "bride :  t=%12.4f  bus%4d leaves section%4d\n",  TiMe, ncar, sectnr);
			/* */
			art = next_int(sectma[sectnr][2] * 10.0) - next_int(sectma[sectnr][2]) * 10;
			if (art == 1) {
				if (kprint == 1) {
					nact = 18;
					nterm = next_int( sectma[sectnr][2] );
					fprintf (nunit23, "%12.4f%4d%4d%4d%4d\n", TiMe, txi[row_txact], ncar, nact, nterm);
				}
				/* */
				/*     TERMINAL HAS BEEN REACHED; INSERT BUS IN ACTIV CHAIN */
				/*     ==================================================== */
				carma[ncar][8] = 3.0;
				carma[ncar][7] = 1.0;
				activlist[row_txact].next = TiMe;
				activlist[row_txact].target = 2;
				switch (tchain(3, row_txact))  {
				case FEHLER: 
					goto l_99;
				}
				goto l_90;
			}
		} else {
			art = next_int(carma[ncar][6] * 10.0) - next_int(carma[ncar][6]) * 10;
			if (art != 3) 
				partnr = 0;
		}
	}
	/* */
	/*     END OF SECTION REACHED; SELECT NEXT SECTION  */
	/*     ===========================================  */
	carma[ncar][7] = 0.0;
	partnr = partnr + 1;
	if (partnr > zsegm1 || segma[segmnr][partnr] == 0) {
		/* */
		/*     SEGMENT HAS BEEN PROCESSED */
		/*     ========================== */
		partnr = 1;
		segm = segm + 1;
		/* */
		/*     ROUTE HAS BEEN PROCESSED */
		/*     ======================== */
		if (segm > zrout1 || routma[routnr][segm] == 0)  
			segm = 1;
		segmnr = routma[routnr][segm];
		/* */
		/*     RECORD STATISTICAL INFORMATION */
		/*     ============================== */
		netsta[segmnr][1] = netsta[segmnr][1] + 1.0;
		/* */
		/*     OUTPUT */
		/*     ====== */
#ifdef DEBUG
dprint(BUS, "bride: point 1\n"); /* */
#endif
		if ((iprint == 1 || jprint[23] == 1 || 
		    jprint[23] == 2) && jprint[23] != -1 && 
		    jprint[23] != -2) {
#ifdef DEBUG
dprint(BUS, "bride: point 2\n"); /* */
#endif
			nsegm = segm + 1;
			if (nsegm > zrout1 || routma[routnr][nsegm] == 0) 
				nsegm = 1;
			fnode = sectma[ segma[ routma[routnr][nsegm] ][1] ][1];
			nnode = next_int(fnode);
			if ((next_int(fnode * 10.0) - nnode * 10) == 1) {
#ifdef DEBUG
dprint(BUS, "bride: point 3\n"); /* */
#endif
				if (printff) {
#ifdef DEBUG
dprint(BUS, "bride: point 4\n"); /* */
#endif
					fprintf (nunit2, "                         and traverses segment%4d to T%4d\n", segmnr,
					     nnode);
				} else {
					fprintf (nunit2, "bride :  t=%12.4f  bus%4d traverses segment%4d to T%4d\n", TiMe,
					     ncar, segmnr, nnode);
				}
			} else {
l_100:         
				nsegm = nsegm + 1;
				if (nsegm > zrout1 || routma[routnr][nsegm] == 0) 
					nsegm = 1;
				fnode = sectma[segma[routma[routnr][nsegm]][1]][1];
				itarg = next_int(fnode);
				if ((next_int(fnode * 10.0) - itarg * 10) != 1) 
					goto l_100;
				if (printff) {
					fprintf (nunit2, "                         and traverses segment%4d to  t%4d via b%4d\n",
					     segmnr, itarg, nnode);
				} else {
					fprintf (nunit2, "bride :  t=%12.4f  bus%4d traversesTsegment%4d to t%4dvia b%4d\n",
					     TiMe, ncar, segmnr, itarg, nnode);
				}
			}
			printff =  TRUE;
		}
	}
	/* */
	sectnr        = segma[segmnr][partnr];
	blocnr        = next_int(sectma[sectnr][4]);
	tarma[ncar][6] = (double)segm;
	/* */
	/*     RECORD STATISTICAL INFORMATION:  */
	/*     WAS BUS STOPPED AT BLOCKABLE SECTION? */
	/*     ===================================== */
	if (tarma[ncar][4] < 0) {
		tarma[ncar][4]  = fabs(tarma[ncar][4]);
		statis[ncar][4] = statis[ncar][4] + 
		    TiMe - tx_system[row_txact].t_block;
		if (next_int(carma[ncar][4]) == 0) {
			statis[ncar][1] = statis[ncar][1] + TiMe - 
			    tx_system[row_txact].t_block;
		} else {
			statis[ncar][2] = statis[ncar][2] + TiMe - 
			    tx_system[row_txact].t_block;
			statis[ncar][7] = statis[ncar][7] + carma[ncar][4] * 
			    (TiMe - tx_system[row_txact].t_block);
		}
		/* */
		netsta[segmnr][2] = netsta[segmnr][2] + TiMe - 
		    tx_system[row_txact].t_block;
		/* */
		blocst[sectnr][1] = blocst[sectnr][1] + 
		    (blocst[sectnr][2] - 
		    blocst[sectnr][3]) * (TiMe - blocst[sectnr][4]);
		blocst[sectnr][3] = blocst[sectnr][3] + 1.0;
		blocst[sectnr][4] = TiMe;
	}
	/* */
	/*     IS THE NEXT SECTION A BLOCKABLE SECTION? */
	/*     ======================================== */
	lastbl = next_int(tarma[ncar][4]);
	tarma[ncar][4] = 0.0;
	/* */
	/*     OCCUPY BLOCKABLE SECTION */
	/*     ======================== */
	if (blocnr != 0) {
		tarma[ncar][4] = (double)blocnr;
		if (lastbl != blocnr) {
			if (blocve[blocnr][1] == 0 && blocve[blocnr][2] != 0) {
				blocve[blocnr][2] = blocve[blocnr][2] - 1;
				if ((iprint == 1 || jprint[23]  == 1 || 
				    jprint[23] == 2) && jprint[23] != -1 && 
				    jprint[23] != -2) {
					bloc2 = blocve[blocnr][2];
					if (bloc2 == 0) {
						if (printff) {
							fprintf (nunit2, "                         and blocks blockable section%4d\n",
							     blocnr);
						} else {
							fprintf (nunit2, "bride :  t=%12.4f  bus%4d blocks blockable section%4d\n",
							     TiMe, ncar, blocnr);
						}
					} else {
						if (printff) {
							fprintf (nunit2, "                         and blocks blockable section%4d\n                          ( there is free capacity:%4d )\n",
							     blocnr, bloc2);
						} else {
							fprintf (nunit2, "bride :  t=%12.4f  bus%4d blocks blockable section%4d\n                          ( there is free capacity:%4d )\n",
							     TiMe, ncar, blocnr, bloc2);
						}
					}
					printff =  TRUE;
				}
			} else {
				goto l_1000;
			}
		}
	}
	/* */
	/*     HAS A BLOCKABLE SECTION BEEN TRAVERSED: POSSIBLY UNBLOCK */
	/*     ======================================================== */
	if (lastbl != 0 && lastbl != blocnr) {
		blocve[lastbl][2] = blocve[lastbl][2] + 1;
		bloc2 = blocve[lastbl][2];
		if ((iprint == 1 || jprint[23] == 1 || 
		    jprint[23] == 2) && jprint[23] != -1 && 
		    jprint[23] != -2) {
			if (bloc2 == 1) {
				if (printff) {
					fprintf (nunit2, "                         and frees blockable section%4d\n", lastbl);
				} else {
					fprintf (nunit2, "bride :  t=%12.4f  bus%4d frees blockable section%4d\n", TiMe,
					    ncar, lastbl);
				}
			} else {
				if (printff) {
					fprintf (nunit2, "                         and frees blockable section%4d ( free capacity:%4d )\n",
					     lastbl, bloc2);
				} else {
					fprintf (nunit2, "bride :  t=%12.4f  bus%4d frees blocked section%4d ( free capacity:%4d )\n",
					     TiMe, ncar, lastbl, bloc2);
				}
			}
		}
		if (blocve[lastbl][1] == 0 && bloc2 == 1) {
#ifdef DEBUG
dprint(BUS, "bride: call dblock(15,%d,0,1)\n", lastbl); /* */
#endif
			dblock(15, lastbl, 0, 1);
		}
	}
	/* */
	/*     TRAVERSE SECTION */
	/*     ================ */
	tarma[ncar][7] = (double)partnr;
	local_TiMe = (sectma[sectnr][3]) / (carma[ncar][5] * sectma[sectnr][5]);
	local_TiMe = fabs(sectma[sectnr][3]) / (carma[ncar][5] * sectma[sectnr][5]);
	carma[ncar][6] = sectma[sectnr][2];
	if (kprint == 1) {
		nact = 13;
		fprintf (nunit23, "%12.4f%4d%4d%4d%4d\n", TiMe, txi[row_txact], ncar, nact, sectnr);
		fprintf (nunit23, "%4d%12.4f\n", next_int(carma[ncar][4]), local_TiMe);
	}
	/* */
	/*     RECORD STATISTICAL DATA:  */
	/*     TIME IN MOTION, SECTION AND OCCUPATION OF NETWORK */
	/*     ================================================= */
	if (next_int(carma[ncar][4]) == 0) {
		statis[ncar][1] = statis[ncar][1] + local_TiMe;
		statis[ncar][8] = statis[ncar][8] + fabs(sectma[sectnr][3]);
	} else {
		statis[ncar][2] = statis[ncar][2] + local_TiMe;
		statis[ncar][7] = statis[ncar][7] + carma[ncar][4] * local_TiMe;
		statis[ncar][9] = statis[ncar][9] + fabs(sectma[sectnr][3]);
	}
	/* */
	netsta[segmnr][2] = netsta[segmnr][2] + local_TiMe;
	/* */
	/*     ACTUAL MOVEMENT */
	/*     =============== */
	activlist[row_txact].next = TiMe + local_TiMe;
	activlist[row_txact].target = 2;
	tchain(3, row_txact);
	goto l_90;
	/* */
	/*     BLOCKABLE SECTION IS OCCUPIED: BLOCK THE BUS */
	/*     ============================================ */
l_1000: 
	tarma[ncar][4] = -(double)lastbl - 0.1;
	tx_system[row_txact].t_block = TiMe;
	k = offset.block + blocnr - 1;
	activlist[row_txact].next = -(double)k;
	activlist[row_txact].target = 2;
	policy(15, blocnr, 0, &line, &np);
#ifdef DEBUG
dprint(BUS, "bride: call block(15,%d,0,%d)\n", blocnr, line); /* */
#endif
	block(15, blocnr, 0, line);
	if ( (iprint == 1 || jprint[23] == 1 || 
	    jprint[23] == 2) &&  jprint[23] != -1 && 
	    jprint[23] != -2 ) {
		if (printff) {
			fprintf (nunit2, "                         and is blocked at blockable section%4d\n", blocnr);
		} else {
			fprintf (nunit2, "bride :  t=%12.4f  bus%4d is blocked at blockable section%4d\n", TiMe, ncar, blocnr);
		}
	}
	if (kprint == 1) {
		nact = 17;
		fprintf (nunit23, "%12.4f%4d%4d%4d%4d\n", TiMe, txi[row_txact], ncar, nact, sectnr);
	}
	/* */
	/*     RECORD STATISTICAL DATA: BLOCKABLE SECTION */
	/*     ========================================== */
	blocst[sectnr][1] = blocst[sectnr][1] + (blocst[sectnr][2] - 
	    blocst[sectnr][3]) * (TiMe - blocst[sectnr][4]);
	blocst[sectnr][2] = blocst[sectnr][2] + 1.0;
	blocst[sectnr][4] = TiMe;

	if (dbg & BUS) {
		int	dbg_ptr;
		dbg_ptr = line;
		while (dbg_ptr > 0) {
			fprintf(stderr, "%d -> ", dbg_ptr);
			dbg_ptr = activlist[dbg_ptr].link;
		}
		fprintf(stderr, "%d \n", dbg_ptr);
	}
	/* */
l_90:  
	return(AUSGANG2);
	/* */
	/*     ERROR EXIT */
	/*     ========== */
l_4000:  
	fprintf (nunit2, "\n\n+++++ bride :  t=%12.4f ERROR  : transaction attempts to drive \n", TiMe);
	goto l_99;
	/* */
l_4100:  
	fprintf (nunit2, "\n\n+++++ bride :  t=%12.4f ERROR  : taxi or transporter in bride\n", TiMe);
	goto l_99;
	/* */
l_99: 
	return(FEHLER);
	/* */
}


