static char *SccsId = "@(#)PEPSY:\tclear.c\t1.3\t92/03/27 11:54:40";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	clear(nfa)
int	nfa ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call clear(nfa,exit1,*9999)                                   */
	/*    ***                                                               */
	/*    *** funktion : freigeben einer facility                           */
	/*    *** parameter: nfa   = nummer der facility                        */
	/*    ***            exit1 = adressausgang fuer verdraengte trs         */
	/*    ***                                                               */
	extern int	block(), dblock(), policy();
	int	ftx, np, k ;
#ifdef DEBUG
dprint(STATION, "clear %d\n", nfa); /* */
#endif
	/*                                                                      */
	/*    fehlerausgang                                                     */
	/*    =============                                                     */
	if (fac[nfa].occup == row_txact) 
		goto l_100;
	fprintf(nunit2, "\n\n+++++ clear: TiMe=%12.4f  tr%6d,%4d belegt fac%3d nicht\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nfa);
	return(FEHLER);
	/*                                                                      */
	/*    freigeben                                                         */
	/*    =========                                                         */
l_100: 
#ifdef DEBUG
dprint(LABEL, "clear: label l_100\n"); /* */
#endif
	fac[nfa].occup = 0;
	fac[nfa].preemp = FALSE;
	fac[nfa].phase = 0;
	/*                                                                      */
	/*    blockieren der verdraengten tr                                    */
	/*    ==============================                                    */
	if (tx_system[row_txact].TiMe_left < eps) 
		goto l_200;
	activlist[row_txact].next =  -(double)nfa;
	activlist[row_txact].target = tx_system[row_txact].retour;
	tx_system[row_txact].t_block = TiMe ;
	policy(1, nfa, 0, &ftx, &np);
	block(1, nfa, 0, ftx);
l_200: 
#ifdef DEBUG
dprint(LABEL, "clear: label l_200\n"); /* */
#endif
	tx_system[row_txact].retour = 0;
	if (iprint == 0 && jprint[1] == 0 || jprint[1] == -1) 
		goto l_300;
	fprintf(nunit2, " clear :  TiMe=%12.4f  tr%6d,%4d   verlaesst fac%3d\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nfa);
	/*                                                                      */
	/*    deblockieren der naechsten tr                                     */
	/*    =============================                                     */
l_300: 
#ifdef DEBUG
dprint(LABEL, "clear: label l_300\n"); /* */
#endif
	k = offset.fac + nfa - 1;
#ifdef DEBUG
dprint(LABEL, "clear: bhead %d (%d)\n", bhead[k] - activlist, k); /* */
#endif
	if (bhead[k] != NULL) {
#ifdef DEBUG
dprint(STATION, "clear: calling dblock\n"); /* */
#endif
		dblock(1, nfa, 0, 1);
	}
	if (tx_system[row_txact].TiMe_left < eps) 
		return(NORMAL);
	return(AUSGANG2);
}


