static char *SccsId = "@(#)PEPSY:\tconf.c\t1.3\t92/03/27 11:54:42";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"

#include <assert.h>


int	conf(nbn)
int	nbn ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call conf(nbn)                                                */
	/*    ***                                                               */
	/*    *** funktion : aufsammeln der wartezeiten                         */
	/*    *** parameter: nbn   = nummer der bin                             */
	/*    ***                                                               */
	extern int	tchain();
	extern int	confi();
	int	lbc, i ;
#ifdef DEBUG
dprint(CONF, "conf: nbn %d\n", nbn); /* */
#endif
	assert(nbn <= zbin);
	/*                                                                      */
	/*    abschluss der bin                                                 */
	/*    =================                                                 */
	bin[nbn].total_wait += (TiMe - bin[nbn].last_change) * (double)bin[nbn].act ;
	bin[nbn].last_change = TiMe;
	/*                                                                      */
	/*    sammeln der wartezeit                                             */
	/*    =====================                                             */
	lbc = conflist[nbn].index + 1;
	assert(nbn <= zbin && lbc <= zconf);
	con[nbn][lbc] = bin[nbn].total_wait - conflist[nbn].total_prev;
	conflist[nbn].total_prev = bin[nbn].total_wait;
	conflist[nbn].index = lbc;
	assert(conflist[nbn].index <= zconf);
#ifdef DEBUG
dprint(CONF, "conf: nbn %d, index %d\n", nbn, conflist[nbn].index); /* */
#endif
	if (conflist[nbn].autom > 0) 
		goto l_100;
	if (lbc == 32 && conflist[nbn].autom >= 0) {
#ifdef DEBUG
dprint(CHAIN, "conf: aufruf von confi\n"); /* */
#endif
		confi(nbn);
	}
	/*                                                                      */
	/*    zusammenschieben von con                                          */
	/*    ========================                                          */
l_100:
#ifdef DEBUG
dprint(LABEL, "conf: label l_100\n"); /* */
#endif
	if (lbc < zconf) 
		goto l_200;
	for (i = 1; i <= zconf / 2; ++i) {
		con[nbn][i] = con[nbn][2*i-1] + con[nbn][2*i];
	};
	conflist[nbn].int_length = conflist[nbn].int_length * 2.;
	conflist[nbn].index = zconf / 2;
	assert(conflist[nbn].index <= zconf);
	/*                                                                      */
	/*    anmelden des naechsten aufrufes von conf                          */
	/*    ========================================                          */
l_200:
#ifdef DEBUG
dprint(LABEL, "conf: label l_200\n"); /* */
#endif
	conflist[nbn].next = TiMe + conflist[nbn].int_length;
#ifdef DEBUG
dprint(CHAIN, "conf: aufruf von tchain\n"); /* */
#endif
	tchain(4, nbn);
	/*                                                                      */
	/*    protokollausdruck                                                 */
	/*    =================                                                 */
	if (iprint == 0 && jprint[16] == 0  ||  jprint[16] == -1 ) 
		return(NORMAL);
	fprintf(nunit2, " conf  :  TiMe=%12.4f  wartezeiten fuer bin %3d\n",
	    TiMe, nbn);
	return(NORMAL);
}


