static char *SccsId = "@(#)PEPSY:\tdepart.c\t1.3\t92/03/27 11:54:53";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	depart(nbn, nt, vl)
double	vl ;
int	nt ;
int	nbn ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call depart(nbn,nt,vl,*9999)                                  */
	/*    ***                                                               */
	/*    *** funktion : verlassen einer bin                                */
	/*    *** parameter: nbn  = nummer der bin                              */
	/*    ***            nt   = anzahl der bin-einheiten                    */
	/*    ***            vl   = intervallaenge                              */
	/*    ***                   = 0: automatische bestimmung                */
	/*    ***                   > 0: angabe duch den benutzer               */
	/*    ***                                                               */
	extern int	confi();
	extern int	tchain();

	/*                                                                      */
	/*    eintragen in die bin-matrix                                       */
	/*    ===========================                                       */
#ifdef DEBUG
dprint(TRANSPORT, "depart: nbn %d,  nt %d\n", nbn, nt); /* */
#endif
	if (bin[nbn].act < nt) 
		goto l_100;
	bin[nbn].total_wait += (TiMe - bin[nbn].last_change) * (double)bin[nbn].act;
	bin[nbn].act = bin[nbn].act - nt ;
#ifdef DEBUG
dprint(TRANSPORT, "depart: nt %d bin-einheiten subtrahiert bei gesamt %d\n", nt, bin[nbn].act); /* */
#endif
	if (tx_system[row_txact].TiMe_left >= eps) 
		goto l_15;
	bin[nbn].leave = bin[nbn].leave + nt ;
l_15: 
	bin[nbn].depart = bin[nbn].depart + 1;
	bin[nbn].last_change = TiMe;
	if (iprint == 0 && jprint[16] == 0 || jprint[16] == -1) 
		goto l_200;
	fprintf(nunit2, " depart:  TiMe=%12.4f  tr%6d,%4d   verlaesst bin%3d\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nbn);
	goto l_200;
l_100:  
	fprintf(nunit2, "\n\n+++++ depart: TiMe=%12.4f inhalt der bin%3d kleiner als gef. anzahl\n",
	    TiMe, nbn);
	return(FEHLER);
	/*                                                                      */
	/*    berechnen der intervallaenge                                      */
	/*    ============================                                      */
l_200:  
	if (bin[nbn].depart > 2) 
		return(NORMAL);
	if (bin[nbn].depart == 1) 
		goto l_210;
	if (conflist[nbn].autom <= 0) {
#ifdef DEBUG
dprint(CHAIN, "depart: aufruf von confi\n"); /* */
#endif
		confi(nbn);
	}
	return(NORMAL);
l_210:  
	conflist[nbn].total_prev = bin[nbn].total_wait;
	if (vl > eps) 
		goto l_220;
	conflist[nbn].int_length = TiMe;
	conflist[nbn].autom = 0;
	return(NORMAL);
l_220:  
	conflist[nbn].next = TiMe + vl;
	conflist[nbn].int_length = vl;
	conflist[nbn].autom = 1;
#ifdef DEBUG
dprint(CHAIN, "depart: aufruf von tchain\n"); /* */
#endif
	tchain(4, nbn);
	return(NORMAL);
}


