static char *SccsId = "@(#)PEPSY:\tendplo.c\t1.2\t92/03/27 11:55:07";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	endplo(istat)
int	istat ;
/*                                                                      */
{
	/*    ***                                                       */
	/*    *** call endplo(istat)                                         */
	/*    ***                                                            */
	/*    *** funktion : veranlasst die ausgabe der gesammelten plotdaten   */
	/*    ***                                                               */
	/*    *** parameter: istat = berechnung statistischer groessen          */
	/*    ***                    = 0 nein                                   */
	/*    ***                    = 1 ja                                     */
	/*    ***                                                               */
	extern int	plot();
	FILE * nfile;
	int	xplot, i, npl, nplot, iplota, iscal, nv;
	double	timsca, pmin, pmax ;
	struct PLOT3 field[7];
	/*                                                                      */
	for (npl = 1; npl <= znplo; ++npl) {
		if (ploma1[npl].plot_end  <  eps) 
			continue;
		for (i = 1; i <= 7; ++i) {
			field[i].symbol = ' ';
			strcpy(field[i].pvar_name, "        ");
		};
		/*                                                                      */
		/*    paramterversorgung fuer plot                                      */
		/*    ============================                                      */
		nplot  = npl;
		/*      nfile  = plotfile[ploma1[npl].file_nr].pointer;   */
		fclose (plotfile[ploma1[npl].file_nr].pointer);
		if ((nfile = fopen(plotfile[ploma1[npl].file_nr].fil_name, "r")) == NULL) {
			fprintf(nunit2, "endplot: Fehler bei der Filenummer %d\n",
			    ploma1[npl].file_nr);
			fprintf(nunit2, "endplot: Fehler beim Oeffnen von %s im Modus 'r'\n",
			    plotfile[ploma1[npl].file_nr].fil_name);
			exit(1);
		}
		timsca = ploma2[npl].x_scale;
		iplota = ploma2[npl].extent ;
		iscal  = ploma2[npl].y_scale ;
		pmin   = ploma2[npl].y_min;
		pmax   = ploma2[npl].y_max;
		xplot  = 0;
		for (nv = 1; nv <= 6; ++nv) {
			if (ploma1[npl].setnr[nv] == 0) 
				continue;
			field[nv].symbol = ploma3[nv][npl].symbol;
			strcpy(field[nv].pvar_name, ploma3[nv][npl].pvar_name);
		};
		plot(nplot, nfile, nunit2, timsca, iplota, iscal, pmin, pmax, xplot, istat, field);
		fclose (nfile);
		if (( plotfile[ploma1[npl].file_nr].pointer = 
		    fopen (plotfile[ploma1[npl].file_nr].fil_name, "a")) == NULL) {
			fprintf(nunit2, "endplot: Fehler beim Oeffnen von %s im Modus 'a'\n",
			    plotfile[ploma1[npl].file_nr].fil_name);
			exit(1);
		}
	};
	return(NORMAL);
}


