static char *SccsId = "@(#)PEPSY:\tfifo.c\t1.2\t92/03/27 11:55:25";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	fifo(k, iftx, np)
int	*np ;
int	*iftx ;
int	k ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call fifo(k, *iftx, *np)                                      */
	/*    ***                                                               */
	/*    *** funktion : suchen des platzes in der kette nach fifo          */
	/*    *** parameter: k    = stationsnummer                              */
	/*    ***             *iftx = rueckgabe: letzte tr                      */
	/*    ***             *np   = rueckgabe: platznummer der einzukettenden tr  */
	/*    ***                                                               */
	int	bpoint, i, place;
	/*                                                                      */
	/*    suchen des platzes                                                */
	/*    ==================                                                */
	*iftx = 0;
	bpoint = bhead[k] - activlist;
	for ( i = 1; i <= ztx; i++) {
		place = i;
		if (bpoint < 0) 
			break;
		if (tx_system[row_txact].t_block + eps < tx_system[bpoint].t_block) 
			break;
		if (tx_system[row_txact].t_block > tx_system[bpoint].t_block + eps) 
			goto l_100;
		if (tx_system[row_txact].nr < tx_system[bpoint].nr) 
			break;
		if (tx_system[row_txact].nr > tx_system[bpoint].nr) 
			goto l_100;
		if (tx_system[row_txact].dup < tx_system[bpoint].dup) 
			break;
l_100: 
		*iftx = bpoint ;
		bpoint = activlist[bpoint].blk_link ;
	};
	*np = place;
	return(NORMAL);
}


