static char *SccsId = "@(#)PEPSY:\tfree_stor.c\t1.2\t92/03/27 11:55:45";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	free_stor(nst, ne, key, line)
int	*line ;
int	key ;
int	ne ;
int	nst ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call free(nst,ne,key, *line,exit1)                            */
	/*    ***                                                               */
	/*    *** funktion : freigeben eines speicherbereiches mit              */
	/*    ***            freigabe-schluessel key                            */
	/*    *** parameter: nst   = nummer der storage                         */
	/*    ***            ne    = zahl der freizugebenden speicherplaetze    */
	/*    ***            key   = freigabe-schluessel                        */
	/*    ***             *line  = rueckgabe: anfangsadresse des restbereiches  */
	/*    ***            exit1 = adressausgang bei erfolgloser freigabe     */
	/*    ***                                                               */
	extern int	stratf();
	int	j, iaddr, i, help ;
	/*                                                                      */
	/*    bestimmen von row_stor                                                 */
	/*    =================                                                 */
	row_stor = sto_base[nst].addr + key - 1;
	if (strategy[nst].out == 0) 
		goto l_100;
	switch (stratf(nst, key)) {
	case FEHLER : 
		goto l_100;
	};
l_100:  
	if (row_stor == NULL) 
		goto l_400;
	/*                                                                      */
	/*    restbelegung                                                      */
	/*    ============                                                      */
	*line = 0;
	if (row_stor->length < ne) 
		goto l_400;
	if (row_stor->length == ne) 
		goto l_200;
	j = row_stor + ne - sto_matrix;
	sto_matrix[j].length = row_stor->length - ne;
	sto_matrix[j].mark = row_stor->mark;
	help = sto_base[nst].addr - sto_matrix;
	*line = j - help + 1;
	row_stor->length = ne;
	/*                                                                      */
	/*    freigeben des speicherbereiches                                   */
	/*    ===============================                                   */
l_200:  
	row_stor->mark = -1;
	if (iprint == 0 && jprint[4] == 0 || jprint[4] == -1) 
		goto l_300;
	iaddr = row_stor - sto_base[nst].addr + 1;
	fprintf(nunit2, " free  :  TiMe=%12.4f  tr%6d,%4d   gibt ab adresse%4d,%4d plaetze der sto%3d frei\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, iaddr, row_stor->length, nst);
	/*                                                                      */
	/*    verschmelzen buendiger freier bereiche                            */
	/*    ======================================                            */
l_300:  
	j = row_stor - sto_matrix + row_stor->length;
	if (sto_matrix[j].mark != -1 || 
	    j >= sto_base[nst].addr + sto_base[nst].stor_cap - sto_matrix) 
		goto l_310;
	row_stor->length = row_stor->length + sto_matrix[j].length;
	sto_matrix[j].length = 0;
	sto_matrix[j].mark = 0;
l_310:  
	if (row_stor == sto_base[nst].addr) 
		return(NORMAL);
	for (i = 1; i <= zsm; ++i) {
		j = row_stor - i - sto_matrix;
		if (sto_matrix[j].length != 0) 
			goto l_330;
	};
l_330:  
	if (sto_matrix[j].mark != -1) 
		return(NORMAL);
	sto_matrix[j].length = row_stor->length + i;
	row_stor->length = 0 ;
	row_stor->mark = 0 ;
	return(NORMAL);
	/*                                                                      */
	/*    erfolglose freigabe                                               */
	/*    ===================                                               */
l_400:  
	if (iprint == 0 && jprint[4] == 0 || jprint[4] == -1) 
		return(FEHLER);
	fprintf(nunit2, " free  :  TiMe=%12.4f  tr%6d,%4d   freigabe in sto%3d nicht moeglich\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nst);
	return(FEHLER);
}


