static char *SccsId = "@(#)PEPSY:\tgetout.c\t1.3\t92/03/27 11:56:05";
#include <fcntl.h>
#include <string.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	getout()
{
	/*     ***  */
	/*     *** CALL GETOUT */
	/*     ***  */
	/*     *** PURPOSE : A TRANSACTION LEAVES A VEHICLE AT A TERMINAL */
	/*     ***  */
	/* */

	char	ctype[4][14];
	int	nact, nterm;
	extern int	next_int();
	/*                                                                        */
	strcpy(ctype[1], " bus         ");
	strcpy(ctype[2], " taxi        ");
	strcpy(ctype[3], " transporter ");

	/*                                                                        */
	/*     RESET DATA AREA OF TRANSACTION */
	/*     ============================== */
	nterm = next_int(txadd[row_txact][2]);
#ifdef DEBUG
dprint(TRANSACTION, "getout: entladen an t %d tx-zeile %d\n", nterm, row_txact); /* */
#endif
	txadd[row_txact][1] = 0.0;
	txadd[row_txact][2] = 0.0;
	txadd[row_txact][3] = 0.0;
	txadd[row_txact][4] = 0.0;
	/*                                                                        */
	/*     TRACE */
	/*     ===== */
	if ((iprint == 1 || jprint[23] > 0) && jprint[23] != -1) {
		if (nterm == -1) {
			fprintf (nunit2, "getout:  t=%12.4f  tr%6d,%4d   leaves vehicle\n", TiMe, tx_system[row_txact].nr,
			     tx_system[row_txact].dup);
		} else {
			fprintf (nunit2, "getout:  t=%12.4f  tr%6d,%4d   leaves vehicle at terminal %4d\n", TiMe, tx_system[row_txact].nr,
			     tx_system[row_txact].dup, nterm);
		}
	}
	if (kprint == 1) {
		nact = 9;
		fprintf (nunit23, "%12.4f%4d%4d%4d%4d\n", TiMe, txi[row_txact], tx_system[row_txact].nr, nact, nterm);
	}
	return(NORMAL);
}


