static char *SccsId = "@(#)PEPSY:\tgout.c\t1.2\t92/03/27 11:56:11";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	gout(idn, iordr, local_TiMe)
int	idn;
int	iordr;
float	local_TiMe;
/* Hier ist mindestens ein alternativer Ruecksprung zu beruecksichtigen */
{
	/*     ***  */
	/*     *** CALL GOUT(IDN,IORDR,LOCAL_TIME,*9000,*9999) */
	/*     ***  */
	/*     *** PURPOSE : UNLOAD TRANSACTION AND SCHEDULE */
	/*     *** PARAMETERS: IDN   = REACTIVATION LABEL */
	/*     ***             IORDR = TYPE OF CONTROL */
	/*     ***                      = 0: CENTRAL CONTROL NOT USED */
	/*     ***                      = 1: CENTRAL CONTROL USED */
	/*     ***             LOCAL_TIME  = DURATION OF UNLOADING ONE TRANSACTION */
	/*     ***             *9000 = EXIT TO FLOW CONTROL */
	/*     ***             *9999 = ERROR EXIT */
	/*     ***  */
	/* */

	short	beginn;
	short	found;
	short	trace;
	int	ncar;
	extern int	next_int();
	int	nterm;
	int	nstrat;
	int	line;
	float	anzahl;
	float	adTiMe;
	int	next;
	extern int	tchain();
	int	nact;
	int	last;
	extern int	find();

	/*     TEST FOR ERRORS */
	/*     =============== */
	ncar  = next_int(txadd[row_txact][1]);
	if (ncar == 0)                                   
		goto l_4000;
	if (txi[row_txact] != 3)                         
		goto l_4100;
	if (local_TiMe < -eps)                                 
		goto l_4200;
	nterm = next_int(carma[ncar][6]);
	if ((next_int(carma[ncar][6] * 10.0) - nterm * 10) != 1) 
		goto l_4300;
	if (iordr < 0 || iordr > 1)                      
		goto l_4400;
	nstrat = next_int(carma[ncar][9]);
	if (nstrat == 0 && iordr == 1)                    
		goto l_4500;
	/* */
	/*     INITIALIZE */
	/*     ========== */
	found  = FALSE;
	beginn = TRUE;
	line   = next_int(carma[ncar][2]);
	anzahl = 0.0;
	trace  = ((iprint == 1 || jprint[23] > 0) && jprint[23] != -1);
	if (trace) 
		fprintf (nunit2, "gout  :  t=%12.4f  transporter%4d is at terminal%4d\n", TiMe, ncar, nterm);
	/*                                                                   */
	/*     ARE THERE STILL TRANSACTIONS TO BE UNLOADED? */
	/*     ============================================ */
l_1000:  
	if (line < 0) 
		goto l_2000;
	/*                                                                   */
	/*     SCHEDULE TRANSACTIONS FOR THIS TERMINAL */
	/*     ======================================= */
	if (next_int(txadd[line][2]) == nterm || next_int(txadd[line][2]) == -1) {
		anzahl = anzahl + 1.;
		adTiMe = local_TiMe * anzahl;
		activlist[line].next = TiMe + adTiMe;
		next = activlist[line].blk_link;
		activlist[line].blk_link = 0;
		switch (tchain(3, line)) {
		case FEHLER: 
			goto l_99;
		}
		if (trace) {
			fprintf (nunit2, "                         transaction%4d is unloaded\n", tx_system[line].nr);
			if (adTiMe > eps) 
				fprintf (nunit2, "                         duration of unloading= %12.4f\n", adTiMe);
		}
		if (kprint == 1) {
			nact = 6;
			fprintf (nunit23, "%12.4f%4d%4d%4d%4d\n", TiMe, txi[line], tx_system[line].nr, nact, nterm);
		}
		if (beginn) {
			carma[ncar][2] = (double)next;
		} else {
			activlist[last].blk_link = next;
		}
		anford = next_int(txadd[line][4]);
		if (anford == 0)  
			anford = 1;
		carma[ncar][4] = carma[ncar][4] - anford;
		tarma[ncar][2] = 0.0;
	} else {
		beginn = FALSE;
		last = line;
		next = activlist[line].blk_link;
	}
	line = next;
	goto l_1000;
	/* */
	/*     DELAY FOR UNLOADING */
	/*     =================== */
l_2000: 
	adTiMe = local_TiMe * anzahl;
	if (next_int(anzahl) == 0) {
		if (trace) 
			fprintf (nunit2, "                         no transaction unloaded\n");
	} else {
		if (kprint == 1) {
			nact = 34;
			fprintf (nunit23, "%12.4f%4d%4d%4d%4d\n", TiMe, txi[row_txact], ncar, nact, nterm);
		}
		if (adTiMe > eps) {
			if (trace) 
				fprintf (nunit2, "                         delay of transporter%4d %12.4f units of TiMe\n",
				     ncar, adTiMe);
			/* */
			/*     STATISTICAL DATA COLLECTION : DURATION OF UNLOADING */
			/*     =================================================== */
			statis[ncar][10] = statis[ncar][10] + adTiMe;
		}
	}
	/*                                                                      */
	/*     SEARCH FOR NEXT TRANSACTION */
	/*     IF TRANSPORTER EMPTY AND WITHOUT DESTINATION */
	/*     ============================================ */
	if (next_int(carma[ncar][2]) < 0 && next_int(carma[ncar][10]) < 0) {
		if (iordr == 1)  
			switch (find(ncar, &found)) {
			case FEHLER: 
				goto l_99;
			}
		if (found) {
			carma[ncar][7] = 2.0;
			carma[ncar][8] = 1.0;
			if (kprint == 1) {
				nact = 31;
				fprintf (nunit23, "%12.4f%4d%4d%4d%4d\n", TiMe, txi[row_txact], ncar, nact, nterm);
			}
		} else {
			carma[ncar][7] = 3.0;
			carma[ncar][8] = 0.0;
			if (kprint == 1) {
				nact = 35;
				fprintf (nunit23, "%12.4f%4d%4d%4d%4d\n", TiMe, txi[row_txact], ncar, nact, nterm);
			}
		}
	}
	/* */
	/*     SCHEDULE */
	/*     ======== */
	activlist[row_txact].next = TiMe + adTiMe;
	activlist[row_txact].target = idn;
	tchain(3, row_txact);

	/* */
l_90:  
	return(AUSGANG2);
	/* */
	/* */
	/*     ERROR EXIT */
	/*     ========== */
l_4000: 
	fprintf (nunit2, "\n\n+++++ gout  :  t=%12.4f ERROR  : transaction tries to unload\n", TiMe);
	goto l_99;
	/* */
l_4100: 
	fprintf (nunit2, "\n\n+++++ gout  :  t=%12.4f ERROR  : bus or taxi in gout\n", TiMe);
	goto l_99;
	/* */
l_4200: 
	fprintf (nunit2, "\n\n+++++ gout  :  t=%12.4f ERROR  : negative duration of unloading  %8.2f\n", TiMe, local_TiMe);
	goto l_99;
	/* */
l_4300: 
	fprintf (nunit2, "\n\n+++++ gout  :  t=%12.4f ERROR  : transporter %4d tries to unload at branch\n", TiMe, ncar,
	    nterm);
	goto l_99;
	/* */
l_4400: 
	fprintf (nunit2, "\n\n+++++ gout  :  t=%12.4f ERROR  : iordr is wrong\n", TiMe);
	goto l_99;
	/* */
l_4500: 
	fprintf (nunit2, "\n\n+++++ gout  :  t=%12.4f ERROR  : transporter %4d cannot switch on central control\n", TiMe,
	     ncar);
l_99:  
	return(FEHLER);
	/* */
}


