static char *SccsId = "@(#)PEPSY:\tinit.c\t1.3\t92/03/27 11:56:32";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	get_dimension(old_dim)
int	*old_dim;
{
	int	i;

	for (i = 0; i < PARAM; i++) {
		old_dim[i] = gpss_dim_info[i];
	}
}


int	init_dimension(new_dim)
int	*new_dim;
{
	int	i;

	for (i = 0; i < PARAM; i++) {
		gpss_dim_info[i] = new_dim[i];
	}
}



int	init_ptr()
/*                                                                       */
{
	/*   ***                                                                 */
	/*   *** funktion: initialisieren der pointer fuer zweidimensionale      */
	/*   ***           felder                                                */
	/*   ***                                                                 */
	int	i;

	return(NORMAL); /*
for (i=0; i<=zbin; i++)
    con[i] = &Con[i*(zconf+1)];

for (i=0; i<=zndvar; i++)
  {
    s_devar[i] = &S_devar[i*(zldvar+1)];
    t_devar[i] = &T_devar[i*(zldvar+1)];
  }

for (i=0; i<=znset; i++)
  {
    jflag[i] = &Jflag[i*(zncro+1)];
    iflag[i] = &Iflag[i*(zncro+1)];
    jflagl[i] = &Jflagl[i*(zncro+1)];
    iflagp[i] = &Iflagp[i*(zncro+1)];
    sv[i] = &Sv[i*(znv+1)];
    dv[i] = &Dv[i*(znv+1)];
    svlast[i] = &Svlast[i*(znv+1)];
    dvlast[i] = &Dvlast[i*(znv+1)];
  }

for (i=0; i<=zfam; i++)
  {
    assem_ma[i] = &Assem_ma[i*(zasm+1)];
    gath_fam[i] = &Gath_fam[i*(zgatf+1)];
    usercf[i] = &Usercf[i*(zuchf+1)];
  }

for (i=0; i<=7; i++)
    ploma3[i] = &Ploma3[i*(znplo+1)];

for (i=0; i<=ztab; i++)
    table[i] = &Table[i*(zntab+1)];

for (i=0; i<=ztx; i++)
  {
    i_tx_priv[i] = &I_tx_priv[i*(ztxip+1)];
    f_tx_priv[i] = &F_tx_priv[i*(ztxfp+1)];
    s_tx_priv[i] = &S_tx_priv[i*(ztxsp+1)];
  }
	return (NORMAL);
	*/
}




int	init1x()
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call init1x                                                   */
	/*    ***                                                               */
	/*    *** funktion : wertzuweisung an zufallszahlengenerator            */
	/*    ***                                                               */
	/*     SPECIFY THE MULTIPLICATIVE FACTOR  */
	/*     =================================  */
	int	i;
	/*                                                                      */
	/*    bestimmen der multiplikatoren                                     */
	/*    =============================                                     */
	dfact[ 1][1] =   74125;
	dfact[ 2][1] =  163549;
	dfact[ 3][1] =  207253;
	dfact[ 4][1] =  224685;
	dfact[ 5][1] =  288373;
	dfact[ 6][1] =  314685;
	dfact[ 7][1] =  324349;
	dfact[ 8][1] =  337997;
	dfact[ 9][1] =  343917;
	dfact[10][1] =  484997;
	dfact[11][1] =  520061;
	dfact[12][1] =  526981;
	dfact[13][1] =  530197;
	dfact[14][1] =  531493;
	dfact[15][1] =  557749;
	dfact[16][1] =  628861;
	dfact[17][1] =  635149;
	dfact[18][1] =  651237;
	dfact[19][1] =  725925;
	dfact[20][1] =  861221;
	dfact[21][1] =  931725;
	dfact[22][1] =  982525;
	dfact[23][1] = 1085653;
	dfact[24][1] = 1168277;
	dfact[25][1] = 1377333;
	dfact[26][1] = 1455669;
	dfact[27][1] = 1493629;
	dfact[28][1] = 1534917;
	dfact[29][1] = 1548757;
	dfact[30][1] = 1635469;
	/*                                                                      */
	/*    bestimmen des moduls                                              */
	/*    ====================                                              */
	dmodul[1] = 1 << 30;  /* 2 hoch 30 */
	dmodul[2] = 1 << 15;  /* 2 hoch 15 */
	/*                                                                      */
	/*    bestimmen der beiden teile von dfact                              */
	/*    ====================================                              */
	for (i = 1; i <= 30; ++i) {
		dfact[i][2] = dfact[i][1] % dmodul[2];
		dfact[i][1] = (dfact[i][1] - dfact[i][2]) / dmodul[2];
	};
	/*                                                                      */
	/*    bestimmen der additiven konstanten                                */
	/*    ==================================                                */
	for (i = 1; i <= 30; ++i) {
		dconst[i][2] = 16739;
		dconst[i][1] =  6946;
	};
	/*                                                                      */
	/*    bestimmen der startwerte                                          */
	/*    ========================                                          */
	for (i = 1 ; i <= 30 ; drn[i] = 1, i++)
		;
	/*                                                                      */
	return(NORMAL);
}





int	init2()
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call init2(*9999)                                             */
	/*    ***                                                               */
	/*    *** funktion : anlegen der datenbereiche fuer multifacilities     */
	/*    ***                                                               */
	int	i ;
	/*                                                                      */
	/*    bestimmen der verwendeten multifacilities                         */
	/*    =========================================                         */
	row_serv = &service[1];
	for (i = 1; i <= zmfac; ++i) {
		if (mfac[i].cap == 0) 
			continue;
		/*                                                                      */
		/*    anlegen eines abschnittes                                         */
		/*    =========================                                         */
		mfac[i].base = row_serv - service;
		row_serv = row_serv + mfac[i].cap;
		if (row_serv - service - 1 > zse) 
			goto l_200;
	};
	return(NORMAL);
	/*                                                                      */
	/*    fehlerausgang                                                     */
	/*    =============                                                     */
l_200:  
	fprintf(nunit2, "\n\n+++++ init2: ueberlauf se-matrix \n");
	for (i = 1; i <= zmfac; i++) {
		fprintf(nunit2, "%d %d \n", mfac[i].cap, mfac[i].base );
	}
	fprintf(nunit2, "anz se %d\n", zse);
	return(FEHLER);
}




int	init3()
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call init3(*9999)                                             */
	/*    ***                                                               */
	/*    *** funktion : anlegen der datenbereiche fuer storages            */
	/*    ***                                                               */
	int	i ;
	/*                                                                      */
	/*    bestimmen der verwendeten storages                                */
	/*    ==================================                                */
	row_stor = &sto_matrix[1];
	for (i = 1; i <= zsto; ++i) {
		if (sto_base[i].stor_cap == 0) 
			continue;
		/*                                                                      */
		/*    anlegen eines abschnittes                                         */
		/*    =========================                                         */
		sto_base[i].addr = row_stor;
		row_stor->length = sto_base[i].stor_cap;
		row_stor->mark = -1;
		row_stor = row_stor + sto_base[i].stor_cap;
		if (row_stor - sto_matrix - 1 > zsm) 
			goto l_200;
	};
	return(NORMAL);
	/*                                                                      */
	/*    fehlerausgang                                                     */
	/*    =============                                                     */
l_200:  
	fprintf(nunit2, "\n\n+++++ init3: ueberlauf sm-matrix\n");
	return(FEHLER);
}




int	init4()
/*                                                                      */
{
	int	i;
	/*    ***                                                               */
	/*    *** call init4                                                    */
	/*    ***                                                               */
	/*    *** funktion : initialisieren des offset-vektors                    */
	/*    ***                                                               */
	/*                                                                      */
	/*    berechnen der stationsnummern                                     */
	/*    =============================                                     */
	offset.fac = 1;
	offset.mfac = 1 + zfac;
	offset.pool = offset.mfac + zmfac ;
	offset.stor = offset.pool + zpool ;
	offset.gate = offset.stor + zsto;
	offset.gath = offset.gate + zgate ;
	offset.gathf = offset.gath + zgatt ;
	offset.userch = offset.gathf + zgatf * zfam;
	offset.trig = offset.userch + zucht ;
	offset.userchf = offset.trig + zucht;
	offset.trigf = offset.userchf + zuchf * zfam;
	offset.match = offset.trigf + zuchf * zfam;
	offset.station = offset.match + zmatch;
	offset.park = offset.station + zsta;
	offset.block = offset.park + zsta;
	ptr_offset[1] = &offset.fac;
	ptr_offset[2] = &offset.mfac;
	ptr_offset[3] = &offset.pool;
	ptr_offset[4] = &offset.stor;
	ptr_offset[5] = &offset.gate;
	ptr_offset[6] = &offset.gath;
	ptr_offset[7] = &offset.gathf;
	ptr_offset[8] = &offset.userch;
	ptr_offset[9] = &offset.trig;
	ptr_offset[10] = &offset.userchf;
	ptr_offset[11] = &offset.trigf;
	ptr_offset[12] = &offset.match;
	ptr_offset[13] = &offset.station;
	ptr_offset[14] = &offset.park;
	ptr_offset[15] = &offset.block;
	return(NORMAL);
}


