static char *SccsId = "@(#)PEPSY:\tinitts.c\t1.2\t92/03/27 11:56:40";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	initts()
{
	/*     ***  */
	/*     *** CALL INITTS */
	/*     ***  */
	/*     *** PURPOSE : WRITE DATA OF TRANSPORT SYSTEM ON FILE "CARDAT" */
	/*     ***  */
	/* */

	int	i;


	/*     GLOBAL PARAMETERS */
	/*     ================= */
	fprintf (nunit23, "%4d%4d%4d%4d%4d%4d\n", ansta, anverz, anpkt, ansect, ansegm, anrout);
	/* */
	/*     COORDINATES OF TERMINALS, BRANCHES AND POINTS */
	/*     ============================================= */
	for (i = 1; i <= ansta; i++)  {
		fprintf (nunit23, "%12.4f%12.4f\n", coords[i][1], coords[i][2]);
	}
	/* */
	if (anverz == 0) 
		goto l_29;
	for (i = 1; i <= anverz; i++)  {
		fprintf (nunit23, "%12.4f%12.4f\n", coordv[i][1], coordv[i][2]);
	}
	/* */
l_29: 
	if (anpkt == 0) 
		goto l_39;
	for (i = 1; i <= anpkt; i++)  {
		fprintf (nunit23, "%12.4f%12.4f\n", coordp[i][1], coordp[i][2]);
	}
	/* */
	/*     SECTION DATA */
	/*     ============ */
l_39:  
	for (i = 1; i <= ansect; i++)  {
		fprintf (nunit23, "%12.4f%12.4f%12.4f%12.4f%12.4f%12.4f\n",
		    sectma[i][1], sectma[i][2], sectma[i][3], sectma[i][4],
		    sectma[i][5], sectma[i][6]);
	}
	/* */
	/*     SEGMENT DATA */
	/*     ============ */
	for (i = 1; i <= ansegm; i++)  {
		fprintf (nunit23, "%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d\n",
		    segma[i][1], segma[i][2], segma[i][3], segma[i][4],
		    segma[i][5], segma[i][6], segma[i][7], segma[i][8], 
		    segma[i][9], segma[i][10], segma[i][11], segma[i][12],
		    segma[i][13], segma[i][14], segma[i][15], segma[i][16],
		    segma[i][17], segma[i][18], segma[i][19], segma[i][20]);
	}
	/* */
	/*     ROUTE DATA */
	/*     ========== */
	if (anrout == 0) 
		goto l_79;
	for (i = 1; i <= anrout; i++)  {
		fprintf (nunit23, "%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d%4d\n",
		    routma[i][1], routma[i][2], routma[i][3], routma[i][4],
		    routma[i][5], routma[i][6], routma[i][7], routma[i][8],
		    routma[i][9], routma[i][10], routma[i][11], routma[i][12],
		    routma[i][13], routma[i][14], routma[i][15], routma[i][16],
		    routma[i][17], routma[i][18], routma[i][19], routma[i][20]);
	}
	/* */
	for (i = 1; i <= anrout; i++)  {
		fprintf (nunit23, "%4d%4d%4d\n",
		    courma[i][1], courma[i][2], courma[i][3]);
	}
	/* */
	/*     BLOCK SECTION DATA */
	/*     ================== */
l_79: 
	for (i = 1; i <= ansect; i++)  {
		fprintf (nunit23, "%4d%4d\n", blocve[i][1], blocve[i][2]);
	}
	/* */
	return(NORMAL);
	/* */
}


