static char *SccsId = "@(#)PEPSY:\tleave.c\t1.2\t92/03/27 11:56:51";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	leave(npl, ne)
int	ne ;
int	npl ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call leave(npl,ne,exit1)                                      */
	/*    ***                                                               */
	/*    *** funktion : freigabe von pool-einheiten                        */
	/*    *** parameter: npl   = nummer des pools                           */
	/*    ***            ne    = zahl der freizugebenden pool-einheiten     */
	/*    ***            exit1 = adressausgang bei erfolgloser freigabe     */
	/*    ***                                                               */

	/*                                                                      */
	/*    freigeben                                                         */
	/*    =========                                                         */
	if (pool[npl].level < ne) 
		goto l_100;
	pool[npl].level = pool[npl].level - ne;
	if (iprint == 0 && jprint[3] == 0 || jprint[3] == -1) 
		return(NORMAL);
	fprintf(nunit2, " leave :  TiMe=%12.4f  tr%6d,%4d   gibt%4d einheiten des pools%3d frei\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, ne, npl);
	return(NORMAL);
	/*                                                                      */
	/*    erfolglose freigabe                                               */
	/*    ===================                                               */
l_100:  
	if (iprint == 0 && jprint[3] == 0 || jprint[3] == -1) 
		return(FEHLER);
	fprintf(nunit2, " leave :  TiMe=%12.4f  tr%6d,%4d   inhalt des pools%3d kleiner als gef. anzahl\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, npl);
	return(FEHLER);
}


