static char *SccsId = "@(#)PEPSY:\tlfirst.c\t1.3\t92/03/27 11:56:53";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	lfirst(mfa)
int	mfa ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call lfirst(mfa)                                              */
	/*    ***                                                               */
	/*    *** funktion : suchen des ersten freien service-elementes in      */
	/*    ***            einer multifacility                                */
	/*    *** parameter: mfa   = nummer der multifacility                   */
	/*    ***                                                               */
	int	i1, i2, i ;
	/*                                                                      */
	/*    suchen eines freien service-elementes                             */
	/*    =====================================                             */
	i1 = mfac[mfa].base ;
	i2 = i1 + mfac[mfa].cap - 1;
	row_serv = NULL;
	for (i = i1; i <= i2; ++i) {
		if (service[i].occup != 0) 
		{
#ifdef DEBUG
dprint(FACILITY,"lfirst: s-e %d belegt\n",i); /* */
#endif
			continue;
		}
#ifdef DEBUG
dprint(FACILITY,"lfirst: s-e %d frei\n",i); /* */
#endif
		row_serv = service + i;
		return(NORMAL);
	};
#ifdef DEBUG
dprint(FACILITY,"lfirst: alle s-e belegt\n"); /* */
#endif
	return(NORMAL);
}


