static char *SccsId = "@(#)PEPSY:\tmclear.c\t1.3\t92/03/27 11:57:06";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	mclear(mfa)
int	mfa ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call mclear(mfa,exit1,*9999)                                  */
	/*    ***                                                               */
	/*    *** funktion : freigeben eines service-elementes in einer         */
	/*    ***            multifacility                                      */
	/*    *** parameter: mfa   = nummer der multifacility                   */
	/*    ***            exit1 = adressausgang fuer verdraengte trs         */
	/*    ***                                                               */
	extern int	block(), dblock(), policy();
	int	ftx, k, np ;
	int	nse ;
	/*                                                                      */
	/*    bestimmen des service-elementes                                   */
	/*    ===============================                                   */
#ifdef DEBUG
dprint(FACILITY,"mclear: mfa %d\n",mfa); /* */
#endif
	row_serv = service + tx_system[row_txact].elem;
	if (row_serv == NULL) 
		goto l_100;
	if (row_serv->occup == row_txact) 
		goto l_200;
l_100:  
#ifdef DEBUG
dprint(ERROR,"\n\n+++++ mclear: tr%6d,%4d belegt mfac%3d nicht\n", /* */
	    tx_system[row_txact].nr, tx_system[row_txact].dup, mfa);
#endif
	return(FEHLER);
	/*                                                                      */
	/*    freigeben                                                         */
	/*    =========                                                         */
l_200: 
	row_serv->occup = 0 ;
	row_serv->preemp = 0 ;
	row_serv->phase = 0 ;
	mfac[mfa].in_use = mfac[mfa].in_use - 1;
	/*                                                                      */
	/*    bestimmen der stationsnummer                                      */
	/*    ============================                                      */
	k = offset.mfac + mfa - 1;
	/*                                                                      */
	/*    abschluss der belegung                                            */
	/*    ======================                                            */
	if (tx_system[row_txact].TiMe_left < eps) 
		goto l_300;
	activlist[row_txact].next =  -(double)k;
	activlist[row_txact].target = tx_system[row_txact].retour;
	tx_system[row_txact].t_block = TiMe ;
	policy(2, mfa, 0, &ftx, &np);
	block(2, mfa, 0, ftx);
l_300:  
	tx_system[row_txact].retour = 0;
	tx_system[row_txact].elem = 0;
	nse = row_serv - service - mfac[mfa].base + 1;
#ifdef DEBUG
dprint(FACILITY, "mclear: tr%6d,%4d   verlaesst mfac%3d service-element%3d\n", /* */
	    tx_system[row_txact].nr, tx_system[row_txact].dup, mfa, nse);
#endif
	/*                                                                      */
	/*    starten der blockierten trs                                       */
	/*    ===========================                                       */
l_400:  
	if (bhead[k] != NULL) 
		dblock(2, mfa, 0, 1);
	if (tx_system[row_txact].TiMe_left < eps) 
		return(NORMAL);
	return(AUSGANG2);
}


