static char *SccsId = "@(#)PEPSY:\tmknock.c\t1.2\t92/03/27 11:57:08";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	mknock(mfa, rkt, idn)
int	idn ;
double	rkt ;
int	mfa ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call mknock(mfa,rkt,idn,*9000,*9999)                          */
	/*    ***                                                               */
	/*    *** funktion : abruesten eines service-elementes in einer         */
	/*    ***            multifacility                                      */
	/*    *** parameter: mfa = nummer der multifacility                     */
	/*    ***            rkt = abruestzeit                                  */
	/*    ***            idn = zieladresse                                  */
	/*    ***                                                               */
	extern int	tchain();
	int	nse ;

	/*                                                                      */
	/*    bestimmen des service-elementes                                   */
	/*    ===============================                                   */
	row_serv = service + tx_system[row_txact].elem;
	if (row_serv == NULL) 
		goto l_100;
	if (row_serv->occup == row_txact) 
		goto l_200;
l_100:  
	fprintf(nunit2, "\n\n+++++ mknock: TiMe=%12.4f  tr%6d,%4d belegt mfac%3d nicht\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, mfa);
	return(FEHLER);
	/*                                                                      */
	/*    abruesten                                                         */
	/*    =========                                                         */
l_200:  
	row_serv->phase = 3 ;
	activlist[row_txact].next = TiMe + rkt;
	activlist[row_txact].target = idn;
	tchain(3, row_txact);
	if (iprint == 0 && jprint[2] == 0 || jprint[2] == -1) 
		return(AUSGANG2);
	nse = row_serv - service - mfac[mfa].base + 1;
	fprintf(nunit2, " mknock:  TiMe=%12.4f  tr%6d,%4d   s-e%3d in mfac%3d wird abgeruestet bis TiMe=%12.4f\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nse, mfa, activlist[row_txact].next);
	return(AUSGANG2);
}


