static char *SccsId = "@(#)PEPSY:\tmonitr.c\t1.2\t92/03/27 11:57:11";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	monitr(nplot)
int	nplot ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call monitr(nplot)                                            */
	/*    ***                                                               */
	/*    *** funktion : sammeln der zustandsvariablen auf datei            */
	/*    ***                                                               */
	/*    *** parameter: nplot  > 0: aufzeichnen des plot 'nplot'           */
	/*    ***                   = 0: aufzeichnen aller plots                */
	/*    ***                                                               */
	extern int	tchain();
	int	ievent, ind, i, iset, ivar, filenr;
	LOGICAL ploall;
	FILE * nfile ;
	double	porter[9], tnext ;
	/*                                                                      */
	/*    umfang der ausgabe                                                */
	/*    ==================                                                */
	if (nplot == 0)
		ploall = TRUE;
	else
		ploall = FALSE;
	if (ploall) 
		goto l_20;
	/*                                                                      */
	/*    fehlerbehandlung                                                  */
	/*    ================                                                  */
	if ( ploma1[nplot].file_nr  !=  0 ) 
		goto l_100;
	fprintf(nunit2, "0+++++ monitr:  TiMe=%12.4f  warnung: plotnr %2d nicht definiert +++++\n",
	    TiMe, nplot);
	goto l_9000;
	/*                                                                      */
	/*    schleife ueber alle plots                                         */
	/*    =========================                                         */
l_20: 
	nplot++;
	if (nplot < znplo) {
		nplot = 0;
		goto l_9900;
	};
	if ( ploma1[nplot].file_nr == 0) 
		goto l_20;
	/*                                                                      */
	/*    bearbeitung eines plots                                           */
	/*    =======================                                           */
l_100:  
	if ( TiMe  <=  ploma1[nplot].plot_begin - eps  ||      TiMe  >=  ploma1[nplot].plot_end + eps ) 
		goto l_9000;
	/*                                                                      */
	/*    initialisieren                                                    */
	/*    ==============                                                    */
	ievent = 0;
	ind = 0;
	for (i = 1 ; i <= 6 ; porter[i] = 0.0, i++)
		;
	/*                                                                      */
	/*    eintragen in den porter-vektor, ievent besetzen                   */
	/*    ===============================================                   */
	for (i = 1; i <= 6; i++) {
		iset = ploma1[nplot].setnr[i] ;
		ivar = ploma1[nplot].varnr[i] ;
		ind  = ind + 1;
		if (ivar  >  0) 
			porter[ind] = sv[ iset][ivar];
		if (ivar  <  0) 
			porter[ind] = dv[iset][-ivar];
	};
	porter[7] = TiMe;
	porter[8] = (double)nplot;
	if ( monitlist[nplot].link  !=  0 ) 
		ievent = 1;
	/*                                                                      */
	/*    eintragen in die datei und protokollausdruck                      */
	/*    ============================================                      */
	filenr = ploma1[nplot].file_nr;
	nfile = plotfile[filenr].pointer;
	fprintf(nfile, "%d  %f  %f  %f  %f  %f  %f  %f  %f\n", ievent, porter[1], porter[2], porter[3], porter[4], porter[5],
	     porter[6], porter[7], porter[8]);
	if (iprint == 0 && jprint[20] == 0  ||  jprint[20] == -1) 
		goto l_500;
	fprintf(nunit2, " monitr:  TiMe=%12.4f  monitoraufruf fuer plot %2d\n",
	    TiMe, nplot);
	/*                                                                      */
	/*    festlegen des naechsten aufrufes von monitr                       */
	/*    ===========================================                       */
l_500:  
	if (ievent  ==  1) 
		goto l_9000;
	tnext = TiMe + ploma1[nplot].plot_step;
	if ( tnext  >  ploma1[nplot].plot_end + eps ) 
		goto l_9000;
	monitlist[nplot].next = tnext;
	tchain(5, nplot);
	/*                                                                      */
l_9000:
	if (ploall) 
		goto l_20;
l_9900:
	return(NORMAL);
}


