static char *SccsId = "@(#)PEPSY:\tmseize.c\t1.3\t92/03/27 11:57:15";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	mseize(mfa, id)
int	id ;
int	mfa ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call mseize(mfa,id,*9000)                                     */
	/*    ***                                                               */
	/*    *** funktion : belegen eines service-elementes in einer           */
	/*    ***            multifacility                                      */
	/*    *** parameter: mfa = nummer der multifacility                     */
	/*    ***            id  = anweisungsnummer des unterprogramm-          */
	/*    ***                  aufrufes                                     */
	/*    ***                                                               */
	extern int	block(), rblock(), plani(), policy();
	extern int	next_int();
	int	ftx, k, k1, np, nse ;
	/*                                                                      */
	/*    bestimmen der stationsnummer                                      */
	/*    ============================                                      */
#ifdef DEBUG
dprint(FACILITY,"mseize: mfa %d, id %d\n",mfa,id); /* */
#endif
	k = offset.mfac + mfa - 1;
	/*                                                                      */
	/*    blockierentscheid                                                 */
	/*    =================                                                 */
	k1 = next_int(activlist[row_txact].next);
	if (mfac[mfa].in_use == mfac[mfa].cap) 
		goto l_300;
	if (k1 == -k || bhead[k] == NULL) 
		goto l_100;
	tx_system[row_txact].t_block = TiMe ;
	policy(2, mfa, 0, &ftx, &np);
	if (np != 1) 
		goto l_310;
	rblock(2, mfa, 0, 1);
	/*                                                                      */
	/*    zuteilen eines service-elementes durch den plan                   */
	/*    ===============================================                   */
l_100:  
	plani(mfa);
	if (row_serv == NULL) 
		goto l_300;
	/*                                                                      */
	/*    belegen                                                           */
	/*    =======                                                           */
	mfac[mfa].in_use = mfac[mfa].in_use + 1;
	row_serv->occup = row_txact;
	tx_system[row_txact].retour =  id;
	tx_system[row_txact].elem =  row_serv - service;
	tx_system[row_txact].t_block = 0.0;
	nse = row_serv - service - mfac[mfa].base + 1;
#ifdef DEBUG
dprint(FACILITY, "mseize:  tr%6d,%4d   belegt mfac%3d service-element%3d\n", /* */
	    tx_system[row_txact].nr, tx_system[row_txact].dup, mfa, nse);
#endif
	return(NORMAL);
	/*                                                                      */
	/*    blockieren                                                        */
	/*    ==========                                                        */
l_300:  
	if (k1 != -k) 
		tx_system[row_txact].t_block = TiMe;
	policy(2, mfa, 0, &ftx, &np);
l_310:  
	activlist[row_txact].next =  -(double)k;
	activlist[row_txact].target = id;
	block(2, mfa, 0, ftx);
#ifdef DEBUG
dprint(FACILITY, "mseize: tr%6d,%4d   wird blockiert an mfac%3d\n", /* */
	    tx_system[row_txact].nr, tx_system[row_txact].dup, mfa);
#endif
	return(AUSGANG2);
}


