static char *SccsId = "@(#)PEPSY:\tmwork.c\t1.3\t92/03/27 11:57:19";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	mwork(mfa, wt, iex, idn)
int	idn ;
int	iex ;
double	wt ;
int	mfa ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call mwork(mfa,wt,iex,idn,*9000,*9999)                        */
	/*    ***                                                               */
	/*    *** funktion : bearbeiten in einem service-element                */
	/*    *** parameter: mfa = nummer der multifacility                     */
	/*    ***            wt  = bearbeitungszeit                             */
	/*    ***            iex = verdraengungssperre                          */
	/*    ***                  = 0: die tr darf verdraengt werden           */
	/*    ***                  = 1: die tr darf nicht verdraengt werden     */
	/*    ***            idn = zieladresse                                  */
	/*    ***                                                               */
	extern int	tchain();
	int	nse ;

	/*                                                                      */
	/*    bestimmen des service-elementes                                   */
	/*    ===============================                                   */
#ifdef DEBUG
dprint(FACILITY,"mwork: mfa %d, wt %lg, iex %d, idn %d\n",mfa,wt,iex,idn); /* */
#endif
	row_serv = service + tx_system[row_txact].elem;
	if (row_serv == service) 
		goto l_100;
	if (row_serv->occup == row_txact) 
		goto l_200;
l_100:  
	fprintf(nunit2, "\n\n+++++ mwork: TiMe=%12.4f  tr%6d,%4d belegt mfac%3d nicht\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, mfa);
	return(FEHLER);
	/*                                                                      */
	/*    bearbeitungsentscheid                                             */
	/*    =====================                                             */
l_200:  
	if (row_serv->preemp == 0) 
		goto l_300;
	if (tx_system[row_txact].TiMe_left < eps) 
		tx_system[row_txact].TiMe_left = wt;
	return(NORMAL);
	/*                                                                      */
	/*    bearbeiten                                                        */
	/*    ==========                                                        */
l_300:  
	row_serv->phase = 2 ;
	if (iex == 1) 
		row_serv->phase = -2;
	activlist[row_txact].target = idn;
	if (tx_system[row_txact].TiMe_left > eps) 
		goto l_400;
	activlist[row_txact].next = TiMe + wt;
	tchain(3, row_txact);
	if (iprint == 0 && jprint[2] == 0 || jprint[2] == -1) 
		return(AUSGANG2);
	nse = row_serv - service - mfac[mfa].base + 1;
	fprintf(nunit2, " mwork :  TiMe=%12.4f  tr%6d,%4d   wird in s-e%3d mfac%3d bearbeitet bis TiMe=%12.4f\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nse, mfa, activlist[row_txact].next);
	return(AUSGANG2);
	/*                                                                      */
	/*    bearbeiten nach wiederbelegung                                    */
	/*    ==============================                                    */
l_400:  
	activlist[row_txact].next = TiMe + tx_system[row_txact].TiMe_left;
	tx_system[row_txact].TiMe_left = 0.0;
	tchain(3, row_txact);
	if (iprint == 0 && jprint[2] == 0 || jprint[2] == -1) 
		return(AUSGANG2);
	nse = row_serv - service - mfac[mfa].base + 1;
	fprintf(nunit2, " mwork :  TiMe=%12.4f  tr%6d,%4d   wird in s-e%3d mfac%3d weiterbearbeitet bis TiMe=%12.4f\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nse, mfa, activlist[row_txact].next);
	return(AUSGANG2);
}


