static char *SccsId = "@(#)PEPSY:\tordlds.c\t1.2\t92/03/27 11:57:28";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	ordlds(itargl, ncar)
int	itargl, *ncar;
{
	/*     ***  */
	/*     *** CALL ORDLDS(ITARGL,NCAR) */
	/*     ***  */
	/*     *** PURPOSE : REQUEST A TAXI OR TRANSPORTER ACCORDING TO THE */
	/*     ***           STRATEGY WHICH SELECTS THE FURTHEST AWAY ONE */
	/*     *** PARAMETERS: ITARGL = STARTING POINT OF TRANSACTION */
	/*     ***                      TO BE TRANSPORTED */
	/*     ***             NCAR   = RETURNS */
	/*     ***                      <> 0: INDEX OF THE TAXI/TRANSPORTER */
	/*     ***                      =  0: NO TAXI/TRANSPORTER FOUND */
	/*     ***  */
	/* */
	/* */

	int	art, i, j;
	char	ctype[4][12];
	extern int	next_int(), sort();


	strcpy(ctype[1], "bus        ");
	strcpy(ctype[2], "taxi       ");
	strcpy(ctype[3], "transporter");
	/* */
	/*     INITIALIZE */
	/*     ========== */
	*ncar    = 0;
	anford  = next_int(txadd[row_txact][4]);
	art     = next_int(txadd[row_txact][3]);
	/* */
	/*     SORT TERMINALS ACCORDING TO DISTANCE */
	/*     ==================================== */
	for (i = 1; i <= ansta; i++)  {
		dist[i][1] = totlen[i][itargl];
		dist[i][2] = (double)i;
	}
	/* */
	sort(dist, ansta);
	/* */
	/*     IS THERE A TAXI/TRANSPORTER AT THE TERMINAL? */
	/*     ============================================ */
	for (i = ansta; i >= 1; i--)  {
		for (j = 1; j <=  zcar; j++)  {
			if ( !( (next_int(carma[j][1]) == 0) ||    
			    (next_int(carma[j][6]) != next_int(dist[i][2])) || 
			    (next_int(carma[j][7]) != 0) ||                   
			    (txi[next_int(carma[j][1])] != art) ||           
			    (next_int(carma[j][3]) < anford) ))  {
				*ncar = j;
				break;
			}
		}
	}
	/* */
	if ((iprint == 1 || jprint[23] > 0) && jprint[23] != -1) {
		if (*ncar != 0) {
			fprintf (nunit2, "ordlds:                  %11s%4d found\n", ctype[art], *ncar);
		} else {
			fprintf (nunit2, "ordlds:                  no %11s found\n", ctype[art]);
		}
	}
	/* */
	/* */
	return(NORMAL);
	/* */
}


