static char *SccsId = "@(#)PEPSY:\tordran.c\t1.2\t92/03/27 11:57:32";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	ordran(ncar)
int	*ncar;
{
	/*     ***  */
	/*     *** CALL ORDRAN(NCAR) */
	/*     ***  */
	/*     *** PURPOSE : ORDER A TAXI OR TRANSPORTER ACCORDING TO A */
	/*     ***           STRATEGY WITH RANDOM SELECTION */
	/*     *** PARAMETER: NCAR   = RETURNS */
	/*     ***                     <> 0: INDEX OF TAXI/TRANSPORTER */
	/*     ***                     =  0: NO TAXI/TRANSPORTER FOUND */
	/*     ***  */
	/* */

	int	art, num[101], j, i;
	char	ctype[4][12];
	float	random ;
	extern int	unifrm(), next_int();


	strcpy(ctype[1], "bus        ");
	strcpy(ctype[2], "taxi       ");
	strcpy(ctype[3], "transporter");
	/* */
	/*     INITIALIZE */
	/*     ========== */
	*ncar    = 0;
	j       = 0;
	anford  = next_int(txadd[row_txact][4]);
	art     = next_int(txadd[row_txact][3]);
	/* */
	/*     SELECT FREE TAXI/TRANSPORTER */
	/*     ============================ */
	for (i = 1; i <=  zcar; i++) {
		num[i] = 0;
		if ( !( (next_int(carma[i][1]) == 0)        ||  
		    (next_int(carma[i][7]) != 0)        ||       
		    (txi[next_int(carma[i][1])] != art) || 
		    (next_int(carma[i][3]) < anford)    ) )  {
			j      = j + 1;
			num[j] = i;
		}
	}
	/* */
	/*     SEARCH FOR TAXI/TRANSPORTER */
	/*     =========================== */
l_1000:  
	if (j != 0) {
		unifrm (1., (double)j, 1, &random);
		i    = next_int(random);
		*ncar = num[i];
	}
	/* */
	if ((iprint == 1 || jprint[23] > 0) && jprint[23] != -1) {
		if (*ncar != 0) {
			fprintf (nunit2, "ordran:                  %11s%4d found\n", ctype[art], *ncar);
		} else {
			fprintf (nunit2, "ordran:                  no %11s found\n", ctype[art]);
		}
	}
	/* */
	/* */
	return(NORMAL);
	/* */
}


