static char *SccsId = "@(#)PEPSY:\tplot.c\t1.2\t92/03/27 11:57:43";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


/* ACHTUNG!!! PLOT MIT LINT NICHT PRUEFBAR, KEINE RICHTIGKEISGARANTIE!!!! */
/*   PLOT IST ZU GROSS!!!!!!!!!!!!!!!!!!!!!!!!!                           */
int	plot(iplot, ifile, ofile, rtimsc, iplota, iscal, rymin, rymax, xplot, istat, rvname)
struct PLOT3 rvname[] ;
int	istat ;
int	xplot ;
double	rymax ;
double	rymin ;
int	iscal ;
int	iplota ;
double	rtimsc ;
FILE *ofile ;
FILE *ifile ;
int	iplot ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call plot(iplot,ifile,ofile,rtimsc,iplota,iscal,rymin,rymax   */
	/*    ***           xplot,istat, rvname)                                */
	/*    ***                                                               */
	/*    *** funktion:  ausgabe der plots, wertetabellen                   */
	/*    ***            und zustandsdiagramme                              */
	/*    ***                                                               */
	/*    *** parameter: iplot = nummer des plots                           */
	/*    ***            ifile = nummer der plotdatei                       */
	/*    ***            ofile = nummer der ausgabedatei                    */
	/*    ***            rtimsc= zeitschritt                                */
	/*    ***            iplota= art der ausgabe                            */
	/*    ***                    =1 plot                                    */
	/*    ***                    =2 plot und wertetabelle                   */
	/*    ***                    =3 plot, wertetabelle und                  */
	/*    ***                       zustandsraum-diagramme                  */
	/*    ***            iscal = art der y-achsen-skalierung                */
	/*    ***                    =0 skalierung fuer jede variable einzeln mit  */
	/*    ***                       gerundeten skalenwerten                 */
	/*    ***                    =1 skalierung fuer jede variable einzeln vom  */
	/*    ***                       minimalen bis maximalen wert            */
	/*    ***                    =2 gleiche skalierung fuer alle variablen  */
	/*    ***                       minimaler und maximaler y-wert          */
	/*    ***                       sind durch rymin bzw. rymax vorgegeben  */
	/*    ***                    =3 gleiche skalierung fuer alle variablen  */
	/*    ***                       skala vom kleinsten minimum bis groessten  */
	/*    ***                       maximum mit gerundeten skalenwerten     */
	/*    ***                    =4 logarithmischer masstab                 */
	/*    ***           rymin  = minimaler y-skalenwert (nur fuer iscal=2)  */
	/*    ***           rymax  = maximaler y-skalenwert (nur fuer iscal=2)  */
	/*    ***           xplot  = plot-indikator                             */
	/*    ***                    =0 ausdruck ueber drucker    ( 132 zeichen )  */
	/*    ***                    =1 ausdruck am bildschirm    (  80 zeichen )  */
	/*    ***           istat  = statistische groessen berechnen            */
	/*    ***                    =0: nein; =1: ja                           */
	/*    ***           rvname = markierungssymbole und variablennamen      */
	/*    ***                                                               */
	extern int	anar();
	extern int	next_int(), for_int();
	int	posvar[7], step1, step2, width ;
	int	width1, podupl, postar, poend, itab[7], locscl ;
	int	nvar, ivar, idrs, lvar, nline ;
	int	ndata, i, iv, nmean, idim ;
	int	imod, j, k, jmin, kmin ;
	int	ip, ndein, nscal, is, ils, ndupl , mdupl;
	int	ifree, ilast, ifirst, jevt, ievent, ieof ;
	int	idpl1, idpl2, ievt2, jd, nvar1 ;
	int	i1, j0, jv, jvar, j1, nrec, icol, irow ;
	double	t1, t2, endein;
	double	mandif, step[7], scale[7][12], scalfa[11] ;
	double	porter[9], portr2[9], ymin[7], ymax[7], plomin[7], plomax[7] ;
	double	aymin, aymax, tstep, xmean ;
	double	halfw, xmw, xmwch, xmwchp, xmin, xmax, tmax;
	double	xdif, difscl, expdif, scal5, stmin, stmax ;
	double	scal10, timscl, dtl, dt, y ;
	double	stepi, phmaxi, phmini, stepj, phmaxj, phminj ;
	char	cline[120], pline[103], blank, point, star ;
	char	xline, dash, chari ;
	char	bgnsmb, endsmb, digit[11] ;
	char	hilf;
	/*                                                                      */
	cline[120] = '\0';
	pline[0] = ' ';
	pline[102] = '\0';
	blank = ' ';
	star = '*';
	xline = '.';
	chari = 'I';
	point = '.';
	dash = '-';
	bgnsmb = 'b';
	endsmb = 'e';
	strcpy(digit, " 123456789");
	nscal = 10;
	for (i = 1 ; i <= 5 ; scalfa[i] = 0.5 + i * 0.5 , i++)
		;
	for (i = 6 ; i <= 8 ; scalfa[i] = (double)(i - 2) , i++)
		;
	scalfa[9] = 8.0;
	scalfa[10] = 10.0;
	mdupl = 3;
	/*                                                                      */
	/*                                                                      */
l_100:  
	locscl = iscal + 1;
	/*                                                                      */
	if (xplot == 1) 
		goto l_500;
	step1 = 10;
	step2 = 2;
	width  = 100;
	podupl = 103;
	postar = 116;
	poend  = 118;
	goto l_1000;
	/*                                                                      */
l_500:  
	step1 = 20;
	step2 = 5;
	width  = 50;
	podupl = 55;
	postar = 62;
	poend  = 62;
	/*                                                                      */
	/*    ueberschrift, zahl der plot-variablen bestimmen                   */
	/*    ===============================================                   */
l_1000:
	if (xplot  ==  0) 
		fprintf(ofile, "\f\n");
	fprintf(ofile, "\n\n p l o t  nr%3d\n %14.14s\n", iplot, UNDERLINE);
	/*                                                                      */
	nvar = 0;
	for (ivar = 1; ivar <= 6; ++ivar) {
		if (rvname[ivar].symbol  ==  blank) 
			continue;
		lvar = ivar;
		nvar = nvar + 1;
		posvar[nvar] = ivar;
	};
	/*                                                                      */
	if (nvar != 0) 
		goto l_1001;
	fprintf(ofile, "\n\n +++++ plot: keine drucksymbole angegeben\n");
	return(NORMAL);
	/*                                                                      */
	/*    minimum und maximum bestimmen                                     */
	/*    =============================                                     */
l_1001:
	nline = 0;
	ndata = 0;
	rewind(ifile);
l_1100:
	if (fscanf(ifile, "%d %lf %lf %lf %lf %lf %lf %lf %lf",
	    &ievent, &porter[1], &porter[2], &porter[3], &porter[4], &porter[5],
	    &porter[6], &porter[7], &porter[8]) == EOF) 
		goto l_6000;
	if (next_int(porter[8])  !=  iplot) 
		goto l_1100;
	if (ievent  ==  0) 
		nline = nline + 1;
	if (nline  ==  1) 
		t1 = porter[7];
	ndata = ndata + 1;
	for (i = 1; i <= lvar; ++i) {
		ymin[i] = porter[i];
		ymax[i] = porter[i];
	};
l_1120:
	if (fscanf(ifile, "%d %lf %lf %lf %lf %lf %lf %lf %lf",
	    &ievent, &porter[1], &porter[2], &porter[3], &porter[4], &porter[5],
	    &porter[6], &porter[7], &porter[8]) == EOF) 
		goto l_1140;
	if (next_int(porter[8])  !=  iplot) 
		goto l_1120;
	if (ievent  ==  0) 
		nline = nline + 1;
	if (nline  ==  1) 
		t1 = porter[7];
	if (nline  ==  2) 
		t2 = porter[7];
	ndata = ndata + 1;
	for (i = 1; i <= lvar; ++i) {
		ymin[i] = MIN(ymin[i], porter[i]);
		ymax[i] = MAX(ymax[i], porter[i]);
	};
	goto l_1120;
	/*                                                                      */
l_1140:
	aymin = ymin[posvar[1]] ;
	aymax = ymax[posvar[1]] ;
	if (nvar  ==  1) 
		goto l_1160;
	for (iv = 2; iv <= nvar; ++iv) {
		ivar = posvar[iv];
		aymin = MIN(aymin, ymin[ivar]) ;
		aymax = MAX(aymax, ymax[ivar]) ;
	};
	/*                                                                      */
l_1160:
	if (ndata  ==  0) 
		goto l_6000;
	tstep = 0.0;
	if (nline  >=  2) 
		tstep = t2 - t1 ;
	/*                                                                      */
	/*    informationsblock ausgeben                                        */
	/*    ==========================                                        */
	if (xplot == 0) {
		fprintf(ofile, "\n\n\n variable        minimum       maximum         mittelwert      ");
		fprintf(ofile, "95%%-konfidenz      ende einschw.      mittelwert         mw.-versch.\n%62s intervall%10s",
		     BLANKF, BLANKF);
		fprintf(ofile, "   vorgang         verschiebung       in prozent \n\n");
	}
	if (xplot == 1)  {
		fprintf(ofile, "\n variable        minimum       maximum\n\n");
	}
	/*                                                                      */
	for (iv = 1; iv <= nvar; ++iv) {
		ivar = posvar[iv];
		if (istat != 1 || xplot == 1 || nline == 0) 
			goto l_1280;
		/*                                                                      */
		/*    berechnung von mittelwert und konfidenzintervall                  */
		/*    ================================================                  */
		nmean = (nline - 1) / zconf + 1;
		idim  = nline / nmean;
		imod  = nline % nmean;
		rewind(ifile);
		for (j = 1; j <= idim; ++j) {
			xcon[j] = 0.0;
			for (k = 1; k <= nmean; ++k) {
l_1210:
				fscanf(ifile, "%d %lf %lf %lf %lf %lf %lf %lf %lf",
				    &ievent, &porter[1], &porter[2], &porter[3], &porter[4], &porter[5], &porter[6], &porter[7],
				     &porter[8]);
				if (next_int(porter[8]) != iplot) 
					goto l_1210;
				if (ievent  ==  1) 
					goto l_1210;
				xcon[j] = xcon[j] + porter[ivar];
			};
			xcon[j] = xcon[j] /  (double)nmean;
		};
		if (imod == 0) 
			goto l_1230;
		idim = idim + 1;
		xcon[idim] = 0.0;
		for (j = 1; j <= imod; ++j) {
l_1220:
			fscanf(ifile, "%d %lf %lf %lf %lf %lf %lf %lf %lf",
			    &ievent, &porter[1], &porter[2], &porter[3], &porter[4], &porter[5], &porter[6], &porter[7], &porter[8]);
			if (next_int(porter[8])  !=  iplot) 
				goto l_1220;
			if (ievent == 1) 
				goto l_1220;
			xcon[idim] = xcon[idim] + porter[ivar];
		};
		xcon[idim] = xcon[idim] /  (double)imod;
		/*                                                                      */
l_1230: 
		switch (anar(idim, 1, 0, 95, &xmean, &halfw, &jmin, &kmin, &ip, 0)) {
		case FEHLER : 
			goto l_1271;
		};
		if (jmin  <=  0   ||   jmin  >=  idim) 
			goto l_1271;
		endein =  tstep * (double)(jmin * nmean);
		xmw = 0.0;
		for (j = jmin; j <= idim; ++j) {
			xmw = xmw + xcon[j];
		};
		xmw = xmw / (double)(idim - jmin + 1);
		xmwch = xmw - xmean;
		xmwchp = 0.0;
		if (xmean  !=  0.) 
			xmwchp = 100. * xmwch / xmean;
		/*                                                                      */
		/*    statistische daten ueber plotvariablen ausgeben                   */
		/*    ===============================================                   */
		fprintf(ofile, " %c = %8s%14.4e%14.4e%16.4g%16.4g%19.4g%19.4g%19.4g\n",
		    rvname[ivar].symbol, rvname[ivar].pvar_name, ymin[ivar], ymax[ivar], xmean, halfw, endein, xmwch, xmwchp);
		continue;
l_1271:
		fprintf(ofile, " %c = %8s%14.4e%14.4e%16.4g%14s- bestimmung der einschwingphase nicht moeglich -\n",
		    rvname[ivar].symbol, rvname[ivar].pvar_name, ymin[ivar], ymax[ivar], xmean, BLANKF);
		continue;
l_1280: 
		if (xplot == 0) 
			fprintf(ofile, " %c = %8s%14.4e%14.4e       ----%12s----%15s----%15s----%15s----\n",
			    rvname[ivar].symbol, rvname[ivar].pvar_name, ymin[ivar], ymax[ivar], BLANKF, BLANKF, BLANKF, BLANKF);
		if (xplot == 1) 
			fprintf(ofile, " %c = %8s%14.4e%14.4e\n",
			    rvname[ivar].symbol, rvname[ivar].pvar_name, ymin[ivar], ymax[ivar]);
	};
	/*                                                                      */
	/*                                                                      */
	/*    skalierung:                                                       */
	/*    ===========                                                       */
	if ( xplot == 0) 
		fprintf(ofile, "\n\n\n\n\n\n");
	if ( xplot == 1) 
		fprintf(ofile, "\n\n");
	for (iv = 1; iv <= nvar; ++iv) {
		ivar = posvar [iv];
		switch (locscl) {
		case 1: 
			goto l_2100;
		case 2: 
			goto l_2200;
		case 3: 
			goto l_2300;
		case 4: 
			goto l_2400;
		case 5: 
			goto l_2500;
		};
		/*                                                                      */
		fprintf(ofile, "\n\n+++++ plot: fehler im adressverteiler  locscl=%3d\n",
		    locscl);
		/*                                                                      */
		/*    gerundete skalierung fuer alle variablen                          */
		/*    ========================================                          */
l_2100:
		xmin = ymin[ivar];
		xmax = ymax[ivar];
		goto l_2600;
		/*                                                                      */
		/*    maximale skalierung fuer alle variablen                           */
		/*    =======================================                           */
l_2200:
		plomin[ivar] = ymin[ivar];
		plomax[ivar] = ymax[ivar];
		goto l_2700;
		/*                                                                      */
		/*    uniforme skalierung mit vorgegebenen grenzen                      */
		/*    ============================================                      */
l_2300:
		plomin[ivar] = rymin;
		plomax[ivar] = rymax;
		goto l_2700;
		/*                                                                      */
		/*    uniforme skalierung mit gerundeten skalenwerten                   */
		/*    ===============================================                   */
l_2400:
		xmin = aymin;
		xmax = aymax;
		goto l_2600;
		/*                                                                      */
		/*    logarithmischer masstab                                           */
		/*    ========================                                          */
l_2500:
		tmax = MAX(fabs(ymax[ivar]), fabs(ymin[ivar]));
		if (tmax / 1.e+5   ==  0.0) 
			tmax = 1.0e-10;
		plomax[ivar] = for_int( log10(tmax) + 1. );
		plomin[ivar] = plomax[ivar] - 5.;
		goto l_2700;
		/*                                                                      */
		/*    erzeugen gerundeter skalenwerte                                   */
		/*    ===============================                                   */
l_2600:
		xdif = xmax - xmin;
		tmax = MAX(fabs(xmin), fabs(xmax));
		if ( tmax  ==  0.0 ) 
			goto l_2650;
		if ( xdif / tmax  <  1.e-4 ) 
			goto l_2650;
l_2610:
		difscl = xdif / 5.;
		expdif = floor( log10(difscl) );
		mandif = difscl / pow(10., expdif);
l_2620:      
		for (i = 1; i <= nscal; ++i) {
			is = i;
			if (scalfa[i]  >=  mandif) 
				goto l_2640;
		};
l_2640:
		scal5  = scalfa[is] * pow(10., expdif);
		stmin = for_int( xmin / scal5 );
		if (stmin * scal5  >  xmin) 
			stmin = stmin - 1.;
		stmax = stmin + 5.;
		plomin[ivar] = stmin * scal5;
		plomax[ivar] = stmax * scal5;
		if (plomax[ivar]  >=  xmax) 
			goto l_2700;
		xdif = 5.1 * scal5;
		goto l_2610;
		/*                                                                      */
l_2650:
		if (xmax < 0) 
			goto l_2660;
		if (xmax == 0) 
			goto l_2670;
		if (xmax > 0) 
			goto l_2680;
l_2660:
		plomin[ivar] = pow(-10., for_int( log10(-xmax)) + 1.);
		plomax[ivar] = 0.0;
		goto l_2700;
l_2670:
		plomin[ivar] = -5.0e-10;
		plomax[ivar] =  5.0e-10;
		goto l_2700;
l_2680:
		plomin[ivar] = 0.0;
		plomax[ivar] = pow(10., for_int( log10( xmax)) + 1.);
		goto l_2700;
		/*                                                                      */
		/*    skala besetzen                                                    */
		/*    ==============                                                    */
l_2700:
		step[ivar] = (plomax[ivar] - plomin[ivar]) /  (double)width;
		if (iscal  ==  4) 
			goto l_2750;
		scal10     = (plomax[ivar] - plomin[ivar]) / 10.;
		for (j = 1; j <= 11; ++j) {
			scale[ivar][j] = plomin[ivar] +  scal10 * (double)(j - 1);
		};
		goto l_2800;
l_2750:
		scal10 = sqrt(10.);
		scale[ivar][1] = pow(10., plomin[ivar]);
		for (j = 2; j <= 11; ++j) {
			scale[ivar][j] = scale[ivar][j-1] * scal10;
		};
		/*                                                                      */
		/*    skalenkopf drucken                                                */
		/*    ==================                                                */
l_2800:
		idrs = (ivar - 1) * 3 + 1;
		ils  = idrs + 2;
		fprintf(ofile, " %c= %8s ", rvname[ivar].symbol, rvname[ivar].pvar_name);
		if ( iscal != 4  &&  xplot == 0 )
			for (i = 1; i <= 11 ; fprintf(ofile, "%11.4e         ", scale[ivar][i]), i += step2)
				;
		if ( iscal != 4  &&  xplot == 1 )
			for ( i = 1 ; i <= 11 ; fprintf(ofile, "%11.4e              ", scale[ivar][i]), i += step2)
				;
		if ( iscal == 4  &&  xplot == 0 )
			for ( i = 1 ; i <= 11 ; fprintf(ofile, "%9.2e           ", scale[ivar][i]), i += step2)
				;
		if ( iscal == 4  &&  xplot == 1 )
			for ( i = 1 ; i <= 11; fprintf(ofile, "%9.2e                ", scale[ivar][i]), i += step2)
				;
		fprintf(ofile, "\n");
	};
	/*                                                                      */
	/*                                                                      */
	/*    graphische ausgabe der gesammelten werte                          */
	/*    ========================================                          */
	fprintf(ofile, "\n\n");
	if (iscal == 4  &&  xplot == 0) 
		goto l_3000;
	fprintf(ofile, "\n  zeit        0");
	if (xplot == 0) {
		for ( i = 1; i <= 10 ; fprintf(ofile, "%10d", i * step1), i++)
			;
		fprintf(ofile, " duplikate event\n");
	} else {
		for ( i = 1; i <= 5 ; fprintf(ofile, "%10d", i * step1), i++)
			;
		fprintf(ofile, " dupl   evt\n");
	};
	fprintf(ofile, "%14s", BLANKF);
	for ( i = 1; i <= 5 ; fprintf(ofile, "+---------"), i++)
		;
	if (xplot == 0) 
		for ( i = 1 ; i <= 5 ; fprintf(ofile, "+---------"), i++)
			;
	fprintf(ofile, "+\n");
	goto l_3050;
l_3000:
	fprintf(ofile, "    zeit       0");
	for ( i = 1 ; i <= 5 ; fprintf(ofile, "%20d", i * 20), i++)
		;
	fprintf(ofile, " duplikate event\n%15s", BLANKF);
	for ( i = 1 ; i <= 5 ; fprintf(ofile, "+-------------------"), i++)
		;
	fprintf(ofile, "+\n");
	/*                                                                      */
	/*    lesen des ersten datensatzes                                      */
	/*    ============================                                      */
l_3050: 
	rewind(ifile);
l_3100:
	fscanf(ifile, "%d %lf %lf %lf %lf %lf %lf %lf %lf",
	    &ievent, &porter[1], &porter[2], &porter[3], &porter[4], &porter[5], &porter[6], &porter[7], &porter[8]);
	if ( next_int(porter[8])  !=  iplot ) 
		goto l_3100;
	timscl = porter[7];
	dtl    = 0.0;
	ndupl  = 0;
	ifree  = 0;
	ilast  = 0;
	ifirst = 1;
	jevt   = ievent;
	ieof   = 0;
	/*                                                                      */
	/*    lesen des naechsten datensatzes                                   */
	/*    ===============================                                   */
l_3200:
	if (fscanf(ifile, "%d %lf %lf %lf %lf %lf %lf %lf %lf",
	    &ievt2, &portr2[1], &portr2[2], &portr2[3], &portr2[4], &portr2[5], &portr2[6], &portr2[7], &portr2[8]) == EOF) 
		goto l_3210;
	if ( next_int(portr2[8])  !=  iplot ) 
		goto l_3200;
	if ( portr2[7]  <=  timscl + rtimsc / 2.) 
		goto l_3300;
	ilast = 1;
	goto l_3300;
l_3210:
	ieof  = 1;
	ilast = 1;
	/*                                                                      */
	/*    tabulator setzen                                                  */
	/*    ================                                                  */
l_3300:
	dt = fabs( porter[7] - timscl );
	if ( ievent == 0  &&  ifirst == 0  &&  dt > dtl ) 
		goto l_3400;
	dtl = dt;
	for (iv = 1; iv <= nvar; ++iv) {
		ivar = posvar[iv];
		itab[ivar] = width / 2 + 1;
		if (step[ivar]  ==  0.0) 
			continue;
		itab[ivar] = -1;
		if (iscal  !=  4) 
			goto l_3320;
		if (porter[ivar]  ==  0.0) 
			continue;
		y = log10(fabs(porter[ivar]));
		goto l_3325;
l_3320:
		y = porter[ivar];
l_3325:
		if (y  <  plomin[ivar]  ||  y  >  plomax[ivar]) 
			continue;
		itab[ivar] = 1 + next_int( (y - plomin[ivar]) / step[ivar] );
	};
	/*                                                                      */
	/*    raster vorbesetzen                                                */
	/*    ==================                                                */
l_3400:
	if (ifirst  ==  0) 
		goto l_3500;
	for (i = 1 ; i <= poend ; cline[i] = blank, i++)
		;
	width1 = width + 1;
	if (iscal  ==  4) 
		goto l_3430;
	for (i = 1 ; i <= width1 ; cline[i] = xline, i += 10)
		;
	goto l_3450;
l_3430: 
	for (i = 1; i <= width1; i += 20) {
		cline[i] = xline;
		if (i + 14 <= width1) 
			cline[i+14] = xline;
	};
	cline[115] = blank;
l_3450:
	cline[1] = chari;
	cline[width1] = chari;
	/*                                                                      */
	/*    raster besetzen und duplikate identifizieren                      */
	/*    ============================================                      */
l_3500:
	if ( ifree == 1 ) 
		goto l_3600;
	if ( ievent == 0  &&  (ilast == 0  ||  jevt == 1) ) 
		goto l_3600;
	if (ievent  ==  1) 
		cline[postar] = star;
	for (iv = 1; iv <= nvar; ++iv) {
		int	forbreak;
		ivar = posvar[iv];
		if (itab[ivar]  ==  -1) 
			continue;
		if ( cline[itab[ivar]]  ==  blank ) 
			goto l_3550;
		if ( cline[itab[ivar]]  ==  xline ) 
			goto l_3550;
		if ( cline[itab[ivar]]  ==  chari ) 
			goto l_3550;
		if ( cline[itab[ivar]]  ==  rvname[ivar].symbol ) 
			continue;
		if ( ndupl  >  mdupl ) 
			continue;
		forbreak = 0;
		for (k = 1; k <= ndupl; ++k) {
			idpl1 = podupl + (k - 1) * 3;
			idpl2 = idpl1 + 1;
			if (cline[idpl1]  ==  cline[itab[ivar]]  && 
			    cline[idpl2]  ==  rvname[ivar].symbol) 
				forbreak = 1;
			if (forbreak == 1) 
				break;
		};
		if (forbreak == 1) 
			continue;
		ndupl = ndupl + 1;
		idpl1 = podupl + (ndupl - 1) * 3;
		idpl2 = idpl1 + 1;
		if (ndupl  >  mdupl) 
			goto l_3540;
		cline[idpl1] = cline[itab[ivar]];
		cline[idpl2] = rvname[ivar].symbol;
		continue;
l_3540:  
		cline[idpl1] = point;
		cline[idpl2] = point;
		continue;
l_3550:  
		cline[itab[ivar]] = rvname[ivar].symbol;
	};
	/*                                                                      */
	/*    cline ausdrucken                                                  */
	/*    ================                                                  */
l_3600:
	if (ilast  ==  0) 
		goto l_3700;
	hilf = cline[poend+1];
	cline[poend+1] = '\0';
	if (xplot == 0) 
		fprintf(ofile, "%12.5g  %s\n", timscl, &cline[1]);
	if (xplot == 1) 
		fprintf(ofile, "  %13.5g%s\n", timscl, &cline[1]);
	cline[poend+1] = hilf;
	/*                                                                      */
	/*                                                                      */
	/*    neuen datensatz bearbeiten                                        */
	/*    ==========================                                        */
l_3700:
	if (ieof  ==  1) 
		goto l_3800;
	ifirst = ilast;
	if (ifirst  ==  0) 
		goto l_3750;
	jevt   = 0;
	ndupl  = 0;
	ilast  = 0;
	timscl = timscl + rtimsc;
	if ( portr2[7]  <=  timscl + rtimsc / 2. ) 
		goto l_3750;
	ifree = 1;
	ilast = 1;
	goto l_3400;
l_3750:
	ifree = 0;
	ievent = ievt2;
	if (ievent  ==  1) 
		jevt = 1;
	for (i = 1; i <= 8; ++i) {
		porter[i] = portr2[i];
	};
	goto l_3200;
	/*                                                                      */
	/*    skalenabschluss drucken                                           */
	/*    =======================                                           */
l_3800:
	if (iscal == 4  &&  xplot == 0) 
		goto l_3810;
	fprintf(ofile, "%14s", BLANKF);
	for ( i = 1; i <= 5 ; fprintf(ofile, "+---------"), i++)
		;
	if (xplot == 0) 
		for ( i = 1 ; i <= 5 ; fprintf(ofile, "+---------"), i++)
			;
	fprintf(ofile, "+\n");
	fprintf(ofile, "\n  zeit        0");
	if (xplot == 0) {
		for ( i = 1; i <= 10 ; fprintf(ofile, "%10d", i * step1), i++)
			;
		fprintf(ofile, " duplikate event\n");
	} else {
		for ( i = 1; i <= 5 ; fprintf(ofile, "%10d", i * step1), i++)
			;
		fprintf(ofile, " dupl   evt\n");
	};
	goto l_3820;
l_3810:
	fprintf(ofile, "    zeit       0");
	for ( i = 1 ; i <= 5 ; fprintf(ofile, "%20d", i * 20), i++)
		;
	fprintf(ofile, " duplikate event\n%15s", BLANKF);
	for ( i = 1 ; i <= 5 ; fprintf(ofile, "+-------------------"), i++)
		;
	fprintf(ofile, "+\n");
l_3820: 
	fprintf(ofile, "\n\n");
	for (iv = 1; iv <= nvar; ++iv) {
		ivar = posvar[iv];
		idrs = 3 * (ivar - 1) + 1 ;
		ils  = idrs + 2;
		fprintf(ofile, " %c= %8s ", rvname[ivar].symbol, rvname[ivar].pvar_name);
		if ( iscal != 4  &&  xplot == 0 )
			for ( i = 1 ; i <= 11 ; fprintf(ofile, "%11.4e         ", scale[ivar][i]), i += step2)
				;
		if ( iscal != 4  &&  xplot == 1 )
			for ( i = 1 ; i <= 11 ; fprintf(ofile, "%11.4e              ", scale[ivar][i]), i += step2)
				;
		if ( iscal == 4  &&  xplot == 0 )
			for ( i = 1 ; i <= 11 ; fprintf(ofile, "%9.2e           ", scale[ivar][i]), i += step2)
				;
		if ( iscal == 4  &&  xplot == 1 )
			for ( i = 1 ; i <= 11 ; fprintf(ofile, "%9.2e                ", scale[ivar][i]), i += step2)
				;
		fprintf(ofile, "\n");
	};
	/*                                                                      */
	/*    ausdruck der wertetabelle                                         */
	/*    =========================                                         */
	if (iplota  <=  1   ||   xplot  ==  1) 
		return(NORMAL);
	fprintf(ofile, "\f\n\n wertetabelle zu plot nr%3d\n %26.26s\n",
	    iplot, UNDERLINE);
	fprintf(ofile, "    zeit");
	for (j = 1; j <= lvar; j++)
		fprintf(ofile, "            %8s", rvname[j].pvar_name);
	fprintf(ofile, "\n");
	for (j = 1; j <= lvar; j = j + 1)
		fprintf(ofile, "--------------------");
	fprintf(ofile, "------------\n");
	fprintf(ofile, " \n");
	rewind(ifile);
l_4300:
	if (fscanf(ifile, "%d %lf %lf %lf %lf %lf %lf %lf %lf",
	    &ievent, &porter[1], &porter[2], &porter[3], &porter[4], &porter[5],
	    &porter[6], &porter[7], &porter[8]) == EOF) 
		goto l_4400;
	if (next_int(porter[8])  !=  iplot) 
		goto l_4300;
	fprintf(ofile, " %12.5g", porter[7]);
	for (i = 1; i <= lvar; i = i + 1)
		fprintf(ofile, "    %16.9e", porter[i]);
	fprintf(ofile, "\n");
	goto l_4300;
l_4400:
	fprintf(ofile, "\n\n minimum:    ");
	for (j = 1; j <= lvar; j = j + 1)
		fprintf(ofile, "    %16.9e", ymin[j]);
	fprintf(ofile, "\n maximum:    ");
	for (j = 1; j <= lvar; j = j + 1)
		fprintf(ofile, "    %16.9e", ymax[j]);
	fprintf(ofile, "\n");
	/*                                                                      */
	/*                                                                      */
	/*    ausgabe der phasendiagramme                                       */
	/*    ===========================                                       */
	if (iplota <= 2  ||  xplot == 1  ||  iscal == 4) 
		return(NORMAL);
	if (nvar == 1) 
		return(NORMAL);
	/*                                                                      */
	if ((unit6 = fopen("scrat2", "w+") ) == NULL)  {
		fprintf (nunit2, " plot : Fehler beim Oeffnen von File SCRAT2 im Modus 'w+'\n");
		exit(1);
	}
	nvar1 = nvar - 1;
	for (iv = 1; iv <= nvar1; ++iv) {
		ivar = posvar[iv];
		if (iscal  <=  1) 
			phmaxi = plomax[ivar];
		if (iscal  <=  1) 
			phmini = plomin[ivar];
		if (iscal  >=  2) 
			phmaxi = ymax[ivar];
		if (iscal  >=  2) 
			phmini = ymin[ivar];
		stepi = (phmaxi - phmini) /  (double)width;
		if (stepi  ==  0.) 
			continue;
		/*                                                                      */
		j0 = iv + 1;
		for (jv = j0; jv <= nvar; ++jv) {
			jvar = posvar[jv];
			j1 = 3 * (jvar - 1) + 1;
			if (iscal  <=  1) 
				phmaxj = plomax[jvar];
			if (iscal  <=  1) 
				phminj = plomin[jvar];
			if (iscal  >=  2) 
				phmaxj = ymax[jvar];
			if (iscal  >=  2) 
				phminj = ymin[jvar];
			stepj = (phmaxj - phminj) / 50.;
			if (stepj  ==  0.) 
				continue;
			/*                                                                      */
			/*    vorbelegen des ausdrucks                                          */
			/*    ========================                                          */
			pline[0]   = blank;
			pline[1]   = chari;
			pline[101] = chari;
			for (i = 2 ; i <= 100 ; pline[i] = dash, i++)
				;
			fprintf (unit6, "%s\n", pline);
			for (i = 2 ; i <= 100 ; pline[i] = blank, i++)
				;
			for (k = 2; k <= 50; ++k) {
				fprintf (unit6, "%s\n", pline);
			};
			for (i = 2 ; i <= 100 ; pline[i] = dash, i++)
				;
			fprintf (unit6, "%s\n", pline);
			/*                                                                      */
			/*    erzeugen des phasendiagramms                                      */
			/*    ============================                                      */
			rewind(ifile);
			nrec = 0;
l_5200:
			if (fscanf(ifile, "%d %lf %lf %lf %lf %lf %lf %lf %lf",
			    &ievent, &porter[1], &porter[2], &porter[3], &porter[4], &porter[5],
			    &porter[6], &porter[7], &porter[8]) == EOF) 
				goto l_5300;
			if ( next_int(porter[8])  !=  iplot ) 
				goto l_5200;
			nrec = nrec + 1;
			icol =  1 + next_int( (porter[ivar] - phmini) / stepi );
			irow = 51 - next_int( (porter[jvar] - phminj) / stepj );
			if (icol < 1  ||  icol > 101) 
				goto l_5200;
			if (irow < 1  ||  irow >  51) 
				goto l_5200;
			fseek(unit6, (long)(103 * (irow - 1)), 0);
			fgets (pline, 103, unit6);
			if (nrec  ==  1  ||  nrec  ==  ndata) 
				goto l_5220;
			if (pline[icol]  ==  blank) 
				goto l_5210;
			if (pline[icol]  ==  dash ) 
				goto l_5210;
			if (pline[icol]  ==  chari) 
				goto l_5210;
			goto l_5200;
l_5210:
			if (nrec  <=  10) 
				pline[icol] = digit[nrec-1];
			if (nrec  >  10) 
				pline[icol] = star;
			goto l_5230;
l_5220:
			if (nrec  ==  1)     
				pline[icol] = bgnsmb;
			if (nrec  ==  ndata) 
				pline[icol] = endsmb;
l_5230:
			fseek(unit6, (long)(103 * (irow - 1)), 0);
			fprintf (unit6, "%s\n", pline);
			goto l_5200;
			/*                                                                      */
			/*    drucken des diagramms                                             */
			/*    =====================                                             */
l_5300:
			fprintf(ofile, "\f\n\n zustandsraum-diagramm zu plot nr%3d%20s%8s       -       %8s\n %35.35s\n",
			           iplot, BLANKF, rvname[ivar].pvar_name, rvname[jvar].pvar_name, UNDERLINE);
			rewind (unit6);
			for (k = 1; k <= 51; k++) {
				fgets(pline, 103, unit6);
				fgetc (unit6);   /*  zeilenvorschub  */
				if ( k == 1  ||  k == 3  ||  k == 51 ) 
					goto l_5315;
				fprintf(ofile, "                     %s\n", pline);
				continue;
l_5315: 
				if (k ==  1) 
					fprintf(ofile, "         %11.4e %s\n", phmaxj, pline);
				if (k ==  3) 
					fprintf(ofile, "           %8s  %s\n", rvname[jvar].pvar_name, pline);
				if (k == 51) 
					fprintf(ofile, "         %11.4e %s\n", phminj, pline);
			};
			fprintf(ofile, "\n\n%18s%11.4e%89s%11.4e\n", BLANKF, phmini, BLANKF, phmaxi);
			fprintf(ofile, "\n\n%120s%8s\n\n\n", BLANKF, rvname[ivar].pvar_name);
			/*                                                                      */
			/*                                                                      */
		};
	};
	fclose(unit6);
	unlink("scrat2");
	return(NORMAL);
	/*                                                                      */
	/*    fehlermeldung                                                     */
	/*    =============                                                     */
l_6000:
	fprintf(ofile, "\n  ***datei%3d enthaelt keine gesammelten werte fuer plot nr%3d\n", ploma1[iplot].file_nr, iplot);
	return(NORMAL);
}


