static char *SccsId = "@(#)PEPSY:\tpreemp.c\t1.2\t92/03/27 11:57:48";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	preemp(nfa, id)
int	id ;
int	nfa ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call preemp(nfa,id,*9000)                                     */
	/*    ***                                                               */
	/*    *** funktion : bevorrechtigtes belegen einer facility             */
	/*    ***            mit prioritaetenvergleich                          */
	/*    *** parameter: nfa = nummer der facility                          */
	/*    ***            id  = anweisungsnummer des unterprogramm-          */
	/*    ***                  aufrufes                                     */
	/*    ***                                                               */
	extern int	block(), rblock(), policy();
	extern int	nchain(), tchain();
	extern int	next_int();
	int	ftx, np, ltx1, np1 ;
	/*                                                                      */
	/*    blockierentscheid                                                 */
	/*    =================                                                 */
	if (fac[nfa].occup != 0) 
		goto l_200;
	if (next_int(activlist[row_txact].next) == -nfa || bhead[nfa] == NULL) 
		goto l_100;
	tx_system[row_txact].t_block = TiMe ;
	policy(1, nfa, 0, &ftx, &np);
	if (np != 1) 
		goto l_210;
	rblock(1, nfa, 0, 1);
	/*                                                                      */
	/*    belegen                                                           */
	/*    =======                                                           */
l_100:  
	fac[nfa].occup = row_txact;
	tx_system[row_txact].retour =  id;
	tx_system[row_txact].t_block = 0.0;
	if (iprint == 0 && jprint[1] == 0 || jprint[1] == -1) 
		return(NORMAL);
	fprintf(nunit2, " preemp:  TiMe=%12.4f  tr%6d,%4d   belegt fac%3d\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nfa);
	return(NORMAL);
	/*                                                                      */
	/*    blockieren                                                        */
	/*    ==========                                                        */
l_200:  
	tx_system[row_txact].t_block = TiMe ;
	policy(1, nfa, 0, &ftx, &np);
l_210:  
	activlist[row_txact].next = -(double)nfa;
	activlist[row_txact].target = id;
	block(1, nfa, 0, ftx);
	if (iprint == 0 && jprint[1] == 0 || jprint[1] == -1) 
		goto l_300;
	fprintf(nunit2, " preemp:  TiMe=%12.4f  tr%6d,%4d   wird blockiert an fac%3d\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nfa);
	/*                                                                      */
	/*    verdraengungsentscheid                                            */
	/*    ======================                                            */
l_300:  
	if (fac[nfa].occup == 0 || fac[nfa].preemp == TRUE) 
		return(AUSGANG2);
	if (fac[nfa].phase == -2 || fac[nfa].phase == 3) 
		return(AUSGANG2);
	/*                                                                      */
	/*    aufrufen der policy                                               */
	/*    ===================                                               */
	ltx1 = row_txact;
	row_txact = fac[nfa].occup;
	if (activlist[row_txact].next <= TiMe + eps && fac[nfa].phase == 2) 
		goto l_500;
	policy(1, nfa, 0, &ftx, &np1);
	if (np1 <= np) 
		goto l_500;
	/*                                                                      */
	/*    verdraengen                                                       */
	/*    ===========                                                       */
	if (iprint == 0 && jprint[1] == 0 || jprint[1] == -1) 
		goto l_400;
	fprintf(nunit2, " preemp:  TiMe=%12.4f  tr%6d,%4d   wird verdraengt von fac%3d\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nfa);
l_400:  
	fac[nfa].preemp = TRUE;
	if (fac[nfa].phase == 1) 
		goto l_500;
	nchain(3, row_txact);
	tx_system[row_txact].TiMe_left = activlist[row_txact].next - TiMe;
	activlist[row_txact].next = TiMe;
	tchain(3, row_txact);
	/*                                                                      */
	/*    rueckkehr nach activ                                              */
	/*    ====================                                              */
l_500:  
	row_txact = ltx1;
	return(AUSGANG2);
}


