static char *SccsId = "@(#)PEPSY:\tprior.c\t1.3\t92/03/27 11:57:53";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	prior(mfa)
int	mfa ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call prior(mfa)                                               */
	/*    ***                                                               */
	/*    *** funktion : auswaehlen der tr mit der niedrigsten              */
	/*    ***            prioritaet in der multifacility mfa                */
	/*    *** parameter: mfa = nummer der multifacility                     */
	/*    ***                                                               */
	int	i1, i2, i, ltx1 ;
	double	pr ;
	/*                                                                      */
	/*    initialisieren der suche                                          */
	/*    ========================                                          */
	row_serv = NULL;
	pr = tx_system[row_txact].priority;
	i1 = mfac[mfa].base ;
	i2 = i1 + mfac[mfa].cap - 1;
	/*                                                                      */
	/*    suchen nach dem service-element                                   */
	/*    ===============================                                   */
	for (i = i1; i <= i2; ++i) {
		if (service[i].phase == -2) 
		{
#ifdef DEBUG
dprint(FACILITY,"prior: s-e %d , verdraengungssperre\n",i); /* */
#endif
			continue;
		}
		if (service[i].preemp == TRUE) 
		{
#ifdef DEBUG
dprint(FACILITY,"prior: s-e %d , nicht unterbrechbar\n",i); /* */
#endif
			continue;
		}
		ltx1 = service[i].occup;
		if (tx_system[ltx1].priority >= pr) 
		{
#ifdef DEBUG
dprint(FACILITY,"prior: s-e %d ,  zu hohe Prioritaet\n",i); /* */
#endif
			continue;
		}
#ifdef DEBUG
dprint(FACILITY,"prior: s-e %d waere zu verdraengen\n",i); /* */
#endif
		pr = tx_system[ltx1].priority;
		row_serv = service + i;
	};
	return(NORMAL);
}


