static char *SccsId = "@(#)PEPSY:\treprt1.c\t1.2\t92/03/27 11:57:59";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	reprt1(nt)
int	nt ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call reprt1(nt)                                               */
	/*    ***                                                               */
	/*    *** funktion : ausdrucken der stationen vom typ nt                */
	/*    *** parameter: nt = stationstyp;                                  */
	/*    ***                 typ 8,9 und 10,11 werden jeweils zusammen     */
	/*    ***                 gedruckt: angabe 8 oder 10                    */
	/*    ***                                                               */
	int	bpoint, j, ntl, ns, k ;
	int	k1, i, ind, k2, ltx1, i1 ;
	int	i2, i3, help;
	/*                                                                      */
	j = 0;
	if (xform == 0) 
		fprintf(nunit2, "\f\n");
	fprintf(nunit2, "\n\n          TiMe =%12.6g     rTiMe =%12.6g\n", TiMe, rTiMe );
	/*                                                                      */
	/*    bestimmen der stationsnummer                                      */
	/*    ============================                                      */
	ntl = nt;
	ns = 1;
	if (ntl >= 1 && ntl <= 15) 
		goto l_50;
	fprintf(nunit2, "\n\n +++++ reprt1: TiMe=%12.4f fehlerhafte stationsnummer %3d\n", TiMe, ntl);
	return(NORMAL);
l_50: 
	if (ntl == 9 || ntl == 11) 
		ntl = ntl - 1;
	if (ptr_offset[ntl] == NULL) {
		fprintf(nunit2, "\n\n +++++ reprt1: TiMe=%12.4f Type-Vektor (noch) nicht korrekt besetzt\n", TiMe);
		return(NORMAL);
	};
	k = *ptr_offset[ntl] ;
	/*                                                                      */
	/*    drucken ueberschrift                                              */
	/*    ====================                                              */
l_100:
	switch (ntl) {
	case 1: 
		goto l_110;
	case 2: 
		goto l_120;
	case 3: 
		goto l_130;
	case 4: 
		goto l_140;
	case 5: 
		goto l_150;
	case 6: 
		goto l_160;
	case 7: 
		goto l_170;
	case 8: 
		goto l_180;
	case 9: 
		goto l_180;
	case 10: 
		goto l_190;
	case 11: 
		goto l_190;
	case 12: 
		goto l_199;
	};
	/*                                                                      */
	fprintf(nunit2, "\n\n +++++ reprt1: TiMe=%12.4f fehler im adressverteiler  nt=%3d\n", TiMe, ntl);
	return(NORMAL);
	/*                                                                      */
l_110:  
	if (bhead[k] == NULL && fac[ns].occup == 0) 
		goto l_400;
	fprintf(nunit2, "\n\n%10sfacility %3d\n%10s============\n", BLANKF, ns, BLANKF);
	goto l_200;
l_120:  
	if (mfac[ns].cap == 0) 
		goto l_400;
	fprintf(nunit2, "\n\n%10smultifacility %3d\n%27.17s\n", BLANKF, ns, UNDERLINE);
	goto l_200;
l_130:  
	if (pool[ns].pool_cap == 0) 
		goto l_400;
	fprintf(nunit2, "\n\n          pool %3d\n          ========\n", ns);
	goto l_200;
l_140:  
	if (sto_base[ns].stor_cap == 0) 
		goto l_400;
	fprintf(nunit2, "\n\n          storage %3d\n          ===========\n", ns);
	goto l_200;
l_150:  
	if (bhead[k] == NULL) 
		goto l_400;
	fprintf(nunit2, "\n\n          gate %3d\n          ========\n", ns);
	goto l_200;
l_160:  
	if (bhead[k] == NULL) 
		goto l_400;
	fprintf(nunit2, " \n\n%10sgather-1 station %3d\n%30.20s\n", BLANKF, ns, UNDERLINE);
	goto l_200;
l_170:  
	k1 = k;
	for (i = 1; i <= zfam; ++i) {
		ind = k + i - 1;
		if (bhead[ind] == NULL) 
			continue;
		fprintf(nunit2, " \n\n%10sgather-2 station %3d\n%30.20s\n", BLANKF, ns, UNDERLINE);
		goto l_172;
	};
	goto l_400;
l_172:  
	j = j + 1;
	if (j > zfam) 
		goto l_400;
	k = k1 + j - 1;
	if (fam[j].count == 0 || bhead[k] == NULL) 
		goto l_172;
	fprintf(nunit2, "\n          family %4d\n\n", j);
	goto l_200;
l_180:  
	ind = k + zucht ;
	if (bhead[k] == NULL && bhead[ind] == NULL) 
		goto l_400;
	fprintf(nunit2, "\n\n%10suser-chain1 %3d\n%25.15\n", BLANKF, ns, UNDERLINE);
	goto l_200;
l_181:  
	k = k + zucht;
	ntl = 9;
	fprintf(nunit2, "\n\n%10strigger-station %3d\n%29.19s\n", BLANKF, ns, UNDERLINE);
	goto l_200;
l_190:  
	k1 = k;
	for (i = 1; i <= zfam; ++i) {
		k2 = k + i - 1;
		ind = k2 + zuchf * zfam;
		if (bhead[k2] == NULL && bhead[ind] == NULL) 
			continue;
		fprintf(nunit2, "\n\n%10suser-chain2 %3d\n%25.15\n", BLANKF, ns, UNDERLINE);
		goto l_192;
	};
	goto l_400;
l_192:  
	j = j + 1;
	if (j > zfam) 
		goto l_400;
	k = k1 + j - 1;
	if (fam[j].count == 0 || bhead[k] == NULL) 
		goto l_192;
	fprintf(nunit2, "\n          family %4d\n\n", j);
	ntl = 10;
	goto l_200;
l_195:  
	k = k + zuchf * zfam;
	ntl = 11;
	fprintf(nunit2, "\n\n%10strigger-station %3d\n%29.19s\n", BLANKF, ns, UNDERLINE);
	goto l_200;
l_199:  
	if (bhead[k] == NULL) 
		goto l_400;
	fprintf(nunit2, "\n\n%10smatch-station %3d\n%27.17s\n", BLANKF, ns, UNDERLINE);
	/*                                                                      */
	/*    ausdrucken der warteschlange                                      */
	/*    ============================                                      */
l_200:  
	if (bhead[k] == NULL) 
		goto l_250;
	fprintf(nunit2, "          warteschlange:\n\n ltx      transaction\n\n");
	bpoint = bhead[k] - activlist;
	for (i = 1; i <= ztx; ++i) {
		if (bpoint < 0) 
			goto l_300;
		if (xform == 0) 
			fprintf(nunit2, " %3d%12d%12d%12d%12.4g%12d%12.4g%12d%12.4g\n",
			    bpoint, tx_system[bpoint].nr, tx_system[bpoint].dup, tx_system[bpoint].family,
			    tx_system[bpoint].priority, tx_system[bpoint].retour, tx_system[bpoint].TiMe_left,
			    tx_system[bpoint].elem, tx_system[bpoint].t_block);
		if (xform == 1) 
			fprintf(nunit2, " %3d  %5d  %5d  %5d  %10.4g  %5d  %10.4g  %10d  %10.4g\n",
			    bpoint, tx_system[bpoint].nr, tx_system[bpoint].dup, tx_system[bpoint].family,
			    tx_system[bpoint].priority, tx_system[bpoint].retour, tx_system[bpoint].TiMe_left,
			    tx_system[bpoint].elem, tx_system[bpoint].t_block);
		bpoint = activlist[bpoint].blk_link;
	};
l_250:  
	fprintf(nunit2, "          warteschlange ist leer\n");
	/*                                                                      */
	/*    drucken des inhaltes der station                                  */
	/*    ================================                                  */
l_300:
	switch (ntl) {
	case 1: 
		goto l_310;
	case 2: 
		goto l_320;
	case 3: 
		goto l_330;
	case 4: 
		goto l_340;
	case 5: 
		goto l_400;
	case 6: 
		goto l_400;
	case 7: 
		goto l_172;
	case 8: 
		goto l_181;
	case 9: 
		goto l_400;
	case 10:
		goto l_195;
	case 11:
		goto l_192;
	case 12:
		goto l_400;
	};
	fprintf(nunit2, "\n\n +++++ reprt1: TiMe=%12.4f fehler im adressverteiler  nt=%3d\n", TiMe, ntl);
	return(NORMAL);
	/*                                                                      */
l_310:  
	if (fac[ns].occup == 0) 
		goto l_315;
	ltx1 = fac[ns].occup;
	fprintf(nunit2, "\n\n%10sinhalt:   ltx =%4d   vkz =%2d   phase =%3d\n\n",
	    BLANKF, fac[ns].occup, fac[ns].preemp, fac[ns].phase);
	fprintf(nunit2, " %3d%12d%12d%12d%12.4g%12d%12.4g%12d%12.4g\n",
	    ltx1, tx_system[ltx1].nr, tx_system[ltx1].dup, tx_system[ltx1].family,
	    tx_system[ltx1].priority, tx_system[ltx1].retour, tx_system[ltx1].TiMe_left,
	    tx_system[ltx1].elem, tx_system[ltx1].t_block);
	goto l_400;
l_315:  
	fprintf(nunit2, "\n\n          station nicht belegt\n");
	goto l_400;
l_320:  
	i1 = mfac[ns].base;
	i2 = i1 + mfac[ns].cap - 1;
	i3 = 1;
	for (i = i1; i <= i2; ++i) {
		if (service[i].occup == 0) 
			goto l_321;
		fprintf(nunit2, "\n\n%10ss-e %2d:   ltx =%4d   vkz =%2d   phase =%3d\n\n",
		    BLANKF, i3, service[i].occup, service[i].preemp, service[i].phase);
		ltx1 = service[i].occup;
		fprintf(nunit2, " %3d%12d%12d%12d%12.4g%12d%12.4g%12d%12.4g\n",
		    ltx1, tx_system[ltx1].nr, tx_system[ltx1].dup, tx_system[ltx1].family,
		    tx_system[ltx1].priority, tx_system[ltx1].retour, tx_system[ltx1].TiMe_left,
		    tx_system[ltx1].elem, tx_system[ltx1].t_block);
		i3 = i3 + 1;
		continue;
l_321:  
		fprintf(nunit2, "\n\n          s-e %2d   nicht belegt\n", i3);
		i3 = i3 + 1;
	};
	goto l_400;
l_330:  
	fprintf(nunit2, "\n\n         %5d pool-einheiten von%5d sind belegt\n",
	    pool[ns].level, pool[ns].pool_cap);
	goto l_400;
l_340:  
	i1 = sto_base[ns].addr - sto_matrix;
	i2 = i1 + sto_base[ns].stor_cap - 1;
	fprintf(nunit2, "\n\n          zeile  adresse  groesse  markierung/freispeichervermerk\n\n");
l_345:
	help = sto_base[ns].addr - sto_matrix;
	i3 = i1 - help + 1;
	fprintf(nunit2, "           %4d    %4d     %4d        %4d\n", sto_matrix[i1].length, sto_matrix[i1].mark);
	i1 = i1 + sto_matrix[i1].length;
	if (i1 < i2) 
		goto l_345;
	/*                                                                      */
	/*    drucken beendet?                                                  */
	/*    ===============                                                   */
l_400:  
	ns = ns + 1;
	switch (ntl) {
	case 1: 
		goto l_410;
	case 2: 
		goto l_410;
	case 3: 
		goto l_410;
	case 4: 
		goto l_410;
	case 5: 
		goto l_410;
	case 6: 
		goto l_410;
	case 7: 
		goto l_420;
	case 8: 
		goto l_410;
	case 9: 
		goto l_430;
	case 10:
		goto l_420;
	case 11:
		goto l_420;
	case 12:
		goto l_410;
	};
	fprintf(nunit2, "\n\n +++++ reprt1: TiMe=%12.4f fehler im adressverteiler  nt=%3d\n", TiMe, ntl);
	return(NORMAL);
	/*                                                                      */
l_410:  
	k = k + 1;
	goto l_450;
l_420:  
	k = k1 + zfam;
	if (ntl == 11) 
		ntl = 10;
	goto l_450;
l_430:  
	k = k - zucht + 1 ;
	ntl = 8;
l_450:  
	if (ntl == 12 && k < zstat) 
		goto l_100;
	if (ntl < 12 && k < *ptr_offset[ntl+1]) 
		goto l_100;
	if (xform == 0) 
		fprintf(nunit2, "\n\n\n\n\n\n");
	return(NORMAL);
}


