static char *SccsId = "@(#)PEPSY:\treprt8.c\t1.2\t92/03/27 11:58:15";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	reprt8()
{
	/*     ***  */
	/*     *** CALL REPRT8 */
	/*     ***  */
	/*     *** PURPOSE : PRINT THE DATA AREAS OF THE TRANSPORT SYSTEM */
	/*     ***  */
	/* */

	int	loginf[201], i, ncar;
	int	linel, linet, liner;
	extern int	next_int();


	if (xform == 0) 
		fprintf (nunit2, "\f\n");
	fprintf (nunit2, "\n\n          t =%12.4f     rt =%12.4f\n", TiMe, rTiMe);
	/* */
	for (i = 1; i <= ztx; i++)  {
		loginf[i] = 0;
	}
	/* */
	/*     CARMA-ARRAY */
	/*     =========== */
	/*     HEADING */
	/*     ------- */
	fprintf (nunit2, "\n\n\n\n          CARMA DATA AREAS\n          ================\n\n");
	fprintf (nunit2, "VEHICLE   PTR   PTR    CAPA-  LOAD-  SPEED   POSI-  STATE  STA-   STRA-  POINTER\n");
	fprintf (nunit2, " INDEX    TX    PASS.  CITY   ING            TION          TUS    TEGY   REQUEST\n\n");
	/*     CONTENT */
	/*     ------- */
	for (i = ztx; i >= 1; i--)  {
		if (next_int(txadd[i][1]) == 0) 
			goto l_1010;
		ncar = next_int(txadd[i][1]) ;
		if (next_int(carma[ncar][10]) > 0) {
			loginf[next_int(carma[ncar][10])] = ncar;
		}
		fprintf(nunit2, " %4d  %5d  %5d  %5d  %5d  %7.2f%7.1f %5d  %5d  %5d  %5d\n", ncar, next_int(carma[ncar][1]),
		     next_int(carma[ncar][2]),
		    next_int(carma[ncar][3]), next_int(carma[ncar][4]),
		    carma[ncar][5], carma[ncar][6],
		    next_int(carma[ncar][7]), next_int(carma[ncar][8]),
		    next_int(carma[ncar][9]), next_int(carma[ncar][10]));
l_1010: 
		;
	}
	/* */
	/*     TARMA-ARRAY */
	/*     =========== */
	/*     HEADING */
	/*     ------- */
	fprintf (nunit2, "\f\n\n          TARMA DATA AREAS\n          ================\n\n");
	fprintf (nunit2, "VEHICLE  LOAD    UNLOAD  PARK    BLOCK-  ROUTE  SEGMENT  INDEX\n");
	fprintf (nunit2, " INDEX   TARGET  TARGET  TARGET  INDEX          POINTER  SECTMA\n\n");
	/*     CONTENT */
	/*     ------- */
	for (i = ztx; i >= 1; i--)  {
		if (next_int(txadd[i][1]) == 0) 
			continue;
		ncar = next_int(txadd[i][1]);
		fprintf(nunit2, " %4d  %6d  %6d  %6d %6.1f %6d  %6d  %6d\n",
		    ncar, next_int(tarma[ncar][1]), next_int(tarma[ncar][2]),
		    next_int(tarma[ncar][3]), tarma[ncar][4],
		    next_int(tarma[ncar][5]), next_int(tarma[ncar][6]), 
		    next_int(tarma[ncar][7]) );
	}
	/* */
	/*     NOTED REQUIREMENTS AND LOADED TRANSACTIONS */
	/*     ========================================== */
	/*     HEADING */
	/*     ------- */
	fprintf (nunit2, "\f\n\n          ASSIGNED VEHICLES                   LOADED VEHICLES\n          =================                   ===============\n\n");
	fprintf (nunit2, "         VEHICLE   TRANSACTION               VEHICLE  TRANSACTION\n");
	fprintf (nunit2, "          INDEX    NR.  FAMILY                INDEX   NR.  FAMILY\n");
	/*     CONTENT */
	/*     ------- */
	for (i = ztx; i >=  1; i--)  {
		if (next_int(txadd[i][1]) == 0) 
			continue;
		ncar  = next_int(txadd[i][1]);
		linel = next_int(carma[ncar][10]);
		linet = next_int(carma[ncar][2]);
l_1031: 
		if (linel <= 0 || linet <= 0) 
			goto l_1032;
		liner = next_int(logma[linel][3]);
		fprintf (nunit2, "          %4d    %5d %4d                 %4d    %5d %4d\n", ncar, tx_system[liner].nr,
		    tx_system[liner].dup, ncar, tx_system[linet].nr, tx_system[linet].dup);
		linet = activlist[linet].blk_link;
		linel = next_int(logma[linel][5]);
		goto l_1031;
l_1032: 
		if (linel <= 0) 
			goto l_1033;
		liner = next_int(logma[linel][3]);
		fprintf (nunit2, "          %4d    %5d %4d\n", ncar, tx_system[liner].nr, tx_system[liner].dup);
		linel = next_int(logma[linel][5]);
		goto l_1032;
l_1033: 
		if (linet <= 0) 
			continue;
		fprintf (nunit2, "                                             %4d    %5d %4d\n", ncar, tx_system[linet].nr,
		     tx_system[linet].dup);
		linet = activlist[linet].blk_link;
		goto l_1033;
	}
	/* */
	/*     LOGMA ARRAY */
	/*     =========== */
	/*     HEADING */
	/*     ------- */
	fprintf (nunit2, "\f\n\n          LOGMA DATA AREA\n          ===============\n\n");
	fprintf (nunit2, "LINE    LOAD     UNLOAD   TRANS-    TIME     CHAIN   ORDERED\n");
	fprintf (nunit2, " NR.    TARGET   TARGET   ACTION                      TAXI\n\n");
	/*     CONTENT */
	/*     ------- */
	for (i = 1; i <= ztx; i++)  {
		if (next_int(logma[i][5]) == 0) 
			continue;
		if (logptr[1] == i) {
			fprintf(nunit2, " %4d   %6d   %6d   %6d %12.4e %4d           <\n",
			    i, next_int(logma[i][1]), next_int(logma[i][2]),
			    next_int(logma[i][3]), logma[i][4],
			    next_int(logma[i][5]));
		} else {
			if (loginf[i] == 0) {
				fprintf(nunit2, " %4d   %6d   %6d   %6d %12.4e %4d\n",
				    i, next_int(logma[i][1]), next_int(logma[i][2]),
				    next_int(logma[i][3]), logma[i][4],
				    next_int(logma[i][5]));
			} else {
				fprintf(nunit2, " %4d   %6d   %6d   %6d %12.4e %4d    %4d\n",
				    i, next_int(logma[i][1]), next_int(logma[i][2]),
				    next_int(logma[i][3]), logma[i][4],
				    next_int(logma[i][5]));

			}
		}
	}
	/* */
	/*     TXADD ARRAY */
	/*     =========== */
	/*     HEADING */
	/*     ------- */
	fprintf (nunit2, "\f\n\n          TXADD DATA AREA\n          ===============\n\n");
	fprintf (nunit2, " LTX   POINTER     UNLOAD      REQUIRED    CAPACITY\n");
	fprintf (nunit2, "                   TARGET       VEHICLE   REQUIREMENT\n\n");
	/*     CONTENT */
	/*     ------- */
	for (i = 1; i <= ztx; i++)  {
		if (next_int(txadd[i][3]) == 0 && next_int(txadd[i][1]) == 0) 
			continue;
		fprintf(nunit2, " %4d%8d    %8d    %8d   %8d\n",
		    i, next_int(txadd[i][1]), next_int(txadd[i][2]),
		    next_int(txadd[i][3]), next_int(txadd[i][4]));
	}
	/* */
	return(NORMAL);
}


