static char *SccsId = "@(#)PEPSY:\treset.c\t1.3\t92/03/27 11:58:20";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	reset()
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call reset                                                    */
	/*    ***                                                               */
	/*    *** funktion : ruecksetzen der von gpss-f benoetigten             */
	/*    ***            datenbereiche                                      */
	/*    ***                                                               */

	/*    alle globalen datenbereiche                                       */
	int	i, j, k ;
	/*                                                                      */
	/*    common /bin/                                                      */
	/*    ============                                                      */
#ifdef DEBUG
dprint(0xffffff, "reset bin ..\n"); /* */
#endif
	for (i = 1; i <= zbin; ++i) {
		bin[i].act = 0 ;
		bin[i].max = 0 ;
		bin[i].access = 0 ;
		bin[i].leave = 0 ;
		bin[i].arrive = 0 ;
		bin[i].depart = 0 ;
		bin[i].total_wait = 0.0 ;
		bin[i].last_change = 0.0 ;
		binsta[i].wait = 0.0;
		binsta[i].que_length = 0.0;
		binsta[i].confi = 0.0;
		binsta[i].dev = 0.0;
		binsta[i].end_osz = 0.0;
		/*                                                                      */
		/*    common /con/                                                      */
		/*    ============                                                      */
		conflist[i].next = -1.0;
		conflist[i].link = 0;
		conflist[i].int_length = 0.0;
		conflist[i].total_prev = 0.0;
		conflist[i].index = 0;
		conflist[i].autom = 0;
		for (j = 1; j <= zconf; ++j) {
			con[i][j] = 0.0 ;
		};
	};
	/*                                                                      */
	/*    common /del/                                                      */
	/*    ============                                                      */
#ifdef DEBUG
dprint(0xffffff, "reset del ..\n"); /* */
#endif
	idelay = FALSE;
	for (i = 1; i <= zndvar; ++i) {
		for (j = 1; j <= zldvar; ++j) {
			s_devar[i][j] = 0.0;
			t_devar[i][j] = -1.0;
		};
		devar[i].del_set = 0;
		devar[i].del_var = 0;
		devar[i].r_ptr = 1;
		devar[i].w_ptr = zldvar;
		devar[i].ncomp = 0;
		devar[i].taumax = 0.0;
		tclear[i] = -1.0;
	};
	for (i = 1; i <= znset; ++i) {
		delay_flag[i] = 0.0 ;
	};
	/*                                                                      */
	/*    common /equ/                                                      */
	/*    ============                                                      */
#ifdef DEBUG
dprint(0xffffff, "reset equ ..\n"); /* */
#endif
	for (i = 1; i <= znset; ++i) {
		equatlist[i].next = -1.0;
		equatlist[i].link = 0;
		equatlist[i].step = 0.0;
		equatlist[i].ahead = 0.0;
		equatlist[i].last = 0.0;
		/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
      intma[i].method = 0;
      intma[i].init_step = 0.0;
      intma[i].sv_nr = 0;
      intma[i].dv_nr = 0;
      intma[i].min_step = 0.0;
      intma[i].max_step = 0.0;
      intma[i].rel_error = 0.0;
      intma[i].limit = 0;
      intsta[i].count = 0;
      intsta[i].size = 0.0;
      intsta[i].cross = 0;
      intsta[i].find = 0;
      for (j = 1;j <= zncro; ++j) {
      iflag[i][j] = 0;
      iflagp[i][j] = 0;
      jflag[i][j] = 0;
      jflagl[i][j] = 0;
      };
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
		for (j = 1; j <= znv; ++j) {
			sv[i][j] = 0.0;
			dv[i][j] = 0.0;
			svlast[i][j] = 0.0;
			dvlast[i][j] = 0.0;
		};
	};
	/*                                                                      */
	/*    common /evt/                                                      */
	/*    ============                                                      */
#ifdef DEBUG
dprint(0xffffff, "reset evt ..\n"); /* */
#endif
	for (i = 1; i <= zevt; ++i) {
		eventlist[i].next = -1.0;
		eventlist[i].link = 0 ;
	};
	/*                                                                      */
	/*    common /fac/                                                      */
	/*    ===========                                                       */
#ifdef DEBUG
dprint(0xffffff, "reset fac ..\n"); /* */
#endif
	for (i = 1; i <= zfac; ++i) {
		fac[i].occup = 0;
		fac[i].preemp = FALSE;
		fac[i].phase = 0;
	};
	/*                                                                      */
	/*    common /fam/                                                      */
	/*    ============                                                      */
#ifdef DEBUG
dprint(0xffffff, "reset fam ..\n"); /* */
#endif
	for (i = 1; i <= zfam; ++i) {
		fam[i].count = 0;
		fam[i].last_dup = 0;
		for (j = 1; j <= zasm; ++j) {
			assem_ma[i][j] = 0;
		};
		/*                                                                      */
		/*    common /gat/                                                      */
		/*    ===========                                                       */
		for (j = 1; j <= zgatf; ++j) {
			gath_fam[i][j] = 0;
		};
	};
#ifdef DEBUG
dprint(0xffffff, "reset gath_tx ..\n"); /* */
#endif
	for (i = 1; i <= zgatt; ++i) {
		gath_tx[i] = 0;
	};
	/*                                                                      */
	/*    common /inp/                                                      */
	/*    ============                                                      */
	itxt = 0;
	jeps = 0;
	ndelay = 0;
	/*                                                                      */
	/*    common /mfa/                                                      */
	/*    ============                                                      */
#ifdef DEBUG
dprint(0xffffff, "reset mfa ..\n"); /* */
#endif
	for (i = 1; i <= zse; ++i) {
		service[i].occup = 0;
		service[i].preemp = FALSE;
		service[i].phase = 0;
	};
	row_serv = NULL;
	for (i = 1; i <= zmfac; ++i) {
		mfac[i].base = 0 ;
		mfac[i].in_use = 0 ;
		mfac[i].cap = 0 ;
	};
	/*                                                                      */
	/*    common /mod/                                                      */
	/*    ============                                                      */
	svin = 0;
	svout = 0;
	/*                                                                      */
	/*    common /net/                                                      */
	/*    ============                                                      */
#ifdef DEBUG
dprint(0xffffff, "reset net ..\n"); /* */
#endif
	ansta  = 0;
	anverz = 0;
	anpkt  = 0;
	ansect = 0;
	ansegm = 0;
	anrout = 0;
	for (i = 1; i <= zsect; i++) {
		blocve[i][1] = 0;
		blocve[i][2] = 0;
		for (j = 1; j <= 6; ++j) {
			sectma[i][j] = 0.0;
		}
	}
	for (i = 1; i <= zsta; i++) {
		coords[i][1] = -1.0;
		coords[i][2] = -1.0;
	}
	for (i = 1; i <= zverz; i++) {
		coordv[i][1] = -1.0;
		coordv[i][2] = -1.0;
	}
	for (i = 1; i <= zpunkt; i++) {
		coordp[i][1] = -1.0;
		coordp[i][2] = -1.0;
	}
	for (i = 1; i <= zrout; i++) {
		for (j = 1; j <= 3; j++) {
			courma[i][j] = 0;
		}
		for (j = 1; j <= zrout1; j++) {
			routma[i][j] = 0;
		}
	}
	for (i = 1; i <= zsegm; i++) {
		for (j = 1; j <= zsegm1; j++) {
			segma[i][j] = 0;
		}
		for (j = 1; j <= 6; j++) {
			netsta[i][j] = 0.0;
		}
	}
	for (i = 1; i <= zsta + zverz; i++) {
		for (j = 1; j <= zsta + zverz; j++) {
			direct[i][j] = 0;
			totlen[i][j] = 0.0;
		}
		for (j = 1; j <= zvon; j++) {
			fromto[i][j][1] = 0;
			fromto[i][j][2] = 0;
		}
		for (j = 1; j <= znach; j++) {
			tofrom[i][j][1] = 0;
			tofrom[i][j][2] = 0;
		}
	}
	/*                                                                      */
	/*    common /plo/                                                      */
	/*    ============                                                      */
#ifdef DEBUG
dprint(0xffffff, "reset plo ..\n"); /* */
#endif
	for (i = 1; i <= znplo; ++i) {
		monitlist[i].next = -1.0;
		monitlist[i].link = 0 ;
		ploma1[i].plot_begin = 0.0;
		ploma1[i].plot_end = 0.0;
		ploma1[i].plot_step = 0.0;
		ploma1[i].file_nr = 0;
		for (j = 1; j <= 6; ++j) {
			ploma1[i].setnr[j] = 0;
			ploma1[i].varnr[j] = 0;
		};
		ploma2[i].x_scale = 0.0;
		ploma2[i].extent = 0;
		ploma2[i].y_scale = 0;
		ploma2[i].y_min = 0.0;
		ploma2[i].y_max = 0.0;
		/*                                                                      */
		/*    common /plc/                                                      */
		/*    ============                                                      */
		for (j = 1; j <= 6; j++) {
			ploma3[j][i].symbol = ' ';
			strcpy(ploma3[j][i].pvar_name, "        ");
		};
	};
	/*                                                                      */
	/*    common /pol/                                                      */
	/*    ============                                                      */
	for (i = 1; i <= zpol; ++i) {
		pol[i].type = 0 ;
		pol[i].station = 0 ;
		pol[i].policy = 0 ;
	};
	/*                                                                      */
	/*    common /poo/                                                      */
	/*    ============                                                      */
	for (i = 1; i <= zpool; ++i) {
		pool[i].level = 0 ;
		pool[i].pool_cap = 0 ;
	};
	/*                                                                      */
	/*    common /ras/                                                      */
	/*    ============                                                      */
	for (i = 1; i <= zras; ++i) {
		rastl[i] = 0;
	};
	/*                                                                      */
	/*    common /src/                                                      */
	/*    ============                                                      */
#ifdef DEBUG
dprint(0xffffff, "reset src ..\n"); /* */
#endif
	for (i = 1; i <= zsrc; ++i) {
		sourcelist[i].link = 0 ;
		sourcelist[i].next = -1;
		sourcelist[i].target = 0;
		sourcelist[i].sourci = 0;
	};
	tx_ctr = 0;
	row_source = NULL;
	/*                                                                      */
	/*    common /sto/                                                      */
	/*    ============                                                      */
	for (i = 1; i <= zsm; ++i) {
		sto_matrix[i].length = 0;
		sto_matrix[i].mark = 0;
	};
	row_stor = NULL;
	for (i = 1; i <= zsto; ++i) {
		sto_base[i].addr  = NULL ;
		sto_base[i].stor_cap  = 0 ;
		/*                                                                      */
		/*    common /str/                                                      */
		/*    ============                                                      */
		strategy[i].out = 0;
	};
	/*                                                                      */
	/*    common /tab/                                                      */
	/*    ============                                                      */
#ifdef DEBUG
dprint(0xffffff, "reset tab ..\n"); /* */
#endif
	for (i = 1; i <= ztab; ++i) {
		for (k = 1; k <= zntab; ++k) {
			table[i][k].up_bound = 0.0;
			table[i][k].frequ = 0;
			table[i][k].sum_x = 0.0;
			table[i][k].sum_y = 0.0;
		};
	};
	/*                                                                      */
	/*    common /tim/                                                      */
	/*    ============                                                      */
	TiMe = 0.0;
	rTiMe = 0.0;
	tbusy = -1.0;
	for (i = 1; i <= zncond; ++i) {
		tcond[i] = -1.0;
	};
	/* */
	/*     common /tra/ */
	/*     ============ */
#ifdef DEBUG
dprint(0xffffff, "reset tra ..\n"); /* */
#endif
	for (i = 1; i <= ztx; i++) {
		for (j = 1; j <= 4; j++) {
			txadd[i][j] = 0.0;
		}
		for (j = 1; j <= 5; j++) {
			logma[i][j] = 0.0;
		}
	}
	for (i = 1; i <= zcar; i++) {
		for (j = 1; j <= 10; j++) {
			carma[i][j] = 0.0;
		}
		for (j = 1; j <= 7; j++) {
			tarma[i][j] = 0.0;
		}
		for (j = 1; j <= 10; j++) {
			statis[i][j] = 0.0;
		}
	}
	logptr[1] = -1;
	logptr[2] = -1;
	for (i = 1; i <= zsta; i++) {
		for (j = 1; j <= 4; j++) {
			statst[i][j] = 0.0;
			parkst[i][j] = 0.0;
		}
	}
	for (i = 1; i <= zsect; i++) {
		for (j = 1; j <= 4; j++) {
			blocst[i][j] = 0.0;
		}
	}
	/*                                                                      */
	/*    common /txs/                                                      */
	/*    ============                                                      */
#ifdef DEBUG
dprint(0xffffff, "reset txs ..\n"); /* */
#endif
	for (i = 1; i <= ztx; ++i) {
		tx_system[i].nr = 0;
		tx_system[i].dup = 0;
		tx_system[i].family = 0;
		tx_system[i].priority = 0.0;
		tx_system[i].retour = 0;
		tx_system[i].TiMe_left = 0.0;
		tx_system[i].elem = 0;
		tx_system[i].t_block = 0.0;

		for (j = 1; j <= ztxip; j++)
			i_tx_priv[i][j] = 0;
		for (j = 1; j <= ztxfp; j++)
			f_tx_priv[i][j] = 0.0;
		for (j = 1; j <= ztxsp; j++)
			s_tx_priv[i][j] = NULL;

		activlist[i].next = -1.0;
		activlist[i].target = 0;
		activlist[i].link = 0;
		activlist[i].blk_link = 0;
	};
	row_txact = 0;
	/*                                                                      */
	/*    common /typ/                                                      */
	/*    ============                                                      */
	for (i = 1; i <= 6; ++i) {
		head[i].link = -1 ;
		head[i].next = 0.0 ;
	};
	for (i = 1; i <= zstat; ++i) {
		bhead[i] = NULL ;
	};
	ttest = -1.0;
	/*                                                                      */
	for ( i = 1 ; i <= 15 ; ptr_offset[i] = NULL, i++)
		;
	/*    common /uch/                                                      */
	/*    ============                                                      */
#ifdef DEBUG
dprint(0xffffff, "reset uch ..\n"); /* */
#endif
	for (i = 1; i <= zfam; ++i) {
		for (j = 1; j <= zuchf; ++j) {
			usercf[i][j].member = 0;
			usercf[i][j].count_gone = 0;
		};
	};
	for (i = 1; i <= zucht; ++i) {
		userct[i].member = 0;
		userct[i].count_gone = 0;
	};
	/*                                                                      */
#ifdef DEBUG
dprint(0xffffff, "reset done\n"); /* */
#endif
	return(NORMAL);
}


