static char *SccsId = "@(#)PEPSY:\tsavout.c\t1.2\t92/03/27 11:58:39";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"

int	savout()
{
	/*     ***  */
	/*     *** CALL SAVOUT */
	/*     ***  */
	/*     *** PURPOSE  : SAVE THE MODEL VARIABLES ON A FILE WITH LOGICAL */
	/*     ***            DEVICE NUMBER "UNIT7" */
	/*     ***  */
	/* */
	/*     OUTPUT ARRAYS BOUNDS:  COMMON /SYS/ */
	/*     ===========================================  */
	/*     NONCONTINUOS VERSION OF GPSS3 */
	/*     ZLDVAR,ZNDVAR,ZNCRO DELETED */

	int	i, j;


	/*     OUTPUT ARRAYS BOUNDS:  COMMON /SYS/ */
	/*     ===========================================  */
	/*     NONCONTINUOS VERSION OF GPSS3 */
	/*     ZLDVAR,ZNDVAR,ZNCRO DELETED */
	rewind (unit7);
	fprintf (unit7, "%f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f",
	           zasm, zbin, zcar, zevt, zfac, zfam, zgate, zgatf, zgatt, zmatch, zmfac, znach,
	    zncond, znplo, znset, zntab, znv, zpol, zpool, zpunkt, zras, zrout, zrout1, zse,
	    zsect, zsegm, zsegm1, zsm, zsrc, zsta, zstat, zsto, ztab, ztx, ztx2, zuchf, zucht,
	    zvar, zverz, zvon);

	/*     COMMON /BI/   */
	/*     ============ */
	for (i = 1; i <= zbin; i++)  {
		fprintf (unit7, "%d", bin[i].act);
		fprintf (unit7, "%d", bin[i].max);
		fprintf (unit7, "%d", bin[i].access);
		fprintf (unit7, "%d", bin[i].leave);
		fprintf (unit7, "%d", bin[i].arrive);
		fprintf (unit7, "%d", bin[i].depart);
		fprintf (unit7, "%f", bin[i].total_wait);
		fprintf (unit7, "%f", bin[i].last_change);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zbin; i++)  {
		fprintf (unit7, "%f", binsta[i].wait);
		fprintf (unit7, "%f", binsta[i].que_length);
		fprintf (unit7, "%f", binsta[i].confi);
		fprintf (unit7, "%f", binsta[i].dev);
		fprintf (unit7, "%f", binsta[i].end_osz);
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /CON/ */
	/*     ============ */
	for (i = 1; i <= zbin; i++)  {
		fprintf (unit7, "%f", conflist[i].next);
		fprintf (unit7, "%f", conflist[i].int_length);
		fprintf (unit7, "%f", conflist[i].total_prev);
		fprintf (unit7, "%d", conflist[i].index);
		fprintf (unit7, "%d", conflist[i].autom);
		fprintf (unit7, "%d", conflist[i].link);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zbin; i++)  {
		for (j = 1; j <= zconf; j++)  {
			fprintf (unit7, "%f", con[i][j]);
		}
	}
	fprintf (unit7, "\n");
	fprintf (unit7, "%f", conf_level);
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /DEL/ */
	/*     ============ */
	/*     NONCONTINUOUS VERSION OF GPSS3 */
	/*     ORIGINAL PART DELETED */
	/* */
	/*     COMMON /DRN/ */
	/*     ============ */
	for (i = 1; i <= 30; i++)  {
		fprintf (unit7, "%d", drn[i]);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= 30; i++)  {
		fprintf (unit7, "%d", dfact[i][1]);
		fprintf (unit7, "%d", dfact[i][2]);
	}
	fprintf (unit7, "\n");
	fprintf (unit7, "%d", dmodul[1]);
	fprintf (unit7, "\n");
	for (i = 1; i <= 30; i++)  {
		fprintf (unit7, "%d", dconst[i][1]);
		fprintf (unit7, "%d", dconst[i][2]);
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /EQU/ */
	/*     ============ */
	/*     NONCONTINUOUS VERSION OF GPSS3 */
	/*     CHANGES: NO RESPECT TO OMITTED ORIGINAL VARIABLES */
	for (i = 1; i <= znset; i++)  {
		fprintf (unit7, "%f", equatlist[i].next);
		fprintf (unit7, "%f", equatlist[i].step);
		fprintf (unit7, "%f", equatlist[i].ahead);
		fprintf (unit7, "%f", equatlist[i].last);
		fprintf (unit7, "%f", equatlist[i].link);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= znset; i++)  {
		for (j = 1; j <= znv; j++)  {
			fprintf (unit7, "%f", sv[i][j]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= znset; i++)  {
		for (j = 1; j <= znv; j++)  {
			fprintf (unit7, "%f", dv[i][j]);
		}
	}
	fprintf (unit7, "\n");
	fprintf (unit7, "%d", icont);
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /EVT/ */
	/*     ============ */
	for (i = 1; i <= zevt; i++)  {
		fprintf (unit7, "%f", eventlist[i].next);
		fprintf (unit7, "%f", eventlist[i].link);
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /FAC/ */
	/*     ============ */
	for (i = 1; i <= zfac; i++)  {
		fprintf (unit7, "%d", fac[i].occup);
		fprintf (unit7, "%d", fac[i].preemp);
		fprintf (unit7, "%d", fac[i].phase);
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /FAM/ */
	/*     ============ */
	for (i = 1; i <= zfac; i++)  {
		fprintf (unit7, "%d", fam[i].count);
		fprintf (unit7, "%d", fam[i].last_dup);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zfam; i++)  {
		for (j = 1; j <= zfam; j++)  {
			fprintf (unit7, "%d", assem_ma[i][j]);
		}
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /GAT/ */
	/*     ============ */
	for (i = 1; i <= zgatt; i++)  {
		fprintf (unit7, "%d", gath_tx[i]);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zfam; i++)  {
		for (j = 1; j <= zgatf; j++)  {
			fprintf (unit7, "%d", gath_fam[i][j]);
		}
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /INP/ */
	/*     ============ */
	fprintf (unit7, "%d", ndelay);
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /MFA/ */
	/*     ============ */
	for (i = 1; i <= zmfac; i++)  {
		fprintf (unit7, "%d", mfac[i].in_use);
		fprintf (unit7, "%d", mfac[i].cap);
		fprintf (unit7, "%d", mfac[i].base);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zse; i++)  {
		fprintf (unit7, "%d", service[i].occup);
		fprintf (unit7, "%d", service[i].preemp);
		fprintf (unit7, "%d", service[i].phase);
	}
	fprintf (unit7, "\n");

	for (i = 1; i <= zfam; i++)  {
		fprintf (unit7, "%d", row_serv - fac);
	}
	fprintf (unit7, "\n");

	/* */
	/*     COMMON /NET/ */
	/*     ============ */
	fprintf (unit7, "%d", anrout);
	fprintf (unit7, "\n");
	fprintf (unit7, "%d", ansect);
	fprintf (unit7, "\n");
	fprintf (unit7, "%d", ansegm);
	fprintf (unit7, "\n");
	fprintf (unit7, "%d", ansta);
	fprintf (unit7, "\n");
	fprintf (unit7, "%d", anverz);
	fprintf (unit7, "\n");
	for (i = 1; i <= zsect; i++)  {
		fprintf (unit7, "%d", blocve[i][1]);
		fprintf (unit7, "%d", blocve[i][2]);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zsta; i++)  {
		fprintf (unit7, "%f", coords[i][1]);
		fprintf (unit7, "%f", coords[i][2]);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zverz; i++)  {
		fprintf (unit7, "%f", coordv[i][1]);
		fprintf (unit7, "%f", coordv[i][2]);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zpunkt; i++)  {
		fprintf (unit7, "%f", coordp[i][1]);
		fprintf (unit7, "%f", coordp[i][2]);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zrout; i++)  {
		fprintf (unit7, "%d", courma[i][1]);
		fprintf (unit7, "%d", courma[i][2]);
		fprintf (unit7, "%d", courma[i][3]);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= znode; i++)  {
		for (j = 1; j <= znode; j++)  {
			fprintf (unit7, "%d", direct[i][j]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zvon; i++)  {
		for (j = 1; j <= zvon; j++)  {
			fprintf (unit7, "%d", fromto[i][j][1]);
			fprintf (unit7, "%d", fromto[i][j][2]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zsegm; i++)  {
		for (j = 1; j <= 6; j++)  {
			fprintf (unit7, "%f", netsta[i][j]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zrout; i++)  {
		for (j = 1; j <= zrout1; j++)  {
			fprintf (unit7, "%d", routma[i][j]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zsect; i++)  {
		for (j = 1; j <= 6; j++)  {
			fprintf (unit7, "%f", sectma[i][j]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zsegm; i++)  {
		for (j = 1; j <= zsegm1; j++)  {
			fprintf (unit7, "%d", segma[i][j]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= znode; i++)  {
		for (j = 1; j <= znach; j++)  {
			fprintf (unit7, "%d", tofrom[i][j][1]);
			fprintf (unit7, "%d", tofrom[i][j][2]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= znode; i++)  {
		for (j = 1; j <= znode; j++)  {
			fprintf (unit7, "%f", totlen[i][j]);
		}
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /PLA/ */
	/*     ============ */
	for (i = 1; i <= zmfac; i++)  {
		fprintf (unit7, "%d", plan[i].in);
		fprintf (unit7, "%d", plan[i].out);
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /POL/ */
	/*     ============ */
	for (i = 1; i <= zpol; i++)  {
		fprintf (unit7, "%d", pol[i].type);
		fprintf (unit7, "%d", pol[i].station);
		fprintf (unit7, "%d", pol[i].policy);
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /POO/ */
	/*     ============ */
	for (i = 1; i <= zpool; i++)  {
		fprintf (unit7, "%d", pool[i].level);
		fprintf (unit7, "%d", pool[i].pool_cap);
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /RAS/ */
	/*     ============ */
	for (i = 1; i <= zras; i++)  {
		fprintf (unit7, "%f", rastl[i]);
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /SRC/ */
	/*     ============ */
	for (i = 1; i <= zsrc; i++)  {
		fprintf (unit7, "%f", sourcelist[i].next);
		fprintf (unit7, "%f", sourcelist[i].target);
		fprintf (unit7, "%f", sourcelist[i].remain);
		fprintf (unit7, "%f", sourcelist[i].link);
		fprintf (unit7, "%d", sourcelist[i].sourci);
	}
	fprintf (unit7, "\n");
	fprintf (unit7, "%d", tx_ctr);
	fprintf (unit7, "\n");
	fprintf (unit7, "%d", row_source - sourcelist);
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /STO/ */
	/*     ============ */
	for (i = 1; i <= zsto; i++)  {
		fprintf (unit7, "%d", sto_base[i].stor_cap);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zsm; i++)  {
		fprintf (unit7, "%d", sto_matrix[i].length);
		fprintf (unit7, "%d", sto_matrix[i].mark);
	}
	fprintf (unit7, "\n");

	fprintf (unit7, "%d", row_stor - sto_matrix);
	fprintf (unit7, "\n");

	/* */
	/*     COMMON /STR/ */
	/*     ============ */
	for (i = 1; i <= zsto; i++)  {
		fprintf (unit7, "%d", strategy[i].in);
		fprintf (unit7, "%d", strategy[i].out);
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /SYM/ */
	/*     ============ */
	for (i = 1; i <= zvar; i++)  {
		fprintf (unit7, "%10s", iv[i].name);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zvar; i++)  {
		fprintf (unit7, "%10s", rv[i].name);
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /TAB/ */
	/*     =========== */
	for (i = 1; i <= ztab; i++)  {
		for (j = 1; j <= zntab; j++)  {
			fprintf (unit7, "%f", table[i][j].up_bound);
			fprintf (unit7, "%d", table[i][j].frequ);
			fprintf (unit7, "%f", table[i][j].sum_x);
			fprintf (unit7, "%f", table[i][j].sum_y);
		}
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /TIM/ */
	/*     ============ */
	fprintf (unit7, "%f %f %f", TiMe, rTiMe, tbusy);
	fprintf (unit7, "\n");
	for (i = 1; i <= zncond; i++)  {
		fprintf (unit7, "%f", tcond[i]);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= 25; i++)  {
		fprintf (unit7, "%d",   jprint[i]);
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /TRA/ */
	/*     ============ */
	for (i = 1; i <= ztx; i++)  {
		for (j = 1; j <= 4; j++)  {
			fprintf (unit7, "%f", txadd[i][j]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zcar; i++)  {
		for (j = 1; j <= 10; j++)  {
			fprintf (unit7, "%f", carma[i][j]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zcar; i++)  {
		for (j = 1; j <= 7; j++)  {
			fprintf (unit7, "%f", tarma[i][j]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= ztx; i++)  {
		for (j = 1; j <= 5; j++)  {
			fprintf (unit7, "%f", logma[i][j]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= 2; i++)  {
		fprintf (unit7, "%d", logptr[i]);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zcar; i++)  {
		for (j = 1; j <= 10; j++)  {
			fprintf (unit7, "%f", statis[i][j]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zsta; i++)  {
		for (j = 1; j <= 4; j++)  {
			fprintf (unit7, "%f", statst[i][j]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zsta; i++)  {
		for (j = 1; j <= 4; j++)  {
			fprintf (unit7, "%f", parkst[i][j]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zsect; i++)  {
		for (j = 1; j <= 4; j++)  {
			fprintf (unit7, "%f", blocst[i][j]);
		}
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /TXS/ */
	/*     ============ */
	for (i = 1; i <= ztx; i++)  {
		fprintf (unit7, "%d", tx_system[i].nr);
		fprintf (unit7, "%d", tx_system[i].dup);
		fprintf (unit7, "%d", tx_system[i].family);
		fprintf (unit7, "%f", tx_system[i].priority);
		fprintf (unit7, "%d", tx_system[i].retour);
		fprintf (unit7, "%f", tx_system[i].TiMe_left);
		fprintf (unit7, "%d", tx_system[i].elem);
		fprintf (unit7, "%f", tx_system[i].t_block);
		for (j = 1; j <= ztxip; j++)  {
			fprintf (unit7, "%d", i_tx_priv[i][j]);
		}
		for (j = 1; j <= ztxfp; j++)  {
			fprintf (unit7, "%f", f_tx_priv[i][j]);
		}
		for (j = 1; j <= ztxsp; j++)  {
			fprintf (unit7, "%s", s_tx_priv[i][j]);
		}
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= ztx; i++)  {
		fprintf (unit7, "%d", txi[i]);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= ztx; i++)  {
		fprintf (unit7, "%f", activlist[i].next);
		fprintf (unit7, "%d", activlist[i].target);
		fprintf (unit7, "%d", activlist[i].link);
	}
	fprintf (unit7, "\n");

	fprintf (unit7, "%d", row_txact);
	fprintf (unit7, "\n");

	/* */
	/*     COMMON /TYP/ */
	/*     ============ */
	fprintf (unit7, "%d", offset.fac);
	fprintf (unit7, "%d", offset.mfac);
	fprintf (unit7, "%d", offset.pool);
	fprintf (unit7, "%d", offset.stor);
	fprintf (unit7, "%d", offset.gate);
	fprintf (unit7, "%d", offset.gath);
	fprintf (unit7, "%d", offset.gathf);
	fprintf (unit7, "%d", offset.userch);
	fprintf (unit7, "%d", offset.trig);
	fprintf (unit7, "%d", offset.userchf);
	fprintf (unit7, "%d", offset.trigf);
	fprintf (unit7, "%d", offset.match);
	fprintf (unit7, "\n");

	for (i = 1; i <= zstat; i++)  {
		fprintf (unit7, "%d", bhead[i] - activlist);
	}
	fprintf (unit7, "\n");

	for (i = 1; i <= 6; i++)  {
		fprintf (unit7, "%f", head[i].next);
		fprintf (unit7, "%d", head[i].link);
	}
	fprintf (unit7, "\n");
	fprintf (unit7, "%f", ttest);
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /UCH/ */
	/*     ============ */
	for (i = 1; i <= zucht; i++)  {
		fprintf (unit7, "%d", userct[i].member);
		fprintf (unit7, "%d", userct[i].count_gone);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zfam; i++)  {
		for (j = 1; j <= zuchf; j++)  {
			fprintf (unit7, "%d", usercf[i][j].member);
			fprintf (unit7, "%d", usercf[i][j].count_gone);
		}
	}
	fprintf (unit7, "\n");
	/* */
	/*     COMMON /VAR/ */
	/*     ============ */
	for (i = 1; i <= zvar; i++)  {
		fprintf (unit7, "%d", iv[i].i_value);
	}
	fprintf (unit7, "\n");
	for (i = 1; i <= zvar; i++)  {
		fprintf (unit7, "%f", rv[i].r_value);
	}
	fprintf (unit7, "\n");
	/* */
	/* */
	/*     TRACE OUTPUT */
	/*     ============ */
	fprintf (nunit2, "\n\n\n savout :  model variables were output to file saved\n\n\n\n");
	rewind (unit7);
	return(NORMAL);
}


