static char *SccsId = "@(#)PEPSY:\tseize.c\t1.3\t92/03/27 11:58:45";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"




int	seize(nfa, id)
int	id ;
int	nfa ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call seize(nfa,id,*9000)                                      */
	/*    ***                                                               */
	/*    *** funktion : belegen einer facility                             */
	/*    *** parameter: nfa = nummer der facility                          */
	/*    ***            id  = anweisungsnummer des unterprogramm-          */
	/*    ***                  aufrufes                                     */
	/*    ***                                                               */
	extern int	policy(), rblock(), block();
	extern int	next_int();
	int	ftx, np ;
#ifdef DEBUG
dprint(STATION, "seize: nfa %d, id %d\n", nfa, id); /* */
#endif
	/*                                                                      */
	/*    blockierentscheid                                                 */
	/*    =================                                                 */
	if (fac[nfa].occup != 0) 
		goto l_200;
	if (next_int(activlist[row_txact].next) == -nfa || bhead[nfa] == NULL) 
		goto l_100;
	tx_system[row_txact].t_block = TiMe ;
	policy(1, nfa, 0, &ftx, &np);
	if (np != 1) 
		goto l_210;
	rblock(1, nfa, 0, 1);
	/*                                                                      */
	/*    belegen                                                           */
	/*    =======                                                           */
l_100: 
#ifdef DEBUG
dprint(LABEL, "seize: label l_100\n"); /* */
#endif
	fac[nfa].occup = row_txact;
	tx_system[row_txact].retour =  id;
	tx_system[row_txact].t_block = 0.0;
	if (iprint == 0 && jprint[1] == 0 || jprint[1] == -1) 
		return(NORMAL);
	fprintf(nunit2, " seize :  TiMe=%12.4f  tr%6d,%4d   belegt fac%3d\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nfa);
	return(NORMAL);
	/*                                                                      */
	/*    blockieren                                                        */
	/*    ==========                                                        */
l_200:
#ifdef DEBUG
dprint(LABEL, "seize: label l_200\n"); /* */
#endif
	tx_system[row_txact].t_block = TiMe ;
	policy(1, nfa, 0, &ftx, &np);
l_210:
#ifdef DEBUG
dprint(LABEL, "seize: label l_210\n"); /* */
#endif
	activlist[row_txact].next =  -(double)nfa;
	activlist[row_txact].target = id;
#ifdef DEBUG
dprint(LABEL, "seize: bhead %d (%d)\n", bhead[nfa] - activlist, nfa); /* */
#endif
	block(1, nfa, 0, ftx);
	if (iprint == 0 && jprint[1] == 0 || jprint[1] == -1) 
		return(AUSGANG2);
	fprintf(nunit2, " seize :  TiMe=%12.4f  tr%6d,%4d   wird blockiert an fac%3d\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nfa);
	return(AUSGANG2);
}


