static char *SccsId = "@(#)PEPSY:\tsort.c\t1.2\t92/03/27 11:58:53";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	sort(v, n)
float	v[][3];
int	n;
{
	/*     ***  */
	/*     *** shell-sort nach B.W. Kernighan,  P.L. Plauger */
	/*     ***                 SOFTWARETOOLS  */
	/*     ***                 READING, MASS.:ADDISON-WESLEY 1976 */
	/*     ***  */
	/*     ***                 Orginal in Ratfor */
	/*     ***                 Translated by  RATFOR-PREPROCESSOR */
	/*     ***  */
	/*     *** Funktion  : Sortieren einer Liste in aufsteigender Reihefolge*/
	/*     *** Parameter : V =  erste Spalte :  KEY */
	/*     ***                  zweite Spalte:  INDEX */
	/*     ***             N =  Laenge der Liste */
	/*     ***  */
	/* */
	/* */

	int	gap;
	int	i;
	int	j;
	int	jg;
	float	temp;

	for (gap = n / 2; gap > 0; gap /= 2)
		for (i = gap; i < n; i++)
			for (j = i - gap; j >= 0 && v[j] > v[j+gap]; j -= gap) {
				temp        = v[j][1];
				v[j][1]     = v[j + gap][1];
				v[j+gap][1] = temp;
				temp        = v[j][2];
				v[j][2]     = v[j + gap][2];
				v[j+gap][2] = temp;
			}

	return(NORMAL);
	/* */
}


