static char *SccsId = "@(#)PEPSY:\tstart.c\t1.2\t92/03/27 11:58:58";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	start(nsc, tsc, idg)
int	idg ;
double	tsc ;
int	nsc ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call start(nsc,tsc,idg,exit1)                                 */
	/*    ***                                                               */
	/*    *** funktion : anmelden, aendern oder stillegen einer source      */
	/*    *** parameter: nsc   = nummer der source                          */
	/*    ***            tsc   = startzeit                                  */
	/*    ***                    >= 0: anmelden oder aendern                */
	/*    ***                    <  0: stillegen                            */
	/*    ***            idg   = anweisungsnummer des zugehoerigen auf-     */
	/*    ***                    rufes von up genera                        */
	/*    ***            exit1 = fehlerausgang                              */
	/*    ***                                                               */
	extern int	nchain(), tchain();

	/*                                                                      */
	/*    fehlerkontrolle                                                   */
	/*    ===============                                                   */
	if (nsc <= zsrc) 
		goto l_100;
	fprintf(nunit2, "\n\n+++++ start: TiMe=%12.4f fehlerhafte sourcenummer%3d\n",
	    TiMe, nsc);
	return(FEHLER);
	/*                                                                      */
	/*    anmelden des source-starts                                        */
	/*    ==========================                                        */
l_100:
	nchain(2, nsc);
	if (tsc < 0.0) 
		goto l_200;
	sourcelist[nsc].next = tsc;
	sourcelist[nsc].target = idg;
	tchain(2, nsc);
	if (iprint == 0 && jprint[13] == 0 || jprint[13] == -1) 
		return(NORMAL);
	fprintf(nunit2, "start :  source-start%3d wird angemeldet fuer TiMe=%12.4f\n",
	    nsc, tsc);
	return(NORMAL);
	/*                                                                      */
	/*    stillegen der source                                              */
	/*    ====================                                              */
l_200:  
	if (iprint == 0 && jprint[13] == 0 || jprint[13] == -1) 
		return(NORMAL);
	fprintf(nunit2, " start :  source%3d wird stillgelegt\n", nsc);
	return(NORMAL);
}


