static char *SccsId = "@(#)PEPSY:\ttermin.c\t1.3\t92/03/27 11:59:10";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	termin()
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call termin(*9000)                                            */
	/*    ***                                                               */
	/*    *** funktion : vernichten einer tr                                */
	/*    ***                                                               */
	extern int	nchain(), dblock(), next_int();
	int	lfam, i, j, next, last, carnr, nact, nterm, save[101], ibloc;
	int	itype, iordr;
	double	ncar;
	short	trace;
	char	ctype[4][14];

#ifdef DEBUG
dprint(TRANSACTION, "termin, row_txact %d\n", row_txact); /* */
#endif
	strcpy(ctype[1], "  bus        ");
	strcpy(ctype[2], "  taxi       ");
	strcpy(ctype[3], "  transporter");


	trace = ((iprint == 1 || jprint[23] > 0)  &&  jprint[23] != -1);


	/*                                                                      */
	/*    vehicle to eliminate ?                                            */
	/*    ======================                                            */
	if (txi[row_txact] > 0) 
		goto l_100;
	/*                                                                      */
	/*    eliminate a transaction                                           */
	/*    =======================                                           */
	if (trace)
		fprintf (stderr, " termin:  t=%12.4f  tr%6d,%4d   is eliminated\n",
		    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup);
	/*                                                                      */
	/*    family                                                            */
	/*    ======                                                            */
l_5: 
#ifdef DEBUG
dprint(LABEL, "termin: label l_5\n"); /* */
#endif
	if (tx_system[row_txact].dup == 0) 
		goto l_20;
	lfam = tx_system[row_txact].family;
	fam[lfam].count = fam[lfam].count - 1;
	if (fam[lfam].count > 0) 
		goto l_20;
	fam[lfam].last_dup = 0;
	for (i = 1; i <= zasm; ++i) {
		assem_ma[lfam][i] = 0;
	};
	/*                                                                      */
	/*    vernichten                                                        */
	/*    ==========                                                        */
l_20: 
#ifdef DEBUG
dprint(LABEL, "termin: label l_20\n"); /* */
#endif
	tx_system[row_txact].nr = 0;
	tx_system[row_txact].dup = 0;
	tx_system[row_txact].family = 0;
	tx_system[row_txact].priority = 0;
	tx_system[row_txact].retour = 0;
	tx_system[row_txact].TiMe_left = 0.0;
	tx_system[row_txact].elem = 0;
	tx_system[row_txact].t_block = 0.0;
	for (i = 1; i <= ztxip; i++)
		i_tx_priv[row_txact][i] = 0;
	for (i = 1; i <= ztxfp; i++)
		f_tx_priv[row_txact][i] = 0.0;
	for (i = 1; i <= ztxsp; i++)
		s_tx_priv[row_txact][i] = NULL;
	nchain(3, row_txact);
	activlist[row_txact].next = 0.;
	activlist[row_txact].target = 0;
	for (i = 1; i <= 4; i++)  {
		txadd[row_txact][i] = 0.;
	}
	txi[row_txact] = 0;
	/*                                                                      */
#ifdef DEBUG
dprint(TRANSACTION, "termin: AUSGANG2\n"); /* */
#endif
	return(AUSGANG2);


	/*     ELIMINATE A VEHICLE */
	/*     =================== */
l_100: 
#ifdef DEBUG
dprint(LABEL, "termin: label l_100\n"); /* */
#endif
	carnr = next_int( txadd[row_txact][1] );
#ifdef DEBUG
dprint(TRANSACTION, "termin: carnr %d\n", carnr); /* */
#endif
	if (trace) 
		fprintf (stderr, "termin:  t=%12.4f%13s%4d is eliminated\n",
		    TiMe, ctype[txi[row_txact]], next_int(txadd[row_txact][1]));
	if (kprint == 1) {
		nact = txi[row_txact] * 10 + 9 ;
		nterm = 999;
		fprintf (nunit23, "%12.4f%4d%4d%4d%4d\n", TiMe, txi[row_txact], ncar, nact, nterm);
	}
	/* */
	/*     ARE PASSENGERS LOADED ?  */
	/*     =======================  */
	if (carma[carnr][2] < 0.) 
		goto l_200;
	/* */
	/*     COLLECT ALL PASSENGERS */
	/*     ---------------------- */
	save[1] = next_int(carma[carnr][2]);
	j = 2;
l_110:
#ifdef DEBUG
dprint(LABEL, "termin: label l_110\n"); /* */
#endif
	save[i] = activlist[save[j-1]].blk_link;
	j = j + 1;
	if (save[j-1] != -1) 
		goto l_110;
	/* */
	/*     ELIMINATE ALL PASSENGERS LOADED BY THE TRANSPORTER */
	/*     ================================================== */
	j = 1;
	/* */
	/*     FAMILY */
	/*     ------ */
l_120: 
#ifdef DEBUG
dprint(LABEL, "termin: label l_120\n"); /* */
#endif
	if (tx_system[save[j]].dup == 0) 
		goto l_140;
	lfam = tx_system[save[j]].family ;
	fam[lfam].count = fam[lfam].count - 1;
	if (fam[lfam].count > 0) 
		goto l_140;
	fam[lfam].last_dup = 0;
	for (i = 1; i <= zasm; i++) {
		assem_ma[lfam][i] = 0;
	}
	/* */
	/*     ELIMINATE */
	/*     --------- */
l_140: 
#ifdef DEBUG
dprint(LABEL, "termin: label l_140\n"); /* */
#endif
	tx_system[save[j]].nr = 0;
	tx_system[save[j]].dup = 0;
	tx_system[save[j]].family = 0;
	tx_system[save[j]].priority = 0;
	tx_system[save[j]].retour = 0;
	tx_system[save[j]].TiMe_left = 0.0;
	tx_system[save[j]].elem = 0;
	tx_system[save[j]].t_block = 0.0;
	for (i = 1; i <= ztxip; i++)
		i_tx_priv[save[j]][i] = 0;
	for (i = 1; i <= ztxfp; i++)
		f_tx_priv[save[j]][i] = 0.0;
	for (i = 1; i <= ztxsp; i++)
		s_tx_priv[save[j]][i] = NULL;
	activlist[save[j]].next = 0.;
	activlist[save[j]].target = 0;
	activlist[save[j]].link = 0;
	activlist[save[j]].blk_link = 0;
	for (i = 1; i <= 4; i++)    
		txadd[save[j]][i] = 0.;
	txi[save[j]] = 0;
	j = j + 1 ;
	if (save[j] != -1) 
		goto l_120;
	/* */
	/*     CHECK VEHICLE TYPE: REQUEST(S) POSSIBLE? */
	/*     ======================================== */
l_200: 
#ifdef DEBUG
dprint(LABEL, "termin: label l_200\n"); /* */
#endif
	if (itype == 1  ||  itype == 3 && iordr == 0) 
		goto l_300;
	/* */
	/*     ARE TRANSPORT-REQUESTS ASSIGNED? */
	/*     ================================ */
	if (next_int( carma[carnr][10] ) < 0) 
		goto l_300;
	/* */
	/*     RECHAIN THE REQUEST(S) IN THE LOGMA-ARRAY */
	/*     ========================================= */
	if (trace) 
		fprintf (stderr, "termin:  t=%12.4f%13s%4d is eliminated\n", TiMe);
	if (logptr[1] == -1) {
#ifdef DEBUG
dprint(TRANSACTION, "termin: logptr[1] == -1\n"); /* */
#endif
		logptr[1] = next_int( carma[carnr][10] );
		logptr[2] = next_int( carma[carnr][10] );
		next = next_int( carma[carnr][10] );
l_210:  
#ifdef DEBUG
dprint(LABEL, "termin: label l_210\n"); /* */
#endif
		last = next;
		next = next_int( logma[next][5] );
		if (next > 0) 
			goto l_210;
		logptr[2] = last;
	} else {
#ifdef DEBUG
dprint(TRANSACTION, "termin: logptr[1] != -1\n"); /* */
#endif
		next = next_int( carma[carnr][10] );
l_220:  
#ifdef DEBUG
dprint(LABEL, "termin: label l_220\n"); /* */
#endif
		last = next;
		next = next_int( logma[next][5] );
		if (next > 0) 
			goto l_220;
		logma[last][5] = (double) logptr[1] ;
		logptr[1] = next_int( carma[carnr][10] );
	}

	/* */
	/*     ERASE THE VEHICLE-DATA-AREAS */
	/*     ============================ */
	/*     GIVE UP BLOCKING SECTIONS */
	/*     ------------------------- */
l_300: 
#ifdef DEBUG
dprint(LABEL, "termin: label l_300\n"); /* */
#endif
	ibloc = next_int(tarma[carnr][4]);
	if (ibloc > 0) {
		blocve[ibloc][2] = blocve[ibloc][2] + 1;
		if (trace) 
			fprintf (stderr, "%12.4f%4d%4d%4d%4d\n", ibloc);
		dblock(15, ibloc, 0, 1);
	}
	/* */
	for (i = 1; i <= 10; i++)
		carma[carnr][i] = 0.;
	for (i = 1; i <= 7; i++)
		tarma[carnr][i] = 0.;
	/* */
	/*     ELIMINATE THE VEHICLE-TRANSACTION  */
	/*     =================================  */
	/* */
	goto l_5;
	/* */
}


