static char *SccsId = "@(#)PEPSY:\ttout.c\t1.3\t92/03/27 11:59:21";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	tout(local_TiMe)
float	local_TiMe;
/* Hier ist mindestens ein alternativer Ruecksprung zu beruecksichtigen */
{
	/*     ***  */
	/*     *** CALL TOUT(TIME,*9000,*9999) */
	/*     ***  */
	/*     *** PURPOSE : UNLOAD TRANSACTION AT DESTINATION AND */
	/*     ***           SCHEDULE IT */
	/*     *** PARAMETERS: TIME  = TIME REQUIRED TO UNLOAD A TRANSACTION */
	/*     ***             *9000 = EXIT TO FLOW CONTROL */
	/*     ***             *9999 = ERROR EXIT */
	/*     ***  */
	/* */

	short	beginn, found, trace;
	int	anford, last, ncar, next, nact, line, nterm;
	float	anzahl, adTiMe;
	extern int	tchain(), next_int(), find();

#ifdef DEBUG
dprint(TRANSACTION, "tout: start ohne parameter\n"); /* */
#endif

	/*     TEST FOR ERRORS */
	/*     =============== */
	ncar  = next_int(txadd[row_txact][1]);
	if (ncar == 0)            
		goto l_4100;
	if (txi[row_txact] != 2)  
		goto l_4200;
	if (local_TiMe < -eps)    
		goto l_4300;
	/* */
	/*     INITIALIZE */
	/*     ========== */
	beginn = TRUE;
	line   = next_int(carma[ncar][2]);
	nterm  = next_int(tarma[ncar][2]);
	anzahl = 0.0;
	trace  = ((iprint == 1 || jprint[23] > 0) && jprint[23] != -1);
	if (trace) 
		fprintf (nunit2, "tout  :  t=%12.4f  taxi%4d is at terminal%4d\n", TiMe, ncar, nterm);
	/* */
	/* */
	/*     ARE THERE FURTHER PASSENGERS TO UNLOAD */
	/*     ====================================== */
l_1000: 
#ifdef DEBUG
dprint(LABEL, "tout: label l_1000\n"); /* */
#endif
	if (line < 0) 
		goto l_2000;
	/* */
	/*     SCHEDULE PASSENGERS FOR THIS TERMINAL */
	/*     ===================================== */
	if (next_int(txadd[line][2]) == nterm) {
		anzahl = anzahl + 1.0;
		adTiMe = local_TiMe * anzahl;
		activlist[line].next = TiMe + adTiMe;
		next = activlist[line].blk_link;
		activlist[line].blk_link = 0;
#ifdef DEBUG
dprint(TRANSACTION, "tout: call tchain 1\n"); /* */
#endif
		switch ( tchain(3, line)) {
		case FEHLER: 
			goto l_99;
		}
		if (trace) {
			fprintf (nunit2, "                         transaction  %4d is unloaded\n", tx_system[line].nr);
			if (adTiMe > eps) 
				fprintf (nunit2, "                         and delayed by %12.4f iunits of TiMe\n", adTiMe);
		}
		if (kprint == 1) {
			nact = 6;
			fprintf (nunit23, "%12.4f%4d%4d%4d%4d\n", TiMe, txi[line], tx_system[line].nr, nact, nterm);
		}
		if (beginn) {
			carma[ncar][2] = (double)next;
		} else {
			activlist[last].blk_link = next;
		}
		anford = next_int(txadd[line][4]);
		if (anford == 0)  
			anford = 1;
		carma[ncar][4] = carma[ncar][4] - anford;
	} else {
		beginn = FALSE;
		last = line;
		next = activlist[line].blk_link;
	}
	line = next;
	goto l_1000;
	/* */
	/* */
	/*     NO MORE PASSENGERS FOR THIS TERMINAL */
	/*     ==================================== */
l_2000: 
#ifdef DEBUG
dprint(LABEL, "tout: label l_2000\n"); /* */
#endif
	if (next_int(carma[ncar][2]) != -1) 
		goto l_4000;
	/* */
	/*     DELAY FOR UNLOADING */
	/*     =================== */
	if (adTiMe > eps) {
		if (trace) 
			fprintf (nunit2, "                         taxi%4d is delayed by %12.4f units of TiMe\n", ncar, adTiMe);
		/* */
		/*     COLLECTION OF STATISTICAL DATA: UNLOADING TIME */
		/*     ============================================== */
		statis[ncar][10] = statis[ncar][10] + adTiMe;
	}
	/* */
	if (kprint == 1  &&  anzahl > 0) {
		nact = 24;
		fprintf (nunit23, "%12.4f%4d%4d%4d%4d\n", TiMe, txi[row_txact], ncar, nact, nterm);
	}
	/* */
	/*     SEEK NEXT TASK */
	/*     ============== */
	tarma[ncar][2] = 0.0;
#ifdef DEBUG
dprint(TRANSACTION, "tout: call find\n"); /* */
#endif
	switch (find(ncar, &found)) {
	case FEHLER: 
		goto l_99;
	}
	if (found == TRUE)
#ifdef DEBUG
dprint(TRANSACTION, "tout: found = TRUE = %d \n", ncar, carma[ncar][8]); /* */
#endif
	if (found) {
		carma[ncar][7] = 2.0;
		carma[ncar][8] = 1.0;
		if (kprint == 1) {
			nact = 21;
			fprintf (nunit23, "%12.4f%4d%4d%4d%4d\n", TiMe, txi[row_txact], ncar, nact, nterm);
		}
	} else {
		carma[ncar][7] = 3.0;
		carma[ncar][8] = 5.0;
		if (kprint == 1) {
			nact = 25;
			fprintf (nunit23, "%12.4f%4d%4d%4d%4d\n", TiMe, txi[row_txact], ncar, nact, nterm);
		}
	}
#ifdef DEBUG
dprint(TRANSACTION, "tout: carma[%d][7] = %d \n", ncar, next_int(carma[ncar][7])); /* */
#endif
#ifdef DEBUG
dprint(TRANSACTION, "tout: carma[%d][8] = %d \n", ncar, next_int(carma[ncar][8])); /* */
#endif
	/* */
	/*     SCHEDULE */
	/*     ======== */
	activlist[row_txact].next = TiMe + adTiMe;
	activlist[row_txact].target = 2.0;
#ifdef DEBUG
dprint(TRANSACTION, "tout: call tchain 2\n"); /* */
#endif
	tchain(3, row_txact);
	/* */
l_90:  
	return(AUSGANG2);
	/* */
	/* */
	/*     ERROR EXIT */
	/*     ========== */
l_4000:  
	fprintf (nunit2, "\n\n+++++ tout :  t=%12.4f ERROR  : taxi  %4d cannot be completely unloaded\n", TiMe, ncar);
	goto l_99;
	/* */
l_4100:  
	fprintf (nunit2, "\n\n+++++ tout :  t=%12.4f ERROR  : attempt to unload a transaction which is not a taxi\n", TiMe);
	goto l_99;
	/* */
l_4200:  
	fprintf (nunit2, "\n\n+++++ tout :  t=%12.4f ERROR  : bus or transporter in tout\n", TiMe);
	goto l_99;
	/* */
l_4300:  
	fprintf (nunit2, "\n\n+++++ tout :  t=%12.4f ERROR  : negative unloading TiMe %8.2f provided\n", TiMe, local_TiMe);
l_99:    
	return(FEHLER);
	/* */
}


