static char *SccsId = "@(#)PEPSY:\ttravel.c\t1.2\t92/03/27 11:59:28";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	travel()
/* Hier ist mindestens ein alternativer Ruecksprung zu beruecksichtigen */
{
	/*     ***  */
	/*     *** CALL TRAVEL(EXIT1) */
	/*     ***  */
	/*     *** PURPOSE: SELECT TYPE OF TRANSPORTATION-SYSTEM */
	/*     *** PARAMETER:  EXIT1 = EXIT TO TERMINATING SECTION */
	/*     ***  */
	/* */

	int	itype;
	extern int	activb(), activt(), activg();


	/*     DETERMINE LABEL */
	/*     =============== */
	if (row_source != NULL) 
		itype = row_source->sourci;
	if (row_txact > 0) 
		itype = txi[row_txact];
	/* */
	/*     TRANSFER CONTROL TO LABEL */
	/*     ========================= */
	/* */
	switch (itype)  {
	case 1: 
		goto l_1;
	case 2: 
		goto l_2;
	case 3: 
		goto l_3;
	}
	/* */
	fprintf (nunit2, "\n\n+++++ travel: t=%12.4f ERROR in type selector; itype = %3d\n", TiMe, itype);
	goto l_9999;
	/* */
	/* */
	/*     SELECT TRANSPORTATION-SYSTEM */
	/*     ============================ */
	/* */
l_1:  
	switch (activb())  {
	case FEHLER: 
		goto l_9999;
	}
	goto l_100;
	/* */
l_2:  
	switch (activt())  {
	case FEHLER: 
		goto l_9999;
	}
	goto l_100;
	/* */
l_3:  
	switch (activg())  {
	case FEHLER: 
		goto l_9999;
	}
	/* */
	/*     EXIT TO FLOW CONTROL */
	/*     ==================== */
l_100: 
	return(NORMAL);
	/* */
	/*     EXIT TO TERMINATING SECTION */
	/*     =========================== */
l_9999: 
	return(FEHLER);
}


