static char *SccsInitSave_h = "@(#)PEPSY:\tinitsave.h\t1.2\t92/03/27 12:01:42";

/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/


# include <stdio.h>
# include <math.h>
# define MAXLAENGE 60   /* maximale Laenge der Eingabezeilen  */
# define ANZKN 50       /* maximale Anzahl der Knoten im Netz */
# define ANZUS 100      /* maximale Anzahl der Benutzer im Netz */
# define EPSILON 0.0001   /* Fehlerschranke bzg. Anzahl der Benutzer */
	struct knbeschr {
		int servers;
		int typ;
		float cb;
		float sevrate;
		float visits;
	};
	struct perform {
		float durchsatz;
		float ca;
		float auslast;
		float users;
		float response;
	};


#ifdef DEBUG
#define PRINT(fmt,string)	printf(fmt,string)
#else
#define PRINT(fmt,string)
#endif

#ifndef LOCAL
#define EXTERN extern
#else 
#define EXTERN
#endif

EXTERN float uw[ANZKN][ANZKN];
EXTERN int kn;
EXTERN int auftr;
EXTERN struct perform leistung[ANZKN];
EXTERN struct knbeschr node[ANZKN];
EXTERN FILE *fpin;
EXTERN FILE *fp1;
EXTERN FILE *fpout;
EXTERN double k;
EXTERN int zaehler;
EXTERN double lambda;
