/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

#ifndef DDEBUG_H
#define DDEBUG_H

static char *SccsDDebug_h = "@(#)PEPSY:\td_debug.h\t1.7\t95/05/22 10:47:08";

#define dbginfo4(lvl, format, v1, v2, v3, v4)	if (dbg>lvl)	\
						{		\
						    fprintf(stderr, format, v1, v2, v3, v4);\
						}

#define dbginfo3(lvl, format, v1, v2, v3)	if (dbg>lvl)	\
						{		\
						    fprintf(stderr, format, v1, v2, v3);\
						}

#define dbginfo2(lvl, format, v1, v2)		if (dbg>lvl)	\
						{		\
						    fprintf(stderr, format, v1, v2);	\
						}

#define dbginfo(lvl, format, value)		if (dbg>lvl)	\
						{		\
						    fprintf(stderr, format, value);	\
						}

#define dbgtext(lvl, format)			if (dbg>lvl)	\
				       		{   		\
						    fprintf(stderr, format);		\
						}
#endif
