/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

/*
	database.h

	Matthias Kirschnick	03.06.92
*/

#ifndef DATABASE_H
#define DATABASE_H

static char *SccsIdDataBase_h = "@(#)PEPSY:\tdatabase.h\t1.6\t94/02/02 12:00:18";

typedef struct pdbe {				/* PepsyDataBaseEntry */
	struct pdbe	*next;

	char		*verfahren;		/*	Standardangaben aus code.txt	*/
	char		*codierung;
	char		*verfflags;
	char		*prefilter;
	char		*prefflags;
	char		*postfilter;
	char		*postfflags;

	int		netztyp;		/*	Standardangaben aus grenzen[all].txt	*/
	int		maxknoten;
	int		maxklassen;
	int		knotentypen;
	int		uew;
	int		besh;
	char		*zusatzblock;
	int		homogene_bedraten;
	double		minCOV;
	double		maxCOV;
	int		parBE;

	int		internal_flags;

#	define		PDBF_EXTD	0	/* defines fuer internal_flags		*/
#	define		PDBF_STD	1
#	define		PDBF_USER1	2
#	define		PDBF_USER2	4
#	define		PDBF_USER3	8
#	define		PDBF_USER4	16

	char		*userdata;
} pdb_entry_t;

#endif
