/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994, 1995
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  D-91058 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

#ifndef LIBPEPSY_H
#define LIBPEPSY_H

static char *SccsLibpepsy_h = "@(#)PEPSY:\tlibpepsy.h\t1.5\t95/05/22 10:47:13";



#undef	EXTERN
#ifdef	BASICPROC_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	int		getline();		/*	in file basicproc.c		*/
EXTERN	int		nextline();		/*	in file basicproc.c		*/

#undef	EXTERN
#ifdef	DATABASE_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
#include "database.h"
EXTERN	pdb_entry_t    *GetDBEntry();		/*	in file database.c		*/
EXTERN	pdb_entry_t    *NextDBEntry();		/*	in file database.c		*/
EXTERN	int		CountPepsyDB();		/*	in file database.c		*/
EXTERN	void		GetPepsyDB();		/*	in file database.c		*/
EXTERN	void		GetPepsyDBSorted();	/*	in file database.c		*/
EXTERN	void		ResetDBEntry();		/*	in file database.c		*/

#undef	EXTERN
#ifdef	INT2EXT_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	unsigned int	ktyp_ext2int();		/*	in file int2ext.c		*/
EXTERN	int		ktyp_int2ext();		/*	in file int2ext.c		*/
EXTERN	void		change_knottyp();	/*	in file int2ext.c		*/

#undef	EXTERN
#ifdef	FILE_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
#include <stdio.h>
EXTERN	FILE		*Pepsy_fopen();		/*	in file file.c			*/

#undef	EXTERN
#ifdef	GAUSS_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	int		gauss();		/*	in file gauss.c			*/

#undef	EXTERN
#ifdef	GET_ASYM_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
typedef int boolean;
#include "d_asym.h"
EXTERN	boolean		fGetBedRate();		/*	in file get_asym.c		*/
EXTERN	int		fDoubleComp();		/*	in file get_asym.c		*/
EXTERN	void		get_asym();		/*	in file get_asym.c		*/

EXTERN	asym_data_type asym_data;


#undef	EXTERN
#ifdef	GET_KNOTTYP_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	int		get_knottyp();		/*	in file get_knottyp.c		*/

#undef	EXTERN
#ifdef	GET_MEM_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	void		get_mem();		/*	in file get_mem.c		*/

EXTERN	double **mem_ank_quadvar;

#undef	EXTERN
#ifdef	GET_PREFIX_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	int		get_prefix();		/*	in file get_prefix.c		*/
EXTERN	int		get_spezi();		/*	in file get_prefix.c		*/

#undef	EXTERN
#ifdef	GET_SIM_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	int		get_sim();		/*	in file get_sim.c		*/
EXTERN	void		dateiende();		/*	in file get_sim.c		*/

EXTERN	struct prozess **general, *ankunft;


#undef	EXTERN
#ifdef	GET_STANDARD_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	int		get_standard_line;	/*	in file get_standard.c		*/
EXTERN	char		*get_standard_message;	/*	in file get_standard.c		*/
EXTERN	int		get_standard();		/*	in file get_standard.c		*/
EXTERN	int		knotentyp();		/*	in file get_standard.c		*/


#undef	EXTERN
#ifdef	GET_VERF_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	int		get_verfahren();	/*	in file get_verf.c		*/

#undef	EXTERN
#ifdef	GET_Z_BL_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	int		get_zusatzblock();	/*	in file get_z_bl.c		*/

#undef	EXTERN
#ifdef	LANGUAGE_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	char		*spr();			/*	in file language.c		*/
EXTERN	char		*center();		/*	in file language.c		*/
EXTERN	int		p_lang_init();		/*	in file language.c		*/

#undef	EXTERN
#ifdef	LLEA_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	int		ll_getstring();		/*	in file llea.c			*/
EXTERN	void		fehler();		/*	in file llea.c			*/
EXTERN	void		ll_pfill();		/*	in file llea.c			*/

#undef	EXTERN
#ifdef	MEMORY_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	char		  **c_2dim_alloc();	/*	in file memory.c		*/
EXTERN	double		   *d_1dim_alloc();	/*	in file memory.c		*/
EXTERN	double		  **d_2dim_alloc();	/*	in file memory.c		*/
EXTERN	double		 ***d_3dim_alloc();	/*	in file memory.c		*/
EXTERN	float		   *f_1dim_alloc();	/*	in file memory.c		*/
EXTERN	float		  **f_2dim_alloc();	/*	in file memory.c		*/
EXTERN	float		 ***f_3dim_alloc();	/*	in file memory.c		*/
EXTERN	int		   *i_1dim_alloc();	/*	in file memory.c		*/
EXTERN	void		    c_2dim_free();	/*	in file memory.c		*/
EXTERN	void		    d_1dim_free();	/*	in file memory.c		*/
EXTERN	void		    d_2dim_free();	/*	in file memory.c		*/
EXTERN	void		    d_3dim_free();	/*	in file memory.c		*/
EXTERN	void		    f_1dim_free();	/*	in file memory.c		*/
EXTERN	void		    f_2dim_free();	/*	in file memory.c		*/
EXTERN	void		    f_3dim_free();	/*	in file memory.c		*/
EXTERN	void		    i_1dim_free();	/*	in file memory.c		*/
EXTERN	void		    mall_err();		/*	in file memory.c		*/

#undef	EXTERN
#ifdef	PARSE_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	double		expression();		/*	in file parse.c			*/
EXTERN	double		number();		/*	in file parse.c			*/
EXTERN	int		parse();		/*	in file parse.c			*/
EXTERN	void		floatexcep();		/*	in file parse.c			*/

#undef	EXTERN
#ifdef	SPEICHER_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	int		sp_alloc();		/*	in file speicher.c		*/
EXTERN	void		sp_free();		/*	in file speicher.c		*/

#undef	EXTERN
#ifdef	ZEICHEN_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	double		l_double();		/*	in file zeichen.c		*/
EXTERN	int		l_integer();		/*	in file zeichen.c		*/
EXTERN	void		d_fehler();		/*	in file zeichen.c		*/
EXTERN	void		l_text();		/*	in file zeichen.c		*/
EXTERN	void		ll_string();		/*	in file zeichen.c		*/
EXTERN	void		p_fehler();		/*	in file zeichen.c		*/
EXTERN	void		p_fill();		/*	in file zeichen.c		*/

#undef	EXTERN
#ifdef	ZUSATZBLOCK_C
#define	EXTERN
#else
#define	EXTERN	extern
#endif
EXTERN	int		check_zusatzblock();	/*	in file zusatzblock.c	*/
EXTERN	int		zusatzblock_notwendig();/*	in file zusatzblock.c	*/

#undef	EXTERN
#ifdef	SUPPORT_C
#define EXTERN
#else
#define	EXTERN	extern
#endif
#include "conf.h"
#ifndef _HAVE_STRCASECMP
EXTERN	int		strcasecmp();		/*	in file support.c	*/
#endif
#ifndef _HAVE_STRDUP
EXTERN	char *		strdup();		/*	in file support.c	*/
#endif

#undef EXTERN
#endif
