/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define LE_GET_BEDE_C

static char *SccsId = "@(#)PEPSY:\tget_bede.c\t1.4\t93/06/25 10:56:54";


#include "d_netz.h"
#include "d_pepsy.h"
#include "libpepsy.h"

extern	netzstruktur	netz;			/* Eingabedatenstruktur		*/


/*
	get_bede(n) --- aufgrufen von get_knottyp()  (in knottyp.c)          
 									
	Parameter:					
	- n  : Knotennummer		
						
	Eingabe der Anzahl Bedieneinheiten fuer obigen Knoten	
								
*/

void get_bede(n)
int	n;
{
	status("get_bede");
	werase(win3); 	/* Fenster 3 loeschen */

	/*
		Formular ausgeben
	*/

	mvwprintw(win3,14,10,"%s %-10s :",spr("bede01"),netz.knotname[n]);
	wmove(win3,14,51);
	waddstr(win3,"..");

	/*
		Anzahl Bedieneinheiten einlesen
	*/

	wmove(win3,14,51);
	wrefresh(win3);
	netz.bede[n] = l_integer(netz.bede[n],0,0,MMAX,2);
	/*
	mvwprintw(win3,14,51,"%2d",netz.bede[n]);
	*/
	werase(win3);
	wrefresh(win3);

} /* get_bede(...) */
