/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define LE_GET_DATNAME_C

static char *SccsId = "@(#)PEPSY:\tget_datname.c\t1.5\t93/06/25 10:56:59";


#include <stdio.h>
#include "d_pepsy.h"
#include "libpepsy.h"


/*
 get_datname()  -   aufgerufen von eingabe() (in eingabe.c)		
 									
 Parameter :								
	    - datei: in diesem Feld wird der Eingabedateineme	
	             festgehalten					
 									
 Eingabe des Dateinamens, unter dem die Eingabedaten abgespeichert	
 werden sollen							
*/

void get_datname(datei)
char datei[MAXTEXT+3];
{
	char zwpuf[5120];
	short ok = FALSE;
	FILE *fp;

	status("get_datname");
	/* Fenster 3 loeschen */
	werase(win3);

	/* Formular ausgeben */

	mvwaddstr(win3,2,8,spr("datn01"));
	mvwaddstr(win3,3,8,spr("datn02"));
	mvwaddstr(win3,4,8,spr("datn03"));

	mvwaddstr(win3,7,8,spr("datn04"));

	/* Formular ausfuellen */

	/* Solange keine korrekte Datei eingegeben ist, */
	/* wird ein neuer Dateiname angefordert        */
	while (ok == FALSE)
	{
		wmove(win3,7,10);  /* Cursor auf Eingabefeld setzen */
		wrefresh(win3);

		/* Einlesen und Zuweisen des Namens */


		l_text(zwpuf,spr("datn05"),18);
		sprintf(datei,"%s%s",spr("datn06"),zwpuf);

		/* Namen in Eingabefeld setzen */
		mvwprintw(win3,7,8,"%-20s",datei);
		wrefresh(win3);

		/* Ueberpruefen, ob Datei beschrieben werden darf */
		if ((fp = fopen(datei,"w")) != 0) 
		{
			ok = TRUE;
			fclose(fp);
		}

		if (ok == FALSE)
		{
			werase(win4);
	/*		beep();						*/
			wmove(win4,LINES-1,0);
			waddstr(win4,spr("datn07"));
			wrefresh(win4);
			mvwaddstr(win3,7,8,spr("datn08"));
		}
	} /* while(...) */
} /* get_datname(...) */
