/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define LE_GET_KNOT_C

static char *SccsId = "@(#)PEPSY:\tget_knot.c\t1.4\t93/06/25 10:57:01";


#include "d_pepsy.h"
#include "d_netz.h"
#include "libpepsy.h"

extern netzstruktur netz;	/* Eingabedatenstruktur			*/

/*
   get_knotklass() --- aufgerufen von eingabe() (eingabe.c)                  
 									      
   Eingabe der Anzahl Knoten und Klassen                     		      
 */

void get_knotklass()
{
	status("get_knotklass");
	werase(win3); 	/* Fenster 3 loeschen */

	/* Formular ausgeben */

	mvwaddstr(win3,7,10,spr("knkl01"));
	mvwaddstr(win3,9,10,spr("knkl02"));
	 
	/* Anzahl Knoten und Klassen einlesen */

	wmove(win3,7,35);
	wrefresh(win3);
	netz.knot = l_integer(netz.knot,0,1,NMAX,5);
	status(spr("knkl03"));
	mvwprintw(win3,7,35,"%d",netz.knot);

	wmove(win3,9,35);
	wrefresh(win3);
	netz.klass = l_integer(netz.klass,0,1,RMAX,5);
	status(spr("knkl04"));
	mvwprintw(win3,9,35,"%d",netz.klass);
	wrefresh(win3);

	return;

} /* get_knotklass(...) */
