/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define LE_GET_KNOTNAME_C

static char *SccsId = "@(#)PEPSY:\tget_knotname.c\t1.4\t93/06/25 10:57:03";

#include "d_pepsy.h"
#include "d_netz.h"
#include "libpepsy.h"

extern char *strncpy();

extern netzstruktur netz;	/* Eingabedatenstruktur		*/

/*
   get_knotname() --- aufgerufen von eingabe() (eingabe.c)                   
                                                                             
   Parameter :								      
 	- gerade betrachteter Teil der Knoten				      
                                                                             
   Eingabe von symbolischen Namen fuer jeden Knoten			      
 */

static 	char zwpuf[60];			/* Zwischenpuffer fuer Namen    */
static 	char vorbesetzung[11];		/* Vorbesetzung der Knotennamen  */

void get_knotname(index)
int	index;
{
	short i,z;			/* Laufvariablen		*/

	status(spr("knna01"));
	/* Fenster 3 loeschen */
	werase(win3);

	/* Formular ausgeben */

	mvwprintw(win3,0,8,spr("knna02"));
	mvwaddstr(win3,1,8,spr("knna03"));

	for (z=0,i=index * MAXZEILEN + z;i<netz.knot && z < MAXZEILEN;z++,i++)
	{
  		mvwprintw(win3,3 + z,8,"%s %2d: ",spr("knna04"),i + 1);
  		wmove(win3,3 + z,20);
  		waddstr(win3,"..........");
	}
 
	/* Formular ausfuellen */

	for (z=0,i=index * MAXZEILEN + z;i<netz.knot && z < MAXZEILEN;z++,i++)
	{
  		wmove(win3,3 + z,20);
  		wrefresh(win3);

  		/* Knotennamen einlesen */
  		sprintf(vorbesetzung,"%s %2d",spr("knna05"),i+1);
  		l_text(zwpuf,vorbesetzung,10);
  		strncpy(netz.knotname[i],zwpuf,11);

  		/* Knotennamen auf Bildschirm ausgeben */
  		mvwprintw(win3,3+z,20,"%-10s",netz.knotname[i]);
  		wrefresh(win3);
	}
} /* get_knotname(...) */
