/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define LE_GET_KTYP_C

static char *SccsId = "@(#)PEPSY:\tget_ktyp.c\t1.9\t93/06/25 10:57:04";

#include "d_pepsy.h"
#include "d_netz.h"
#include "libpepsy.h"
#include "libein.h"

extern netzstruktur 	netz;	/* Eingabedatenstruktur 		 */

/*
   i_get_knottyp() --- aufgerufen von eingabe() (eingabe.c)                    
 									      
   Parameter:								      
 	- n  : Knotennummer						      
                                                                             
   Eingabe des Knotentyps                                    		      
 */

void i_get_knottyp(n)
int	n;
{
	static int first = 0;
        int sl =0;

	status("i_get_knottyp");

	/* Formular erzeugen */

	if (first == 0 )
	{
		first = 1;
		werase(win3); 	/* Fenster 3 loeschen */
		mvwprintw(win3,0,8,spr("knty01"));
		waddstr(win3,spr("knty02"));
		mvwaddstr(win3,2,8,spr("knty03"));
		mvwaddstr(win3,3,8,spr("knty04"));
		mvwaddstr(win3,4,8,spr("knty05"));
		mvwaddstr(win3,5,8,spr("knty06"));
		mvwaddstr(win3,6,8,spr("knty07"));
		mvwaddstr(win3,7,8,spr("knty08"));
		mvwaddstr(win3,8,8,spr("knty09"));
		mvwaddstr(win3,9,8,spr("knty10"));
		mvwaddstr(win3,10,8,spr("knty11"));
		mvwaddstr(win3,11,8,spr("knty12"));
		mvwaddstr(win3,12,8,spr("knty13"));
		mvwaddstr(win3,14,8,spr("knty14"));
	}

	wstandout(win3);
	sl=8+strlen(spr("knty01"))+strlen(spr("knty02"));
	mvwprintw(win3,0,sl,"%-10s",netz.knotname[n]);
	wstandend(win3);
	waddstr(win3," ?");

	mvwaddch(win3,14,51,'.');
	mvwaddch(win3,14,52,'.');

	/* Eingabe einlesen */

	wmove(win3,14,51);
	wrefresh(win3);
	netz.knotentyp[n]= l_integer(netz.knotentyp[n],0,1,21,2);
	mvwprintw(win3,14,51,"%2d",netz.knotentyp[n]);
	wrefresh(win3);

	/* Anzahl Bedieneinheiten */

	switch (netz.knotentyp[n] )
	{
		case 2: /* M/M/m-FCFS */
		case 6: /* M/G/m-FCFS */
		case 8: /* G/G/m-FCFS */
		case 12: /* M/G/m-PS(1)*/
		case 13: /* M/G/m-PS(2)*/
		case 16: /* M/M/m-FCFS-PRE */
		case 17: /* M/M/m-FCFS-NONPRE */
		case 18: /* M/G/m-FCFS-PRE */
		case 19: /* M/G/m-FCFS-NONPRE */
		case 20: /* M/M/m-FCFS-ASYM */
		case 21: /* M/G/m-FCFS-ASYM */
			get_bede(n);
			werase(win3);
	    	mvwprintw(win3,0,8,spr("knty01"));
	    	waddstr(win3,spr("knty02"));
	    	mvwaddstr(win3,2,8,spr("knty03"));
	    	mvwaddstr(win3,3,8,spr("knty04"));
	    	mvwaddstr(win3,4,8,spr("knty05"));
	    	mvwaddstr(win3,5,8,spr("knty06"));
	    	mvwaddstr(win3,6,8,spr("knty07"));
	    	mvwaddstr(win3,7,8,spr("knty08"));
	    	mvwaddstr(win3,8,8,spr("knty09"));
	    	mvwaddstr(win3,9,8,spr("knty10"));
		    mvwaddstr(win3,10,8,spr("knty11"));
	    	mvwaddstr(win3,11,8,spr("knty12"));
    		mvwaddstr(win3,12,8,spr("knty13"));
			mvwaddstr(win3,14,8,spr("knty14"));
			break;
		default:
			break;
	}
} /* get_knottyp(...) */
