/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define LE_GET_NETZTYP_C

static char *SccsId = "@(#)PEPSY:\tget_netztyp.c\t1.5\t93/06/25 10:57:06";

#include "d_pepsy.h"
#include "d_netz.h"
#define EXTERN_KNOTENTYPEN
#include "d_konst.h"
#include "libpepsy.h"

extern netzstruktur	netz;		/* Eingabedatenstruktur			  */

/*
   get_netztyp() - aufgerufen von eingabe()  (in eingabe.c)		
                                                                       
   Eingabe des Netztyps						
 */

void get_netztyp()
{
	status("get_netztyp");
	werase(win3);					/* Fenster 3 loeschen */

	/* Formular ausgeben */

	mvwaddstr(win3,4,8,spr("netz01"));
	mvwaddstr(win3,6,8,spr("netz02"));
	mvwaddstr(win3,7,8,spr("netz03"));
	mvwaddstr(win3,8,8,spr("netz04"));
	mvwaddstr(win3,11,8,spr("netz05"));
	mvwaddstr(win3,11,50,"..");

	/* Netztyp einlesen */

	wmove(win3,11,50);
	wrefresh(win3);
	netz.typ = l_integer(netz.typ,0,1,3,3);
	wmove(win3,11,50);
	wprintw(win3,"%d",netz.typ);
	wrefresh(win3);

	/* leider nicht einheitlich, GEMISCHT intern mit 4 codiert !!!! */
	if(netz.typ == 3)
		netz.typ = GEMISCHT;
}
