/*

                                         P E P S Y
                         
        Performance and Evaluation Prediction System

        Copyright 1987, 1988

                 Universitaet Erlangen-Nuernberg,
                 Lehrstuhl fuer Betriebssysteme
                 Martensstrasse 1

             8520 Erlangen

        Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
        PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
        gefuehrt werden.
*/
#define LO_CLOSEHELP_C
static char *SccsId="@(#)PEPSY:\tclosehelp.c\t1.1\t93/07/07 10:51:45";

#include <stdio.h>
#include "libohs.h"
#include "d_debug.h"

/* jetzt aus libohs.h
extern int ohs_error_val;
extern char *ohs_error_text;
*/
extern int dbg;


/************************************************************************
*                                                                       *
*       Funktion: closehelp()                                           *
*                                                                       *
*       Aufgabe: Schliesst nach getaner Arbeit die Hilfedatei           *
*                                                                       *
*       Eingabe: Hilfedatei                                             *
*                                                                       *
*       Ausgabe: Returnstatus des ausgefuehrten fclose()                *
*                                                                       *
************************************************************************/

int closehelp(helpfile)
struct OH_file helpfile;
{
	int retval;

	dbgtext(50, "closehelp()\n");

	retval=(fclose(helpfile.fp))?OH_error:OH_ok;

	dbgtext(50, "closehelp() fertig\n");

	return(retval);
}
