/*

                                         P E P S Y
                         
        Performance and Evaluation Prediction System

        Copyright 1987, 1988

                 Universitaet Erlangen-Nuernberg,
                 Lehrstuhl fuer Betriebssysteme
                 Martensstrasse 1

             8520 Erlangen

        Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
        PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
        gefuehrt werden.
*/
#define LO_INITHELP_C
static char *SccsId="@(#)PEPSY:\tinithelp.c\t1.1\t93/07/07 10:51:51";

#include <stdio.h>
#include "libohs.h"
#include "d_debug.h"

/* jetzt aus libohs.h
extern int ohs_error_val;
extern char *ohs_error_text;
*/
extern int dbg;


/************************************************************************
*                                                                       *
*       Funktion: inithelp()                                            *
*                                                                       *
*       Aufgabe: Initialisiert das Hilfesystem                          *
*                                                                       *
*       Eingabe: keine                                                  *
*                                                                       *
*       Ausgabe: keine                                                  *
*                                                                       *
************************************************************************/

void inithelp()
{
	struct OH_file dummy;

	dbgtext(50, "inithelp()\n");

	dummy.fp		= NULL;
	dummy.hl_count		=
	dummy.keyw_count	=
	dummy.max_keyw		= 0;
	dummy.start_of_hl	=
	dummy.start_of_keyw	=
	dummy.start_of_text	= 0L;

	(void)aliaslist("","",OH_init);		/* initialize aliaslist */
	(void)readhelp("","",0,OH_init,dummy);	/* and readhelp */

	dbgtext(50, "inithelp() fertig\n");
}
