/* SccsLogging.c
 *
 * Protokoll-Datei fuer die Delta-Historie aller SCCS-Dateien
 * eines Verzeichnisses.
 * ACHTUNG: Diese Datei darf nicht manuell bearbeitet werden.
 *
 * SccsLogging.o wird zu jedem Programm hinzugebunden. In der
 * main()-Routine jedes Programmes werden die beiden globalen
 * Variablen SccsRelease und SccsLevel referenziert.
 *
 * SccsLogging.o wird in jede Bibliothek aufgenommen, jedoch
 * nicht von dort geladen und in eine Phase eingebunden.
 */

static	char	*SccsId	
		= "@(#)PEPSY:\tSccsLogging.c\t1.58\t95/06/09 14:30:27";
	int	SccsRelease	= 1;
	int	SccsLevel	= 58;

/* ignition */
/*	Makefile	1.1	92/02/27 10:24:50 admpepsy	*/
/*	basicproc.c	1.1	92/02/27 10:24:53 admpepsy	*/
/*	gauss.c	1.1	92/02/27 10:24:55 admpepsy	*/
/*	get_asym.c	1.1	92/02/27 10:24:57 admpepsy	*/
/*	get_knottyp.c	1.1	92/02/27 10:24:59 admpepsy	*/
/*	get_mem.c	1.1	92/02/27 10:25:01 admpepsy	*/
/*	get_prefix.c	1.1	92/02/27 10:25:02 admpepsy	*/
/*	get_sim.c	1.1	92/02/27 10:25:04 admpepsy	*/
/*	get_standard.c	1.1	92/02/27 10:25:07 admpepsy	*/
/*	get_verf.c	1.1	92/02/27 10:25:08 admpepsy	*/
/*	get_z_bl.c	1.1	92/02/27 10:25:11 admpepsy	*/
/*	ktyp_int2ext.c	1.1	92/02/27 10:25:13 admpepsy	*/
/*	language.c	1.1	92/02/27 10:25:15 admpepsy	*/
/*	llea.c	1.1	92/02/27 10:25:17 admpepsy	*/
/*	memory.c	1.1	92/02/27 10:25:19 admpepsy	*/
/*	parse.c	1.1	92/02/27 10:25:21 admpepsy	*/
/*	zeichen.c	1.1	92/02/27 10:25:22 admpepsy	*/
/*	SccsLogging.c	1.1	92/02/27 10:25:24 admpepsy	*/

/* suffix for language specification of info files truncated to 2 char's */
/*	language.c	1.2	92/02/28 11:21:16 admpepsy	*/
/*	SccsLogging.c	1.2	92/02/28 11:21:20 admpepsy	*/

/* v_grenzen -> grenzen */
/*	get_z_bl.c	1.2	92/02/28 12:46:22 admpepsy	*/
/*	SccsLogging.c	1.3	92/02/28 12:46:26 admpepsy	*/

/* strncpy parameter 3 korrigiert   kirschni */
/*	language.c	1.3	92/02/28 14:18:24 admpepsy	*/
/*	SccsLogging.c	1.4	92/02/28 14:18:28 admpepsy	*/

/* SccsId-string added   by kirschni */
/*	basicproc.c	1.2	92/03/03 10:44:56 admpepsy	*/
/*	gauss.c	1.2	92/03/03 10:44:59 admpepsy	*/
/*	get_asym.c	1.2	92/03/03 10:45:02 admpepsy	*/
/*	get_knottyp.c	1.2	92/03/03 10:45:06 admpepsy	*/
/*	get_mem.c	1.2	92/03/03 10:45:09 admpepsy	*/
/*	get_prefix.c	1.2	92/03/03 10:45:12 admpepsy	*/
/*	get_sim.c	1.2	92/03/03 10:45:14 admpepsy	*/
/*	get_standard.c	1.2	92/03/03 10:45:17 admpepsy	*/
/*	get_verf.c	1.2	92/03/03 10:45:20 admpepsy	*/
/*	get_z_bl.c	1.3	92/03/03 10:45:22 admpepsy	*/
/*	ktyp_int2ext.c	1.2	92/03/03 10:45:25 admpepsy	*/
/*	llea.c	1.2	92/03/03 10:45:28 admpepsy	*/
/*	memory.c	1.2	92/03/03 10:45:30 admpepsy	*/
/*	parse.c	1.2	92/03/03 10:45:33 admpepsy	*/
/*	zeichen.c	1.2	92/03/03 10:45:35 admpepsy	*/
/*	SccsLogging.c	1.5	92/03/03 10:45:37 admpepsy	*/

/* sccsid string added */
/*	Makefile	1.2	92/03/04 09:36:13 admpepsy	*/
/*	SccsLogging.c	1.6	92/03/04 09:36:15 admpepsy	*/

/* includes korrigiert   kirschni */
/*	get_asym.c	1.3	92/03/05 16:50:53 admpepsy	*/
/*	get_prefix.c	1.3	92/03/05 16:50:56 admpepsy	*/
/*	get_verf.c	1.3	92/03/05 16:50:59 admpepsy	*/
/*	get_z_bl.c	1.4	92/03/05 16:51:02 admpepsy	*/
/*	language.c	1.4	92/03/05 16:51:04 admpepsy	*/
/*	SccsLogging.c	1.7	92/03/05 16:51:07 admpepsy	*/

/* kosmetische aenderung    kirschni */
/*	basicproc.c	1.3	92/03/20 12:24:59 admpepsy	*/
/*	SccsLogging.c	1.8	92/03/20 12:25:05 admpepsy	*/

/* kosmetik   kirschni */
/*	get_prefix.c	1.4	92/03/20 12:30:09 admpepsy	*/
/*	SccsLogging.c	1.9	92/03/20 12:30:15 admpepsy	*/

/* center hat 2.Parameter spalten erhalten   kirschni */
/*	language.c	1.5	92/03/20 14:29:36 admpepsy	*/
/*	SccsLogging.c	1.10	92/03/20 14:29:41 admpepsy	*/

/* bug fix    kirschni */
/*	language.c	1.6	92/03/20 14:31:07 admpepsy	*/
/*	SccsLogging.c	1.11	92/03/20 14:31:11 admpepsy	*/

/* fehlerhafte kommentarschachtelung korrigiert     kirschni */
/*	get_z_bl.c	1.5	92/03/23 08:24:48 admpepsy	*/
/*	SccsLogging.c	1.12	92/03/23 08:25:02 admpepsy	*/

/* purge: clobber     vepaepck */
/*	Makefile	1.3	92/03/24 13:05:37 admpepsy	*/
/*	SccsLogging.c	1.13	92/03/24 13:05:40 admpepsy	*/

/* dbg Ausgaben eingesetzt    kirschni */
/*	language.c	1.7	92/03/25 12:30:15 admpepsy	*/
/*	SccsLogging.c	1.14	92/03/25 12:30:18 admpepsy	*/

/* 2!!!!!  kirschni */
/*	language.c	1.8	92/03/25 12:52:08 admpepsy	*/
/*	SccsLogging.c	1.15	92/03/25 12:52:11 admpepsy	*/

/* ignition		kirschhni */
/*	database.c	1.1	92/06/03 11:18:20 admpepsy	*/
/*	SccsLogging.c	1.16	92/06/03 11:18:24 admpepsy	*/

/* database.c hinzugefuegt		kirschni */
/*	Makefile	1.4	92/06/03 11:18:52 admpepsy	*/
/*	SccsLogging.c	1.17	92/06/03 11:18:58 admpepsy	*/

/* minor bug fixed (dbg)           kirschni */
/*	database.c	1.2	92/06/03 11:30:12 admpepsy	*/
/*	SccsLogging.c	1.18	92/06/03 11:30:16 admpepsy	*/

/* grenzen in database gelesen	kirschni */
/*	database.c	1.3	92/08/24 10:30:04 admpepsy	*/
/*	SccsLogging.c	1.19	92/08/24 10:30:05 admpepsy	*/

/* bezogen auf d_konst.h 	kirschni */
/*	get_knottyp.c	1.3	92/08/24 16:04:41 admpepsy	*/
/*	SccsLogging.c	1.20	92/08/24 16:04:42 admpepsy	*/

/* umgestellt auf dynamische Speicherverwaltung	kirschni */
/*	language.c	1.9	92/08/25 14:49:51 admpepsy	*/
/*	SccsLogging.c	1.21	92/08/25 14:49:52 admpepsy	*/

/* debuginformation eingebaut	kirschni */
/*	language.c	1.10	92/08/25 15:21:15 admpepsy	*/
/*	SccsLogging.c	1.22	92/08/25 15:21:16 admpepsy	*/

/* EXTERN_KNOTENTYPEN	kirschni */
/*	get_asym.c	1.4	92/08/26 09:02:05 admpepsy	*/
/*	get_knottyp.c	1.4	92/08/26 09:02:07 admpepsy	*/
/*	get_mem.c	1.3	92/08/26 09:02:08 admpepsy	*/
/*	get_sim.c	1.3	92/08/26 09:02:09 admpepsy	*/
/*	get_standard.c	1.3	92/08/26 09:02:11 admpepsy	*/
/*	ktyp_int2ext.c	1.3	92/08/26 09:02:12 admpepsy	*/
/*	zeichen.c	1.3	92/08/26 09:02:13 admpepsy	*/
/*	SccsLogging.c	1.23	92/08/26 09:02:14 admpepsy	*/

/* EXTERN_KNOTENTYPEN	kirschni */
/*	zeichen.c	1.4	92/08/26 10:14:26 admpepsy	*/
/*	SccsLogging.c	1.24	92/08/26 10:14:27 admpepsy	*/

/* speicher.c von libein.a verlagert	kirschni */
/*	speicher.c	1.1	92/08/26 10:18:02 admpepsy	*/
/*	Makefile	1.5	92/08/26 10:18:03 admpepsy	*/
/*	SccsLogging.c	1.25	92/08/26 10:18:04 admpepsy	*/

/* EXTERN_KNOTENTYPEN	kirschni */
/*	ktyp_int2ext.c	1.4	92/08/26 10:44:29 admpepsy	*/
/*	SccsLogging.c	1.26	92/08/26 10:44:30 admpepsy	*/

/* dbginfo eingesetzt	kirschni */
/*	get_standard.c	1.4	92/08/31 13:48:51 admpepsy	*/
/*	SccsLogging.c	1.27	92/08/31 13:48:52 admpepsy	*/

/* minor bug fix	kirschni */
/*	get_knottyp.c	1.5	92/08/31 14:33:29 admpepsy	*/
/*	get_standard.c	1.5	92/08/31 14:33:30 admpepsy	*/
/*	SccsLogging.c	1.28	92/08/31 14:33:31 admpepsy	*/

/* rueckgabewert ist internern knotentyp (bit)	kirschni */
/*	get_knottyp.c	1.6	92/08/31 14:41:23 admpepsy	*/
/*	SccsLogging.c	1.29	92/08/31 14:41:24 admpepsy	*/

/* debuginfo	kirschni */
/*	database.c	1.4	92/08/31 16:00:18 admpepsy	*/
/*	SccsLogging.c	1.30	92/08/31 16:00:19 admpepsy	*/

/* minor changes */
/*	Makefile	1.6	92/09/02 14:38:45 admpepsy	*/
/*	basicproc.c	1.4	92/09/02 14:38:46 admpepsy	*/
/*	database.c	1.5	92/09/02 14:38:47 admpepsy	*/
/*	gauss.c	1.3	92/09/02 14:38:48 admpepsy	*/
/*	get_asym.c	1.5	92/09/02 14:38:50 admpepsy	*/
/*	get_knottyp.c	1.7	92/09/02 14:38:51 admpepsy	*/
/*	get_mem.c	1.4	92/09/02 14:38:52 admpepsy	*/
/*	get_prefix.c	1.5	92/09/02 14:38:53 admpepsy	*/
/*	get_sim.c	1.4	92/09/02 14:38:54 admpepsy	*/
/*	get_standard.c	1.6	92/09/02 14:38:56 admpepsy	*/
/*	get_verf.c	1.4	92/09/02 14:38:57 admpepsy	*/
/*	get_z_bl.c	1.6	92/09/02 14:38:58 admpepsy	*/
/*	ktyp_int2ext.c	1.5	92/09/02 14:38:59 admpepsy	*/
/*	language.c	1.11	92/09/02 14:39:00 admpepsy	*/
/*	llea.c	1.3	92/09/02 14:39:02 admpepsy	*/
/*	memory.c	1.3	92/09/02 14:39:03 admpepsy	*/
/*	parse.c	1.3	92/09/02 14:39:04 admpepsy	*/
/*	speicher.c	1.2	92/09/02 14:39:06 admpepsy	*/
/*	zeichen.c	1.5	92/09/02 14:39:07 admpepsy	*/
/*	SccsLogging.c	1.31	92/09/02 14:39:08 admpepsy	*/

/* ignition	kirschni */
/*	file.c	1.1	92/09/02 14:39:35 admpepsy	*/
/*	zusatzblock.c	1.1	92/09/02 14:39:36 admpepsy	*/
/*	SccsLogging.c	1.32	92/09/02 14:39:37 admpepsy	*/

/* debug.h eingesetzt	kirschni */
/*	get_z_bl.c	1.7	92/09/21 18:04:04 admpepsy	*/
/*	SccsLogging.c	1.33	92/09/21 18:04:14 admpepsy	*/

/* kirschni */
/*	database.c	1.6	92/09/22 10:52:30 admpepsy	*/
/*	get_knottyp.c	1.8	92/09/22 10:53:04 admpepsy	*/
/*	language.c	1.12	92/09/22 10:53:24 admpepsy	*/
/*	SccsLogging.c	1.34	92/09/22 10:53:52 admpepsy	*/

/* ktyp_ext2int hinzugefuegt	kirschni */
/*	ktyp_int2ext.c	1.6	92/10/08 17:25:08 admpepsy	*/
/*	SccsLogging.c	1.35	92/10/08 17:25:11 admpepsy	*/

/* matzes magic hint	kirschni */
/*	basicproc.c	1.5	92/11/07 17:13:46 admpepsy	*/
/*	SccsLogging.c	1.36	92/11/07 17:13:47 admpepsy	*/

/* dbg-schranken hochgesetzt	kirschni */
/*	Makefile	1.7	92/11/25 15:12:53 admpepsy	*/
/*	basicproc.c	1.6	92/11/25 15:12:54 admpepsy	*/
/*	database.c	1.7	92/11/25 15:12:56 admpepsy	*/
/*	file.c	1.2	92/11/25 15:12:57 admpepsy	*/
/*	gauss.c	1.4	92/11/25 15:12:59 admpepsy	*/
/*	get_asym.c	1.6	92/11/25 15:13:01 admpepsy	*/
/*	get_knottyp.c	1.9	92/11/25 15:13:03 admpepsy	*/
/*	get_mem.c	1.5	92/11/25 15:13:05 admpepsy	*/
/*	get_prefix.c	1.6	92/11/25 15:13:07 admpepsy	*/
/*	get_sim.c	1.5	92/11/25 15:13:09 admpepsy	*/
/*	get_standard.c	1.7	92/11/25 15:13:10 admpepsy	*/
/*	get_verf.c	1.5	92/11/25 15:13:12 admpepsy	*/
/*	get_z_bl.c	1.8	92/11/25 15:13:14 admpepsy	*/
/*	ktyp_int2ext.c	1.7	92/11/25 15:13:16 admpepsy	*/
/*	language.c	1.13	92/11/25 15:13:18 admpepsy	*/
/*	llea.c	1.4	92/11/25 15:13:19 admpepsy	*/
/*	memory.c	1.4	92/11/25 15:13:21 admpepsy	*/
/*	parse.c	1.4	92/11/25 15:13:22 admpepsy	*/
/*	speicher.c	1.3	92/11/25 15:13:25 admpepsy	*/
/*	zeichen.c	1.6	92/11/25 15:13:27 admpepsy	*/
/*	zusatzblock.c	1.2	92/11/25 15:13:29 admpepsy	*/
/*	SccsLogging.c	1.37	92/11/25 15:13:32 admpepsy	*/

/* vergessene parameterdefinition eingefuegt	kirschni */
/*	database.c	1.8	93/05/14 14:53:03 admpepsy	*/
/*	SccsLogging.c	1.38	93/05/14 14:53:06 admpepsy	*/

/* int -> void	kirschni */
/*	parse.c	1.5	93/05/14 15:09:08 admpepsy	*/
/*	SccsLogging.c	1.39	93/05/14 15:09:11 admpepsy	*/

/* kirschni */
/*	get_standard.c	1.8	93/06/03 11:33:32 admpepsy	*/
/*	SccsLogging.c	1.40	93/06/03 11:33:35 admpepsy	*/

/* kirschni */
/*	basicproc.c	1.7	93/06/03 13:34:06 admpepsy	*/
/*	get_standard.c	1.9	93/06/03 13:34:09 admpepsy	*/
/*	SccsLogging.c	1.41	93/06/03 13:34:13 admpepsy	*/

/* curses bereinigt	kirschni */
/*	zeichen.c	1.7	93/06/07 12:38:52 admpepsy	*/
/*	SccsLogging.c	1.42	93/06/07 12:38:54 admpepsy	*/

/* gcc anpassung fuer number()	kirschni */
/*	parse.c	1.6	93/06/09 18:28:14 admpepsy	*/
/*	SccsLogging.c	1.43	93/06/09 18:28:16 admpepsy	*/

/* libpepsy.h eingefuehrt, viele kleine Aenderungen furch erhoehten Warninglevel	kirschni */
/*	Makefile	1.8	93/06/24 12:48:12 admpepsy	*/
/*	basicproc.c	1.8	93/06/24 12:48:14 admpepsy	*/
/*	database.c	1.9	93/06/24 12:48:16 admpepsy	*/
/*	file.c	1.3	93/06/24 12:48:18 admpepsy	*/
/*	gauss.c	1.5	93/06/24 12:48:20 admpepsy	*/
/*	get_asym.c	1.7	93/06/24 12:48:21 admpepsy	*/
/*	get_knottyp.c	1.10	93/06/24 12:48:23 admpepsy	*/
/*	get_mem.c	1.6	93/06/24 12:48:25 admpepsy	*/
/*	get_prefix.c	1.7	93/06/24 12:48:26 admpepsy	*/
/*	get_sim.c	1.6	93/06/24 12:48:28 admpepsy	*/
/*	get_standard.c	1.10	93/06/24 12:48:30 admpepsy	*/
/*	get_verf.c	1.6	93/06/24 12:48:32 admpepsy	*/
/*	get_z_bl.c	1.9	93/06/24 12:48:34 admpepsy	*/
/*	ktyp_int2ext.c	1.8	93/06/24 12:48:36 admpepsy	*/
/*	language.c	1.14	93/06/24 12:48:37 admpepsy	*/
/*	llea.c	1.5	93/06/24 12:48:39 admpepsy	*/
/*	memory.c	1.5	93/06/24 12:48:41 admpepsy	*/
/*	parse.c	1.7	93/06/24 12:48:43 admpepsy	*/
/*	speicher.c	1.4	93/06/24 12:48:44 admpepsy	*/
/*	zeichen.c	1.8	93/06/24 12:48:46 admpepsy	*/
/*	zusatzblock.c	1.3	93/06/24 12:48:48 admpepsy	*/
/*	SccsLogging.c	1.44	93/06/24 12:48:49 admpepsy	*/

/* bug fix beim Lesen der offenen Klassen	kirschni */
/*	get_standard.c	1.11	93/06/24 20:54:57 admpepsy	*/
/*	SccsLogging.c	1.45	93/06/24 20:55:00 admpepsy	*/

/* n in language-files unterstuetzt	kirschni */
/*	language.c	1.15	93/07/14 12:42:50 admpepsy	*/
/*	SccsLogging.c	1.46	93/07/14 12:42:52 admpepsy	*/

/* MAXPATHLEN besser gesetzt fuer SCO	kirschni */
/*	file.c	1.4	93/12/21 12:08:07 admpepsy	*/
/*	SccsLogging.c	1.47	93/12/21 12:08:09 admpepsy	*/

/* strdup und strcasecmp werden jetzt nur bei Bedarf bereitgestellt	kirschni */
/*	Makefile	1.9	93/12/21 14:28:39 admpepsy	*/
/*	database.c	1.10	93/12/21 14:28:41 admpepsy	*/
/*	get_knottyp.c	1.11	93/12/21 14:28:43 admpepsy	*/
/*	language.c	1.16	93/12/21 14:28:45 admpepsy	*/
/*	support.c	1.1	93/12/21 14:28:47 admpepsy	*/
/*	SccsLogging.c	1.48	93/12/21 14:28:48 admpepsy	*/

/* fixes */
/*	support.c	1.2	93/12/22 16:12:44 admpepsy	*/
/*	SccsLogging.c	1.49	93/12/22 16:12:46 admpepsy	*/

/* database.c erweitert um CountDB und GetPepsyDBSorted o.ae, parse.c erleichtert um pow() deklaration weil schon in math.h	kirschni */
/*	database.c	1.11	94/02/02 10:10:12 admpepsy	*/
/*	parse.c	1.8	94/02/02 10:10:14 admpepsy	*/
/*	SccsLogging.c	1.50	94/02/02 10:10:16 admpepsy	*/

/* semantik von / wird sich unter ANSI-C aendern statt /2 jetzt >>1	kirschni */
/*	language.c	1.17	94/02/04 14:28:51 admpepsy	*/
/*	SccsLogging.c	1.51	94/02/04 14:28:53 admpepsy	*/

/* gcc -Wall	kirschni */
/*	get_knottyp.c	1.12	94/02/10 17:24:49 admpepsy	*/
/*	language.c	1.18	94/02/10 17:24:51 admpepsy	*/
/*	SccsLogging.c	1.52	94/02/10 17:24:53 admpepsy	*/

/* *cp++ ist nicht ideal.	kirschni */
/*	get_mem.c	1.7	94/04/25 16:44:29 admpepsy	*/
/*	SccsLogging.c	1.53	94/04/25 16:44:31 admpepsy	*/

/* roe */
/*	basicproc.c	1.9	95/05/22 10:48:47 i4pepsy	*/
/*	database.c	1.12	95/05/22 10:48:49 i4pepsy	*/
/*	get_asym.c	1.8	95/05/22 10:48:52 i4pepsy	*/
/*	get_knottyp.c	1.13	95/05/22 10:48:54 i4pepsy	*/
/*	get_standard.c	1.12	95/05/22 10:48:57 i4pepsy	*/
/*	get_verf.c	1.7	95/05/22 10:49:00 i4pepsy	*/
/*	SccsLogging.c	1.54	95/05/22 10:49:03 i4pepsy	*/

/* PEPSYLANG wird vorbesetzt	roe */
/*	language.c	1.19	95/05/22 15:38:19 i4pepsy	*/
/*	SccsLogging.c	1.55	95/05/22 15:38:22 i4pepsy	*/

/* getline ueberarbeitet */
/*	basicproc.c	1.10	95/05/26 14:22:51 i4pepsy	*/
/*	SccsLogging.c	1.56	95/05/26 14:22:53 i4pepsy	*/

/* aufgeraeumt. roe */
/*	get_standard.c	1.13	95/06/06 13:29:16 i4pepsy	*/
/*	SccsLogging.c	1.57	95/06/06 13:29:19 i4pepsy	*/

/* strings.h gibt es auf solaris nicht, entfernt.	roe */
/*	get_standard.c	1.14	95/06/09 14:30:24 i4pepsy	*/
