/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define GET_VERF_C

static char *SccsId = "@(#)PEPSY:\tget_verf.c\t1.7\t95/05/22 10:49:02";

#include <stdio.h>
#include <sys/types.h>
#include "d_debug.h"
#include "libpepsy.h"

/*
	bestimmt aus Anfangsstueck des Verfahrensname
	den vollen Namen
	erstes passendes Verfahren wird zurueckgeliefert

*/

extern	char	*getenv();
extern	char	*strcat();
extern	int		strncmp();

extern	int		dbg;

static char *PEPSYHOME;
static char CODIERUNG[2048];

int get_verfahren(datei,verfahren)
char *datei, *verfahren;
{
	FILE *fp, *fopen();
	char temp[5120];
	int i = strlen(datei);


	if (CountPepsyDB() == 0)
	    GetPepsyDB();

	
	if((PEPSYHOME = (char *)getenv("PEPSYHOME")) == (char *)NULL)
	{
		dbgtext(-1, "get_verfahren(): Enviroment Variable PEPSYHOME nicht definiert\n");
		exit(1);
	}

	strcpy(CODIERUNG,PEPSYHOME);
	strcat(CODIERUNG,"/infos/code.txt");

	dbginfo(50, "get_verfahren: %s ", datei);
	dbginfo(50, "%s, ", verfahren);
	dbginfo(50, "%s\n", CODIERUNG);

	if((fp = fopen(CODIERUNG,"r")) == NULL)
		return(-2);

	while(nextline(fp,temp,5120) != EOF)
	{
		dbginfo(55, "get_verfahren(): %s",temp);

		if(strncmp(datei,temp,i) == 0)
		{
			sscanf(temp,"%s ",verfahren);
			dbginfo(55, "get_verfahren(): -->  %s\n", verfahren);
			fclose(fp);
			return(0);
		}
	}
	fclose(fp);
	
	return(-1);
}
