/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define GET_Z_BL_C

static char *SccsId = "@(#)PEPSY:\tget_z_bl.c\t1.9\t93/06/24 12:48:35";

#include <stdio.h>
#include <sys/types.h> /* hinzugefuegt kirschni */
#include "d_debug.h"
#include "libpepsy.h"


/*
	bestimmt aus Verfahrensname
	den Namen des Zusatzblockes

*/

extern char *getenv();

extern	int	dbg;
extern	int		strncmp();
extern	char	*strcat();

static char *PEPSYHOME;
static char ZU_GRENZEN[2048];
#define INFOS_GRENZENALL "/infos/grenzenall.txt"

int get_zusatzblock(verfahren,zs_block)
char *verfahren, *zs_block;
{
	FILE *fp, *fopen();
	char temp[5120];
	int i;

	if((PEPSYHOME = (char *)getenv("PEPSYHOME")) == (char *)NULL)
	{
		dbgtext(-1, "get_zusatzblock(): Enviroment Variable PEPSYHOME nicht definiert\n");
		exit(1);
	}

	strcpy(ZU_GRENZEN,PEPSYHOME);
	strcat(ZU_GRENZEN,INFOS_GRENZENALL);
	if(dbg>55) fprintf(stderr,"get_zusatzblock: %s %s, %s\n",verfahren,zs_block,ZU_GRENZEN);
	if((fp = fopen(ZU_GRENZEN,"r")) == NULL)
		return(-1);

	i = strlen(verfahren);
	while(nextline(fp,temp,5120) != EOF)
	{
		dbginfo(55, "get_zusatzblock: %s",temp);
		sscanf(temp,"%*s %*d %*d %*d %*d %*1s %*1s %s ",zs_block);
		if(strncmp(verfahren,temp,i) == 0)
		{
			dbginfo(55,  "get_zusatzblock(): -->  %s\n", zs_block);
			if(strncmp(zs_block,"-",1) == 0)
				return(0);
			else
				return(1);
		}
	}
	return(0);
}
