/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define LLEA_C


static char *SccsId = "@(#)PEPSY:\tllea.c\t1.5\t93/06/24 12:48:40";

#include "d_pepsy.h"
#include "libpepsy.h"

/*
	 low level ea funktionen
*/



/*
	druckt Fehlermeldung im Fenster 'win4'
*/

void fehler(fmt,arg1,arg2,arg3,arg4)
char *fmt;
int arg1, arg2, arg3, arg4;
{
	/*flash(); 
	wmove(win4,0,0); */
	wclear(win4);
	wprintw(win4,fmt,arg1,arg2,arg3,arg4);
	wrefresh(win4);
}


/*
	setzt im Fenster 'win' in Zeile 'x' von Spalte 'y'
	bis Spalte 'y+l' das Zeichen 'c'
*/

void ll_pfill(win,c,x,y,l)
WINDOW *win;
char c;
int x, y, l;
{
	int i = l;
	fehler("ll_pfill entered ");

	wmove(win,x,y);
	while(i--)
		waddch(win,c);

	wrefresh(win);
}

/*
	liest einen Textstring der maximalen Laenge 'l' 
	im Fenster 'win' ein
	bei zu kurzem Puffer wird bis '\r' bzw '\n' ueberlesen
*/

int ll_getstring(win,buf,l)
WINDOW *win;
char *buf;
int l;
{
	int x,y,c;
	int ll = 0;


	getyx(win,x,y);
	wmove(win,x,y);
	wrefresh(win);


	while(ll < l )
	{
		c = wgetch(win);
		fehler("gelesen %c ",c);
		switch( c)
		{
			case '\b':
				if(ll > 0)
				{
					buf[--ll] = ' ';
					waddch(win,' ');
				}
				break;
			case '\r':
			case '\n':
				buf[++ll] = '\0';
				wrefresh(win);
				return(ll);
/*				break;					*/
			default:
				buf[++ll] =(char)  c;
				break;
		}
		wrefresh(win);
	}
	buf[++ll] = '\0';
	while((c=wgetch(win)) != '\r' && c != '\n')
	{
		;
	}
	return(ll);
}
