/*
	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
		      Universitaet Erlangen-Nuernberg,
		      Lehrstuhl fuer Betriebssysteme
		      Martensstrasse 1

		      D-91058 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.


*/
#define SUPPORT_C

#include <string.h>
#include <ctype.h>
#include "conf.h"

static        char    *SccsId = "@(#)PEPSY:\tsupport.c\t1.2\t93/12/22 16:12:45";


#ifndef _HAVE_STRDUP

char *strdup(s)
char *s;
{
	/* There are some machines, that don't know the strdup(3C),
	   so I've to make it on my own.
	*/

	char *r=NULL;

	if (s)
	{
	    r=(char *)malloc((size_t)1+strlen(s));

	    if (r)
		strcpy(r, s);
	}

	return(r);
}
#endif



#ifndef _HAVE_STRCASECMP

int strcasecmp(s1, s2)
char *s1, *s2;
{
    int		retval=0;
    char	*t1, *t2;
    char	*c;

    t1=(char *)strdup(s1);
    t2=(char *)strdup(s2);

    c=t1;
    while(c && *c && isascii(*c))
    {
	*c = tolower(*c);
	c++;
    }

    c=t2;
    while(c && *c && isascii(*c))
    {
	*c = tolower(*c);
	c++;
    }

    if (t1 && t2)
	retval=strcmp(t1,t2);

    if (t1) free(t1);
    if (t2) free(t2);

    return(retval);
}
#endif
