/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define LZ_GET_AMONO_C

static char *SccsId = "@(#)PEPSY:\tget_amono.c\t1.5\t93/06/25 12:05:13";

#include <stdio.h>
#include "d_pepsy.h"
#include "d_netz.h"
#include "d_speicher.h"
#include "d_sonder.h"
#include "d_deutsch.h"
#include "libpepsy.h"
#include "libzusatz.h"


extern int dbg;

extern netzstruktur netz;

extern char datei[];
extern char verfahren[], zusatzblock[];


void get_amono(knotnr)  
int knotnr;
{
	netzstruktur *np = &netz;
	int n,j,k;

  
	/*Speicherplatz anfordern*/

	n=np->bede[knotnr]*sizeof(double);
	amue[knotnr]=(double *)malloc(n);
  
        

	/* Angabe der Bedienraten von asymetrischen Knoten */


	/*Formular ausgeben*/

	werase(win3);
	mvwaddstr(win3,3,8,amono01);
        
	mvwprintw(win3,10,8,"%s ",np->knotname[knotnr]);     
	k = np->bede[knotnr];
	for (j=0;j<k;j++)
	{
		mvwprintw(win3,11+j,8,"%s %d :",amono03,j+1);  
		wmove(win3,11+j,55);
		waddstr(win3,"......");
	}
	wrefresh(win3);  


	/*Formular ausfuellen*/

	for (j=0;j<k;j++)
	{
		wmove(win3,11+j,55);
		wrefresh(win3);
		amue[knotnr][j]=l_double(amue[knotnr][j],0,0.0,100.0,10);                
		mvwprintw(win3,11+j,55,"%lf",amue[knotnr][j]);
		wrefresh(win3);
	}
	wrefresh(win3);

              
   /*Endformular*/

   werase(win3);
   mvwaddstr(win3,10,8,amono05);
   wmove(win3,30,2);
   wrefresh(win3);
}     
