/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define LZ_GET_HIER2_C

static char *SccsId = "@(#)PEPSY:\tget_hier2.c\t1.5\t93/06/25 12:05:18";


#include <stdio.h>
#include "d_netz.h"
#include "d_pepsy.h"
#include "d_sonder.h"
#include "libpepsy.h"

extern netzstruktur netz;


/*
   get_hier2() 
 									  
   Eingabe der Anzahl Teilnetze, in die das Gesamtnetz zerlegt 	  
   werden soll								  
   Die Nummer des Teilnetzes ist gleichzeitig die Hierarchiestufe
 */

char *get_hier2(knoten)
int knoten;
{
	static char buf[5120];

	/* Fenster 3 loeschen */
	werase(win3);

	/* Formular ausgeben */

	mvwaddstr(win3,3,8,spr("geh201"));
	mvwaddstr(win3,5,8,spr("geh202"));
	mvwaddstr(win3,7,8,spr("geh203"));
	mvwaddstr(win3,8,8,spr("geh204"));
	mvwprintw(win3,10,8,spr("geh205"));
	wmove(win3,12,22);
	waddstr(win3,"..............................................................");
	wrefresh(win3);

	/* Formular ausfuellen */

	wmove(win3,12,22);
	wrefresh(win3);

	l_text(buf,"",60);

	return(buf);
}
