/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define LZ_Z_AMONO_C

static char *SccsId = "@(#)PEPSY:\tz_amono.c\t1.6\t93/06/25 12:05:23";

#include <stdio.h>
#include "d_pepsy.h"
#include "d_netz.h"
#define	EXTERN_KNOTENTYPEN
#include "d_konst.h"
#include "d_speicher.h"
#include "d_sonder.h"
#include "d_deutsch.h"
#include "libein.h"
#include "libzusatz.h"


extern int dbg;
extern netzstruktur netz;
extern char datei[];
extern char verfahren[], zusatzblock[];


  

void z_amono()  
{
	netzstruktur *np = &netz;
	int i,j,n,l;
	FILE *fpout;


	/* Initialisierung des Bildschirms */
	init_schirm();
	w_schirm();
	fenster1();
	fenster2(2);

  
        /*Speicherplatz fuer Bedienraten bereitstellen*/

         n=np->knot*sizeof(double *);
         amue=(double **)malloc(n);


	/* Eingabe der Bedienraten fuer asymetrischen Knoten */
        
        l=0;
        for (i=0;i<np->knot;i++)
        {
           if (np->knotentyp[i] == TYP20 || np->knotentyp[i] == TYP21)
           {
               l=1;
               get_amono(i); 
           }
        }

        if (l==0)
        {
         werase(win3);
         mvwaddstr(win3,10,8,amono07);
         wmove(win3,30,2);
         wrefresh(win3);
        }
 


	/* An das Ende der Datei gehen */

        if ((fpout = fopen(datei,"a")) == NULL)
        {
           fprintf(stderr,"%s %s %s\n",spr("zhie02"),datei,spr("zhie03"));
           exit(8);
        }
     
 

 
	/* Zusatzblock abspeichern */

        fprintf(fpout,"%s\n\n", zusatzblock);
        fprintf(fpout,"%s\n",amono04);
        fprintf(fpout,"---------------------------------\n\n");
  
        for (i=0;i<np->knot;i++)
        {
		if (np->knotentyp[i]== TYP20 || np->knotentyp[i] == TYP21)
                {      
                   fprintf(fpout,"%s\n\n",np->knotname[i]);
                   for (j=0;j<np->bede[i];j++) 
                   {
                       fprintf(fpout,"%s %d :  %f\n",amono06,j+1,amue[i][j]);
                   }
                   fprintf(fpout,"\n\n");
                }
        }
             
}     
