/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/
#define LZ_Z_HIER2_C

static char *SccsId = "@(#)PEPSY:\tz_hier2.c\t1.6\t93/06/25 12:05:27";

#include <stdio.h>
#include "d_pepsy.h"
#include "d_netz.h"
#include "d_speicher.h"
#include "d_debug.h"
#include "libein.h"
#include "libzusatz.h"


extern int dbg;
extern netzstruktur netz;
extern char datei[];
extern char verfahren[], zusatzblock[];

void z_hier2()
{
	char *str;
	FILE *fpout;

	dbgtext(50, "z_hier2()\n");

	/* Initialisierung des Bildschirms */
	init_schirm();
	w_schirm();
	fenster1();
	fenster2(2);


	/* Angabe der Loesungshierachie */
	str = get_hier2();

	e_schirm();

	/* An das Ende der Datei gehen */

	if ((fpout = fopen(datei,"a")) == NULL)
	{
		fprintf(stderr,"%s %s %s\n",spr("zhi202"),datei,spr("zhi203"));
		exit(8);
	}

	/* Zusatzblock abspeichern */

	fprintf(fpout,"%s\n\n", zusatzblock);
	fprintf(fpout,"%s", str);

	fprintf(fpout,"\n\n");
}
