/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

static char *SccsId = "@(#)PEPSY:\tget_hier.c\t1.3\t92/08/24 11:10:47";

#include <stdio.h>
#include "d_netz.h"
#include "d_speicher.h"
#define	EXTERN_KNOTENTYPEN
#include "d_konst.h"

extern int dbg;
extern netzstruktur netz;
char zusatzblock[20];

get_hierarchie(fp)
FILE *fp;
{
	register netzstruktur *np = &netz;
	char buffer[5120], *cp;
	extern double atof();
	int gefunden, i,j;

	if(dbg)
		fprintf(stderr,"get_hierarchie\n");

	/* Zusatzblock in Eingabedatei suchen */

	get_zusatzblock("epascat",zusatzblock);
	gefunden = FALSE;
	rewind(fp);
	i = strlen(zusatzblock);
	while ( gefunden == FALSE && nextline(fp,buffer,5120) != EOF )
	{
		if (strncmp(zusatzblock,buffer,i) == 0)
		{
			if(dbg)
				fprintf(stderr,"get_hierarchie : Zusatzblock %s gefunden\n",buffer);
			gefunden = TRUE;
		}
	}

	if (gefunden == TRUE)
	{
		nextline(fp,buffer,5120);
		nextline(fp,buffer,5120);
		nextline(fp,buffer,5120);
		nextline(fp,buffer,5120);
		for(i=0;i<np->knot;i++)
		{
			nextline(fp,buffer,5120);
			/* bis "|" lesen */
			cp = buffer;
			while(*cp != '\0' && *cp++ != '|')
				;
			np->teilnr[i] = atoi(cp);
			if(dbg > 5) 
				fprintf(stderr,"knoten %d, teilnr %d\n",i+1,np->teilnr[i]);
		}
	}
	else
	{
		if(dbg)
			fprintf(stderr,"get_hierarchie : kein Zusatzblock gefunden\n");
		for(i=0;i<np->knot;i++)
		{
			np->teilnr[i] = 1;
			if (dbg)
				fprintf(stderr,"get_hierarchie: knoten %d, teilnetz %d\n",
				i+1,np->teilnr[i]);
		}
	}
}

