/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

static char *SccsId = "@(#)PEPSY:\tget_mmva.c\t1.4\t94/02/02 11:50:04";

#include <stdio.h>
#include "d_netz.h"
#include "d_speicher.h"
#define	EXTERN_KNOTENTYPEN
#include "d_konst.h"

extern int dbg;
extern netzstruktur netz;
static char zusatzblock[20];

get_mmva(fp)
FILE *fp;
{
	register netzstruktur *np = &netz;
	char buffer[5120], *cp;
	extern double atof();
	int gefunden, i,j;
        double ausgabe;

	if(dbg)
		fprintf(stderr,"get_mmva\n");



	/* Zusatzblock in Eingabedatei suchen */

	get_zusatzblock("asymmva",zusatzblock);
	gefunden = FALSE;
	rewind(fp);
	i = strlen(zusatzblock);
	while ( gefunden == FALSE && nextline(fp,buffer,5120) != EOF )
	{
		if (strncmp(zusatzblock,buffer,i) == 0)
		{
			if(dbg)
				fprintf(stderr,"get_mmva : Zusatzblock %s gefunden\n",buffer);
			gefunden = TRUE;
		}
	}


        /* Cursor auf Bedienraten positionieren      */

	if (gefunden == TRUE)
	{
                nextline(fp,buffer,5120);
                
                while(nextline(fp,buffer,5120) != EOF )
                {
                   if (strncmp("Bedienrate",buffer,6) == 0)
                   {

                   cp=buffer;
                   while (*cp != ':')
                      {
                       *cp++;
                      }
                   *cp++;
                   while (*cp == ' ')
                      {
                       *cp++;
                      }
                   fprintf(stdout,"%s",cp);     /*Bedienrate ausgeben*/
                   }

                }
	}
	else               /*kein Zusatzblock angegeben. Wie symmetrischen Fall behandeln*/
	{
		if(dbg)
			fprintf(stderr,"get_amono : kein Zusatzblock gefunden\n");

                /*Bedienraten fuer alle Bedieneinheiten gleich setzen*/ 

                for (i=0;i<np->knot;i++)
                {
                    if (np->knotentyp[i]==TYP20 || np->knotentyp[i]==TYP21)
                    { 
                        for(j=0;j<np->bede[i];j++)
                        fprintf(stdout,"%f\n",np->bedr[i][0]);
                    }
                }
	}      


fprintf(stdout," ");
}

