/* SccsLogging.c
 *
 * Protokoll-Datei fuer die Delta-Historie aller SCCS-Dateien
 * eines Verzeichnisses.
 * ACHTUNG: Diese Datei darf nicht manuell bearbeitet werden.
 *
 * SccsLogging.o wird zu jedem Programm hinzugebunden. In der
 * main()-Routine jedes Programmes werden die beiden globalen
 * Variablen SccsRelease und SccsLevel referenziert.
 *
 * SccsLogging.o wird in jede Bibliothek aufgenommen, jedoch
 * nicht von dort geladen und in eine Phase eingebunden.
 */

static	char	*SccsId	
		= "@(#)PEPSY:\tSccsLogging.c\t1.14\t95/05/22 10:53:00";
	int	SccsRelease	= 1;
	int	SccsLevel	= 14;

/* ignition */
/*	Makefile	1.1	92/02/27 10:42:20 admpepsy	*/
/*	algo.c	1.1	92/02/27 10:42:22 admpepsy	*/
/*	appscat.c	1.1	92/02/27 10:42:25 admpepsy	*/
/*	ausgabe.c	1.1	92/02/27 10:42:27 admpepsy	*/
/*	def.h	1.1	92/02/27 10:42:29 admpepsy	*/
/*	eingabe.c	1.1	92/02/27 10:42:31 admpepsy	*/
/*	ergebnis.c	1.1	92/02/27 10:42:33 admpepsy	*/
/*	main.c	1.1	92/02/27 10:42:35 admpepsy	*/
/*	rtp.c	1.1	92/02/27 10:42:38 admpepsy	*/
/*	speicher_verw.c	1.1	92/02/27 10:42:41 admpepsy	*/
/*	wahrsch.c	1.1	92/02/27 10:42:44 admpepsy	*/
/*	SccsLogging.c	1.1	92/02/27 10:42:47 admpepsy	*/

/* Sccsid string, Berechnung von Pm optimiert, angepasst an Sequent */
/*	Makefile	1.2	92/03/06 11:02:09 admpepsy	*/
/*	algo.c	1.2	92/03/06 11:02:11 admpepsy	*/
/*	appscat.c	1.2	92/03/06 11:02:14 admpepsy	*/
/*	ausgabe.c	1.2	92/03/06 11:02:16 admpepsy	*/
/*	def.h	1.2	92/03/06 11:02:19 admpepsy	*/
/*	eingabe.c	1.2	92/03/06 11:02:21 admpepsy	*/
/*	ergebnis.c	1.2	92/03/06 11:02:23 admpepsy	*/
/*	main.c	1.2	92/03/06 11:02:25 admpepsy	*/
/*	rtp.c	1.2	92/03/06 11:02:28 admpepsy	*/
/*	speicher_verw.c	1.2	92/03/06 11:02:31 admpepsy	*/
/*	wahrsch.c	1.2	92/03/06 11:02:34 admpepsy	*/
/*	SccsLogging.c	1.2	92/03/06 11:02:36 admpepsy	*/

/* new delta */
/*	Makefile	1.3	92/03/06 11:05:10 admpepsy	*/
/*	SccsLogging.c	1.3	92/03/06 11:05:12 admpepsy	*/

/* new delta */
/*	Makefile	1.4	92/03/11 11:05:44 admpepsy	*/
/*	SccsLogging.c	1.4	92/03/11 11:05:46 admpepsy	*/

/* speicher_verw.c nach speicher.c umbenannt   kirschni */
/*	Makefile	1.5	92/03/18 11:15:55 admpepsy	*/
/*	SccsLogging.c	1.5	92/03/18 11:16:00 admpepsy	*/

/* speicher_verw.c umbenannt in speicher.c   kirschni */
/*	speicher.c	1.1	92/03/18 11:16:36 admpepsy	*/
/*	SccsLogging.c	1.6	92/03/18 11:16:40 admpepsy	*/

/* bard_schweitzer in bardschweitzer umbenannt   kirschni */
/*	Makefile	1.6	92/03/19 08:57:53 admpepsy	*/
/*	SccsLogging.c	1.7	92/03/19 08:57:55 admpepsy	*/

/* purge: clobber    kirschni */
/*	Makefile	1.7	92/03/25 17:02:50 admpepsy	*/
/*	SccsLogging.c	1.8	92/03/25 17:02:56 admpepsy	*/

/* Version von knroggen	kirschni */
/*	algo.c	1.3	92/06/22 13:43:18 admpepsy	*/
/*	ausgabe.c	1.3	92/06/22 13:43:23 admpepsy	*/
/*	def.h	1.3	92/06/22 13:43:28 admpepsy	*/
/*	main.c	1.3	92/06/22 13:43:32 admpepsy	*/
/*	wahrsch.c	1.3	92/06/22 13:43:37 admpepsy	*/
/*	SccsLogging.c	1.9	92/06/22 13:43:42 admpepsy	*/

/* fabs()	richtig eingebaut	kirschni */
/*	appscat.c	1.3	92/12/08 09:49:09 admpepsy	*/
/*	rtp.c	1.3	92/12/08 09:49:11 admpepsy	*/
/*	SccsLogging.c	1.10	92/12/08 09:49:13 admpepsy	*/

/* new delta */
/*	wahrsch.c	1.4	93/05/14 15:32:50 admpepsy	*/
/*	SccsLogging.c	1.11	93/05/14 15:32:54 admpepsy	*/

/* array j[10] -> j[11]	kirschni */
/*	wahrsch.c	1.5	93/05/18 13:44:28 admpepsy	*/
/*	SccsLogging.c	1.12	93/05/18 13:44:32 admpepsy	*/

/* pow() ist schon in math.h deklariert	kirschni */
/*	wahrsch.c	1.6	94/02/03 14:38:08 admpepsy	*/
/*	SccsLogging.c	1.13	94/02/03 14:38:11 admpepsy	*/

/* roe */
/*	ausgabe.c	1.4	95/05/22 10:52:58 i4pepsy	*/
