#include <stdio.h>
#include "const+type.h"

static char *SccsId = "@(#)PEPSY:\tspec_MIN_MAX.c\t1.2\t92/03/27 11:44:31";

extern int N, R, K[RMAX], m[NMAX], typ[NMAX], iR[NMAX], nq[NMAX];
extern double e[NMAX][RMAX], csq[NMAX][RMAX];

extern int phmax[NMAX], ph_flag;

void printf_MIN(i)
int i;
{
	int r, j, k;

	if (typ[i] == FESC)
	{
		for (r = 0; r < R; ++r)
		{
			if (e[i][r])
			{
				printf(" 0 ");
				if (ph_flag)
					printf("   ");
				if (csq[i][r] != 1)
					printf(" 1    ");
			}
		}
		return;
	}
	if (iR[i] == 1 && nq[i] > 0)
	{
		for (r = 0; r < R; ++r)
		{
			if (e[i][r])
			{
				printf(" 0 ");
				if (ph_flag)
					printf("   ");
				if (csq[i][r] != 1)
					for (j = 0; j < m[i]; ++j)
						printf(" 0    ");
			}
		}
		return;
	}
	switch(nq[i] == 0 ? IS : typ[i])
	{
		case IS:
		case PS:
		case FCFS_PR:
		case LCFS_PR:
		case PS_PR:
		{
			for (r = 0; r < R; ++r)
			{
				if (e[i][r])
				{
					if (csq[i][r] == 1)
					{
						printf(" 0 ");
						if (ph_flag)
							printf("   ");
					}
					else
					{
						for (k = 1; k <= K[r]; ++k)
						{
							printf(" 0    ");
						}
					}
				}
			}
			break;
		}
		case FCFS:
		case LCFS:
		{
			for (j = 0; j < m[i]; ++j)
			{
				printf(" 0 ");
				if (ph_flag)
					printf("   ");
				if (phmax[i] > 1)
				{
					printf(" 1    ");
				}
			}
			for (j = 0; j < nq[i]; ++j)
			{
				printf(" 0 ");
				if (ph_flag)
					printf("   ");
			}
			break;
		}
		case LCFS_PF:
		{
			for (j = 0; j < m[i]; ++j)
			{
				printf(" 0 ");
				if (ph_flag)
					printf("   ");
				if (phmax[i] > 1)
				{
					printf(" 1    ");
				}
			}
			for (j = 0; j < nq[i]; ++j)
			{
				printf(" 0 ");
				if (ph_flag)
					printf("   ");
				if (phmax[i] > 1)
				{
					printf(" 1    ");
				}
			}
			break;
		}
		case SIRO:
		case FCFS_NP:
		case LCFS_NP:
		case SIRO_NP:
		{
			for (j = 0; j < m[i]; ++j)
			{
				printf(" 0 ");
				if (ph_flag)
					printf("   ");
				if (phmax[i] > 1)
				{
					printf(" 1    ");
				}
			}
			for (r = 0; r < R; ++r)
			{
				if (e[i][r])
				{
					printf(" 0 ");
					if (ph_flag)
						printf("   ");
				}
			}
			break;
		}
	}
}

void printf_MAX(i)
int i;
{
	int r, j, k;

	if (typ[i] == FESC)
	{
		for (r = 0; r < R; ++r)
		{
			if (e[i][r])
			{
				printf(" K%d ", r + 1);
				if (ph_flag)
					printf("   ");
				if (csq[i][r] != 1)
					printf(" Ph%d_%d", i + 1, r + 1);
			}
		}
		return;
	}
	if (iR[i] == 1 && nq[i] > 0)
	{
		for (r = 0; r < R; ++r)
		{
			if (e[i][r])
			{
				printf(" K%d ", r + 1);
				if (ph_flag)
					printf("   ");
				if (csq[i][r] != 1)
				{
					for (j = 0; j < m[i]; ++j)
						printf(" Ph%d  ", i + 1);
				}
			}
		}
		return;
	}
	switch(nq[i] == 0 ? IS : typ[i])
	{
		case IS:
		case PS:
		case FCFS_PR:
		case LCFS_PR:
		case PS_PR:
		{
			for (r = 0; r < R; ++r)
			{
				if (e[i][r])
				{
					if (csq[i][r] == 1)
					{
						printf(" K%d ", r + 1);
						if (ph_flag)
							printf("   ");
					}
					else
					{
						for (k = 1; k <= K[r]; ++k)
						{
							printf(" Ph%d_%d", i + 1, r + 1);
						}
					}
				}
			}
			break;
		}
		case FCFS:
		case LCFS:
		{
			for (j = 0; j < m[i]; ++j)
			{
				printf(" R ");
				if (ph_flag)
					printf("   ");
				if (phmax[i] > 1)
				{
					printf(" Ph%d  ", i + 1);
				}
			}
			for (j = 0; j < nq[i]; ++j)
			{
				printf(" R ");
				if (ph_flag)
					printf("   ");
			}
			break;
		}
		case LCFS_PF:
		{
			for (j = 0; j < m[i]; ++j)
			{
				printf(" R ");
				if (ph_flag)
					printf("   ");
				if (phmax[i] > 1)
				{
					printf(" Ph%d  ", i + 1);
				}
			}
			for (j = 0; j < nq[i]; ++j)
			{
				printf(" R ");
				if (ph_flag)
					printf("   ");
				if (phmax[i] > 1)
				{
					printf(" Ph%d  ", i + 1);
				}
			}
			break;
		}
		case SIRO:
		case FCFS_NP:
		case LCFS_NP:
		case SIRO_NP:
		{
			for (j = 0; j < m[i]; ++j)
			{
				printf(" R ");
				if (ph_flag)
					printf("   ");
				if (phmax[i] > 1)
				{
					printf(" Ph%d  ", i + 1);
				}
			}
			for (r = 0; r < R; ++r)
			{
				if (e[i][r])
				{
					printf(" K%d ", r + 1);
					if (ph_flag)
						printf("   ");
				}
			}
			break;
		}
	}
}
