#include <stdio.h>

static char *SccsId = "@(#)PEPSY:\tspec_private.c\t1.3\t93/05/19 12:13:27";

void make_common(common_dat)
char *common_dat;
{
	FILE *fp;
	void fprintf_defines1();

	if ((fp = fopen(common_dat, "w")) == NULL)
	{
		fprintf(stderr, "Datei '%s': Fehler beim Oeffnen\n", common_dat);
		exit(1);
	}
	fprintf_defines1(fp);
	fclose(fp);
}


FILE *prepare_private_excl(common_dat, file)
char *common_dat, *file;
{
	FILE *fp;

	if ((fp = fopen(file, "w")) == NULL)
	{
		fprintf(stderr, "Datei '%s': Fehler beim Oeffnen\n", file);
		exit(1);
	}
	fprintf(fp, "#include \"priv_excl.h\"\n");
	fprintf(fp, "#include \"%s\"\n", common_dat);
	fprintf(fp, "\n#define MIN(a, b) (a < b ? a : b)\n");
	fprintf(fp, "\nprivate_excl()\n");
	fprintf(fp, "{\n");
	fprintf(fp, "	return(\n");
	return(fp);
}

fclose_private_excl(fp)
FILE *fp;
{
	fprintf(fp, ");\n}\n");
	fclose(fp);
}

FILE *prepare_private_rules(common_dat, file)
char *common_dat, *file;
{
	FILE *fp;
	void fprintf_defines2();

	if ((fp = fopen(file, "w")) == NULL)
	{
		fprintf(stderr, "Datei '%s': Fehler beim Oeffnen\n", file);
		exit(1);
	}
	fprintf(fp, "#include \"priv_rules.h\"\n");
	fprintf(fp, "#include \"%s\"\n", common_dat);
	fprintf_defines2(fp);
	fprintf(fp, "\n#define MIN(a, b) (a < b ? a : b)\n");
	fprintf(fp, "\nprivate_rules()\n");
	fprintf(fp, "{\n");
	fprintf(fp, "	int itmp, avail;\n\n");
	fprintf(fp, "	INIT\n");
	return(fp);
}

fclose_private_rules(fp)
FILE *fp;
{
	fprintf(fp, "}\n");
	fclose(fp);
}
