static char *SccsId = "@(#)PEPSY:\trutilities.c\t1.2\t92/03/27 12:41:59";
#include <string.h>

extern int dimension, base;
extern int optind;
extern char *optarg;

int dbg = 0;

parse_options(argc,argv)
int argc;
char *argv[];
{
	int c;

	while((c = getopt(argc,argv,"d:")) != EOF)
	{
		switch(c)
		{
			case 'd': 
				if((dbg = atoi(optarg)) < 0 )
					dbg = 0;
				break;
			default:
				fprintf(stderr,"unknown option %c \n",c);
				break;
		}
	}
}


/* Encodes a string of numbers stored in statev into a number
   using a base-ary number system.
   Parameters: statev[].
   Global variables: base.
*/
unsigned long encode(statev)
int statev[];
{
   register unsigned long no;
   register unsigned long help;
   register int i;

   no = 0;  help = 1;
   for (i=dimension-1; i>=0; i--)
   {
      no += statev[i] * help;
      help *= base;
   }

   return (no);
}

/* Copies content of vector state1[] to state2[]. */
/* Global variables: dimension. */
void copy(state1, state2)
int state1[];
int state2[];
{
   register int i;

   for (i=0; i<dimension; i++)
   {
      state2[i] = state1[i];
   }
}

/*
reconvert(key)
int key;
{
   register unsigned long no;
   register unsigned long help;
   register int i;
}
*/

#include <stdio.h>

void error(filenme, cll, lineno)
char *filenme, *cll;
int lineno;
{  
   (void)fprintf(stderr, "\nDatei %s, Zeile %d. %s\n",
                 filenme, lineno, cll);
   exit(1);
}


actual_state(state)
int *state;
{
	int i;
	for(i=0;i<dimension;i++)
		fprintf(stderr,"%d ",state[i]);
}

a2ctual_state(state)
int *state;
{
	int i;
	fprintf(stderr,"\t");
	for(i=0;i<dimension;i++)
		fprintf(stderr,"%d ",state[i]);
	fprintf(stderr,"\n");
}

