/* @(#)PEPSY:	specgraml.l	1.2	92/03/27 12:42:01 */
%{
int lineno = 1;
unsigned short declflag = 1;
%}
 /* Token Definitionen. */
DIM		"DIM"
SUM		"SUM"
NOT		"NOT"
RESULT          "RESULT"
OUTPUT          "OUTPUT"
FINAL           "FINAL"
RULE		"RULE"
MAX		"MAX"
MIN		"MIN"
VAR		"VAR"
VAL		"VAL"
GOES_TO		"->"
IDECL		"int"
FDECL		"double"
PDECL		"prob"

DELIM		";"
QUESTION	"?"
QDELIM		","
SEPARATOR	":"
LEFT		"("
RIGHT		")"
LEFTS		"{"
RIGHTS		"}"
LEFTV		"["
RIGHTV		"]"

EQ		"=="
NE		"!="
LE		"<="
GE		">="
L		"<"/[^=]
G		">"/[^=]
AND		"&&"
OR		"||"

ADD		"+"/[^=]
MINUS		"-"/[^=]
MULT		"*"
DIV		"/"

ASSIGN		"="/[^=]
ADDASS		"+="
MINASS		"-="

 /*----------------------------------*/
 /* Definition der Hilfstoken. */
CHAR1		[_A-Za-z]
CHAR2		[_A-Za-z0-9]
DIGIT		[0-9]
 /*----------------------------------*/
%%
{DIM}		{ declflag = 0; return(DIM); }
{SUM}		return(SUM);
{NOT}		return(NOT);
{RESULT}        {declflag = 0; return(RESULT); }
{OUTPUT}        {declflag = 1; return(OUTPUT); }
{FINAL}         return(FINAL);
{RULE}		return(RULE);
{MAX}		return(MAX);
{MIN}		return(MIN);
{VAR}		return(VAR);
{VAL}		return(VAL);
{GOES_TO}	return(GOES_TO);

{IDECL}		return(IDECL);
{FDECL}		return(FDECL);
{PDECL}		return(PDECL);

{DELIM}		return(DELIM);
{SEPARATOR}	return(SEPARATOR);
{QUESTION}	return(QUESTION);
{QDELIM}	return(QDELIM);
{LEFT}		return(LEFT);
{RIGHT}		return(RIGHT);
{LEFTS}		return(LEFTS);
{RIGHTS}	return(RIGHTS);
{LEFTV}		return(LEFTV);
{RIGHTV}	return(RIGHTV);

{DIGIT}+	return(CONST);

{DIGIT}+"."{DIGIT}*([Ee][-+]?{DIGIT}+)?	|
{DIGIT}*"."{DIGIT}+([Ee][-+]?{DIGIT}+)?	|
{DIGIT}+[Ee][-+]?{DIGIT}+	{ if (typeflag ==  1)
		  		  {
				     fprintf(stderr, "Fehler Zeile %d. Typkonflikt!\n", lineno);/*FEH*/
				     c_error = 2;
				  }
				  return(CONST);
				};

{CHAR1}+{CHAR2}*	{ if (declflag) install(yyleng, typeflag, yytext);
			  else c_error = lookup(typeflag, yytext);
			  return(VARIABLE);
			};

{EQ}		return(EQ);
{NE}		return(NE);
{LE}		return(LE);
{GE}		return(GE);
{L}		return(L);
{G}		return(G);
{AND}		return(AND);
{OR}		return(OR);

{ADD}		return(ADD);
{MINUS}		return(MINUS);
{MULT}		return(MULT);
{DIV}		return(DIV);

{ASSIGN}	return(ASSIGN);
{ADDASS}	return(ADDASS);
{MINASS}	return(MINASS);

"\n"		{lineno++;}
"\t"		{;}
" "		{;}
[!"$%'@\\^`~][!-~]*	{ fprintf(stderr,
			  "Fehler Zeile %d. Unbekannter Token %s.\n", lineno, yytext);/*FEH*/
			  c_error = 2;
			} 
"#".*		{;}
%%


int yywrap()
{
   printf("\n/*	ENDE der Spezifikation. */\n");
   printf("/* Es wurden %d Zeilen analysiert. */\n", lineno);
   
   return(-1);

}
