static char *SccsDefs_h = "@(#)PEPSY:\tdefs.h\t1.2\t92/03/27 11:45:23";
/**********************************************************************************************************************/ 
/*														      */
/*	MODULNAME:							ERSTELLT:				      */
/*	"defs.h"							Mai 1989	(Peter Menninger)	      */
/*														      */
/*      BESCHREIBUNG:												      */
/*	Durch Einbinden  in alle  C - Module (ausser main.c)  erhalten  alle in  'definition.h'  definierten 	      */
/*	Variablen globale Gueltigkeit.		  								      */
/*	(==> Variablendeklaration)										      */
/*														      */
/**********************************************************************************************************************/ 

#include <stdio.h>
#ifdef MAIN
#define EXTERN 
#else
#define EXTERN extern
#endif


struct kante {							/* interne Struktur einer jeden Kante		      */
	long 		nach;					/* 'nach' - Zustand (Kantenspitze)		      */
    	double		uebergangs_rate;			/* Uebergangsrate				      */
    	short 		gueltig;				/* 1 == gueltig        -1 == ungueltig		      */
    	struct kante	*next;					/* zeigt auf naechste Kante vom gleichen Zustand      */
};

EXTERN struct kante		*liste;				/* Liste fuer alle Uebergangskanten 		      */

EXTERN FILE 			*fp_in;				/* Input - File  Pointer			      */
EXTERN FILE			*fp_out;			/* Output- File  Pointer			      */

EXTERN long			dimension_in;			/* Dimension (Zahl der verschiedenen Zustaende)	      */
EXTERN long			dimension_aktuell;		/* akuelle Dimension (nach Verdichtung)		      */
EXTERN long 			dimension_reduziert;		/* Reduzierung der Dimension 			      */
EXTERN long 			kanten_in;			/* Anzahl Kanten 				      */
EXTERN long 		   	kanten_reduziert;		/* Anzahl der Kanten, die entfernt werden	      */

EXTERN int 			dbg;				/* Debug-Wert steuert die Bildschirmausgabe (0,1,2)   */
EXTERN int 			*erreichbar;			/* enthaelt die Anzahl der einmuendenden Kanten	      */
EXTERN long			*zuschreibenderZustand;		/* enthaelt nach der Verdichtung die neuen Zustaende  */
EXTERN unsigned long		*codierung;			/* enthaelt nach der Verdichtung die alten Zustaende  */
EXTERN unsigned long		*codierung_original;		/* enthaelt die Original-Zustaende aus Codierung.tmp  */
EXTERN double 			*instabil;			/* enthaelt pro Zustand die Summe der negativen Ueberg*/

EXTERN int COLS;
