static char *SccsId = "@(#)PEPSY:\terror.c\t1.2\t92/03/27 11:45:27";
/**********************************************************************************************************************/
/*													              */
/*	MODULNAME:							ERSTELLT:				      */
/*	"error.c"							Mai 1989	(Peter Menninger)	      */
/*													              */
/*	FUNKTIONEN:											              */
/*	- Mat_Elem_Ueberpruefung ()									              */
/*  	- Dim_Ueberpruefung ()								     		     	      */
/*  	- Error ()												      */
/*													              */
/**********************************************************************************************************************/

#include "define.h"
#include "defs.h"


Mat_Elem_Ueberpruefung (kanten_berechnet, kanten_geloescht)
long	kanten_berechnet;
long	kanten_geloescht;

{
/*--------------------------------------------------------------------------------------------------------------------*/
/* ---> Eingelesene Kantenanzahl (20) <>  berechnete Kantenanzahl (18) + entfernte Kanten (3)			      */
/*--------------------------------------------------------------------------------------------------------------------*/
	if (kanten_in != kanten_berechnet + kanten_geloescht) {
	    SEMANTIK"\n----> Eingelesene Kantenanzahl (%ld) <>  berechnete Kantenanzahl ", kanten_in);
	    SEMANTIK"(%ld) + entfernte Kanten (%ld)!\n", kanten_berechnet, kanten_geloescht);
	    exit(1);
	}
}




Dim_Ueberpruefung (dimension_berechnet, dimension_geloescht)
long	dimension_berechnet;
long	dimension_geloescht;

{
/*--------------------------------------------------------------------------------------------------------------------*/
/* ---> Eingelesene Dimension (12) <>  berechnete Dimension 10  + Dimension-Reduktion (3)			      */
/*--------------------------------------------------------------------------------------------------------------------*/
	if (dimension_in != dimension_berechnet + dimension_geloescht) {
	    SEMANTIK"\n----> Eingelesene Dimension (%ld) <> berechnete Dimension ", dimension_in);
	    SEMANTIK"(%ld) + Dimension-Reduktion (%ld)!\n", 
	    dimension_berechnet, dimension_geloescht);
	    exit(1);
	}
}




Error (filename, line, message)							/* Fehlermeldung mit Filename und     */
char 	*filename, *message;							/* Zeilennummer, eingerahmt mit ***   */
int 	line;

{ 
	int 		laenge, anzahl;
	extern int 	errno;
	extern char 	*sys_errlist[];

	fflush (stdout);

/*--------------------------------------------------------------------------------------------------------------------*/
/* In Datei "io_allgemein.c" Zeile 52 'fopen Codierung.tmp': No such file or directory 				      */
/*--------------------------------------------------------------------------------------------------------------------*/
	fprintf (stderr, "\n  In Datei \"%s\" Zeile %d '%s': %s\n", filename, line, message, sys_errlist[errno]);
	exit(1);
}
