/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  91058 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/


/***********************************************************
************************************************************
**
**  Modulname: kuehn.h
**
**	Beschreibung:
**  Deklaration aller in kuehn.c definierten globalen
**  Funktionen
**
***********************************************************
***********************************************************/
static char *SccsKuehn_h = "@(#)PEPSY:\tkuehn.h\t1.2\t95/05/19 15:37:07";

#ifdef KUEHN_C
#define EXTERN_KUEHN
#else
#define EXTERN_KUEHN extern
#endif

EXTERN_KUEHN	void	kuehn__berechne_c2A();
EXTERN_KUEHN	void	kuehn__berechne_c2D();
EXTERN_KUEHN	void	kuehn__berechne_VarKoeffizienten();
EXTERN_KUEHN	void	kuehn__rekonfiguriere_netz();

EXTERN_KUEHN	int		*kuehn_CheckVerfahren();
EXTERN_KUEHN	void	kuehn_InitNetz();
EXTERN_KUEHN	void	kuehn_InitIteration();
EXTERN_KUEHN	void	kuehn_Iterationsschritt();
EXTERN_KUEHN	int		kuehn_IterationsAbbruch();
EXTERN_KUEHN	void	kuehn_Leistung();
