/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  91058 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

#ifndef LEISTUNG_H
#define LEISTUNG_H
/***********************************************************
************************************************************
**
**  Modulname: leistung.h
**
**	Beschreibung:
**  Deklaration aller in leistung.c definierten globalen
**  Funktionen
**
***********************************************************
***********************************************************/
static char *SccsLeistung_h = "@(#)PEPSY:\tleistung.h\t1.2\t95/05/19 15:37:12";

#ifdef LEISTUNG_C
#define EXTERN_LEIST
#else
#define EXTERN_LEIST extern
#endif

EXTERN_LEIST	void MAR_BerLei();
EXTERN_LEIST	void COS_BerLei();
EXTERN_LEIST	void PAG_BerLei();
EXTERN_LEIST	void KIM_BerLei();
EXTERN_LEIST	void KLB_BerLei();
EXTERN_LEIST	void AC_BerLei();
EXTERN_LEIST	void AUTO_BerLei();

EXTERN_LEIST	double Q_KramerLangen();
EXTERN_LEIST	double Q_Allen_Cunneen();
EXTERN_LEIST	double Q_Cosmetatos();
EXTERN_LEIST	double Q_Kimura();
EXTERN_LEIST	double Q_Page();
EXTERN_LEIST	double Q_Marchal();

#endif
