/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  91058 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/


/***********************************************************
************************************************************
**
**  Modulname: lut_m.h
**
**	Beschreibung:
**  
**
***********************************************************
***********************************************************/

#include "lut_rho.h"

static char *SccsLut_m_h = "@(#)PEPSY:\tlut_m.h\t1.2\t95/05/19 15:37:40";

typedef struct {
	int m;
	LookUpTab_R *lut_r;
} LookUpTab_M;


LookUpTab_M LUT_K1[] = {
	{1, LUT_K1_M1},
	{2, LUT_K1_M2},
	{4, LUT_K1_M4},
	{8, LUT_K1_M8},
	{-1, NULL}
};

LookUpTab_M LUT_K2[] = {
	{1, LUT_K2_M1},
	{2, LUT_K2_M2},
	{4, LUT_K2_M4},
	{8, LUT_K2_M8},
	{-1, NULL}
};
