/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  91058 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/


/***********************************************************
************************************************************
**
**  Modulname: pujolle.h
**
**	Beschreibung:
**  Deklaration aller in pujolle.c definierten globalen
**  Funktionen
**
***********************************************************
***********************************************************/
static char *SccsPujolle_h = "@(#)PEPSY:\tpujolle.h\t1.2\t95/05/19 15:37:54";

#ifdef PUJOLLE_C
#define EXTERN_PUJOLLE
#else
#define EXTERN_PUJOLLE extern
#endif


EXTERN_PUJOLLE	int		*puj_CheckVerfahren();
EXTERN_PUJOLLE	void	puj_InitNetz();
EXTERN_PUJOLLE	void	puj_InitIteration();
EXTERN_PUJOLLE	void	puj_Iterationsschritt();
EXTERN_PUJOLLE	int		puj_IterationsAbbruch();
EXTERN_PUJOLLE	void	puj_Leistung();


