/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

static char *SccsId = "@(#)PEPSY:\tschritt8.c\t1.2\t93/05/19 15:10:28";

#include "gdaten.h"
#define ABS(x) (x<0? -(x) : (x))
schritt8()
/* genauigkeitsueberpruefung */
{
	int i,j;
#	ifdef DEBUG
	printf("\n");
	printf("schritt8\n");
	printf("die cdelta's\n");
#	endif
	for(i=1;i<=N;i++)
	{  for(j=1;j<=N;j++)
	      {	
		c_delta[i][j] = (c_neu[i][j] -c_alt[i][j])/c_neu[i][j];
#		ifdef DEBUG
		printf("%lg  ",c_delta[i][j]);
#		endif
		if (ABS(c_delta[i][j]) > epsilon)
		   {
#			ifdef DEBUG
		   printf("genauigkeit nicht erreicht\n");
#			endif
		   return(0);
		   }
	      }
#		ifdef DEBUG
	   printf("\n");
#		endif
	}
#	ifdef DEBUG
	printf("genauigkeit ist erreicht !\n");
#	endif
	return(1);
}
