/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/

static char *SccsMnetz_h = "@(#)PEPSY:\td_mnetz.h\t1.2\t92/03/27 11:48:33";

/*****************************************************************
 *  Netzgroessen fuer ein Marie-Warteschlangennetz		 *
 *****************************************************************/

typedef struct 
	{
        int typ;			/* 1: geschlossenes     	*/
					/* 2: offenes		 	*/
					/* 4: gemischtes Netz  	 	*/
        int knot;			/* Anzahl Knoten	 	*/
        int auftr;			/* Anzahl Auftraege 		*/
        int *bede;			/* Anzahl Bedieneinhei-  	*/
        				/* ten pro Knoten	 	*/
        double *bedr;			/* Bedienrate pro Knoten 	*/
	int  haeuf;			/* uew oder besh angegeben ? 	*/
        double *besh; 			/* Besuchshaeufigkeiten  	*/
        				/* pro Knoten 			*/
        double *quvari;			/* quadrierter Variati-  	*/
        				/* onskoeffizient  	 	*/
        int *bedstr;			/* Bedienstrategie	 	*/
        				/* = 1 : FCFS		 	*/
        				/* = 2 : PS		 	*/
        				/* = 3 : NQ		 	*/
        				/* = 4 : LCFS		 	*/
        				/* = 5 : PRE		 	*/
        				/* = 6 : NONPRE		 	*/
        int *belz;			/* Belegungszahlen von   	*/
        				/* Auftraegen pro Knoten 	*/
        double epsi;			/* Epsilon (Abbruch-	 	*/
        				/* kriterium)		 	*/
        
        }netzstruktur;
