static char *SccsId = "@(#)PEPSY:\tis_node.c\t1.2\t92/03/27 12:00:48";

#include "gpss_prepare.h"
#include "gpss_decl.h"
#include "gpss_priv.h"

/************************************************************************/
/*                                                                      */
/*    *** Unterprogramm node_ne_manager(node,ziel);                     */
/*    ***                                                               */
/*    *** Funktion : Modell eines Knotens mit unendlich vielen          */
/*                   Bedieneinheiten                                    */
/*    *** Rueckgabe: 1 = Adressausgang zur Endabrechnung                */
/*    ***            0 = normale Kontrollfluss-Uebergabe                */
/*    ***            wird in lokaler Variable reply gefuehrt            */
/*    ***                                                               */
/************************************************************************/
int node_ne_manager(node,naddr)
int node;
int naddr;
{
	LOGICAL check();
	int reply=NORMAL;
	int ueclass, next;
	double random;

	dprint(NODE_MANAGER,"ne_manager Knoten %d case %d\n",node,naddr);
	assert(node >= 1 && node <= anznode);
	switch(naddr){
	case 1:
		/* Multifacility belegen */
		mv_ankunft(current_class(row_txact),node);
		from_node(row_txact) = node;
		CALL(bTiMe_arr(node,current_class(row_txact)))
		CALL(verteil(node,current_class(row_txact),&random))
		mv_bedienzeit(current_class(row_txact),node,random);
		CALL(advanc(random,NEXT_ENTRY(node,2)))
	case 2: /* Naechsten Knoten suchen */
		ueclass = current_class(row_txact);
		to_node(row_txact) = nodenext(ueclass,node);
	case 3: /* Ist naechster Knoten aufnahmefaehig ? */
		next = to_node(row_txact);
		CALL(gate(GATE(node,next),1,1,0,NEXT_ENTRY(node,3)))
		/* Multifacility freigeben */
		CALL(bTiMe_dep(node,current_class(row_txact)))
		mv_abgang(current_class(row_txact),node);
		CALL(change())
		break;
	default: /* Fehler im Verteiler */
		;
		fprintf(nunit2, "\n\n+++++ activ: TiMe=%12.4f Fehler im Adressverteiler  naddr=%3d\n", TiMe,naddr);
		reply = FEHLER;
	};
	return(reply);
}

