static char *SccsId = "@(#)PEPSY:\tannoun.c\t1.2\t92/03/27 11:54:14";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	announ(ne, te)
double	te ;
int	ne ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call announ(ne,te,exit1)                                      */
	/*    ***                                                               */
	/*    *** funktion : anmelden, aendern oder abmelden eines ereignisses  */
	/*    *** parameter: ne    = ereignisnummer                             */
	/*    ***            te    = ereigniszeitpunkt                          */
	/*    ***                    >= 0: anmelden oder aendern                */
	/*    ***                    <  0: abmelden                             */
	/*    ***            exit1 = fehlerausgang                              */
	/*    ***                                                               */
	extern int	nchain(), tchain();

	/*                                                                      */
	/*    fehlerkontrolle                                                   */
	/*    ===============                                                   */
	if (ne <= zevt) 
		goto l_100;
	fprintf(nunit2, "\n\n+++++ announ: TiMe=%12.4f fehlerhafte ereignisnummer%3d\n",
	    TiMe, ne );
	goto l_9999;
	/*                                                                      */
	/*    anmelden des ereignisses                                          */
	/*    ========================                                          */
l_100:   
	switch (nchain(1, ne)) {
	case FEHLER : 
		goto l_9999;
	};
	if (te < 0.) 
		goto l_200;
	eventlist[ne].next = te;
	switch (tchain(1, ne)) {
	case FEHLER : 
		goto l_9999;
	};
	if (iprint == 0 && jprint[13] == 0 || jprint[13] == -1) 
		return(NORMAL);
	fprintf(nunit2, " announ:  ereignis%3d wird angemeldet fuer TiMe=%12.4f\n",
	    ne, te);
	return(NORMAL);
	/*                                                                      */
	/*    abmelden des ereignisses                                          */
	/*    ========================                                          */
l_200:  
	if (iprint == 0 && jprint[13] == 0 || jprint[13] == -1) 
		return(NORMAL);
	fprintf(nunit2, " announ:  ereignis%3d wird abgemeldet\n", ne);
	return(NORMAL);
l_9999:
	return(FEHLER);
}


