static char *SccsId = "@(#)PEPSY:\tcheck.c\t1.2\t92/03/27 11:54:38";

#include <signal.h>
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"
/************************************************************************/
/*                                                                      */
/*    *** Unterprogramm check                                           */
/*    ***                                                               */
/*    *** Funktion : Ueberpruefen der logischen Bedingungen             */
/*    *** Parameter: ncond = Nummer der logischen Bedingung             */
/*    *** Rueckgabe: TRUE , falls Bedingung erfuellt                    */
/*    ***            FALSE  sonst                                       */
/*                                                                      */
LOGICAL check(ncond)
int	ncond ;
{
	/*    Zusaetzliche externe Funktionen deklarieren                       */
	/*    ===========================================                       */
	/*   Lokale Variablen definieren                                     */
	/*   ===========================                                     */
	LOGICAL int_check;

	/*    Ausschluss mehrfacher Ueberpruefungen                          */
	/*    =====================================                          */
	int_check = FALSE ;
	if (tcond[ncond]  ==  TiMe) 
		return(int_check);
	/*    Adressverteiler                                                */
	/*    ===============                                                */
	switch (ncond) {
	case 1: /*  Bedingung 1  */
		int_check = TRUE;
		break;

	default: /* Fehler im Verteiler */
		;
		fprintf(nunit2, "\n\n+++++ check: TiMe=%12.4f Fehler im Adressverteiler  ncond=%3d\n",
		    TiMe, ncond);
		return(int_check);
	};
	/*    Vermerk fuer erfuellte Bedingung setzen                        */
	/*    =======================================                        */
	if (int_check) 
		tcond[ncond] = TiMe;
	return(int_check);
}


