static char *SccsId = "@(#)PEPSY:\tconfi.c\t1.3\t92/03/27 11:54:44";
#include <ctype.h>
#include <math.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	confi(nbn)
int	nbn ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call confi(nbn)                                               */
	/*    ***                                                               */
	/*    *** funktion : automatische bestimmung der intervallaenge         */
	/*    *** parameter: nbn = nummer der bin                               */
	/*    ***                                                               */
	extern int	tchain(), for_int(), next_int();
	int	i, j, idiv, k ;
	int	max, m, l, ind ;
	double	local_TiMe, vl, rest, val ;

#ifdef DEBUG
dprint(CONF, " confi: 0x%x nbn = %d, index %d\n", &conflist[nbn], nbn, conflist[nbn].index); /* */
#endif
	assert(nbn <= zbin);
	/*                                                                      */
	/*    pruefung auf 1. bzw 2. aufruf                                     */
	/*    =============================                                     */
	if (conflist[nbn].index == 32) 
		goto l_300;
	/*                                                                      */
	/*    berechnen der intervallaenge (1.aufruf)                           */
	/*    =======================================                           */
	local_TiMe = TiMe - conflist[nbn].int_length;
	if (local_TiMe + eps >= 10.) 
		goto l_100;
	vl = 1.0;
	if (local_TiMe > 1. + eps) 
		vl = 10.0;
	goto l_200;
l_100: 
#ifdef DEBUG
dprint(LABEL, "confi: label l_100\n"); /* */
#endif
	for (i = 2, j = 1 ; i <= 10; i++, j++) {
		if (local_TiMe + eps >= pow(10., (double)i)) 
			continue;
		rest = fmod(local_TiMe, pow(10., (double)j));
		val = local_TiMe / pow(10., (double)j);
		idiv = for_int(val);
		if (rest > eps) 
			idiv ++;
		vl = pow(10., (double)j) * (double)idiv ;
		goto l_200;
	};
	/*                                                                      */
	/*    setzen von conflist                                               */
	/*    ===================                                               */
l_200: 
#ifdef DEBUG
dprint(LABEL, " confi: label l_200\n"); /* */
#endif
	conflist[nbn].int_length = vl;
	conflist[nbn].total_prev = bin[nbn].total_wait;
	conflist[nbn].next = TiMe + vl;
#ifdef DEBUG
dprint(CHAIN, "confi: aufrufen von tchain\n"); /* */
#endif
	tchain(4, nbn);
	if (iprint == 0 && jprint[16] == 0 || jprint[16] == -1) 
		return(NORMAL);
	fprintf(nunit2, " confi :  TiMe=%12.4f%18sbin%3d intervallaenge=%12.4f\n",
	    TiMe, BLANKF, nbn, vl);
	return(NORMAL);
	/*                                                                      */
	/*    berechnen der neuen intervallaenge (2. aufruf)                    */
	/*    ==============================================                    */
l_300: 
#ifdef DEBUG
dprint(LABEL, " confi: label l_300\n"); /* */
#endif
	vl = conflist[nbn].int_length;
	local_TiMe = (32. * vl / (double)bin[nbn].depart) * 5.;
	if (vl + eps >= local_TiMe) 
		goto l_500;
	k = 1;
l_310: 
#ifdef DEBUG
dprint(LABEL, " confi: label l_310\n"); /* */
#endif
	if (vl * 2. + eps >= local_TiMe) 
		goto l_400;
	vl = vl * 2.;
	k = k * 2;
	goto l_310;
	/*                                                                      */
	/*    setzen von con                                                    */
	/*    ==============                                                    */
l_400: 
#ifdef DEBUG
dprint(LABEL, " confi: label l_400\n"); /* */
#endif
	if (k == 1) 
		goto l_500;
	max = 32 / k;
	j = k - 1;
	for (i = 1; i <= max; ++i) {
		m = k * i;
		for (l = 1; l <= j; ++l) {
			ind = m - l;
			con[nbn][m] = con[nbn][m] + con[nbn][ind];
		};
		con[nbn][i] = con[nbn][m] ;
	};
	/*                                                                      */
	/*    setzen von conflist                                               */
	/*    ===================                                               */
	assert(max <= zconf);
	conflist[nbn].index = max;
	conflist[nbn].int_length = vl;
	conflist[nbn].autom = -1;
l_500: 
#ifdef DEBUG
dprint(LABEL, " confi: label l_500\n"); /* */
#endif
	if (iprint == 0 && jprint[16] == 0 || jprint[16] == -1) 
		return(NORMAL);
	fprintf(nunit2, " confi :  TiMe=%12.4f%18sbin%3d intervallaenge=%12.4f\n",
	    TiMe, BLANKF, nbn, vl);
	return(NORMAL);
}


