static char *SccsId = "@(#)PEPSY:\tendbin.c\t1.2\t92/03/27 11:55:05";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	endbin()
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call endbin                                                   */
	/*    ***                                                               */
	/*    *** funktion : endabrechnung der bins und bestimmung der          */
	/*    ***            konfidenzintervalle                                */
	/*    ***                                                               */
	extern int	anar();
	int	order, order1, dim, iprin, nbn, jm ;
	int	i, jmin, kmin, idim;
	int	j, jdim, jmin1, kmin1 ;
	double	mean, mean1, mean2, halfw ;
	double	halfw1 ;
	/*                                                                      */
	/*    besetzen des vektors fuer anar                                    */
	/*    ==============================                                    */
	iprin = 0;
	if (jprint[17] == 1) 
		iprin = 1 ;
	if (jprint[17] == 2) 
		iprin = 2;
	for (nbn = 1; nbn <= zbin; ++nbn) {
		if(bin[nbn].access + bin[nbn].leave == 0)
			continue;
		jm = 1;
		dim = conflist[nbn].index;
		if (dim == 0) 
			continue;
		for (i = 1; i <= dim; ++i) {
			xcon[i] = con[nbn][i] / (conflist[nbn].int_length > 0 ? conflist[nbn].int_length : 1 );
		};
		/*                                                                      */
		/*    1.aufruf von anar                                                 */
		/*    =================                                                 */
		if (iprin != 0)  {
			fprintf(nunit2, "\f");
			for (i = 1; i <= 20; fprintf(nunit2, "\n"), i++)
				;
			fprintf(nunit2, "%40s*********************\n%40s* bin nummer:%3d    *\n",
			    BLANKF, BLANKF, nbn);
			fprintf(nunit2, "%40s* 1.aufruf von anar *\n%40s*********************\n",
			    BLANKF, BLANKF); 
		}
		anar(dim, nbn, conf_level, &mean, &halfw, &jmin, &kmin, &order, iprin);
		if (dim < 128) 
			goto l_400;
		idim = dim % 2;
		if (idim == 1) 
			dim = dim - 1;
		for (i = 1, j = 0 ; i <= dim ; i += 2, j++) {
			xcon[j] = (xcon[i] + xcon[i+1]) / 2.;
		};
		jdim = j;
		if (idim == 0) 
			goto l_230;
		xcon[j+1] = xcon[dim+1];
		jdim = j + 1;
		/*                                                                      */
		/*    2. bestimmung des intervalls                                      */
		/*    ============================                                      */
l_230:  
		if (iprin != 0) {
			fprintf(nunit2, "\f");
			for (i = 1; i <= 20; fprintf(nunit2, "\n"), i++)
				;
			fprintf(nunit2, "%40s*********************\n%40s* bin nummer:%3d    *\n",
			    BLANKF, BLANKF, nbn);
			fprintf(nunit2, "%40s* 2.aufruf von anar *\n%40x*********************\n",
			    BLANKF, BLANKF);
		};
		switch (anar(jdim, nbn, conf_level, &mean1, &halfw1, &jmin1, &kmin1, &order1, iprin)) {
		case FEHLER : 
			goto l_400;
		};
		/*                                                                      */
		/*    ausgabe der ergebnisse von anar                                   */
		/*    ===============================                                   */
		if (iprin == 0) 
			goto l_225;
		fprintf(nunit2, "\f\n\n\n%17sbin nummer%3d\n\n\n", BLANKF, nbn);
		fprintf(nunit2, "%17smittelw%10skonf.intv      jmin  kmin  ordn\n", BLANKF, BLANKF);
		fprintf(nunit2, "\n\n 1.aufruf:   %16.8e%16.8e  %5d%5d%5d\n",
		    mean, halfw, jmin, kmin, order);
		fprintf(nunit2, "\n\n 2.aufruf:   %16.8e%16.8e  %5d%5d%5d\n",
		    mean1, halfw1, jmin1, kmin1, order1);
l_225:  
		if (halfw < 0.) 
			goto l_300;
		if (halfw < halfw1) 
			goto l_400;
l_300:  
		halfw = halfw1;
		order = order1;
		jm = 2;
		jmin = jmin1;
		kmin = kmin1;
		/*                                                                      */
		/*    beruecksichtigen der einschwingphase                              */
		/*    ====================================                              */
l_400:  
		if (halfw < 0.) 
			goto l_500;
		mean2 = 0.0;
		if (jm == 2) 
			goto l_420;
		dim = conflist[nbn].index;
		jmin = jmin + 1;
		if (jmin + 5 > dim) 
			goto l_500;
		for (i = jmin; i <= dim; ++i) {
			mean2 = mean2 + con[nbn][i] / conflist[nbn].int_length;
		};
		mean2 = mean2 / (double)(dim - jmin + 1);
		goto l_500;
l_420:  
		jmin = jmin + 1 ;
		if (jmin + 5 > dim) 
			goto l_500;
		for (i = jmin; i <= dim; ++i) {
			mean2 = mean2 + xcon[i];
		};
		mean2 = mean2 / (double)(dim - jmin + 1);
		/*                                                                      */
		/*    abschluss der bins                                                */
		/*    ==================                                                */
l_500:
		bin[nbn].total_wait += (TiMe - bin[nbn].last_change) * (double)bin[nbn].act;
		bin[nbn].last_change = TiMe;
		/*                                                                      */
		/*    berechnen der mittelwerte                                         */
		/*    =========================                                         */
		binsta[nbn].wait = bin[nbn].total_wait / 
		    ( ((double)(bin[nbn].access + bin[nbn].leave)) / 2.);
		binsta[nbn].que_length = mean;
		if (halfw < 0.) 
			continue;
		binsta[nbn].confi = (mean + halfw) * 100. / mean - 100. ;
		if (mean == 0.) 
			continue;
		binsta[nbn].dev = ((mean2 - mean) / mean) * 100.;
		binsta[nbn].end_osz =  ((double)jmin * jm) * conflist[nbn].int_length ;
	};
	return(NORMAL);
}


