static char *SccsId = "@(#)PEPSY:\tffit.c\t1.2\t92/03/27 11:55:23";
#include "gpss_prepare.h"
#include "gpss_decl.h"


/*     ***  */
/*     *** CALL FFIT(NST,NE) */
/*     ***  */
/*     *** PURPOSE  : SEARCH FOR A FREE STORAGE REGION USING  */
/*     ***            THE FIRST FIT STRATEGIE */
/*     *** PARAMETERS: NST = INDEX OF STORAGE */
/*     ***            NE  = NUMBER OF LOCATIONS TO BE OCCUPIED */
/*     ***  */
int	ffit(nst, ne)
int	nst;
int	ne;
{

	struct STOR *search_ptr;

	/*     initialisieren der Suche */
	/*     ======================== */

	row_stor = NULL;
	search_ptr = sto_base[nst].addr;
	/* */
	/*     suchen der Luecke */
	/*     ================= */
	while ( search_ptr < sto_base[nst+1].addr ) {

		if (search_ptr->mark != -1) {
			/*kein freier Speicherplatz*/
			search_ptr = search_ptr + search_ptr->length;
		}
		if (search_ptr->length >= ne) {
			/*freier Speicherplatz gefunden*/
			row_stor = search_ptr;
			break;
		}
	}
	return(NORMAL);
}


