static char *SccsId = "@(#)PEPSY:\tflowc.c\t1.3\t92/03/27 11:55:43";
#include "gpss_prepare.h"
#include "gpss_decl.h"

static int	counter, new_int_TiMe, old_int_TiMe, int_TiMe;
static long	tloc;
extern char	*ctime();

int	flowc()
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call flowc(*exit1)                                            */
	/*    ***                                                               */
	/*    *** parameter: exit1 = fehlerausgang                              */
	/*    *** funktion : ablaufkontrolle                                    */
	/*    ***                                                               */
	extern int	yclock(), nchain(), event(), activ(), equat(), test(), travel();
	extern int	conf(), monitr(), reprt1(), reprt2(), reprt3(), reprt4();
	extern int	reprt6(), reprt7();
	extern int	(*user_endtest)();
	int	i, k, line ;
	double	tnext, td, tcomp;
	/*                                                                      */
	/*                                                                      */
	/*    suchen nach dem naechsten zeitpunkt                               */
	/*    ===================================                               */
l_10:  
	tnext = tend + 2. * eps;
	for (i = 1; i <= 3; ++i) {
		if (head[i].link  ==  -1) 
			continue;
		tbusy = head[i].next;
		if (head[i].next + eps  >  tnext) 
			continue;
		tnext = head[i].next;
		k = i;
		line = head[k].link;
	};
	for (i = 4; i <= 5; ++i) {
		if (head[i].link  ==  -1) 
			continue;
		if (head[i].next + eps  >  tnext) 
			continue;
		tnext = head[i].next;
		k = i;
		line = head[k].link;
	};
	if (ttest  <  0.0) 
		goto l_16;
	tbusy = ttest ;
	if (ttest + eps  >  tnext) 
		goto l_16;
	tnext = ttest ;
	k = 6;
l_16:  
	if (head[6].link  ==  -1) 
		goto l_20;
	tbusy = head[6].next;
	if (head[6].next + eps  >  tnext) 
		goto l_20;
	tnext = head[6].next;
	k = 7;
	line = head[6].link;
	/*                                                                      */
	/*    pruefen auf fehler in zeitfuehrung                                */
	/*    ==================================                                */
l_20: 
	if (tnext + eps  >  TiMe) 
		goto l_30;
	fprintf(nunit2, " +++++ flowc : TiMe = %12.6g +++++         der naechste simulationszeitpunkt (= %12.6g ) ist kleiner als TiMe\n",
	                  TiMe, tnext);
	goto l_9999;
	/*                                                                      */
	/*    ueberpruefen der eps-schranke                                     */
	/*    =============================                                     */
l_30: 
	tcomp = tnext + eps;
	if (tcomp  >  tnext) 
		goto l_40;
	fprintf(nunit2, " +++++ flowc : TiMe = %12.6g +++++         eps-schranke eps = %12.6g", TiMe, eps);
	fprintf(nunit2, " fuer naechsten simulationszeitpunkt tnext = %12.6g zu klein\n", tnext);
	goto l_9999;
	/*                                                                      */
	/*    simulationsende bei debug-modus                                   */
	/*    ===============================                                   */
l_40:  
	if (nstep == -1) 
		goto l_45;
	if (nstep ==  1) 
		goto l_41;
	tend = TiMe;
	return(NORMAL);
l_41:  
	nstep = 0;
	/*                                                                      */
	/*    simulationsende falls keine weiteren aktivitaeten vorliegen       */
	/*    ===========================================================       */
l_45:  
	if (tbusy + eps  >  tnext) 
		goto l_50;
	fprintf(nunit2, "\n\n\n flowc :  simulation beendet, da keine weiteren");
	fprintf(nunit2, " aktivitaeten vorliegen.\n\n\n\n");
	return(NORMAL);
	/*                                                                      */
	/*    simulationsende falls tnext > tend                                */
	/*    ==================================                                */
l_50: 
	if (tend + eps > tnext  &&  k < 7) 
		goto l_60;
	if (tend     > tnext  &&  k == 7) 
		goto l_60;
	td = rTiMe - TiMe;
	TiMe  = tend;
	rTiMe = TiMe + td;
	fprintf(nunit2, "\n\n\n flowc :  simulation zur endezeit TiMe = tend beendet.\n\n\n\n");
	return(NORMAL);
	/*                                                                      */
	/*    setzen von simulationsuhr und benutzeruhr                         */
	/*    =========================================                         */
l_60:  
	td = rTiMe - TiMe;
	TiMe  = tnext;
	rTiMe = TiMe + td;

	/***** Protokollausgabe der Simulationszeit ****/
	int_TiMe = ((int)TiMe % ((int)tend / 100));
	new_int_TiMe = (int)TiMe - int_TiMe * (int)tend / 100;
	if (int_TiMe == 0 && new_int_TiMe != old_int_TiMe) {
		time(&tloc);
		fprintf(nunit2, "simTiMe = %g, endTiMe = %g, %s \n",
		    TiMe, tend, ctime(&tloc));
		if (counter > 0)
			if (user_endtest(counter)) /* d.h. Konfidenzintervall hinreichend klein */
				tend = tnext + td;
		counter++;
		old_int_TiMe = new_int_TiMe;
	}
	/*****              hej                     ****/
	/*                                                                      */
	/*    zeitfuehrung im echtzeitbetrieb                                   */
	/*    ===============================                                   */
	if (ymodus == 1)  
		switch (yclock()) {
		case AUSGANG2 : 
			goto l_10;
		case FEHLER : 
			goto l_9999;
		};
	/*                                                                      */
	/*    adressverteiler                                                   */
	/*    ===============                                                   */
	switch (k) {
	case 1: 
		goto l_100;
	case 2: 
		goto l_200;
	case 3: 
		goto l_300;
	case 4: 
		goto l_400;
	case 5: 
		goto l_500;
	case 6: 
		goto l_600;
	case 7: 
		goto l_700;
	};
	/*                                                                      */
	fprintf(nunit2, " +++++ flowc: TiMe = %12.6g fehler im adressverteiler  k=%3d\n",
	    TiMe, k);
	goto l_9999;
	/*                                                                      */
	/*    ereignis                                                          */
	/*    ========                                                          */
l_100:   
	switch (nchain(1, line)) {
	case FEHLER : 
		goto l_9999;
	};
	switch (event(line)) {
	case FEHLER : 
		goto l_9999;
	};
	goto l_10;
	/*                                                                      */
	/*    source-start                                                      */
	/*    ============                                                      */
l_200:   
	switch (nchain(2, line)) {
	case FEHLER : 
		goto l_9999;
	};
	row_source = line + sourcelist;
	if (row_source->sourci == NULL) {
		switch (activ()) {
		case FEHLER : 
			goto l_9999;
		};
	} else
	 {
		switch (travel()) {
		case FEHLER : 
			goto l_9999;
		};
	}
	row_source = NULL;
	row_txact = 0;
	goto l_10;
	/*                                                                      */
	/*    aktivieren einer tr                                               */
	/*    ===================                                               */
l_300:   
	switch (nchain(3, line)) {
	case FEHLER : 
		goto l_9999;
	};
	row_txact = line;
	if (txi[row_txact] == 0) {
		switch (activ()) {
		case FEHLER : 
			goto l_9999;
		};
	} else
	 {
		switch (travel()) {
		case FEHLER : 
			goto l_9999;
		};
	}
	row_txact = 0;
	goto l_10;
	/*                                                                      */
	/*    konfidenzintervall                                                */
	/*    ==================                                                */
l_400:   
	switch (nchain(4, line)) {
	case FEHLER : 
		goto l_9999;
	};
#ifdef DEBUG
dprint(CHAIN, "flowc: aufruf von conf\n"); /* */
#endif
	conf(line);
	goto l_10;
	/*                                                                      */
	/*    monitor                                                           */
	/*    =======                                                           */
l_500:   
	switch (nchain(5, line)) {
	case FEHLER : 
		goto l_9999;
	};
	monitr(line);
	goto l_10;
	/*                                                                      */
	/*    test                                                              */
	/*    ====                                                              */
l_600:  
	ttest = -1.0;
	switch (test()) {
	case FEHLER : 
		goto l_9999;
	};
	goto l_10;
	/*                                                                      */
	/*    equations                                                         */
	/*    =========                                                         */
l_700:   
	switch (nchain(6, line)) {
	case FEHLER : 
		goto l_9999;
	};
	switch (equat(line)) {
	case FEHLER : 
		goto l_9999;
	};
	goto l_10;
	/*                                                                      */
	/*    fehlermeldung                                                     */
	/*    =============                                                     */
l_9999:
	fprintf(nunit2, " +++++ flowc : TiMe = %12.6g +++++         simulationslauf wegen fehler abgebrochen\n", TiMe );
	if (xmodus  ==  1)
		fprintf(xunit4, " +++++ flowc : TiMe = %12.6g +++++         simulationslauf wegen fehler abgebrochen\n",
		    TiMe);
	/*                                                                      */
	/*    reportausdrucke im fehlerfall                                     */
	/*    =============================                                     */
	for (i=1; i<=12; i++) reprt1(i);
	reprt2();
	reprt3();
	reprt4();
	reprt6();
	reprt7();

	return(FEHLER);
}


