static char *SccsId = "@(#)PEPSY:\tfreefo.c\t1.2\t92/03/27 11:55:47";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	freefo(xfile, field, fieldc, indic, ielem, last, index)
int	*ielem ;
int	indic[] ;
char	fieldc[][5] ;
double	field[] ;
int	xfile ;
int	last;
int	index;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call freefo(xfile,field,indic, *ielem,exit1)                  */
	/*    ***                                                               */
	/*    *** funktion : einlesen einer datenkarte im freien format         */
	/*    *** parameter: xfile  = ein-/ausgabe-indikator                    */
	/*    ***            field  = rueckgabe: enthaelt die entschluesselten  */
	/*    ***                     eingabeelemente (integer, real)           */
	/*    ***            fieldc = rueckgabe: enthaelt die entschluesselten  */
	/*    ***                     eingabeelemente (character)               */
	/*    ***            indic  = rueckgabe: typenkennung der field-elemente  */
	/*    ***                     0: integer                                */
	/*    ***                     1: real                                   */
	/*    ***                     2: char                                   */
	/*    ***             *ielem  = rueckgabe: nummer des ersten syntaktisch  */
	/*    ***                     unzulaessigen elementes                   */
	/*    ***            exit1  = fehlerausgang                             */
	/*    ***                                                               */
	int	state, type, nelem, inpelm ;
	int	nsymb, i, lbuffr, local_iflag, mant1, mant2 ;
	int	iexp, nch, nposm2, idig, istate ;

	double	signm, signe, rmant2 ;
	char	cursym, charf[5], seprtr, blank, forsym ;
	char	point, splus, sminus, endsym ;
	char	esymb, buffer[82];
	/*                                                                      */
	esymb = 'e';
	forsym = '&';
	seprtr = ';';
	blank = ' ';
	point = '.';
	splus = '+';
	sminus = '-';
	endsym = '/';
	/*                                                                      */
	/*    vorbesetzung                                                      */
	/*    ============                                                      */
	index = 0;
	nelem = 0;
	inpelm = 0;
	nsymb = -1;
	for (i = 1; i <= 20; ++i) {
		field[i] = 0.0;
		strcpy(fieldc[i], BLANKF);
		indic[i] = 2;
	};
	for (i = 1 ; i <= 81 ; buffer[i] = ' ', i++)
		;
	/*                                                                      */
	/*    eingabesatz lesen                                                 */
	/*    =================                                                 */
	/*    (1) im batch-betrieb von datei                                    */
	/*    ------------------------------                                    */
	if (xmodus == 1) 
		goto l_60;
	if (fgets(buffer, 80, nunit1) == NULL) 
		goto l_52;
	fprintf(nunit2, " %s", buffer);
	goto l_80;
l_52: 
	fprintf(nunit2, " endesymbol fehlt auf eingabedatei\n");
	goto l_9999;

	/*    (2) im dialog von datei                                           */
	/*    -----------------------                                           */
l_60: 
	if (xfile == 3 || xfile == 4) 
		goto l_70;
	if (fgets(buffer, 80, nunit1) == NULL) 
		goto l_62;
	fprintf(xunit4, "%s", buffer);
	fprintf(unit2, " %s", buffer);
	goto l_80;
l_62: 
	fprintf(nunit2, " endesymbol fehlt auf eingabedatei\n");
	goto l_9999;

	/*    (3) im dialog vom terminal                                        */
	/*    --------------------------                                        */
l_70: 
	rewind(nunit1);
	if (fgets(buffer, 80, nunit1) == NULL) 
		goto l_70;
	fprintf(unit2, " %s", buffer);
	if (xfile == 4) 
		fprintf(unit1, "%s", buffer);

l_80: 
	for (i = 0; i <= 80; ++i) {
		if (buffer[i] == endsym) 
			goto l_90;
		if (buffer[i] == forsym) {
			index = 1;
			goto l_90;
		}
	};
	fprintf(nunit2, " eingabesatz nicht mit '/' abgeschlossen\n");
	nelem = 1;
	goto l_9999;
l_90:  
	lbuffr = i;
	buffer[lbuffr] = seprtr ;
	state = 1;
	/*                                                                      */
	/*    vorbesetzung - neues eingabefeld                                  */
	/*    ================================                                  */
l_100:  
	nelem = nelem + 1;
	inpelm = inpelm + 1;
	if (nelem  ==  21) 
		goto l_9000;
	if (inpelm  >  1) 
		state = 2;
	indic[nelem] = -1;
	local_iflag = 0;
	signm = 1.0;
	signe = 1.0;
	mant1 = 0;
	mant2 = 0;
	iexp = 0;
	nch = 0;
	nposm2 = 0;
	/*                                                                      */
	/*    neues eingabesymbol - endekriterium testen                        */
	/*    ==========================================                        */
l_200:  
	nsymb = nsymb + 1;
	if (nsymb  <=  lbuffr) 
		goto l_210;
	if (indic[nelem]  ==  -1) 
		indic[nelem] = 2;
	if (state == 4  ||  state == 6 || state == 8  ||  state == 9) 
		goto l_9999;
	return(NORMAL);
l_210:  
	cursym = buffer[nsymb];
	/*                                                                      */
	/*    typ des aktuellen zeichens festlegen                              */
	/*    ====================================                              */
	type = 6;
	if (cursym  !=  blank) 
		goto l_301;
	type = 0;
	goto l_320;
l_301:
	if (isdigit(cursym)) {
		char	*symptr;
		symptr = &cursym;
		sscanf(symptr, "%1d", &idig);
		type = 1;
		goto l_320;
	};
	if (cursym  !=  point) 
		goto l_303;
	type = 2;
	goto l_320;
l_303:  
	if (cursym != splus  &&  cursym != sminus) 
		goto l_304;
	type = 3;
	goto l_320;
l_304:  
	if (cursym  !=  esymb) 
		goto l_305;
	type = 4;
	goto l_320;
l_305:  
	if (cursym  !=  seprtr) 
		goto l_320;
	type = 5;
	/*                                                                      */
	/*    aktuelles zeichen ist blank oder separator                        */
	/*    ==========================================                        */
l_320:  
	if (type == 0  &&  (inpelm == 1 || state != 3)) 
		goto l_200;
	if (type != 5) 
		goto l_400;
	if (state > 1) 
		goto l_340;
	fprintf(nunit2, " erstes element eingabesatz leer\n");
	goto l_9999;
l_340:    
	if (state > 2) 
		goto l_350;
	/*                                                                      */
	/*      leeres eingabefeld                                              */
	/*      ==================                                              */
	indic[nelem] = 2;
	goto l_100;
	/*                                                                      */
l_350:
	if (state == 4  ||  state == 6 || state == 8 ||  state == 9) 
		goto l_9999;
	/*                                                                      */
	/*      eingabefeld abgearbeitet - field,indic,fieldc besetzen          */
	/*      ======================================================          */
	if (state  !=  3) 
		goto l_380;
	/*                                                                      */
	/*       character - feld                                               */
	/*       ================                                               */
	indic[nelem] = 2;
	if (nch == 4) 
		goto l_365;
	nch = nch + 1;
	for (i = nch; i <= 4; i++)  {
		charf[i] = blank;
	}
l_365:   
	strcpy(fieldc[nelem], charf);
	goto l_100;
	/*                                                                      */
	/*       zahlenfeld                                                     */
	/*       ==========                                                     */
l_380:     
	indic[nelem] = 1;
	if (state  ==  5) 
		indic[nelem] = 0;
	rmant2 =  ((double)mant2) / pow(10., (double)nposm2);
	field[nelem] = signm * ( ((double)mant1) + rmant2 )
	*pow(10., signe * (double)iexp);
	goto l_100;
	/*               ***********************                                */
	/*                                                                      */
	/*    zustand 1 und 2: erstes element im aktuellen feld gelesen         */
	/*    =========================================================         */
l_400:  
	if (state  >  2) 
		goto l_410;
	switch (type) {
	case 1: 
		goto l_600;
	case 2: 
		goto l_650;
	case 3: 
		goto l_550;
	};
	goto l_500;
	/*                 *******************                                  */
	/*                                                                      */
	/*    verzweigung entsprechend des aktuellen zustands                   */
	/*    ===============================================                   */
l_410:  
	istate = state - 2;
	switch (istate) {
	case 1: 
		goto l_500;
	case 2: 
		goto l_550;
	case 3: 
		goto l_600;
	case 4: 
		goto l_650;
	case 5: 
		goto l_700;
	case 6: 
		goto l_750;
	case 7: 
		goto l_800;
	case 8: 
		goto l_850;
	};
	/*                                                                      */
	fprintf(nunit2, "\n\n+++++ freefo: fehler im adressverteiler state=%3d\n",
	    state);
	/*                  *******************                                 */
	/*                                                                      */
	/*    zustand 3 - akt. eingabefeld vom typ character                    */
	/*    ==============================================                    */
l_500:  
	indic[nelem] = 2;
	state = 3;
	if (nch  !=  4) 
		goto l_510;
	strcpy(fieldc[nelem], charf);
	nelem = nelem + 1;
	if (nelem  >  20) 
		goto l_9020;
	indic[nelem] = 2;
	nch = 0;
l_510:
	charf[nch] = cursym;
	nch = nch + 1 ;
	charf[nch] = '\0';
	goto l_200;
	/*            *******************                                       */
	/*                                                                      */
	/*    zustand 4 - vorzeichen erstes gueltiges zeichen                   */
	/*    ===============================================                   */
l_550:  
	if (state >  2) 
		goto l_560;
	if (cursym  ==  sminus) 
		signm = -1.0;
	state = 4;
	goto l_200;
l_560:  
	if (type  !=  1) 
		goto l_570;
	state = 5;
	goto l_410;
l_570:  
	if (type  !=  2) 
		goto l_9999;
	state = 6;
	goto l_200;
	/*                ******************                                    */
	/*                                                                      */
	/*    zustand 5 - integer zahl wird aufgebaut                           */
	/*    =======================================                           */
l_600:  
	if (type  !=  2) 
		goto l_610;
	state = 7;
	goto l_200;
l_610:  
	if (type  !=  4)  
		goto l_620;
	state = 8;
	goto l_200;
l_620:  
	if (type  !=  1) 
		goto l_9999;
	state = 5;
	mant1 = 10 * mant1 + idig;
	goto l_200;
	/*               ******************                                     */
	/*                                                                      */
	/*    zustand 6 - punkt gelesen und noch keine ziffer                   */
	/*    ===============================================                   */
l_650:  
	if (state  >  2) 
		goto l_660;
	state = 6;
	goto l_200;
l_660:  
	if (type  !=  1) 
		goto l_9999;
	state = 7;
	goto l_410;
	/*               ***********************                                */
	/*                                                                      */
	/*    zustand 7 - reele zahl festkomma-darstellung wird aufgebaut       */
	/*    ===========================================================       */
l_700:  
	if (type  !=  1) 
		goto l_710;
	mant2 = 10 * mant2 + idig;
	nposm2 = nposm2 + 1;
	goto l_200;
l_710:  
	if (type  !=  4) 
		goto l_9999;
	state = 8;
	goto l_200;
	/*               ************************                               */
	/*                                                                      */
	/*    zustand 8 - esymbol gelesen nach ziffernfolge                     */
	/*    =============================================                     */
l_750:  
	if (type  !=  1) 
		goto l_760;
	state = 10;
	goto l_410;
l_760:  
	if (type  !=  3) 
		goto l_9999;
	state = 9;
	goto l_410;
	/*                ********************                                  */
	/*                                                                      */
	/*    zustand 9 - vorzeichen fuer exponenten gelesen                    */
	/*    ==============================================                    */
l_800:  
	if (type  !=  1) 
		goto l_810;
	state = 10;
	goto l_410;
l_810:  
	if (type != 3  ||  local_iflag == 1) 
		goto l_9999;
	local_iflag = 1;
	if (cursym  ==  sminus) 
		signe = -1.0;
	goto l_200;
	/*              ******************                                      */
	/*                                                                      */
	/*    zustand 10 - aufbau des exponenten einer gleitpunktzahl           */
	/*    =======================================================           */
l_850:  
	if (type  !=  1) 
		goto l_9999;
	iexp = 10 * iexp + idig ;
	goto l_200;
	/*              *******************                                     */
	/*                                                                      */
	/*         *** ende der simulation des automaten ***                    */
	/*                                                                      */
	/*                                                                      */
	/*    syntaxfehler - alternativ return(NORMAL)                          */
	/*    ================================                                  */
l_9000:      
	for (i = nsymb + 1 ; i <= lbuffr - 1 ; i++) {
		if (buffer[i]  !=  blank) 
			goto l_9020;
	};
	return(NORMAL);
l_9020:
	fprintf(nunit2, " eingabesatz enthaelt zuviele elemente\n");
l_9999: 
	*ielem = inpelm;
	return(FEHLER);
}


