static char *SccsId = "@(#)PEPSY:\tgate.c\t1.3\t92/03/27 11:55:52";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	gate(ng, ncond, iglobl, iblock, id)
int	id ;
int	iblock ;
int	iglobl ;
int	ncond ;
int	ng ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call gate(ng,ncond,iglobl,iblock,id,*9000)                    */
	/*    ***                                                               */
	/*    *** funktion : blockieren oder weiterleiten von trs in            */
	/*    ***            abhaengigkeit vom wahrheitswert eines logischen    */
	/*    ***            ausdrucks                                          */
	/*    *** parameter: ng     = nummer des gates                          */
	/*    ***            ncond  = nummer der logischen bedingung in         */
	/*    ***                     function check                            */
	/*    ***            iglobl = parameterkennzeichnung                    */
	/*    ***                     = 0: der logische ausdruck enthaelt private  */
	/*    ***                          parameter                            */
	/*    ***                     = 1: der logische ausdruck enthaelt nur   */
	/*    ***                          globale parameter                    */
	/*    ***            iblock = blockierparameter                         */
	/*    ***                     = 0: die tr ueberprueft bei der ankunft die  */
	/*    ***                          wartebedingung                       */
	/*    ***                     = 1: die tr wird bei der ankunft sofort   */
	/*    ***                          blockiert                            */
	/*    ***            id     = anweisungsnummer des unterprogramm-       */
	/*    ***                     aufrufes                                  */
	/*    ***                                                               */
	extern int	block(), rblock(), policy();
	extern LOGICAL check();
	extern int	next_int();
	int	ftx, k, k1, np;
	struct ACTIVLIST *line1;
#ifdef DEBUG
dprint(TRANSACTION, "gate: ng %d, ncond %d, iglobl %d, iblock %d, id %d\n", /* */
	    ng, ncond, iglobl, iblock, id);
#endif
	/*                                                                      */
	/*    bestimmen der stationsnummer                                      */
	/*    ============================                                      */
	k = offset.gate + ng - 1;
	/*                                                                      */
	/*    blockierentscheid                                                 */
	/*    =================                                                 */
	k1 = next_int(activlist[row_txact].next);
	if (k1 != -k && iblock == 1) 
		goto l_100;
	tcond[ncond] = -1.0;
	if ( !check(ncond)) 
		goto l_100;
	tx_system[row_txact].t_block = 0.0;
	if (iprint == 0 && jprint[5] == 0 || jprint[5] == -1) 
		return(NORMAL);
	fprintf(nunit2, " gate  :  TiMe=%12.4f  tr%6d,%4d   verlaesst das gate%3d\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, ng );
	return(NORMAL);
	/*                                                                      */
	/*    blockieren                                                        */
	/*    ==========                                                        */
l_100:  
	if (k1 != -k) 
		tx_system[row_txact].t_block = TiMe;
	activlist[row_txact].next =  -(double)k;
	activlist[row_txact].target = id;
	policy(5, ng, 0, &ftx, &np);
	block(5, ng, 0, ftx);
	if (iprint == 0 && jprint[5] == 0 || jprint[5] == -1) 
		goto l_200;
	fprintf(nunit2, " gate  :  TiMe=%12.4f  tr%6d,%4d   wird blockiert an gate%3d\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, ng );
	/*                                                                      */
	/*    blockieren der aktivierten trs                                    */
	/*    ==============================                                    */
l_200:  
	if (iglobl == 0) 
		return(AUSGANG2);
	line1 = bhead[k];
	if (line1->blk_link  <  0) 
		return(AUSGANG2);
	rblock(5, ng, 0, 0);
	return(AUSGANG2);
}


