static char *SccsId = "@(#)PEPSY:\tgenera.c\t1.3\t92/03/27 11:55:58";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	genera(et, pr)
double	pr ;
double	et ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call genera(et,pr,*9999)                                      */
	/*    ***                                                               */
	/*    *** funktion : erzeugen einer tr                                  */
	/*    *** parameter: et = ankunftsabstaende                             */
	/*    ***            pr = prioritaet der erzeugten tr                   */
	/*    ***                                                               */
	extern int	tchain();

#ifdef DEBUG
dprint(TRANSACTION, "genera, et %lf, pr %lf\n", et, pr); /* */
#endif
	/*                                                                      */
	/*    sourcenummer ueberpruefen                                         */
	/*    =========================                                         */
	if (row_source != NULL) 
		goto l_40;
	fprintf(nunit2, "\n\n+++++ genera: TiMe=%12.4f      nummer der source=0\n      adressverteiler ueberpruefen\n",
	    TiMe);
#ifdef DEBUG
dprint(TRANSACTION, "genera: FEHLER\n"); /* */
#endif
	return(FEHLER);
l_40: 
#ifdef DEBUG
dprint(LABEL, "genera: label l_40\n"); /* */
#endif
	if (tx_ctr < txmax && row_source->remain != 0) 
		goto l_50;
	fprintf(nunit2, "\n\n+++++ genera: TiMe=%12.4f source %3d ueberschreitet tx-limit\n",
	    TiMe, row_source - sourcelist);
#ifdef DEBUG
dprint(TRANSACTION, "genera: FEHLER\n"); /* */
#endif
	return(FEHLER);
	/*                                                                      */
	/*    berichtigen der zaehler                                           */
	/*    =======================                                           */
l_50:  
#ifdef DEBUG
dprint(LABEL, "genera: label l_50\n"); /* */
#endif
	if (row_source->sourci == 0) 
		goto l_60;
	fprintf(nunit2, "\n\n+++++ genera: TiMe=%12.4f source %3d versucht transaction zu erzeugen\n",
	    TiMe, row_source - sourcelist);
#ifdef DEBUG
dprint(TRANSACTION, "genera: FEHLER\n"); /* */
#endif
	return(FEHLER);


l_60:  
#ifdef DEBUG
dprint(LABEL, "genera: label l_60\n"); /* */
#endif
	tx_ctr = tx_ctr + 1;
#ifdef DEBUG
dprint(TRANSACTION, "genera: tx_ctr %d\n", tx_ctr); /* */
#endif
	row_source->remain = row_source->remain - 1;
	/*                                                                      */
	/*    generieren                                                        */
	/*    ==========                                                        */
	for (row_txact = 1; row_txact <= ztx; ++row_txact) {
		if (tx_system[row_txact].nr == 0) 
			goto l_150;
	};
	fprintf(nunit2, "\n\n+++++ genera: TiMe=%12.4f ueberlauf tr-matrix\n", TiMe);
#ifdef DEBUG
dprint(TRANSACTION, "genera: FEHLER\n"); /* */
#endif
	return(FEHLER);
l_150: 
#ifdef DEBUG
dprint(LABEL, "genera: label l_150\n"); /* */
#endif
	tx_system[row_txact].nr = tx_ctr;
	tx_system[row_txact].priority = pr;
	txi[row_txact]    =  0;
	if (iprint == 0 && jprint[14] == 0 || jprint[14] == -1) 
		goto l_200;
	fprintf(nunit2, "genera:  TiMe=%12.4f  tr%6d,  0   wird erzeugt von source%3d\n",
	    TiMe, tx_ctr, row_source - sourcelist);
	/*                                                                      */
	/*    festlegen der naechsten generierung                               */
	/*    ===================================                               */
l_200:  
	if (tx_ctr == txmax) 
		goto l_310;
	if (row_source->remain == 0) 
		goto l_300;
	row_source->next = TiMe + et;
	if (row_source->link == 0) 
		goto l_205;
	fprintf(nunit2, "\n\n+++++ genera: TiMe=%12.4f source mit nummer%5d nicht ausgekettet\n",
	    TiMe, row_source - sourcelist);
#ifdef DEBUG
dprint(TRANSACTION, "genera: FEHLER\n"); /* */
#endif
	return(FEHLER);
l_205: 
	tchain(2, row_source - sourcelist);
	if (iprint == 0 && jprint[14] == 0 || jprint[14] == -1) {
#ifdef DEBUG
dprint(TRANSACTION, "Genera: NORMAL\n"); /* */
#endif
		return(NORMAL);
	}
	fprintf(nunit2, "%42snaechster source-start bei TiMe=%12.4f\n",
	    BLANKF, row_source->next);
#ifdef DEBUG
dprint(TRANSACTION, "genera: NORMAL\n"); /* */
#endif
	return(NORMAL);
	/*                                                                      */
	/*    alle trs generiert                                                */
	/*    ==================                                                */
l_300:  
	if (iprint == 0 && jprint[14] == 0 || jprint[14] == -1) {
#ifdef DEBUG
dprint(TRANSACTION, "Genera: NORMAL\n"); /* */
#endif
		return(NORMAL);
	}
	fprintf(nunit2, "%42ssource%3d wird stillgelegt\n", BLANKF, row_source - sourcelist);
#ifdef DEBUG
dprint(TRANSACTION, "genera: NORMAL\n"); /* */
#endif
	return(NORMAL);
l_310:  
	head[2].next = 0.0 ;
	head[2].link = -1 ;
	if (iprint == 0 && jprint[14] == 0 || jprint[14] == -1) {
#ifdef DEBUG
dprint(TRANSACTION, "Genera: NORMAL\n"); /* */
#endif
		return(NORMAL);
	}
	fprintf(nunit2, "%42salle sources werden stillgelegt\n", BLANKF);
#ifdef DEBUG
dprint(TRANSACTION, "genera: NORMAL\n"); /* */
#endif
	return(NORMAL);
}


