/* headerdatei, die die deklarationen der globalen datenbereiche enthaelt */
/*                                                                        */
/*      ------ wird nur in systemunterprogrammen verwendet ------         */

/* Dimensionieren des Modells                                  */
/*                                                             */
static char *SccsGPSSDecl_h = "@(#)PEPSY:\tgpss_decl.h\t1.4\t93/05/17 11:54:47";

#ifdef MAIN
#define EXTERN 
#else
#define EXTERN extern
#endif

/* dimensionierungsparamter                                               */
EXTERN int zasm, zbin, zcar, zconf, zevt, zfac, zfam, zgate, zgatf, zgatt;
EXTERN int zldvar, zmatch, zmfac, znach, zncond, zncro, zndvar, znplo;
EXTERN int znset, zntab, znv, zpol, zpool, zpunkt, zse, zsect, zsegm;
EXTERN int zsegm1, zsm, zsrc, zstat, zsta, zsto, zras, zrout, zrout1;
EXTERN int ztab, ztx, ztx2, ztxip, ztxfp, ztxsp, zuchf, zucht, zvar;
EXTERN int zverz, zvon, znode;

/* bin - datenbereiche                                                    */
EXTERN struct BIN    *bin;
EXTERN struct BINSTA *binsta;

/* konfidenzintervall - datenbereiche                                     */
EXTERN struct CONFLIST *conflist;
EXTERN double conf_level;
EXTERN double **con;

/* eigentlich lokale anar-datenbereiche                                   */
EXTERN double *xcon, *rho2, *cmean;

/* delay - datenbereiche                                                  */
EXTERN LOGICAL idelay;
EXTERN struct DELAY *devar;
EXTERN double **s_devar, **t_devar;
EXTERN double *delay_flag;
EXTERN double *tclear;

/* zufallszahlen - datenbereiche                                          */
EXTERN int *drn, **dfact, **dconst, *dmodul;

/* integrations - datenbereiche                                           */
EXTERN struct EQUATLIST *equatlist;
EXTERN struct INTMA *intma;
EXTERN struct INTSTA *intsta;
EXTERN int **jflag, **iflag;
EXTERN int **iflagp, **jflagl;
EXTERN double **sv, **svlast;
EXTERN double **dv, **dvlast;
EXTERN LOGICAL icont;

/* event - datenbereiche                                                   */
EXTERN struct HEADELEM *eventlist;

/* facility - datenbereiche                                                */
EXTERN struct FAC *fac;

/* family - datenbereiche                                                  */
EXTERN struct FAM *fam;
EXTERN int **assem_ma;

/* e/a - datenbereiche                                                     */
EXTERN int xform;
EXTERN char *datain, *dataout;
EXTERN FILE *unit1, *unit2, *xunit3, *unit5, *unit6, *xunit4, *unit7, *unit8;
EXTERN FILE *nunit1, *nunit2, *nunit21, *nunit22, *nunit23;
EXTERN struct PLOTFILE *plotfile;

/* gather - datenbereiche                                                  */
EXTERN int *gath_tx, **gath_fam;

/* input - datenbereiche                                                   */
EXTERN int ndelay, jeps, itxt;

/* multifacility - datenbereiche                                           */
EXTERN struct MFAC *mfac;
EXTERN struct FAC  *service;
EXTERN struct FAC *row_serv;

/* modus - datenbereiche                                                   */
EXTERN int ymodus, xmodus, svin, svout, nstep;

/* plan - datenbereiche                                                    */
EXTERN struct PLAN *plan;

/* plot - datenbereiche                                                    */
EXTERN struct HEADELEM *monitlist;
EXTERN struct PLOT1 *ploma1;
EXTERN struct PLOT2 *ploma2;
EXTERN struct PLOT3 *Ploma3, **ploma3;

/* policy - datenbereiche                                                  */
EXTERN struct POL *pol;

/* pool - datenbereiche                                                    */
EXTERN struct POOL *pool;

/* source - datenbereiche                                                  */
EXTERN struct SOURCELIST *sourcelist;
EXTERN int tx_ctr, txmax;
EXTERN struct SOURCELIST *row_source;

/* storage - datenbereiche                                                 */
EXTERN struct SBM *sto_base;
EXTERN struct STOR *sto_matrix;
EXTERN struct STOR *row_stor;

/* strategie - datenbereiche                                               */
EXTERN struct PLAN *strategy;

/* haeufigkeitstabellen - datenbereiche                                    */
EXTERN struct TAB **table;

/* zeitfuehrungs - datenbereiche                                           */
EXTERN double TiMe, rTiMe, tend, *tcond, eps, tbusy;
EXTERN int jprint[26], iprint, kprint;

/* transaction - datenbereiche                                             */
EXTERN struct TX_SYST *tx_system;
EXTERN int **i_tx_priv;
EXTERN double **f_tx_priv;
EXTERN char  ***s_tx_priv;
EXTERN struct ACTIVLIST *activlist;
EXTERN int row_txact;

/* text - datenbereiche                                                    */
EXTERN char **txt;

/* verwaltungs - datenbereiche                                             */
EXTERN struct OFFSET offset;
EXTERN int **ptr_offset;
EXTERN struct ACTIVLIST **bhead;
EXTERN struct HEADELEM *head;
EXTERN double ttest;

/* user-chain - datenbereiche                                             */
EXTERN struct UCHAIN *userct, **usercf;

/* variablen - datenbereiche                                              */
EXTERN struct IVAR *iv;
EXTERN struct RVAR *rv;

/* eingefuegt fuer transportmodelle                                       */
EXTERN double **txadd, **tarma;
EXTERN double **sectma, **carma;
EXTERN int *txi, **segma, **routma;
EXTERN double **netsta;
EXTERN int **courma;
EXTERN int anford, anrout, ansect, ansegm, ansta, anverz, anpkt;
EXTERN double **statst, **parkst;
EXTERN double **blocst;
EXTERN int *logptr;
EXTERN double **logma, **statis;
EXTERN double **totlen, **direct;
EXTERN int **blocve;
EXTERN double **coords, **coordv, **coordp;
EXTERN int ***tofrom, ***fromto;
EXTERN double *rastl, ***tab, **dist;

/* debug augaben */
EXTERN unsigned  int dbg;


#define PARAM 50

#ifdef MAIN
int	gpss_dim_info[PARAM] = 
{
	/* #define  ZASM   1 */     1,
	/* #define  ZBIN   100 */   100,
	/* #define  ZCONF  500 */   500,
	/* #define  ZCAR   100 */   100,
	/* #define  ZEVT   50 */	50,
	/* #define  ZFAC   10 */	10,
	/* #define  ZFAM   200 */	200,
	/* #define  ZGATE  30 */	30,
	/* #define  ZGATF  1 */		1,
	/* #define  ZGATT  5 */		5,
	/* #define  ZLDVAR 100 */	100,
	/* #define  ZMATCH 5 */		5,
	/* #define  ZMFAC  30 */	30,
	/* #define  ZNACH  4 */		4,
	/* #define  ZNSET  3 */		3,
	/* #define  ZNCOND  150 */	150,
	/* #define  ZNCRO  50 */	50,
	/* #define  ZNDVAR 2 */		2,
	/* #define  ZNPLO  10 */	10,
	/* #define  ZNTAB  7 */		7,
	/* #define  ZNV    100 */	100,
	/* #define  ZPOL   10 */	10,
	/* #define  ZPOOL  5 */		5,
	/* #define  ZPUNKT 200 */	200,
	/* #define  ZRAS   10 */	10,
	/* #define  ZROUT  20 */	20,
	/* #define  ZROUT1 20 */	20,
	/* #define  ZSE    20 */	20,
	/* #define  ZSECT  100 */	100,
	/* #define  ZSEGM  20 */	20,
	/* #define  ZSEGM1 20 */	20,
	/* #define  ZSM    1024 */	1024,
	/* #define  ZSRC   10 */	10,
	/* #define  ZSTA   20 */	20,
	/* #define  ZSTO   5 */		5,
	/* #define  ZTAB   100 */	100,
	/* #define  ZTX    200 */	200,
	/* #define  ZTX2   16 */	16,
	/* #define  ZTXIP  5 */		5,
	/* #define  ZTXFP  5 */		5,
	/* #define  ZTXSP  5 */		5,
	/* #define  ZUCHF  1 */		1,
	/* #define  ZUCHT  2 */		2,
	/* #define  ZVAR   50 */	50,
	/* #define  ZVERZ  30 */	30,
	/* #define  ZVON   4 */		4,
};


#else
EXTERN int gpss_dim_info[PARAM];
#endif


/*                                                             */
#define  ZASM   (gpss_dim_info[0] + 1)
#define  ZASM_INDEX 	0
#define  ZBIN   (gpss_dim_info[1] + 1)
#define  ZBIN_INDEX 	1
#define  ZCONF  (gpss_dim_info[2] + 1)
#define  ZCONF_INDEX 	2
#define  ZCAR   (gpss_dim_info[3] + 1)
#define  ZCAR_INDEX 	3
#define  ZEVT   (gpss_dim_info[4] + 1)
#define  ZEVT_INDEX		4
#define  ZFAC   (gpss_dim_info[5] + 1)
#define  ZFAC_INDEX		5
#define  ZFAM   (gpss_dim_info[6] + 1)
#define  ZFAM_INDEX		6
#define  ZGATE  (gpss_dim_info[7] + 1)
#define  ZGATE_INDEX	7
#define  ZGATF  (gpss_dim_info[8] + 1)
#define  ZGATF_INDEX	8
#define  ZGATT  (gpss_dim_info[9] + 1)
#define  ZGATT_INDEX 9
#define  ZLDVAR (gpss_dim_info[10] + 1)
#define  ZLDVAR_INDEX 10
#define  ZMATCH (gpss_dim_info[11] + 1)
#define  ZMATCH_INDEX 11
#define  ZMFAC  (gpss_dim_info[12] + 1)
#define  ZMFAC_INDEX 12
#define  ZNACH  (gpss_dim_info[13] + 1)
#define  ZNACH_INDEX 13
#define  ZNSET  (gpss_dim_info[14] + 1)
#define  ZNSET_INDEX 14
#define  ZNCOND (gpss_dim_info[15] + 1)
#define  ZNCOND_INDEX 15
#define  ZNCRO  (gpss_dim_info[16] + 1)
#define  ZNCRO_INDEX 16
#define  ZNDVAR (gpss_dim_info[17] + 1)
#define  ZNDVAR_INDEX 17
#define  ZNPLO  (gpss_dim_info[18] + 1)
#define  ZNPLO_INDEX 18
#define  ZNTAB  (gpss_dim_info[19] + 1)
#define  ZNTAB_INDEX 19
#define  ZNV    (gpss_dim_info[20] + 1)
#define  ZNV_INDEX 20
#define  ZPOL   (gpss_dim_info[21] + 1)
#define  ZPOL_INDEX 21
#define  ZPOOL  (gpss_dim_info[22] + 1)
#define  ZPOOL_INDEX 22
#define  ZPUNKT (gpss_dim_info[23] + 1)
#define  ZPUNKT_INDEX 23
#define  ZRAS   (gpss_dim_info[24] + 1)
#define  ZRAS_INDEX 24
#define  ZROUT  (gpss_dim_info[25] + 1)
#define  ZPOUT_INDEX 25
#define  ZROUT1 (gpss_dim_info[26] + 1)
#define  ZPOUT1_INDEX 26
#define  ZSE    (gpss_dim_info[27] + 1)
#define  ZSE_INDEX 27
#define  ZSECT  (gpss_dim_info[28] + 1)
#define  ZSECT_INDEX 28
#define  ZSEGM  (gpss_dim_info[29] + 1)
#define  ZSEGM_INDEX 29
#define  ZSEGM1 (gpss_dim_info[30] + 1)
#define  ZSEGM1_INDEX 30
#define  ZSM    (gpss_dim_info[31] + 1)
#define  ZSM_INDEX 31
#define  ZSRC   (gpss_dim_info[32] + 1)
#define  ZSRC_INDEX 32
#define  ZSTA   (gpss_dim_info[33] + 1)
#define  ZSTA_INDEX 33
#define  ZSTO   (gpss_dim_info[34] + 1)
#define  ZSTO_INDEX 34
#define  ZTAB   (gpss_dim_info[35] + 1)
#define  ZTAB_INDEX 35
#define  ZTX    (gpss_dim_info[36] + 1)
#define  ZTX_INDEX 36
#define  ZTX2   (gpss_dim_info[37] + 1)
#define  ZTX2_INDEX 37
#define  ZTXIP  (gpss_dim_info[38] + 1)
#define  ZTXIP_INDEX 38
#define  ZTXFP  (gpss_dim_info[39] + 1)
#define  ZTXFP_INDEX 39
#define  ZTXSP  (gpss_dim_info[40] + 1)
#define  ZTXSP_INDEX 40
#define  ZUCHF  (gpss_dim_info[41] + 1)
#define  ZUCHF_INDEX 41
#define  ZUCHT  (gpss_dim_info[42] + 1)
#define  ZUCHT_INDEX 42
#define  ZVAR   (gpss_dim_info[43] + 1)
#define  ZVAR_INDEX 43
#define  ZVERZ  (gpss_dim_info[44] + 1)
#define  ZVERZ_INDEX 44
#define  ZVON   (gpss_dim_info[45] + 1)
#define  ZVON_INDEX 45

#define  ZNODE (ZSTA+ZVERZ) 
/*                                                                 */
/*   Berechnen der Stationsanzahl                                  */
/*                                                                 */
#define  ZSTAT  (ZFAC+ZMFAC+ZPOOL+ZSTO+ZGATE+ZGATT+ZGATF*ZFAM+ZUCHT*2+ZUCHF*ZFAM*2+ZMATCH+2*ZSTA+ZSECT)
/*                                                                 */

