static char *SccsId = "@(#)PEPSY:\tinit12.c\t1.2\t92/03/27 11:56:36";
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	init12()
{
	/*     ***  */
	/*     *** CALL INIT1 */
	/*     ***  */
	/*     *** PURPOSE  : INITIALIZE RANDOM NUMBER GENERATOR */
	/*     ***  */
	/*     INCLUDE 'PARAM3C.INC' */
	/*     COMMON /DRN/ DRN(30), DFACT(30), DMODUL, DCONST(30) */
	/* */
	/*     SPECIFY THE MULTIPLICATIVE FACTOR  */
	/*     =================================  */

	int	drn[31], dfact[31], dmodul, dconst[31][3], i;


	dfact[1] =     469;
	dfact[2] =     597;
	dfact[3] =     733;
	dfact[4] =     757;
	dfact[5] =     805;
	dfact[6] =     893;
	dfact[7] =     901;
	dfact[8] =     941;
	dfact[9] =    1141;
	dfact[10] =    1221;
	dfact[11] =    1541;
	dfact[12] =    1621;
	dfact[13] =    1805;
	dfact[14] =    1853;
	dfact[15] =    1997;
	dfact[16] =    2165;
	dfact[17] =    2173;
	dfact[18] =    2285;
	dfact[19] =    2373;
	dfact[20] =    2397;
	dfact[21] =    2429;
	dfact[22] =    2445;
	dfact[23] =    2517;
	dfact[24] =    2549;
	dfact[25] =    2749;
	dfact[26] =    2813;
	dfact[27] =    2973;
	dfact[28] =    3157;
	dfact[29] =    3285;
	dfact[30] =    3405;
	/* */
	/*     SPECIFY THE ADDITIVE CONSTANT AND THE MODULUS */
	/*     ============================================= */
	dmodul = 4096;
	for ( i = 1 ; i <= 30; i++) {
		dconst[i][2] = 865;
		/* */
		/*     SPECIFY THE INITIAL VALUES */
		/*     ========================== */
		drn[i] = 1;
	}
	return(NORMAL);
}


