static char *SccsId = "@(#)PEPSY:\tinitab.c\t1.2\t92/03/27 11:56:38";
#include <stdio.h>
#include <fcntl.h>
#include "xxalloc.h"
#include "gpss_prepare.h"
#include "gpss_decl.h"

static int	*mark;


int	initab(origin, weight)
int	origin;
float	weight[];
{
	/*     ***  */
	/*     *** PURPOSE : INITIALIZE ROUTING TABLES */
	/*     *** PARAMETERS: ORIGIN : ORIGIN FOR CALCULATING DISTANCES */
	/*     ***             WEIGHT : WEIGHTING ARRAY FOR SEGMENTS  */
	/*     ***  */

	int	kmax, i, kakt, next;
	float	local_dist;


	if (mark == (int *) 0)
		mark = i1_alloc(0, ZNODE + 1);

	/*     INITIALIZE MARKING VECTOR */
	/*     ========================= */
	kmax = ansta + anverz;
	for (i = 1; i <= kmax; i++)  {
		mark[i] = 0;
	}
	kakt = origin;
	/* */
	/*     CONSTRUCT CONNECTION FROM NEIGHBOURING NODE OF NODE KAKT TO ORIGIN */
	/*     ================================================================== */
l_1111: 
	for ( i = 1; i <= znach; i++)  {
		if (tofrom[kakt][i][1] == 0) 
			goto l_222;
		next = tofrom[kakt][i][1];
		local_dist = weight[tofrom[kakt][i][2]] + totlen[kakt][origin];
		if (local_dist < totlen[next][origin]) {
			mark[next] = 1;
			totlen[next][origin] = local_dist;
			direct[next][origin] = kakt;
		}
	}
	/* */
	/*     SEEK MARKED NODE */
	/*     ================ */
l_222: 
	kakt = 0;
	for (i = 1; i <= kmax; i++)  {
		if (mark[i] == 1) {
			kakt = i;
			mark[i] = 0;
			goto l_333;
		}
	}
l_333: 
	if (kakt != 0) 
		goto l_1111;
	return (NORMAL);
	/* */
}


