static char *SccsId = "@(#)PEPSY:\tinput.c\t1.2\t92/03/27 11:56:43";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	input(xfile)
int	xfile ;
/*                                                                      */
{

	/*    ***                                                               */
	/*    *** call input (xfile,*9999)                                      */
	/*    ***                                                               */
	/*    *** funktion : einlesen der eingabevariablen aus eingabedatei     */
	/*    ***            im freien format                                   */
	/*    *** parameter: xfile = ein-/ausgabeindikator                      */
	/*    ***            exit1 = fehlerausgang                              */
	/*    ***                                                               */
	extern int	freefo(), nchain(), tchain();
	extern int	next_int(), for_int();
	extern double	signum();
	int	indic[21], iend, nelem, istop ;
	int	i, i1, i2, i3, i4, kind, iplot, iflnr, j, jdelay, iset, nvar, nv, m ;
	int	linev, lines, linep, nsect, nsegm, nrout, ncour, kap, last, index;
	int	nsv, ndv, ivar, itend, ieps, k, ns, nvabs;
	int	lelem, melem, felem, zpkt, npkt, isect, isegm;
	double	field[21], set, heps, rman, Exp, tcomp;
	double	cod;
	char	s1, s2, svdv[3], fieldc[21][5], compare[9];
	char	digit[8], c1[2], c2[2], c3[9];
	char	verzw[5], termnl[5], ch[5], punkt[5], curve[5], cline[5];
	/*                                                                      */
	char	blank = ' ';
	char	star = '*';
	strcpy(digit, " 123456");
	/*                                                                      */
	iend = 0;
	nelem = 1;
	istop = 0;
	index = 0;
	if (xfile == 3) 
		goto l_1000;
	/*                                                                      */
	/*                                                                      */
	if (xform == 0) 
		fprintf(unit2, "\f\n\n\n\n\n\n");
	fprintf(unit2, "\n eingabedatensatz:\n *****************\n\n");
	if (xmodus == 1) 
		fprintf(xunit4, "\n eingabedatensatz:\n *****************\n\n");
	/*                                                                      */
	/*    lesen aus eingabe-datei                                           */
	/*    =======================                                           */
l_300:
	switch (freefo(xfile, field, fieldc, indic, &nelem, last, index)) {
	case FEHLER:   
		fprintf(stderr, "input: fehler in freefo\n");
		goto l_340;
	case AUSGANG2: 
		goto l_1000;
	}

	if (strcmp(fieldc[1], "text") != 0) 
		goto l_330;
	itxt = itxt + 1;
	if (itxt  <=  3) 
		goto l_310;
	fprintf(nunit2, "     --- maximal 3 textkarten zulaessig\n");
	istop = 1;
	goto l_300;
l_310: 
	strcpy(txt[itxt], fieldc[2]);
	for (i = 2 ; i <= 19 ; strcat(txt[itxt], fieldc[i+1]), i++)
		;
	goto l_300;
l_330:  
	if (strcmp(fieldc[1], "vari") == 0)  
		goto l_800;
	if (strcmp(fieldc[1], "inti") == 0) 
		goto l_700;
	if (strcmp(fieldc[1], "dela") == 0)  
		goto l_770;
	if (strcmp(fieldc[1], "end") == 0) 
		goto l_350;
	if (strcmp(fieldc[1], "plo1") == 0)  
		goto l_400;
	if (strcmp(fieldc[1], "plo2") == 0)  
		goto l_500;
	if (strcmp(fieldc[1], "plo3") == 0)  
		goto l_600;
	if (strcmp(fieldc[1], "koor") == 0)  
		goto l_2100;
	if (strcmp(fieldc[1], "sect") == 0)  
		goto l_2200;
	if (strcmp(fieldc[1], "segm") == 0)  
		goto l_2300;
	if (strcmp(fieldc[1], "rout") == 0)  
		goto l_2400;
	if (strcmp(fieldc[1], "cour") == 0)  
		goto l_2500;
	if (strcmp(fieldc[1], "bloc") == 0)  
		goto l_2600;
	fprintf(nunit2, "     +++ falsche kennung\n");
	nelem = 1;
l_340: 
	fprintf(nunit2, "     +++ eingabe-formatfehler, element%3d\n", nelem);
l_345: 
	if (xmodus == 1 || nelem == 0) 
		return(FEHLER);
	istop = 1;
	goto l_300;
l_350: 
	if (istop == 0) 
		goto l_360;
	if (xmodus == 0)  {
		fprintf(nunit2, "\f +++++ programmabbruch, da im eingabe-datensatz fehler aufgetreten sind");
		fprintf(nunit2, "     ( +++ syntaxfehler, *** plausibilitaetsfehler )\n");
	} else {
		fprintf(nunit2, " +++++ abbruch der eingabe - wiederhole fehlerhafte saetze\n");
	}
	return(FEHLER);
l_360:  
	if (xfile == 0 || xmodus == 0) 
		goto l_1000;
	iend = iend + 1;
	if (xfile == 1 && iend == 1) 
		goto l_300;
	if (xfile == 1 && iend == 2) 
		goto l_1000;
	return(NORMAL);
l_370: 
	fprintf(nunit2, "***** continuing data records not valid\n");
	goto l_345;
	/*                                                                      */
	/*    auswerten eines plot-datensatzes                                  */
	/*    ================================                                  */
	/*                                                                      */
	/*    datenkarte vom typ plo1 gelesen, ploma1 besetzen                  */
	/*    ================================================                  */
l_400: 
	if (index == 1) 
		goto l_370;
	nelem = 2;
	if (indic[2] == 2) 
		goto l_340;
	iplot = next_int(field[2]);
	if (iplot > 0 && iplot <= znplo) 
		goto l_410;
	istop = 1;
	fprintf(nunit2, "     *** plot-nummer unvertraeglich mit dimension der plot-matrix ploma\n");
	goto l_340;
l_410: 
	ploma1[iplot].plot_begin = 0.0;
	ploma1[iplot].plot_end = 0.0;
	ploma1[iplot].plot_step = 0.0;
	ploma1[iplot].file_nr = 0;
	for (i = 1; i <= 6; ++i) {
		ploma1[iplot].setnr[i] = 0;
		ploma1[iplot].varnr[i] = 0;
	};
	for (i = 3; i <= 6; ++i) {
		nelem = i;
		if (indic[i] == 2) 
			goto l_340;
	};
	if (field[3] >= TiMe) 
		goto l_440;
	istop = 1;
	fprintf(nunit2, "     *** plot-beginnzeit kleiner als TiMe=%12.4e\n", TiMe);
l_440:  
	if (field[4] >= field[3]) 
		goto l_450;
	istop = 1;
	fprintf(nunit2, "     *** plot-endzeit kleiner plot-beginnzeit\n");
l_450:  
	if (field[5] <= (field[4] - field[3])) 
		goto l_460;
	istop = 1;
	fprintf(nunit2, "     *** monitorschrittweite groesser als plotzeitraum\n");
l_460:  
	iflnr = next_int(field[6]);
	if (iflnr <= 0 || iflnr > 6) {
		istop = 1;
		fprintf(nunit2, "     *** plot-dateien nur mit nummern 1 bis 6 vorhanden\n");
		goto l_340;
	} else {
		if ((plotfile[iflnr].pointer = fopen(plotfile[iflnr].fil_name, "w")) == NULL)  {
			fprintf(nunit2, " input : Fehler beim Oeffnen von %s\n im Modus 'w'", 
			    plotfile[iflnr].fil_name);
			exit(1);
		}
	}

	/*                                                                      */
	/*    variablenspezifikation dekodieren                                 */
	/*    =================================                                 */
	for (i = 7; i <= 12; ++i) {
		nelem = i;
		if (indic[i] == 2 && strcmp(fieldc[i], BLANKF) == 0) 
			continue;
		if (indic[i] == 2) 
			goto l_340;
		iset =  next_int(fabs(field[i]) / 1000.);
		set = (double)iset;
		if (iset > 0 && iset <= znset) 
			goto l_490;
		istop = 1;
		fprintf(nunit2, "     *** set-nummer unvertraeglich mit dimension der system-matrizen sv bzw. dv\n");
		goto l_340;
l_490:  
		ploma1[iplot].setnr[i-6] = iset;
		nvar = next_int(fabs(field[i]) - set * 1000.);
		if (abs(nvar) > 0 && abs(nvar) <= znv) 
			goto l_495;
		istop = 1;
		fprintf(nunit2, "     *** variablen-nummer unvertraeglich mit dimension der system-matrizen sv bzw. dv\n");
		goto l_340;
l_495:  
		nvar = nvar * (int)(signum(field[i]));
		ploma1[iplot].varnr[i-6] =  nvar;
		if (strcmp(ploma3[i-6][iplot].pvar_name, BLANKS) != 0  && ploma3[i-6][iplot].symbol != ' ') 
			continue;
		ploma3[i-6][iplot].symbol = digit[i-6];
		sprintf(ploma3[i-6][iplot].pvar_name, "vari%d", i - 6);
	};
	for (nelem = 13; nelem <= 20; ++nelem) {
		if (indic[nelem] != 2 || strcmp(fieldc[nelem], BLANKF) != 0) 
			goto l_483;
	};
	if (istop == 1) 
		goto l_345;
	ploma1[iplot].plot_begin = field[3];
	ploma1[iplot].plot_end = field[4];
	ploma1[iplot].plot_step = field[5];
	ploma1[iplot].file_nr = (int)field[6];
	/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
	fprintf(nunit2, " input: ploma1[iplot].file_nr=%3d  \n", ploma1[iplot].file_nr);
	/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
	if (ploma2[iplot].extent == 0) 
		ploma2[iplot].extent = 2;
	if (ploma2[iplot].x_scale == 0.) 
		ploma2[iplot].x_scale = ploma1[iplot].plot_step;
	goto l_498;
l_483:  
	fprintf(nunit2, "     +++ eingabesatz enthaelt zu viele elemente\n");
	goto l_340;
	/*                                                                      */
	/*    einketten des ersten monitr-aufrufes in monitl                    */
	/*    ==============================================                    */
l_498:
	switch (nchain(5, iplot)) {
	case FEHLER : 
		fprintf(stderr, "input: fehler in nchain\n");
		goto l_300;
	};
	monitlist[iplot].next = ploma1[iplot].plot_begin;
	tchain(5, iplot);
	goto l_300;
	/*                                                                      */
	/*    datenkarte vom typ plo2, ploma2 besetzen                          */
	/*    ========================================                          */
l_500: 
	if (index == 1) 
		goto l_370;
	nelem = 2;
	if (indic[2]  ==  2) 
		goto l_340;
	iplot = next_int(field[2]);
	if (iplot > 0 && iplot <= znplo) 
		goto l_520;
	istop = 1;
	fprintf(nunit2, "     *** plot-nummer unvertraeglich mit dimension der plot-matrix ploma\n");
	goto l_340;
l_520: 
	ploma2[iplot].x_scale = 0.0;
	ploma2[iplot].extent = 0;
	ploma2[iplot].y_scale = 0;
	ploma2[iplot].y_min = 0.0;
	ploma2[iplot].y_max = 0.0;
	for (i = 3; i <= 5; ++i) {
		nelem = i;
		if (indic[i] == 2) 
			goto l_340;
		if (i == 3) 
			ploma2[iplot].x_scale = field[3];
		if (i == 4) 
			ploma2[iplot].extent = (int)field[4];
		if (i == 5) 
			ploma2[iplot].y_scale = (int)field[5];
	};
	if (field[3] != 0.) 
		goto l_525;
	ploma2 [iplot].x_scale = ploma1 [iplot].plot_step;
l_525:  
	if (field[4] > 0. && field[4] < 3.5) 
		goto l_540;
	istop = 1;
	fprintf(nunit2, "     *** druckindikator unzulaessig (nur: 1,2,3)\n");
l_540:  
	if (field[5]  >=  0.  &&  field[5]  <  4.5) 
		goto l_550;
	istop = 1;
	fprintf(nunit2, "     *** skalierung unzulaessig (nur:0,1,2,3,4)\n");
l_550:  
	if (next_int(field[5])  !=  2) 
		goto l_300;
	if (indic[6]  ==  2  ||  indic[7]  ==  2) 
		goto l_340;
	ploma2[iplot].y_min = field[6];
	ploma2[iplot].y_max = field[7];
	if (field[7] >= field[6]) 
		goto l_560;
	istop = 1;
	fprintf(nunit2, "     *** minimaler skalenwert groesser maximaler skalenwert\n");
l_560:        
	for (nelem = 8; nelem <= 20; ++nelem) {
		if (indic[nelem] != 2 || strcmp(fieldc[nelem], BLANKF) != 0) 
			goto l_580;
	};
	goto l_300;
l_580:  
	fprintf(nunit2, "     +++ eingabesatz enthaelt zu viele elemente\n");
	goto l_340;
	/*                                                                      */
	/*    datenkarte vom typ plo3, ploma3 besetzen                          */
	/*    ========================================                          */
l_600: 
	if (index == 1) 
		goto l_370;
	nelem = 2;
	if (indic[2]  ==  2) 
		goto l_340;
	iplot = next_int(field[2]);
	if (iplot > 0 && iplot <= znplo) 
		goto l_601;
	istop = 1;
	fprintf(nunit2, "     *** plot-nummer unvertraeglich mit dimension der plot-matrix ploma\n");
	goto l_340;
l_601:  
	nv = 0;
	m = -1;
	for (i = 3; i <= 20; ++i) {
		nelem = i;
		if (indic[i] == 2) 
			goto l_625;
		istop = 1;
		fprintf(nunit2, "     +++ variablennamen duerfen nicht mit ziffern oder '.,+,-' beginnen\n");
		fprintf(nunit2, "          der druckindikator muss mit '*' eingeleitet werden\n");
		goto l_340;
l_625:  
		if (i != 20 || m != 0) 
			goto l_626;
		fprintf(nunit2, "     +++ kein variablenname angegeben\n");
		goto l_340;
l_626:  
		if (i == 20 && m == -1) 
			goto l_340;
		if (strcmp(fieldc[i], BLANKF) != 0) 
			goto l_630;
		if (m != 0) 
			nv = nv + 1;
		continue;
l_630:  
		if (nv <= 6) 
			goto l_631;
		fprintf(nunit2, "     +++ eingabesatz enthaelt zu viele elemente\n");
		goto l_340;
l_631: 
		s1 = fieldc[i][0] ;
		s2 = fieldc[i][1] ;
		if (s1  ==  star) 
			goto l_650;
		if (nv  ==  0) 
			goto l_340;
		m = m + 1;
		if (m  >  3) 
			continue;
		if (m  <  3) 
			goto l_635;
		istop = 1;
		fprintf(nunit2, "     +++ variablenname%2d ist zu lang\n", nv);
		continue;
l_635:  
		if (m == 2) 
			goto l_640;
		strcpy(ploma3[nv][iplot].pvar_name, fieldc[i]);
		continue;
l_640: 
		strcat(ploma3[nv][iplot].pvar_name, fieldc[i]);
		continue;
l_650:  
		if (m != 0) 
			goto l_655;
		fprintf(nunit2, "     +++ kein variablenname angegeben\n");
		goto l_340;
l_655:  
		if (s2 != blank) 
			goto l_656;
		fprintf(nunit2, "     +++ angegebenes drucksymbol ist blank\n");
		goto l_340;
l_656:  
		nv = nv + 1;
		ploma3[nv][iplot].symbol = s2;
		m = 0;
	};
	goto l_300;
	/*                                                                      */
	/*    auswerten eines inti-datensatzes                                  */
	/*    ================================                                  */
l_700:  
	nelem = 2;
	if (indic[2]  ==  2) 
		goto l_340;
	iset = next_int(field[2]);
	if (iset > 0 && iset <= znset) 
		goto l_705;
	istop = 1;
	fprintf(nunit2, "     *** set-nummer unvertraeglich mit dimension der integrationsmatrix intma\n");
	goto l_340;
l_705:  
	if (intma[iset].method != 0 && xmodus == 0) 
		goto l_760;
	intma[iset].method = 0;
	intma[iset].init_step = 0.0;
	intma[iset].sv_nr = 0;
	intma[iset].dv_nr = 0;
	intma[iset].min_step = 0.0;
	intma[iset].max_step = 0.0;
	intma[iset].rel_error = 0.0;
	intma[iset].limit = 0;
	for (i = 3; i <= 10; ++i) {
		nelem = i;
		if (indic[i] == 2) 
			goto l_340;
	};
	if (field[3] > 0. && field[3] <= 5.5) 
		goto l_720;
	istop = 1;
	fprintf(nunit2, "     *** integrationsverfahren nicht definiert\n");
l_720:  
	if (field[4] >= field[7] && field[4] <= field[8]) 
		goto l_725;
	istop = 1;
	fprintf(nunit2, "     *** anfangsschrittweite kleiner minimale oder groesser maximale schrittweite\n");
l_725:  
	nsv = next_int(field[5]);
	if (nsv  >  0  &&  nsv  <=  znv) 
		goto l_730;
	istop = 1;
	fprintf(nunit2, "     *** anzahl der systemvariablen unvertraeglich mit dimension der system-matrizen sv bzw. dv\n");
l_730:  
	ndv = next_int (field[6]);
	if (ndv  >=  0  &&  ndv  <=  znv) 
		goto l_735;
	istop = 1;
	fprintf(nunit2, "     *** anzahl der differentialquotienten unvertraeglich mit dimension der system-matrizen sv bzw. dv\n");
l_735:  
	if (nsv  >=  ndv) 
		goto l_740;
	istop = 1;
	fprintf(nunit2, "     *** anzahl der systemvariablen ist kleiner als die anzahl der differentialquotienten\n");
l_740:  
	if (field[8] >= field[7]) 
		goto l_745;
	istop = 1;
	fprintf(nunit2, "     *** maximale schrittweite kleiner minimale\n");
l_745:  
	if (field[9]  >  0.0) 
		goto l_750;
	istop = 1;
	fprintf(nunit2, "     *** zulaessiger relativer fehler kleiner gleich 0.0\n");
l_750:  
	if (field[9]  <=  0.001) 
		goto l_755;
	fprintf(nunit2, "     --- warnung: zulaessiger relativer fehler groesser 0.001\n");
l_755:  
	if (field[10]  >=  0.) 
		goto l_756;
	istop = 1;
	fprintf(nunit2, "     *** maximale anzahl der integrationschritte ist kleiner gleich 0\n");
	goto l_300;
l_756:        
	for (nelem = 11; nelem <= 20; ++nelem) {
		if (indic[nelem] != 2 || strcmp(fieldc[nelem], BLANKF) != 0) 
			goto l_759;
	};
	intma[iset].method = (int)field[3];
	intma[iset].init_step = field[4];
	intma[iset].sv_nr = (int)field[5];
	intma[iset].dv_nr = (int)field[6];
	intma[iset].min_step = field[7];
	intma[iset].max_step = field[8];
	intma[iset].rel_error = field[9];
	intma[iset].limit = (int)field[10];
	equatlist[iset].step = intma[iset].init_step;
	goto l_300;
l_759:  
	fprintf(nunit2, "     +++ eingabesatz enthaelt zu viele elemente\n");
	goto l_340;
l_760:  
	fprintf(nunit2, "     *** integrationsmatrix ist fuer set%3d schon besetzt\n",
	    iset );
	istop = 1;
	goto l_300;
	/*                                                                      */
	/*    bearbeiten eines dela-datensatzes                                 */
	/*    =================================                                 */
l_770:  
	idelay = 1;
	for (i = 2; i <= 4; ++i) {
		nelem = i;
		if (indic[i]  ==  2) 
			goto l_340;
	};
	iset = next_int(field[2]);
	if (iset > 0 && iset <= znset) 
		goto l_775;
	istop = 1;
	fprintf(nunit2, "     *** setnummer nicht definiert\n");
l_775:  
	ivar = next_int(field[3]);
	if (abs(ivar) <= znv && abs(ivar) > 0) 
		goto l_780;
	istop = 1;
	fprintf(nunit2, "     *** variablennummer nicht definiert\n");
	goto l_345;
l_780:        
	for (nelem = 5; nelem <= 20; ++nelem) {
		if (indic[nelem] != 2 || strcmp(fieldc[nelem], BLANKF) != 0) 
			goto l_795;
	};
	for (i = 1; i <= zndvar; ++i) {
		if (devar[i].del_set != iset || devar[i].del_var != ivar) 
			continue;
		jdelay = i;
		goto l_793;
	};
	ndelay = ndelay + 1;
	jdelay = ndelay;
	if (ndelay  <=  zndvar) 
		goto l_792;
	istop = 1;
	fprintf(nunit2, "     *** maximal %2d delays moeglich\n", zndvar);
	goto l_345;
l_792: 
	devar[jdelay].del_set = iset;
	devar[jdelay].del_var = ivar;
l_793: 
	devar[jdelay].taumax = fabs(field[4]);
	tclear[jdelay] = -2. * devar[jdelay].taumax;
	for (j = 1; j <= zldvar; j++) {
		t_devar[jdelay][j] = tclear[jdelay];
	};
	goto l_300;
l_795:  
	fprintf(nunit2, "     +++ eingabesatz enthaelt zu viele elemente\n");
	goto l_340;
	/*                                                                      */
	/*    bearbeiten eines vari-datensatzes                                 */
	/*    =================================                                 */
l_800: 
	if (index == 1) 
		goto l_370;
	for (nelem = 5; nelem <= 20; ++nelem) {
		if (indic[nelem] != 2 || strcmp(fieldc[nelem], BLANKF) != 0) 
			goto l_340;
	};
	nelem = 2;
	if (indic[2]  !=  2) 
		goto l_340;
	if (strcmp(fieldc[2], BLANKF) == 0 && 
	    (indic[3] != 2 || (indic[3] == 2 && strcmp(fieldc[3], BLANKF) == 0))) 
		goto l_340;
	nelem = 3;
	if (indic[3]  ==  2) 
		goto l_810;
	indic[4] = indic[3];
	field[4] = field[3];
	fieldc[3][0] = '\0';
	nelem = 4;
l_810:  
	if (indic[4]  ==  2) 
		goto l_340;
	strcpy(compare, fieldc[2]);
	strcat(compare, fieldc[3]);
	for (i = 1; i <= zvar; ++i) {
		if (strcmp(iv[i].name, compare) != 0) 
			continue;
		iv[i].i_value = next_int(field[4]);
		if (strcmp(iv[i].name, "icont") == 0) 
			icont = iv[i].i_value;
		goto l_300;
	};
	if (xmodus == 0 || strcmp(fieldc[2], "tend") != 0) 
		goto l_830;
	fprintf(nunit2, " *** warnung: eingabe von tend wird ignoriert\n");
	goto l_300;
l_830:
	for (i = 1; i <= zvar; ++i) {
		if (strcmp(rv[i].name, compare) != 0) 
			continue;
		rv[i].r_value = field[4];
		if (strcmp(fieldc[2], "eps") == 0) 
			jeps = 1;
		goto l_300;
	};
	istop = 1;
	fprintf(nunit2, "     *** variable wurde im rahmen nicht als einlesbar deklariert\n");
	goto l_345;


	/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

	/*     PROCESS A KOOR-DATA RECORD */
	/*     ========================== */
l_2100: 
	if (index == 1) 
		goto l_370;
	for (nelem = 2; nelem <= 20; ++nelem) {
		if (indic[nelem] == 2 && strcmp(fieldc[nelem], BLANKF) == 0) 
			goto l_2120;
	};
l_2120: 
	lelem = nelem - 1;
	if (((lelem - 1) % 4) > 0) 
		goto l_340;
	for (melem = 2; melem <= lelem; melem += 4)  {
		nelem = melem;
		if (indic[nelem] != 2) 
			goto l_340;
		strcpy(ch, fieldc[nelem]);
		if (strcmp(ch, "t") != 0 && strcmp(ch, "b") != 0 && strcmp(ch, "p") != 0) 
			goto l_2175;
		if (strcmp(ch, "t") == 0) 
			zpkt = zsta;
		if (strcmp(ch, "b") == 0) 
			zpkt = zverz;
		if (strcmp(ch, "p") == 0) 
			zpkt = zpunkt;
		nelem = melem + 1;
		if (indic[nelem] == 2) 
			goto l_340;
		npkt = next_int(field[nelem]);
		if (npkt <= 0 || npkt > zpkt) 
			goto l_2185;
		for (nelem = melem + 2; nelem <= melem + 3; nelem++)  {
			if (indic[nelem] == 2) 
				goto l_340;
			if (field[nelem] < -eps) 
				goto l_2195;
		}
	}
	for (melem = 2; melem <= lelem; melem += 4)  {
		npkt = next_int(field[melem+1]);
		if (strcmp(fieldc[melem], "t") == 0) {
			if (coords[npkt][1] < -eps) 
				ansta = ansta + 1;
			coords[npkt][1] = field[melem+2];
			coords[npkt][2] = field[melem+3];
		} else if (strcmp(fieldc[melem], "b") == 0)  {
			if (coordv[npkt][1] < -eps) 
				anverz = anverz + 1;
			coordv[npkt][1] = field[melem+2];
			coordv[npkt][2] = field[melem+3];
		} else {
			if (coordp[npkt][1] < -eps) 
				anpkt = anpkt + 1;
			coordp[npkt][1] = field[melem+2];
			coordp[npkt][2] = field[melem+3];
		}
	}
	goto l_300;
l_2175: 
	fprintf (nunit2, "    *** erroneous identification\n");
	goto l_345;
l_2185: 
	fprintf (nunit2, "    *** erronous number\n");
	goto l_345;
l_2195: 
	fprintf (nunit2, "    *** coordinates not valid\n");
	goto l_345;
	/* */
	/*     PROCESS A SECT-DATA RECORD */
	/*     ========================== */
l_2200: 
	if (index == 1) 
		goto l_370;
	for (nelem = 11; nelem <= 20; ++nelem) {
		if (indic[nelem] != 2 || strcmp(fieldc[nelem], BLANKF) != 0) 
			goto l_340;
	};
	nelem = 2;
	nsect = next_int(field[nelem]);
	if (nsect <= 0 || nsect > zsect) 
		goto l_2255;
	for (melem = 3; melem <= 5; melem += 2)  {
		nelem = melem;
		if (indic[nelem] != 2) 
			goto l_340;
		strcpy(ch, fieldc[nelem]);
		if (strcmp(ch, "t") != 0 && strcmp(ch, "b") != 0 && strcmp(ch, "p") != 0) 
			goto l_2265;
		if (strcmp(ch, "t") == 0) 
			zpkt = zsta;
		if (strcmp(ch, "b") == 0) 
			zpkt = zverz;
		if (strcmp(ch, "p") == 0) 
			zpkt = zpunkt;
		nelem = melem + 1;
		if (indic[nelem] == 2) 
			goto l_340;
		npkt = next_int(field[nelem]);
		if (npkt <= 0 || npkt > zpkt) 
			goto l_2275;
	}
	nelem = 7;
	if (indic[nelem] != 2) 
		goto l_340;
	strcpy(ch, fieldc[nelem]);
	if (strcmp(ch, "c") != 0 && strcmp(ch, "l") != 0 && strcmp(ch, BLANKF) != 0) 
		goto l_2245;
	for (nelem = 8; nelem <= 10; nelem++) {
		if (indic[nelem] == 2 && strcmp(fieldc[nelem], BLANKF) != 0) 
			goto l_340;
	}
	if (next_int(field[8]) < 0 || next_int(field[8]) > zsect) 
		goto l_2285;
	if (indic[9] != 2 && field[9] < eps) 
		goto l_2295;
	nsect = next_int(field[2]);
	if (next_int(sectma[nsect][1]) <= 0) 
		ansect = ansect + 1;
	if (strcmp(fieldc[3], "t") == 0) 
		cod = 0.1;
	if (strcmp(fieldc[3], "b") == 0) 
		cod = 0.2;
	if (strcmp(fieldc[3], "p") == 0) 
		cod = 0.3;
	sectma[nsect][1] = field[4] + cod;
	if (strcmp(fieldc[5], "t") == 0) 
		cod = 0.1;
	if (strcmp(fieldc[5], "b") == 0) 
		cod = 0.2;
	if (strcmp(fieldc[5], "p") == 0) 
		cod = 0.3;
	sectma[nsect][2] = field[6] + cod;
	if (strcmp(fieldc[7], "c") == 0) {
		sectma[nsect][3] = -1.;
	} else {
		sectma[nsect][3] =  1.;
	}
	if (next_int(field[8]) != 0) {
		sectma[nsect][4] = field[8];
		if (blocve[next_int(field[8])][2] == 0)
			blocve[next_int(field[8])][2] = 1;
	}
	if (field[9] < eps) {
		sectma[nsect][5] = 1.;
	} else {
		sectma[nsect][5] = field[9];
	}
	sectma[nsect][6] = field[10];
	goto l_300;
l_2245: 
	fprintf (nunit2, "    *** erronous identification of type of section\n");
	goto l_345;
l_2255: 
	fprintf (nunit2, "    *** erronous section number, overflow of 'sectma'\n");
	goto l_345;
l_2265: 
	fprintf (nunit2, "    *** identification ( element%3d ) s erronous\n", nelem);
	goto l_345;
l_2275: 
	fprintf (nunit2, "    *** number ( element%3d ) is erronous\n", nelem);
	goto l_345;
l_2285: 
	fprintf (nunit2, "    *** erronous blocknumber, overflow of 'blocve'\n");
	goto l_345;
l_2295: 
	fprintf (nunit2, "    *** speedfactor less or equal 0\n");
	goto l_345;
	/* */
	/*     PROCESS A SEGM-DATA RECORD */
	/*     ========================== */
l_2300: 
	felem = 3;
	isect = 0;
	nelem = 2;
	if (indic[nelem] == 2) 
		goto l_340;
	nsegm = next_int(field[nelem]);
	if (nsegm <= 0 || nsegm > zsegm) 
		goto l_2355;
	for (lelem = felem; lelem <= 20; lelem++)  {
		if (indic[lelem] == 2) 
			goto l_2320;
	}
l_2320: 
	if (lelem == felem) 
		goto l_2365;
l_2390: 
	for (nelem = lelem; nelem <= 20; nelem++)  {
		if (indic[nelem] != 2 || strcmp(fieldc[nelem], BLANKF) != 0) 
			goto l_340;
	}
	lelem = lelem - 1;
	for (nelem = felem; nelem <= lelem; nelem++)  {
		isect = isect + 1;
		if (isect > zsegm1) 
			goto l_2375;
		nsect = next_int(field[nelem]);
		if (nsect <= 0 || nsect > zsect) 
			goto l_2385;
	}
	isect = isect - (lelem - felem + 1);
	if (segma[nsegm][1] == 0) 
		ansegm = ansegm + 1;
	for (nelem = felem; nelem <= lelem; nelem++)  {
		isect = isect + 1;
		segma[nsegm][isect] = next_int(field[nelem]);
	}
	if (index == 0) {
		isect = isect + 1;
		for (nelem = isect; nelem <= zsegm1; nelem++)  {
			segma[nsegm][nelem] = 0;
		}
		goto l_300;
	} else {
		felem = 1;
		index = 0;
		freefo(xfile, field, fieldc, indic, &nelem, last, index);
		for (lelem = felem; lelem <= 20; lelem++)  {
			if (indic[lelem] == 2) 
				goto l_2380;
		}
l_2380:  
		if (lelem == felem) 
			goto l_2395;
		goto l_2390;
	}
l_2355: 
	fprintf (nunit2, "    *** erronous segment number\n");
	goto l_345;
l_2365: 
	fprintf (nunit2, "    *** no sectionnumbers declared\n");
	goto l_345;
l_2375: 
	fprintf (nunit2, "    *** data record contains too much elemnts, overflow of 'segma'\n");
	goto l_345;
l_2385: 
	fprintf (nunit2, "    *** erronous section number ( element )%3d )\n", nelem);
	goto l_345;
l_2395: 
	fprintf (nunit2, "    *** no continuing data record existing\n");
	goto l_345;
	/* */
	/*     PROCESS A ROUT-DATA RECORD */
	/*     ========================== */
l_2400: 
	felem = 3;
	isegm = 0;
	nelem = 2;
	if (indic[nelem] == 2) 
		goto l_340;
	nrout = next_int(field[nelem]);
	if (nrout <= 0 || nrout > zrout) 
		goto l_2455;
	for (lelem = felem; lelem <= 20; lelem++)  {
		if (indic[lelem] == 2) 
			goto l_2420;
	}
l_2420: 
	if (lelem == felem) 
		goto l_2465;
l_2490: 
	for (nelem = lelem; nelem <= 20; nelem++)  {
		if (indic[nelem] != 2 || strcmp(fieldc[nelem], BLANKF) != 0) 
			goto l_340;
	}
	lelem = lelem - 1;
	for (nelem = felem; nelem <= lelem; nelem++)  {
		isegm = isegm + 1;
		if (isegm > zrout1) 
			goto l_2475;
		nsegm = next_int(field[nelem]);
		if (nsegm <= 0 || nsegm > zsegm) 
			goto l_2485;
	}
	isegm = isegm - (lelem - felem + 1);
	if (routma[nrout][1] == 0) 
		anrout = anrout + 1;
	for (nelem = felem; nelem <= lelem; nelem++)  {
		isegm = isegm + 1;
		routma[nrout][isegm] = next_int(field[nelem]);
	}
	if (index == 0) {
		isegm = isegm + 1;
		for (nelem = isegm; nelem <= zrout1; nelem++)  {
			routma[nrout][nelem] = 0;
		}
		goto l_300;
	} else {
		felem = 1;
		index = 0;
		freefo(xfile, field, fieldc, indic, &nelem, last, index);
		for (lelem = felem; lelem <= 20; lelem++)  {
			if (indic[lelem] == 2) 
				goto l_2480;
		}
l_2480:  
		if (lelem == felem) 
			goto l_2495;
		goto l_2490;
	}
l_2455: 
	fprintf (nunit2, "    *** erronous route number\n");
	goto l_345;
l_2465: 
	fprintf (nunit2, "    *** missing segmentnumber(s) \n");
	goto l_345;
l_2475: 
	fprintf (nunit2, "    *** data record contains too much elements, overflow of 'routma'\n");
	goto l_345;
l_2485: 
	fprintf (nunit2, "    *** erronous segmentnumber ( element%3d )\n", nelem);
	goto l_345;
l_2495: 
	fprintf (nunit2, "    *** no continuing data record existing\n");
	goto l_345;
	/* */
	/*     PROCESS A COUR-DATA RECORD */
	/*     ========================== */
l_2500: 
	if (index == 1) 
		goto l_370;
	for (nelem = 7; nelem <= 20; nelem++)  {
		if (indic[nelem] != 2 || strcmp(fieldc[nelem], BLANKF) != 0 ) 
			goto l_340;
	}
	for (melem = 2; melem <= 4; melem += 2)  {
		nelem = melem ;
		if (indic[nelem] != 2) 
			goto l_340;
		if (strcmp(fieldc[nelem], "t") != 0) 
			goto l_2575;
		nelem = melem + 1;
		if (indic[nelem] == 2) 
			goto l_340;
		npkt = next_int(field[nelem]);
		if (npkt <= 0 || npkt > zsta) 
			goto l_2585;
	}
	nelem = 6;
	if (indic[nelem] == 2) 
		goto l_340;
	nrout = next_int(field[nelem]);
	if (nrout <= 0 || nrout > zrout) 
		goto l_2595;
	for ( i = 1; i <= zrout; i++)  {
		if (courma[i][1] == 0) 
			goto l_2570;
		if (courma[i][1] == next_int(field[3]) && 
		    courma[i][2] == next_int(field[5])) 
			goto l_2570;
	}
l_2570: 
	courma[i][1] = next_int(field[3]);
	courma[i][2] = next_int(field[5]);
	courma[i][3] = nrout;
	goto l_300;
l_2575: 
	fprintf (nunit2, "    *** terminalidentifier ( element%3d ) is erroneous\n", nelem);
	goto l_345;
l_2585:
	fprintf (nunit2, "    *** terminalnumber ( element%3d ) is erroneous\n");
	goto l_345;
l_2595: 
	fprintf (nunit2, "    *** erroneous route number\n");
	goto l_345;
	/* */
	/*     PROCESS A BLOC-DATA RECORD */
	/*     ========================== */
l_2600: 
	if (index == 1) 
		goto l_370;
	for (nelem = 4; nelem <= 20; nelem++)  {
		if (indic[nelem] != 2 || strcmp(fieldc[nelem], BLANKF) != 0) 
			goto l_340;
	}
	nelem = 2;
	if (indic[nelem] == 2) 
		goto l_340;
	nsect = next_int(field[nelem]);
	if (nsect <= 0 || nsect > zsect) 
		goto l_2685;
	nelem = 3;
	if (indic[nelem] == 2) 
		goto l_340;
	if (next_int(field[nelem]) <= 0) 
		goto l_2695;
	blocve[next_int(field[2])][2] = next_int(field[3]);
	goto l_300;
l_2685: 
	fprintf (nunit2, "    *** number ( element%3d ) is erroneous\n");
	goto l_345;
l_2695: 
	fprintf (nunit2, "    *** capacity of blocing section less 1\n");
	goto l_345;

	/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

	/*                                                                      */
	/*    anpassung der eps-schranke                                        */
	/*    ==========================                                        */
l_1000: 
	nunit2 = unit2;
	itend = 0;
	ieps  = 0;
	for (i = 1; i <= zvar; ++i) {
		if (strcmp(rv[i].name, "tend") == 0) 
			itend = i;
		if (strcmp(rv[i].name, "eps") == 0) 
			ieps  = i;
	};
	fprintf(nunit2, "\n\n\n anpassung der eps-schranke:\n");
	if (itend  !=  0  &&  ieps  !=  0) 
		goto l_1030;
	istop = 1;
	fprintf(nunit2, "\n     *** die allgemeinen groessen tend/eps sind nicht in der namensliste vorgekommen\n");
	goto l_350;
l_1030:
	if (jeps == 0) 
		goto l_1035;
	fprintf(nunit2, " eps vom benutzer auf eps =%12.4e gesetzt\n\n\n", rv[ieps].r_value);
	tcomp = rv[itend].r_value + rv[ieps].r_value ;
	if (tcomp > rv[itend].r_value) 
		goto l_1300;
	fprintf(nunit2, " --- warnung: eps-schranke fuer tend = %12.4e zu klein\n",
	    rv[itend].r_value);
	if (itend != 0) 
		goto l_1300;
l_1035:
	if (xmodus == 1) 
		fprintf(nunit2, " *** warnung: interaktive simulation mit variabler eps-schrittweite\n");
	if (rv[itend].r_value > 0.) 
		goto l_1036;
	fprintf(nunit2, " eps auf vorbesetzung eps =%12.4e gesetzt\n\n\n", rv[ieps].r_value);
	goto l_1300;
l_1036:
	heps = rv[itend].r_value;
l_1040:
	heps = heps / 2.;
	tcomp = rv[itend].r_value + heps ;
	if (tcomp > rv[itend].r_value) 
		goto l_1040;
	heps = heps * 4.;
	Exp = floor( log10(heps) );
	rman = heps / pow(10., Exp);
	rv[ieps].r_value = for_int( rman + 1. ) * pow(10., Exp);
	fprintf(nunit2, " eps automatisch auf eps =%12.4e gesetzt\n\n\n", rv[ieps].r_value);
	/*                                                                      */
	/*    ueberpruefung der zeiten auf einhaltung der eps-schranke          */
	/*    ========================================================          */
l_1300: /*  Die folgenden Zeilen muessen nach der neuesten Version geloescht
            werden.
	            diese Zeilen erscheinen als Kommentar */
	/*      for (i = 1;i <= znset; ++i) {
      if(intma[i].method == 0) continue;
      if(intma[i].min_step  >=  rv[ieps].r_value) continue;
      istop = 1;
      fprintf(nunit2," *** set %2d: minimale schrittweite kleiner eps\n", i);
       };
*/
	for (i = 1; i <= znplo; ++i) {
		if (next_int(ploma1[i].plot_begin) == 0) 
			continue;
		if (ploma1[i].plot_step >= rv[ieps].r_value) 
			goto l_1315;
		istop = 1;
		fprintf(nunit2, "     *** plot%3d monitorschrittweite kleiner eps\n", i);
l_1315:
		if (ploma2[i].x_scale >= rv[ieps].r_value) 
			continue;
		istop = 1;
		fprintf(nunit2, "     *** plot%3d zeitschritt kleiner eps\n", i);
	};
	if (istop  ==  1) 
		goto l_350;
	/*                                                                      */
	/*    ausgabe der eingelesenen daten                                    */
	/*    ==============================                                    */
	fprintf(nunit2, "\f\n\n          TiMe =%12.4g     rTiMe =%12.4g\n", TiMe, rTiMe);
	if (itxt == 0) 
		goto l_906;
	fprintf(nunit2, "\n\n %s%s%s%s****\n *%82s*\n", STARS, STARS, STARS, STARS, BLANKF);
	for (i = 1; i <= itxt; ++i) {
		fprintf(nunit2, " *   %-76s   *\n", txt[i]);
	};
	fprintf(nunit2, " *%82s*\n %s%s%s%s****\n\n\n\n\n", BLANKF, STARS, STARS, STARS, STARS);
l_906:  
	if (icont  ==  0) 
		goto l_940;
	fprintf(nunit2, "eps assigned default value eps +%12.4e\n\n\n", i);
	/*    Nachfolgender Kommentar fehlt in der neuesten Version  */
	/*
      fprintf(nunit2,"\n\n integrationsmatrix\n ==================\n\n");
      fprintf(nunit2," set-        integr.      anfangs      anzahl       anzahl       step         step         zul.rel.     zul.anz.\n");
      fprintf(nunit2," nummer      verfahren    schr.weite    sv           dv           min.         max.         fehler       int.schr.\n\n");
      for (i = 1;i <= znset; ++i) {
      if(intma[i].method == 0) continue;
      fprintf(nunit2," %2d         %9d    %9.3g    %9d    %9d    %9.3g    %9.3g    %9.3g    %9d\n",
              i,intma[i].method,intma[i].init_step,intma[i].sv_nr,intma[i].dv_nr,intma[i].min_step,
              intma[i].max_step,intma[i].rel_error,intma[i].limit);
       };
      fprintf(nunit2,"\n\n plot-matrix\n ===========\n\n");
*/
	for (i = 1; i <= znplo; ++i) {
		if (ploma1[i].file_nr > 0) 
			goto l_925;
		continue;
l_925:  
		fprintf(nunit2, "\n plotnummer:%2d\n -------------\n", i);
		fprintf(nunit2, "\n     begin-zeit  end-zeit    step        filenummer  zeitskala   dr.indik.   skalierung  minimum y   maximum y \n\n");
		fprintf(nunit2, "%12.4g%12.4g%12.4g%12d%12.4g%12d%12d%12.4g%12.4g\n",
		    ploma1[i].plot_begin, ploma1[i].plot_end, ploma1[i].plot_step, ploma1[i].file_nr,
		    ploma2[i].x_scale, ploma2[i].extent, ploma2[i].y_scale, ploma2[i].y_min, ploma2[i].y_max);
		fprintf(nunit2, "\n     variable      variablenname  drucksymbol\n\n");
		for (k = 1; k <= 6; ++k) {
			if ( ploma1[i].setnr[k]  ==  0) 
				continue;
			strcpy(svdv, "sv") ;
			if (ploma1[i].varnr[k]  <  0) 
				strcpy(svdv, "dv");
			ns = ploma1[i].setnr[k];
			nv = abs(ploma1[i].varnr[k]);
			fprintf(nunit2, "     %2s(%2d,%3d)    %8s       %c\n",
			    svdv, ns, nv, ploma3[k][i].pvar_name, ploma3[k][i].symbol);
		};
	};
	/*      if (idelay  ==  0) goto l_940;
      fprintf(nunit2,"\n\n\n delay-variable\n ==============\n\n      delay-variable  max. totzeit\n");
      for (i = 1;i <= ndelay; ++i) {
      nvabs = abs(devar[i].del_var);
      if(devar[i].del_var < 0) fprintf(nunit2,"      dv(%2d,%3d)      %10.4g\n",
              devar[i].del_set,nvabs,devar[i].taumax);
      if(devar[i].del_var > 0) fprintf(nunit2,"      sv(%2d,%3d)      %10.4g\n",
              devar[i].del_set,nvabs,devar[i].taumax);
      };
*/
	/*                                                                      */
l_940:  
	fprintf(nunit2, "\n\n\n werte der als einlesbar deklarierten variablen:\n %s%s===\n\n", UNDERLINE, UNDERLINE);
	fprintf(nunit2, "     integer-variable%32sreal-variable\n\n     variable        wert%28svariable        wert\n\n",
	     BLANKF, BLANKF);
	for (i = 1; i <= zvar; ++i) {
		if (strcmp(iv[i].name, BLANKS) == 0) 
			goto l_945;
		if (strcmp(rv[i].name, BLANKS) == 0) 
			fprintf(nunit2, "     %8s%12.6g\n", iv[i].name, (double)iv[i].i_value);
		if (strcmp(rv[i].name, BLANKS) != 0) 
			fprintf(nunit2, "     %8s%12.6g%23s%8s  %12.6g\n",
			    iv[i].name, (double)iv[i].i_value, BLANKF, rv[i].name, rv[i].r_value);
		continue;
l_945:  
		if (strcmp(rv[i].name, BLANKS) == 0) 
			continue;
		fprintf(nunit2, "%52s %8s    %12.6g\n",
		    BLANKF, rv[i].name, rv[i].r_value);
	};
	fprintf(nunit2, "\n\n\n\n\n");

	/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/



	if (ansta == 0 && anverz == 0 && ansect == 0 && ansegm == 0 && 
	    anrout == 0) 
		goto l_990;
	fprintf (nunit2, "\f\n\n\n\n\n\n DATA OF TRANSPORT-SYSTEM\n");
	fprintf (nunit2, " ========================\n");
	fprintf (nunit2, "\n\n\n coordinates :\n");
	fprintf (nunit2, " -------------\n\n");
	fprintf (nunit2, "       terminals                  branches                   points\n");
	fprintf (nunit2, "  nr.  x-coor.   y-coor.     nr.  x-coor.   y-coor.     nr.  x-coor.   y-coor.\n\n");
	linep = 0;
	linev = 0;
	lines = 0;
l_960: 
	linep = linep + 1;
	if (linep > zpunkt) 
		goto l_961;
	if (coordp[linep][1] < -eps) 
		goto l_960;
l_961: 
	linev = linev + 1;
	if (linev > zverz) 
		goto l_962;
	if (coordv[linev][1] < -eps) 
		goto l_961;
l_962: 
	lines = lines + 1;
	if (lines > zsta) 
		goto l_963;
	if (coords[lines][1] < -eps) 
		goto l_962;
l_963: 
	if (linep > zpunkt && linev > zverz && lines > zsta) 
		goto l_965;
	if (linep <= zpunkt && linev <= zverz && lines <= zsta) {
		fprintf (unit2, " %4d  %9.4g %9.4g  %4d  %9.4g %9.4g  %4d  %9.4g %9.4g\n", lines, coords[lines][1], coords[lines][2],
		     linev, coordv[linev][1], coordv[linev][2], linep, coordp[linep][1], coordp[linep][2]);

	}
	if (linep > zpunkt && linev <= zverz && lines <= zsta) {
		fprintf (unit2, " %4d  %9.4g %9.4g  %4d  %9.4g %9.4g\n", lines, coords[lines][1], coords[lines][2], linev,
		     coordv[linev][1], coordv[linev][2]);

	}
	if (linep <= zpunkt && linev > zverz && lines <= zsta) {
		fprintf (unit2, " %4d  %9.4g %9.4g                             %4d  %9.4g %9.4g\n", lines, coords[lines][1],
		     coords[lines][2], linep, coordp[linep][1], coordp[linep][2]);

	}
	if (linep <= zpunkt && linev <= zverz && lines > zsta) {
		fprintf (unit2, "                            %4d  %9.4g %9.4g  %4d  %9.4g %9.4g\n", linev, coordv[linev][1],
		     coordv[linev][2], linep, coordp[linep][1], coordp[linep][2]);

	}
	if (linep > zpunkt && linev > zverz && lines <= zsta) {
		fprintf (unit2, " %4d  %9.4g %9.4g\n", lines, coords[lines][1], coords[lines][2]);

	}
	if (linep > zpunkt && linev <= zverz && lines > zsta) {
		fprintf (unit2, "                             %4d  %9.4g %9.4g\n", linev, coordv[linev][1], coordv[linev][2]);

	}
	if (linep <= zpunkt && linev > zverz && lines > zsta) {
		fprintf (unit2, "                                                       %4d  %9.4g %9.4g\n", linep, coordp[linep][1],
		     coordp[linep][2]);

	}
	goto l_960;
	/* */
l_965: 
	fprintf (nunit2, "\n\n\n sections :\n ----------\n\n");
	fprintf (nunit2, "  nr.    starting   end     kind    block-   capa-   speed    user\n");
	fprintf (nunit2, "          point    point            number ");
	fprintf (nunit2, "  city    factor   mark\n");
	for (nsect = 1; nsect <= zsect; nsect++)  {
		if (next_int(sectma[nsect][1]) == 0) 
			continue;
		i1   = next_int(sectma[nsect][1]);
		kind = next_int(sectma[nsect][1] * 10.) - i1 * 10;
		if (kind == 1) 
			strcpy(c1, "t");
		if (kind == 2) 
			strcpy(c1, "b");
		if (kind == 3) 
			strcpy(c1, "p");
		i2   = next_int(sectma[nsect][2]);
		kind = next_int(sectma[nsect][2] * 10.) - i2 * 10;
		if (kind == 1) 
			strcpy(c2, "t");
		if (kind == 2) 
			strcpy(c2, "b");
		if (kind == 3) 
			strcpy(c2, "p");
		strcpy(c3, "line    ");
		if (sectma[nsect][3] < 0.0)  
			strcpy(c3, "curve   ");
		i4 = next_int(sectma[nsect][4]);
		kap = 0;
		if (i4 != 0) 
			kap = blocve[i4][2];
		fprintf (nunit2, "%4d      %1s%4d    %1s%4d    %8s%4d    %4d  %9.4g%9.4g\n", nsect, c1, i1, c2, i2, c3, i4,
		     kap, sectma[nsect][5], sectma[nsect][6]);
	}
	/* */
	fprintf (nunit2, "\n\n\n segments :\n ----------\n\n");
	fprintf (nunit2, "  nr.     sections\n\n");
	for (nsegm = 1; nsegm <=  zsegm; nsegm++)  {
		if (segma[nsegm][1] == 0 ) 
			continue;
		j = 0;
		fprintf (nunit2, " %4d      %4d %4d %4d %4d %4d %4d %4d %4d %4d %4d %4d %4d\n", nsegm,
		    segma[nsegm][1], segma[nsegm][2], 
		    segma[nsegm][3], segma[nsegm][4], 
		    segma[nsegm][5], segma[nsegm][6], 
		    segma[nsegm][7], segma[nsegm][8], 
		    segma[nsegm][9], segma[nsegm][10],
		    segma[nsegm][11], segma[nsegm][12]);
l_970:   
		j = j + 1;
		if (segma[nsegm][j*12+1] == 0) 
			continue;
		fprintf (nunit2, "          ");
		for (i = j * 12 + 1; i <= ((j + 1) * 12); i++)  {
			fprintf (nunit2, " %4d", segma[nsegm][i]);
		}
		fprintf (nunit2, "\n");
		goto l_970;
	}
	/* */
	fprintf (nunit2, "\n\n\n routes/courses :\n ----------------\n\n");
	fprintf (nunit2, "   nr.     segments\n\n");
	for (nrout = 1; nrout <=  zrout; nrout++)  {
		if (routma[nrout][1] == 0) 
			continue;
		last = 0;
		j    = 0;
l_973:  
		last = last + 1;
		if (routma[nrout][last] == 0) 
			goto l_974;
		if (last == zrout1)           
			goto l_974;
		goto l_973;
l_974:  
		for (ncour = 1; ncour <= zrout; ncour++)  {
			if (courma[ncour][3] == nrout) {
				fprintf (nunit2, "%4d     %4d %4d %4d %4d %4d %4d %4d %4d %4d %4d \n ", nrout,
				    routma[nrout][1], routma[nrout][2],
				    routma[nrout][3], routma[nrout][4],
				    routma[nrout][5], routma[nrout][6],
				    routma[nrout][7], routma[nrout][8],
				    routma[nrout][9], routma[nrout][10]);
				fprintf (nunit2, "course from s%4d to s%4d\n",
				    courma[ncour][1], courma[ncour][2]);

				goto l_976;
			}
			if (courma[ncour][3] == 0) {
				fprintf (nunit2, " %4d    %4d %4d %4d %4d %4d %4d %4d %4d %4d %4d \n", nrout,
				    routma[nrout][1], routma[nrout][2],
				    routma[nrout][3], routma[nrout][4],
				    routma[nrout][5], routma[nrout][6],
				    routma[nrout][7], routma[nrout][8],
				    routma[nrout][9], routma[nrout][10]);

				goto l_976;
			}
		}
l_976:  
		j = j + 1;
		if (last <= j * 10) 
			continue;
		fprintf (nunit2, "         ");
		for (i = j * 10 + 1; i <= ((j + 1) * 10); i++)  {
			fprintf (nunit2, " %4d", routma[nrout][i]);
		}
		fprintf (nunit2, "\n");
		goto l_976;
	}
	/* */
l_990: 
	fprintf (nunit2, "\n\n\n\n\n");

}


