static char *SccsId = "@(#)PEPSY:\tlink.c\t1.2\t92/03/27 11:56:58";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	link1(nuc, id)
int	id ;
int	nuc ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call link1(nuc,id,*9000)                                      */
	/*    ***                                                               */
	/*    *** funktion : blockieren von trs in einer user-chain             */
	/*    *** parameter: nuc = nummer der user-chain vom typ 1              */
	/*    ***            id  = anweisungsnummer des unterprogrammaufrufes   */
	/*    ***                                                               */
	extern int	block(), dblock(), policy();
	extern int	next_int();
	int	ftx, k, kt, np ;
	/*                                                                      */
	/*    bestimmen der stationsnummern                                     */
	/*    =============================                                     */
	k = offset.userch + nuc - 1;
	kt = k + zucht;
	/*                                                                      */
	/*    blockieren                                                        */
	/*    ==========                                                        */
	if (next_int(activlist[row_txact].next) == -k) 
		goto l_200;
	userct[nuc].member = userct[nuc].member + 1;
	activlist[row_txact].next =  -(double)k;
	activlist[row_txact].target = id;
	tx_system[row_txact].t_block = TiMe ;
	policy(8, nuc, 0, &ftx, &np);
	block(8, nuc, 0, ftx);
	if (iprint == 0 && jprint[8] == 0 || jprint[8] == -1) 
		goto l_100;
	fprintf(nunit2, " link1 :  TiMe=%12.4f  tr%6d,%4d   wird blockiert an user-chain1 nr%3d\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nuc);
l_100:  
	if (bhead[kt] != NULL) 
		dblock(9, nuc, 0, 1);
	return(AUSGANG2);
	/*                                                                      */
	/*    abholen                                                           */
	/*    =======                                                           */
l_200:  
	tx_system[row_txact].t_block = 0.0;
	userct[nuc].member = userct[nuc].member - 1;
	userct[nuc].count_gone = userct[nuc].count_gone - 1;
	if (userct[nuc].member == 0) 
		userct[nuc].count_gone = 0;
	if (iprint == 0 && jprint[8] == 0 || jprint[8] == -1) 
		goto l_250;
	fprintf(nunit2, " link1 :  TiMe=%12.4f  tr%6d,%4d   verlaesst die user-chain1 nr%3d\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nuc);
l_250:  
	if (userct[nuc].count_gone > 0) 
		return(NORMAL);
	if (bhead[kt] != NULL && userct[nuc].member > 0) 
		dblock(9, nuc, 0, 1);
	return(NORMAL);
}




int	link2(nuc, id)
int	id ;
int	nuc ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call link2(nuc,id,*9000)                                      */
	/*    ***                                                               */
	/*    *** funktion : blockieren von trs einer family in einer           */
	/*    ***            user-chain                                         */
	/*    *** parameter: nuc = nummer der user-chain vom typ 2              */
	/*    ***            id  = anweisungsnummer des unterprogrammaufrufes   */
	/*    ***                                                               */
	extern int	block(), dblock(), policy();
	extern int	next_int();
	int	ftx, lfam, ns, k ;
	int	kt, np ;
	/*                                                                      */
	/*    pruefen der family-zugehoerigkeit                                 */
	/*    =================================                                 */
	if (tx_system[row_txact].dup == 0) 
		return(NORMAL);
	lfam = tx_system[row_txact].family;
	/*                                                                      */
	/*    bestimmen der stationsnummern                                     */
	/*    =============================                                     */
	ns = zfam * (nuc - 1) + lfam;
	k = offset.userchf + ns - 1;
	kt = k + zuchf * zfam;
	/*                                                                      */
	/*    blockieren                                                        */
	/*    ==========                                                        */
	if (next_int(activlist[row_txact].next) == -k) 
		goto l_200;
	usercf[lfam][nuc].member = usercf[lfam][nuc].member + 1;
	activlist[row_txact].next =  -(double)k;
	activlist[row_txact].target = id;
	tx_system[row_txact].t_block = TiMe ;
	policy(10, nuc, lfam, &ftx, &np);
	block(10, nuc, lfam, ftx);
	if (iprint == 0 && jprint[10] == 0 || jprint[10] == -1) 
		goto l_100;
	fprintf(nunit2, " link2 :  TiMe=%12.4f  tr%6d,%4d   wird blockiert an user-chain2 nr%3d\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nuc);
l_100:  
	if (bhead[kt] != NULL) 
		dblock(11, nuc, lfam, 1);
	return(AUSGANG2);
	/*                                                                      */
	/*    abholen                                                           */
	/*    =======                                                           */
l_200:  
	tx_system[row_txact].t_block = 0.0;
	usercf[lfam][nuc].member = usercf[lfam][nuc].member - 1;
	usercf[lfam][nuc].count_gone = usercf[lfam][nuc].count_gone - 1;
	if (usercf[lfam][nuc].member == 0) 
		usercf[lfam][nuc].count_gone = 0;
	if (iprint == 0 && jprint[10] == 0 || jprint[10] == -1) 
		goto l_250;
	fprintf(nunit2, " link2 :  TiMe=%12.4f  tr%6d,%4d   verlaesst die user-chain2 nr%3d\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nuc);
l_250:  
	if (usercf[lfam][nuc].count_gone > 0) 
		return(NORMAL);
	if (bhead[kt] != NULL && usercf[lfam][nuc].member > 0) 
		dblock(11, nuc, lfam, 1);
	return(NORMAL);
}


