static char *SccsId = "@(#)PEPSY:\tlotse.c\t1.3\t92/03/27 11:57:02";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	lotse(istart, itarg, nseg)
int	istart;
int	itarg;
int	*nseg;
/* Hier ist mindestens ein alternativer Ruecksprung zu beruecksichtigen */
{
	/*     ***  */
	/*     *** CALL LOTSE(ISTART,ITARG,NSEG,*9999) */
	/*     ***  */
	/*     *** PURPOSE : PROVIDES THE NEXT SEGMENT TO BE TRAVERSED */
	/*     ***           BY A TAXI OR TRANSPORTER WITHOUT FIXED ROUTE */
	/*     *** PARAMETERS: ISTART = LOCATION OF TAXI OR TRANSPORTER */
	/*     ***             ITARG  = DESTINATION OF TAXI OR TRANSPORTER */
	/*     ***             NSEG   = RETURNS THE INDEX OF THE */
	/*     ***                      NEXT SEGMENT TO BE TRAVERSED  */
	/*     ***             *9999  = ERROR EXIT */
	/*     ***  */
	/* */
	/* */
	/*     GET NEXT SEGMENT FROM DIRECTION ARRAY */
	/*     ===================================== */

	int	next;
	int	i;

#ifdef DEBUG
dprint(TRANSPORTER, "lotse: istart %d, itarg %d \n", istart, itarg); /* */
#endif
	next = direct[istart][itarg];
	if (next == 0) 
		goto l_200;
	for ( i = 1; i <= zvon; i++) {
		if (fromto[istart][i][1] == next) 
			goto l_150;
	}
	/* */
	/*     ERROR EXIT */
	/*     ========== */
l_200: 
	fprintf (nunit2, "\n\n+++++ lotse :  t=%12.4f ERROR: error in direction array\n", TiMe);
	return (FEHLER);
	/* */
	/*     SEGMENT FOUND  */
	/*     =============  */
l_150: 
#ifdef DEBUG
dprint(LABEL, "lotse: label l_150\n"); /* */
#endif
#ifdef DEBUG
dprint(TRANSPORTER, "lotse: i = %d ,next = %d\n", i, next); /* */
#endif
	*nseg = fromto[istart][i][2];
#ifdef DEBUG
dprint(TRANSPORTER, "lotse: nseg %d \n", *nseg); /* */
#endif
	if (*nseg == 0) 
		goto l_200;
#ifdef DEBUG
dprint(TRANSPORTER, "lotse: nseg != 0 \n"); /* */
#endif
	return(NORMAL);
	/* */
}


