static char *SccsId = "@(#)PEPSY:\tordpor.c\t1.2\t92/03/27 11:57:30";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	ordpor(ncar)
int	*ncar;
{
	/*     ***  */
	/*     *** CALL ORDPOR(NCAR) */
	/*     ***  */
	/*     *** PURPOSE : REQUEST A TAXI OR TRANSPORTER ACCORDING TO THE */
	/*     ***           STRATEGY WHICH SELECTS THE ONE WITH THE  */
	/*     ***           LOWEST INDEX */
	/*     *** PARAMETER: NCAR   = RETURNS:   */
	/*     ***                     <> 0: INDEX OF TAXI/TRANSPORTER */
	/*     ***                     =  0: NO TAXI/TRANSPORTER FOUND */
	/*     ***  */
	/* */
	/* */

	int	art, i;
	char	ctype[4][12];
	extern int	next_int();


	strcpy(ctype[1], "bus        ");
	strcpy(ctype[2], "taxi       ");
	strcpy(ctype[3], "transporter");
	/* */
	/*     INITIALIZE */
	/*     ========== */
	*ncar   = 0;
	anford = next_int(txadd[row_txact][4]);
	art    = next_int(txadd[row_txact][3]);
	/* */
	/*     SEEK TAXI/TRANSPORTER WITH STRATEGY */
	/*     WHICH SELECTS THE LOWEST VEHICLE INDEX */
	/*     ====================================== */
	for (i = 1; i <=  zcar; i++) {
		if ( !( (next_int(carma[i][1]) == 0) || 
		    (next_int(carma[i][7]) != 0) ||       
		    (txi[next_int(carma[i][1])] != art) || 
		    (next_int(carma[i][3]) < anford) ))  {
			*ncar = i;
			goto l_1000;
		}
	}
	/* */
l_1000:  
	if ((iprint == 1 || jprint[23] > 0) && jprint[23] != -1) {
		if (*ncar != 0) {
			fprintf (nunit2, "ordpor:                  %11s%4d found\n", ctype[art], *ncar);
		} else {
			fprintf (nunit2, "ordpor:                  no %11s found\n", ctype[art]);
		}
	}
	/* */
	/* */
	return(NORMAL);
	/* */
}


