static char *SccsId = "@(#)PEPSY:\tordtop.c\t1.2\t92/03/27 11:57:37";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	ordtop(itargl, ncar)
int	itargl, *ncar;
{
	/*     ***  */
	/*     *** CALL ORDTOP(ITARGL,NCAR) */
	/*     ***  */
	/*     *** PURPOSE : REQUEST A TAXI OR TRANSPORTER ACCORDING TO */
	/*     ***           THE STRATEGY WHICH SELECTS ONE FROM THOSE AT */
	/*     ***           THE STARTING POINT */
	/*     *** PARAMETERS: ITARGL = INDEX OF STARTING POINT */
	/*     ***             NCAR   = RETURNS:  */
	/*     ***                      <> 0: INDEX OF TAXI/TRANSPORTER */
	/*     ***                      =  0: NO TAXI/TRANSPORTER FOUND */
	/*     ***  */
	/* */
	/* */

	int	art, k, line ;
	char	ctype[4][12];
	extern int	next_int();


	strcpy(ctype[1], "bus        ");
	strcpy(ctype[2], "taxi       ");
	strcpy(ctype[3], "transporter");
	/* */
	/*     INITIALIZE */
	/*     ========== */
	*ncar    = 0;
	anford  = next_int(txadd[row_txact][4]);
	art     = next_int(txadd[row_txact][3]);
	k       = offset.match + zmatch + zsta + itargl - 1;
	line    = bhead[k] - activlist;
	/* */
	/*     SEEK TAXI/TRANSPORTER WHICH HAS BEEN LONGEST AT THIS TERMINAL */
	/*     ============================================================= */
l_100: 
	if (line < 0) 
		goto l_1000;
	*ncar = next_int(txadd[line][1]);
	/* */
	/*     IS TAXI/TRANSPORTER SUITABLE ? */
	/*     ============================== */
	if (txi[next_int(carma[*ncar][2])] == art  && next_int(carma[*ncar][3]) >= anford) 
		goto l_1000;
	line = activlist[line].blk_link;
	goto l_100;
	/* */
	/*     SEEK COMPLETE  */
	/*     =============  */
	/* */
l_1000:  
	if ((iprint == 1 || jprint[23] > 0) && jprint[23] != -1) {
		if (*ncar != 0) {
			fprintf (nunit2, "ordtop:                  %11s%4d found\n", ctype[art], *ncar);
		} else {
			fprintf (nunit2, "ordtop:                  no %11s found\n", ctype[art]);
		}
	}
	/* */
	/* */
	return(NORMAL);
	/* */
}


