static char *SccsId = "@(#)PEPSY:\tpfifo.c\t1.3\t92/03/27 11:57:39";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	pfifo(k, iftx, np)
int	*np ;
int	*iftx ;
int	k ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call pfifo(k, *iftx, *np)                                     */
	/*    ***                                                               */
	/*    *** funktion : suchen des platzes in der kette nach pfifo         */
	/*    *** parameter: k   = stationsnummer                               */
	/*    ***             *iftx = rueckgabe: zeilennummer der tr, nach der die  */
	/*    ***                   laufende tr eingekettet werden soll         */
	/*    ***             *np  = rueckgabe: nummer des platzes              */
	/*    ***                                                               */
	int	bpoint ;
	double	pr ;
	/*                                                                      */
	/*    suchen des platzes                                                */
	/*    ==================                                                */
#ifdef DEBUG
dprint(POLICY, "pfifo: k = %d \n", k); /* */
#endif
	*iftx = 0;
	pr = tx_system[row_txact].priority;
	bpoint = bhead[k] - activlist;
	for ( *np = 1; *np <= ztx; ++ * np) {
		if (bpoint < 0) {
#ifdef DEBUG
dprint(POLICY, "pfifo: NORMAL (1)\n"); /* */
#endif
			return(NORMAL);
		}
		if (pr > tx_system[bpoint].priority)  {
#ifdef DEBUG
dprint(POLICY, "pfifo: NORMAL (2)\n"); /* */
#endif
			return(NORMAL);
		}
		if (pr < tx_system[bpoint].priority) 
			goto l_100;
		if (tx_system[row_txact].t_block + eps < tx_system[bpoint].t_block)  {
#ifdef DEBUG
dprint(POLICY, "pfifo: NORMAL (3)\n"); /* */
#endif
			return(NORMAL);
		}
		if (tx_system[row_txact].t_block > tx_system[bpoint].t_block + eps) 
			goto l_100;
		if (tx_system[row_txact].nr < tx_system[bpoint].nr)  {
#ifdef DEBUG
dprint(POLICY, "pfifo: NORMAL (4)\n"); /* */
#endif
			return(NORMAL);
		}
		if (tx_system[row_txact].nr > tx_system[bpoint].nr) 
			goto l_100;
		if (tx_system[row_txact].dup < tx_system[bpoint].dup)  {
#ifdef DEBUG
dprint(POLICY, "pfifo: NORMAL (5)\n"); /* */
#endif
			return(NORMAL);
		}
l_100:
#ifdef DEBUG
dprint(LABEL, "pfifo: label l_100\n"); /* */
#endif
		*iftx = bpoint ;
		bpoint = activlist[ *iftx].blk_link ;
	};
#ifdef DEBUG
dprint(POLICY, "pfifo: NORMAL (6)\n"); /* */
#endif
	return(NORMAL);
}


