static char *SccsId = "@(#)PEPSY:\tplan.c\t1.2\t92/03/27 11:57:41";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	plani(mfa)
int	mfa ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call plani(mfa)                                               */
	/*    ***                                                               */
	/*    *** funktion : ermittlung des plans, nach dem ein service-element  */
	/*    ***            einer multifacility belegt werden soll             */
	/*    *** parameter: mfa   = nummer der multifacility                   */
	/*    ***                                                               */
	extern int	lfirst(), plani2(), plani3(), plani4(), plani5();
	int	iaddr ;
	/*                                                                      */
	/*    plan suchen                                                       */
	/*    ============                                                      */
	iaddr = plan[mfa].in;
	switch (iaddr) {
	case 1: 
		goto l_1;
	case 2: 
		goto l_2;
	case 3: 
		goto l_3;
	case 4: 
		goto l_4;
	case 5: 
		goto l_5;
	};
	/*                                                                      */
	fprintf(nunit2, "\n\n+++++ plani: TiMe=%12.4f fehler im adressverteiler  iaddr=%3d\n",
	    TiMe, iaddr);
	return(NORMAL);
	/*                                                                      */
	/*    aufrufen des unterprogrammes plani                                */
	/*    ==================================                                */
l_1:  
	lfirst(mfa);
	return(NORMAL);
l_2:  
	plani2(mfa);
	return(NORMAL);
l_3:  
	plani3(mfa);
	return(NORMAL);
l_4:  
	plani4(mfa);
	return(NORMAL);
l_5:  
	plani5(mfa);
	return(NORMAL);
}




int	plano(mfa)
int	mfa ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call plano(mfa)                                               */
	/*    ***                                                               */
	/*    *** funktion : ermittlung des planes, nach dem eine tr aus        */
	/*    ***            einer multifacility verdraengt werden soll         */
	/*    *** parameter: mfa   = nummer der multifacility                   */
	/*    ***                                                               */
	extern int	prior(), plano2(), plano3(), plano4(), plano5();
	int	iaddr ;
	/*                                                                      */
	/*    plan suchen                                                       */
	/*    ===========                                                       */
	iaddr = plan[mfa].out;
	switch (iaddr) {
	case 1: 
		goto l_1;
	case 2: 
		goto l_2;
	case 3: 
		goto l_3;
	case 4: 
		goto l_4;
	case 5: 
		goto l_5;
	};
	/*                                                                      */
	fprintf(nunit2, "\n\n+++++ plano: TiMe=%12.4f fehler im adressverteiler  iaddr=%3d\n",
	    TiMe, iaddr);
	return(NORMAL);
	/*                                                                      */
	/*    aufrufen des unterprogrammes plano                                */
	/*    ==================================                                */
l_1:  
	prior(mfa);
	return(NORMAL);
l_2:  
	plano2(mfa);
	return(NORMAL);
l_3:  
	plano3(mfa);
	return(NORMAL);
l_4:  
	plano4(mfa);
	return(NORMAL);
l_5:  
	plano5(mfa);
	return(NORMAL);
}


