static char *SccsId = "@(#)PEPSY:\treprt3.c\t1.2\t92/03/27 11:58:04";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	reprt3()
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call reprt3                                                   */
	/*    ***                                                               */
	/*    *** funktion : ausdrucken der datenbereiche fuer die              */
	/*    ***            ablaufkontrolle                                    */
	/*    ***                                                               */
	extern int	next_int();
	int	i, k;
	char	tt;
	/*                                                                      */
	if (xform == 0) 
		fprintf(nunit2, "\f\n");
	fprintf(nunit2, "\n\n      TiMe =%12.4g     rTiMe =%12.4g\n", TiMe, rTiMe );
	/*                                                                      */
	/*    anker thead-lhead                                                 */
	/*    =================                                                 */
	fprintf(nunit2, " \n\n     anker thead - lhead\n%25.19s\n\n        eventl      sourcl      activl      confl       monitl      equl\n",
	            UNDERLINE);
	fprintf(nunit2,   "\n     t  ");
	for (i = 1; i <= 6; fprintf(nunit2, "%-12.4g", head[i].next), i++)
		;
	fprintf(nunit2, "\n\n  line  ");
	for (i = 1; i <= 6; fprintf(nunit2, "%-12d", head[i].link), i++)
		;
	fprintf(nunit2, "\n");
	/*                                                                      */
	/*    ereignisse                                                        */
	/*    ==========                                                        */
	if (head[1].link < 0) 
		goto l_200;
	fprintf(nunit2, "\n\n      ereignisse\n%16.10s\n\n      line  t           link\n\n", UNDERLINE);
	for (i = 1; i <= zevt; ++i) {
		if (eventlist[i].link == 0) 
			continue;
		fprintf(nunit2, "      %4d%12.4g%8d\n", i, eventlist[i].next, eventlist[i].link);
	};
	/*                                                                      */
	/*    sources                                                           */
	/*    =======                                                           */
l_200:  
	if (head[2].link < 0) 
		goto l_300;
	fprintf(nunit2, "\n\n      sources\n      =======\n\n      line   t           addr       anz          link\n\n");
	for (i = 1; i <= zsrc; ++i) {
		if (sourcelist[i].link == 0) 
			continue;
		tt = ' ';
		if (sourcelist[i].sourci == 1) 
			tt = 'b';
		if (sourcelist[i].sourci == 2) 
			tt = 't';
		if (sourcelist[i].sourci == 3) 
			tt = 'g';
		fprintf(nunit2, "      %4d%12.4g%12d%12d   %3d  %c\n",
		    i, sourcelist[i].next, sourcelist[i].target, sourcelist[i].remain, sourcelist[i].link, tt);
	};
	/*                                                                      */
	/*    aktivierungen                                                     */
	/*    =============                                                     */
l_300:  
	if (head[3].link > 0) 
		goto l_320;
	for (i = 1; i <= zstat; ++i) {
		if (bhead[i] != NULL) 
			goto l_320;
	};
	goto l_400;
l_320:  
	fprintf(nunit2, "\n\n      aktivierungen\n%19.13s\n\n      line  t/block      addr       chaint      chainb\n\n",
	     UNDERLINE);
	for (i = 1; i <= ztx; ++i) {
		if (activlist[i].link == 0 && activlist[i].blk_link == 0) 
			continue;
		tt = ' ';
		if (txi[i] == 1) 
			tt = 'b';
		if (txi[i] == 2) 
			tt = 't';
		if (txi[i] == 3) 
			tt = 'g';
		if (activlist[i].next > 0.0) 
			goto l_330;
		k = -next_int(activlist[i].next);
		if (bhead[k] != activlist + i) 
			goto l_330;
		fprintf(nunit2, "      %4d%12.4g%12d  %3d         %3d    <   %c\n",
		    i, activlist[i].next, activlist[i].target, activlist[i].link, activlist[i].blk_link, tt);
		continue;
l_330:
		fprintf(nunit2, "      %4d%12.4g%12d  %3d         %3d        %c\n",
		    i, activlist[i].next, activlist[i].target, activlist[i].link, activlist[i].blk_link, tt);
	};
	/*                                                                      */
	/*    konfidenzintervalle                                               */
	/*    ===================                                               */
l_400:  
	if (head[4].link < 0) 
		goto l_500;
	fprintf(nunit2, "\n\n      konfidenzintervalle\n%25.19s\n\n      line   t           vl          last mean   index       auto        link\n\n",
	     UNDERLINE);
	for (i = 1; i <= zbin; ++i) {
		if (conflist[i].link == 0) 
			continue;
		fprintf(nunit2, "      %4d %12.4g%12.4g%12.4g%12d%12d %3d\n",
		    i, conflist[i].next, conflist[i].int_length, conflist[i].total_prev,
		    conflist[i].index, conflist[i].autom, conflist[i].link);
	};
	/*                                                                      */
	/*    monitor                                                           */
	/*    =======                                                           */
l_500:  
	if (head[5].link < 0) 
		goto l_600;
	fprintf(nunit2, "\n\n      monitor\n      =======\n\n      line  t           link\n\n");
	for (i = 1; i <= znplo; ++i) {
		if (monitlist[i].link == 0) 
			continue;
		fprintf(nunit2, "      %4d%12.4g%8d\n", i, monitlist[i].next, monitlist[i].link);
	};
	/*                                                                      */
	/*    equations                                                         */
	/*    =========                                                         */
l_600:  
	if (head[6].link < 0) 
		goto l_700;
	fprintf(nunit2, "\n\n      equations\n      =========\n\n      line   tnext        step      look-ahead   tlast      link\n\n");
	for (i = 1; i <= znset; ++i) {
		if (equatlist[i].link == 0) 
			continue;
		fprintf(nunit2, "      %4d%12.4g%12.4g%12.4g%12.4g%8d\n",
		    i, equatlist[i].next, equatlist[i].step, equatlist[i].ahead, equatlist[i].last, equatlist[i].link);
	};
	/*                                                                      */
	/*    test                                                              */
	/*    ====                                                              */
l_700:  
	fprintf(nunit2, "\n\n      testindikator\n%19.13s\n\n      ttest = %15.6g\n",
	    UNDERLINE, ttest);
	if (xform == 0) 
		fprintf(nunit2, "\n\n\n\n\n\n");
	return(NORMAL);
}


