static char *SccsId = "@(#)PEPSY:\treprt5.c\t1.2\t92/03/27 11:58:08";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	reprt5(nbin1, nbin2, nbin3, nbin4, nbin5, nbin6)
int	nbin6 ;
int	nbin5 ;
int	nbin4 ;
int	nbin3 ;
int	nbin2 ;
int	nbin1 ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call reprt5(nbin1,nbin2,nbin3,nbin4,nbin5,nbin6)              */
	/*    ***                                                               */
	/*    *** funktion : der verlauf der warteschlangen-laenge von          */
	/*    ***            maximal sechs bins wird graphisch dargestellt      */
	/*    *** parameter: nbin1 = nummer der ersten bin                      */
	/*    ***              "   =     "      "                               */
	/*    ***            nbin6 = nummer der sechsten bin                    */
	/*    ***                                                               */
	extern int	plot();
	int	nbins[7], ipntr[7] ;
	int	nbin, i, nbn, nb ;
	int	icount, iready, jpntr, ievent ;
	double	window[7], endtim[7], wslng[7], wslmax[7], porter[9] ;
	double	step, begtim, loc_TiMe;
	struct PLOT3 ptext[7];
	char	*symbol;
	/*                                                                      */
	/*    vorbesetzung                                                      */
	/*    ============                                                      */
	nbins[1] = nbin1;
	nbins[2] = nbin2;
	nbins[3] = nbin3;
	nbins[4] = nbin4;
	nbins[5] = nbin5;
	nbins[6] = nbin6;
	nbin = 0;
	if (xform == 0) 
		fprintf(nunit2, "\f\n");
	fprintf(nunit2, "\n\n          TiMe =%12.4g     rTiMe =%12.4g\n", TiMe, rTiMe );
	fprintf(nunit2, "\n\n          reprt5\n%16.6s\n\n          warteschlangenverhalten\n", UNDERLINE);
	for (i = 1; i <= 6; ++i) {
		nbn = nbins[i];
		if (nbn  <=  0  ||  nbn  >  zbin) 
			continue;
		if (conflist[nbn].index == 0) 
			continue;
		nbin = nbin + 1;
		nbins[nbin] = nbn;
	};
	if (nbin != 0) 
		goto l_9;
	fprintf(nunit2, "\n\n bei den gewuenschten bins sind keine daten eingetragen\n\n");
	return(NORMAL);
	/*                                                                      */
l_9:  
	for (i = 1 ; i <= 7 ; porter[i] = 0.0, i++)
		;
	porter[8] = 10.0;
	for (i = 1; i <= 6; ++i) {
		ipntr[i] = 1;
		wslmax[i] = 0.0;
		wslng[i] = 0.0 ;
	};
	for (i = 1; i <= 6; ++i) {
		ptext[i].symbol = ' ';
		strcpy(ptext[i].pvar_name, BLANKS);
	};
	/*                                                                      */
	/*    minimale schrittweite bestimmen                                   */
	/*    ===============================                                   */
	nb = nbins[1] ;
	step = conflist[nb].int_length;
	for (i = 1; i <= nbin; ++i) {
		nb = nbins[i] ;
		step = MIN(step, conflist[nb].int_length);
	};
	/*                                                                      */
	/*    beschriftung fuer plot                                            */
	/*    ======================                                            */
	for (i = 1; i <= nbin; ++i) {
		symbol = &ptext[i].symbol;
		sprintf(symbol, "%1d", i);
		sprintf(ptext[i].pvar_name, "bin %4d", nbins[i]);
	};
	/*                                                                      */
	/*    anfangszeiten in window eintragen                                 */
	/*    =================================                                 */
	for (i = 1; i <= nbin; ++i) {
		nbn = nbins[i];
		window[i] = conflist[nbn].next - 
		    conflist[nbn].int_length * (double)(conflist[nbn].index - 1);
	};
	/*                                                                      */
	/*    minimale anfangszeit bestimmen und runden                         */
	/*    =========================================                         */
	begtim = window[1];
	for (i = 1; i <= nbin; ++i) {
		begtim = MIN(begtim, window[i]);
	};
	begtim = begtim - fmod(begtim, step);
	/*                                                                      */
	/*    endzeiten berechnen                                               */
	/*    ===================                                               */
	for (i = 1; i <= nbin; ++i) {
		nbn = nbins[i];
		endtim[i] = conflist[nbn].next;
	};
	/*                                                                      */
	/*    porter besetzen und auf scratch-file schreiben                    */
	/*    ==============================================                    */
	if ((unit8 = fopen("scrat3", "w")) == NULL) {
		fprintf(nunit2, " reprt5: Fehler beim Oeffnen von SCRAT3 im Modus 'w'\n");
		exit(1);
	}
	icount = 0;
	loc_TiMe = begtim ;
	iready = -nbin + icount ;
l_300:        
	for (i = 1; i <= nbin; ++i) {
		nbn = nbins[i];
		if (window[i]  <  loc_TiMe - step / 2  ||  window[i]  >=  loc_TiMe + step / 2) 
			continue;
		jpntr = ipntr[i];
		wslng[i] = wslng[i] + con[nbn][jpntr] / conflist[nbn].int_length;
		porter[i] = wslng[i] /  (double)ipntr[i];
		wslmax[i] = MAX(wslmax[i], porter[i]);
		ipntr[i] = ipntr[i] + 1 ;
		window[i] = window[i] + conflist[nbn].int_length;
		if (window[i]  <=  endtim[i]) 
			continue;
		window[i] = 0.0;
		iready = iready + 1;
		icount = icount + 1;
	};
	if (iready  ==  0) 
		goto l_500;
	porter[7] = loc_TiMe;
	loc_TiMe = loc_TiMe + step;
	ievent = 0;
	fprintf(unit8, "%d %f %f %f %f %f %f %f %f\n",
	    ievent, porter[1], porter[2], porter[3], porter[4], porter[5], porter[6], porter[7], porter[8]);
	goto l_300;
	/*                                                                      */
	/*    tabelle drucken                                                   */
	/*    ===============                                                   */
l_500:  
	fprintf(nunit2, "\n\n       nbn        anz.interv.    interv.laenge  mittl. wsl     max.mittl.wsl\n\n");
	for (i = 1; i <= nbin; ++i) {
		nbn = nbins[i];
		fprintf(nunit2, "    %3d    %15d  %15.4g%15.4g%15.4g\n",
		    nbn, conflist[nbn].index, conflist[nbn].int_length, porter[i], wslmax[i]);
	};
	fclose (unit8);
	if ((unit8 = fopen("scrat3", "r")) == NULL) {
		fprintf(nunit2, " reprt5: Fehler beim Oeffnen von SCRAT3 im Modus 'r'\n");
		exit(1);
	}
	plot(10, unit8, nunit2, step, 1, 0, 0., 0., xform, 0, ptext);
	fclose(unit8);
	unlink ("scrat3");
	return(NORMAL);
}


