static char *SccsId = "@(#)PEPSY:\treprt9.c\t1.2\t92/03/27 11:58:17";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"

FILE *fopen ();

int	reprt9()
{
	/*     ***  */
	/*     *** CALL REPRT9 */
	/*     ***  */
	/*     *** PURPOSE : PRINT TRANSPORT AND NETWORK STATISTICS */
	/*     ***  */
	/* */

	int	bs, bv[101][3], pa, pe, sect, line, nca1, nca2, nca3, nca4, last, i;
	float	qlengt, qTiMet, qwhtt, qstt, qleng, qTiMe, qwht, qst;
	float	qlengv, qTiMev, qwhtv, qstv, sta1, sta2, sta3, sta4;
	extern int	next_int();


	if (xform == 0) 
		fprintf (nunit2, "\f\n");
	fprintf (nunit2, "\n\n          T =%12.4f     RT =%12.4f\n", TiMe, rTiMe);
	/* */
	/*     TERMINALS */
	/*     ========= */
	fprintf (nunit2, "\n\n\n\n          blocked transactions                       parking vehicles\n");
	fprintf (nunit2, "          ====================                       ================\n\n");
	fprintf (nunit2, "          queue:                                     queue:\n\n\n");
	fprintf (nunit2, "terminal   average    average TiMe         terminal   average    average TiMe\n");
	fprintf (nunit2, "  nr.      length       in queue             nr.      length       in queue\n");
	for (line = 1; line <= ansta; line++)  {
		qlengt = 0.0;
		qTiMet = 0.0;
		qwhtt = statst[line][1] + 
		    (statst[line][2] - statst[line][3]) * (TiMe - statst[line][4]);
		qstt  = statst[line][2] + statst[line][3];
		if (TiMe > eps)        
			qlengt = qwhtt / TiMe;
		if (next_int(qstt) != 0) 
			qTiMet = qwhtt / qstt * 2.0;
		qlengv = 0.0;
		qTiMev = 0.0;
		qwhtv = parkst[line][1] + 
		    (parkst[line][2] - parkst[line][3]) * (TiMe - parkst[line][4]);
		qstv  = parkst[line][2] + parkst[line][3];
		if (TiMe > eps)        
			qlengv = qwhtv / TiMe;
		if (next_int(qstv) != 0) 
			qTiMev = qwhtv / qstv * 2.0;
l_100:   
		fprintf (nunit2, " %4d     %12.4g %12.4g         %4d     %12.4g %12.4g\n", line, qlengt, qTiMet, line, qlengv,
		     qTiMev);
	}
	/* */
	/*     STATISTICS */
	/*     ========== */
	fprintf (nunit2, "\n\n\n\n          vehicle statistics : \n");
	fprintf (nunit2, "          ====================\n\n\n");
	fprintf (nunit2, "vehicle       empty     occupied    parking     blocked      require-    number\n");
	fprintf (nunit2, "  index        TiMe        TiMe       TiMe        TiMe         ments   transporter\n\n");
	for (line = 1; line <=  zcar; line++)  {
		if (next_int(carma[line][1]) != 0) {
			fprintf(nunit2, " %4d   %12.4g%12.4g%12.4g%12.4g%12.4g%12.4g\n",
			    line, statis[line][1], statis[line][2], statis[line][3],
			    statis[line][4], statis[line][5], statis[line][6]);
		}
	}
	fprintf (nunit2, "\n\n vehicle         mean        mean         unloaded    loaded     loading\n");
	fprintf (nunit2, "  index          loading    loading (%%)   journey     journey    TiMe\n\n");
	for (line = 1; line <=  zcar; line++)  {
		if (next_int(carma[line][1]) != 0) {
			sta1 = statis[line][1] + statis[line][2] + statis[line][3];
			if (sta1 != 0.) {
				sta1 = (statis[line][7] / sta1);
			}
			sta2 = ((sta1 / carma[line][3]) * 100.);
			fprintf(nunit2, " %4d      %12.4g%12.4g%12.4g%12.4g%12.4g\n",
			    line, sta1, sta2, statis[line][8], statis[line][9], statis[line][10]);

		}
	}
	/* */
	/*     STATISTICS: TRANSPORT NETWORK */
	/*     ============================= */
	fprintf (nunit2, "\f\n\n\n\n           segment loading:   \n");
	fprintf (nunit2, "           ================   \n\n\n");
	fprintf (nunit2, "segm.    weight  nr. of  mean    nr. of  mean    nr. of  mean     total  mean  \n");
	fprintf (nunit2, "index            busses  nr.      taxis  nr.    transp.  nr.     number  number\n\n");
	for (line = 1; line <= ansegm; line++)  {
		nca1 = next_int(netsta[line][1]);
		nca2 = next_int(netsta[line][3]);
		nca3 = next_int(netsta[line][5]);
		if (TiMe > eps) {
			sta1 = netsta[line][2] / TiMe;
			sta2 = netsta[line][4] / TiMe;
			sta3 = netsta[line][6] / TiMe;
		} else {
			sta1 = 0.;
			sta2 = 0.;
			sta3 = 0.;
		}
		sta4 = sta1 + sta2 + sta3;
		nca4 = nca1 + nca2 + nca3;
		pa = next_int(sectma[segma[line][1]][1]);
		if ((next_int(sectma[segma[line][1]][1] * 10.) - pa * 10) == 2) 
			pa = pa + ansta;
		last = 0;
l_450: 
		last = last + 1;
		if (last <= zsegm1 && segma[line][last] != 0) 
			goto l_450;
		pe = next_int(sectma[segma[line][last-1]][2]);
		if ((next_int(sectma[segma[line][last-1]][2] * 10.) - pe * 10) == 2)
			pe = pe + ansta;
		fprintf (nunit2, "%4d  %9.4g%5d  %9.4g%5d  %9.4g%5d  %9.4g%5d  %9.4g\n", line, totlen[pa][pe], nca1, sta1,
		     nca2, sta2, nca3, sta3, nca4, sta4);
	}
	/* */
	/*     BLOCK SECTIONS */
	/*     ============== */
	fprintf (nunit2, "\n\n\n\n          block sections\n");
	fprintf (nunit2, "          ==============\n\n");
	fprintf (nunit2, "          queue:\n\n\n");
	fprintf (nunit2, " block     section     mean       mean TiMe\n");
	fprintf (nunit2, " index     index       length     in queue\n\n");
	for (i = 1; i <=  zsect; i++)  {
		bv[i][1] = 0;
		bv[i][2] = -1;
	}
	for (i = zsect; i >= 1; --i)  {
		bs = next_int(sectma[i][4]);
		if (bs <= 0) 
			continue;
		bv[i][1]  = bv[bs][2];
		bv[bs][2] = i;
	}
	sect = 0;
	for (i = 1; i <= zsect; i++)  {
		line = bv[i][2];
l_560:   
		if (line == -1) 
			continue;
		qleng = 0. ;
		qTiMe = 0. ;
		qwht  = blocst[line][1] + 
		    (blocst[line][2] - blocst[line][3]) * (TiMe - blocst[line][4]);
		qst   = blocst[line][2] + blocst[line][3];
		if (TiMe > eps)       
			qleng = qwht / TiMe;
		if (next_int(qst) != 0) 
			qTiMe = qwht / (qst / 2.);
		if (sect != i) {
			fprintf (nunit2, " %4d        %4d    %12.4g%12.4g\n", i, line, qleng, qTiMe);
			sect = i;
		} else {
			fprintf (nunit2, "             %4d    %12.4g%12.4g\n", line, qleng, qTiMe);
		}
		line = bv[line][1];
		goto l_560;
	}
	/* */
	fprintf (nunit2, "\n\n\n\n\n");
	/* */
	return(NORMAL);
}


