static char *SccsId = "@(#)PEPSY:\tsegrad.c\t1.2\t92/03/27 11:58:43";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"

FILE *fopen ();

int	segrad()
{
	/*     ***  */
	/*     *** CALL SEGRAD */
	/*     ***  */
	/*     *** PURPOSE   : SEPARATE GRAPHICAL DATA */
	/*                     DELIVERS NECESSARY DATA FROM SIMULATION */
	/*                     PROCESS FOR GRAPHICS PROCESS */
	/*     ***  */
	/*     *** PARAMETER : NONE */
	/*     ***  */

	int	i, j, k;

	/*     RESET FILE 'GRACOM' */
	/* */
	rewind (unit5);
	/* */
	/*     WRITE COMMUNICATION DATA ON FILE */
	/*     ================================ */
	fprintf (unit5, "%8d%8d%8d\n", ztab, zntab, znplo);
	for (k = 1; k <= zntab; k++)  {
		for (i = 1; i <= ztab; i++)  {
			fprintf (unit5, "%12.3f", table[i][k].up_bound);
		}
		for (i = 1; i <= ztab; i++)  {
			fprintf (unit5, "%12d", table[i][k].frequ);
		}
		for (i = 1; i <= ztab; i++)  {
			fprintf (unit5, "%12.3f", table[i][k].sum_x);
		}
		for (i = 1; i <= ztab; i++)  {
			fprintf (unit5, "%12.3f", table[i][k].sum_y);
		}
	}
	fprintf(unit5, "\n");
	for (i = 1; i <= znplo; i++)  {
		fprintf(unit5, "%12.3f", ploma1[i].plot_begin);
		fprintf(unit5, "%12.3f", ploma1[i].plot_end);
		fprintf(unit5, "%12.3f", ploma1[i].plot_step);
		fprintf(unit5, "%12d", ploma1[i].file_nr);
		for (j = 5; j <= 15; j = j + 2) {
			fprintf(unit5, "%12d", ploma1[i].setnr[j]);
			fprintf(unit5, "%12d", ploma1[i].varnr[j+1]);
		}
	}
	fprintf(unit5, "\n");
	for (i = 1; i <= znplo; i++)  {
		fprintf(unit5, "%12.3f", ploma2[i].x_scale);
		fprintf(unit5, "%12d", ploma2[i].extent);
		fprintf(unit5, "%12d", ploma2[i].y_scale);
		fprintf(unit5, "%12.3f", ploma2[i].y_min);
		fprintf(unit5, "%12.3f", ploma2[i].y_max);
	}
	fprintf(unit5, "\n");

	for (i = 1; i <= znplo; i++)  {
		for (j = 1; j <= 6; j++)  {
			fprintf(unit5, "%1s", ploma3[j][i].symbol);
			fprintf(unit5, "%9s", ploma3[j][i].pvar_name);
		}
	}
	fprintf(unit5, "\n");


	goto l_9999;
	/* */
	/*     ERROR WHEN WRITING DATA  */
	/*     =======================  */
l_3000:  
	fprintf (xunit4, "\n\n+++++ segrad : ERROR in writing data on file gracom \n");
l_9999:  
	return(NORMAL);
}


