static char *SccsId = "@(#)PEPSY:\tsignal.c\t1.2\t92/03/27 11:58:49";
#include <stdio.h>
#include <fcntl.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"

int	gpss_signal(nbloc, local_iflag)
int	nbloc;
int	local_iflag;
/* Hier ist mindestens ein alternativer Ruecksprung zu beruecksichtigen */
{
	/*     ***  */
	/*     *** CALL SIGNAL(NBLOC,IFLAG,*9999) */
	/*     ***  */
	/*     *** PURPOSE : EXTERN BLOCKING OR UNBLOCKING  */
	/*     ***           OF A BLOCKABLE SECTION */
	/*     *** PARAMETERS: NBLOC  = INDEX OF BLOCKABLE SECTION */
	/*     ***             IFLAG  = INDICATOR */
	/*     ***                      = 0: UNBLOCK */
	/*     ***                      > 0: BLOCK */
	/*     ***             *9999  = ERROR EXIT */
	/*     ***  */
	/* */

	extern int	dblock();


	/*     TEST FOR ERROR */
	/*     ============== */
	if (local_iflag < 0 || nbloc < 0 || nbloc > zsect) 
		goto l_100;
	/* */
	/*     OUTPUT */
	/*     ====== */
	if ((iprint == 1 || jprint[23] > 0) && jprint[23] != -1) {
		if (local_iflag > 0) {
			fprintf (nunit2, "signal:  t=%12.4f  block blockable section%4d\n", TiMe, nbloc);
		} else {
			fprintf (nunit2, "signal:  t=%12.4f  unblocks blockable section%4d\n", TiMe, nbloc);
		}
	}
	/* */
	/*     BLOCK OR UNBLOCK? */
	/*     ================= */
	if (local_iflag > 0) {
		/* */
		/*        BLOCK BLOCKABLE SECTION */
		/*        ======================= */
		blocve[nbloc][1] = -1;
	} else {
		/* */
		/*        UNBLOCK BLOCKABLE SECTION */
		/*        ========================= */
		blocve[nbloc][1] = 0;
		dblock(15, nbloc, 0, blocve[nbloc][2]);
	}
	/* */
	/* */
	return(NORMAL);
	/* */
	/*     ERROR EXIT */
	/*     ========== */
l_100:   
	fprintf (nunit2, "signal: error : t = %12.4f flag (%3d) or index (%3d) has wrong value!\n", TiMe, local_iflag, nbloc);
	return(FEHLER);
	/* */
}


