static char *SccsId = "@(#)PEPSY:\tstrat.c\t1.2\t92/03/27 11:59:03";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	strata(nst, ne)
int	ne ;
int	nst ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call strata(nst,ne)                                           */
	/*    ***                                                               */
	/*    *** funktion : ermittlung der speicherbelegungsstrategie, nach    */
	/*    ***            der die storage nst behandelt wird                 */
	/*    *** parameter: nst    = nummer der storage                        */
	/*    ***            ne     = zahl der zu belegenden speicherplaetze    */
	/*    ***                                                               */
	extern int	ffit(), bfit(), straa3(), straa4(), straa5();
	int	iaddr ;
	/*                                                                      */
	/*    strategie suchen                                                  */
	/*    ================                                                  */
	iaddr = strategy[nst].in;
	switch (iaddr) {
	case 1: 
		goto l_1;
	case 2: 
		goto l_2;
	case 3: 
		goto l_3;
	case 4: 
		goto l_4;
	case 5: 
		goto l_5;
	};
	/*                                                                      */
	fprintf(nunit2, "\n\n+++++ strata: TiMe=%12.4f fehler im adressverteiler  iaddr=%3d\n",
	    TiMe, iaddr);
	return(NORMAL);
	/*                                                                      */
	/*    aufrufen des unterprogrammes straa                                */
	/*    ==================================                                */
l_1:  
	ffit(nst, ne);
	return(NORMAL);
l_2:  
	bfit(nst, ne);
	return(NORMAL);
l_3:  
	straa3(nst, ne);
	return(NORMAL);
l_4:  
	straa4(nst, ne);
	return(NORMAL);
l_5:  
	straa5(nst, ne);
	return(NORMAL);
}




int	stratf(nst, key)
int	key ;
int	nst ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call stratf(nst,key,exit1)                                    */
	/*    ***                                                               */
	/*    *** funktion : ermittlung der auslagerungsstrategie, nach         */
	/*    ***            der die storage nst behandelt wird                 */
	/*    *** parameter: nst    = nummer der storage                        */
	/*    ***            key    = freigabe-schluessel                       */
	/*    ***            exit1  = fehlerausgang                             */
	/*    ***                                                               */
	extern int	straf1(), straf2(), straf3(), straf4(), straf5();
	int	iaddr ;
	/*                                                                      */
	/*    strategie suchen                                                  */
	/*    ================                                                  */
	if (strategy[nst].out != 0) 
		goto l_100;
	fprintf(nunit2, "\n\n+++++ stratf: TiMe=%12.4f keine auslagerungsstrategie fuer sto%3d\n",
	    TiMe, nst);
	return(FEHLER);
l_100:  
	iaddr = strategy[nst].out;
	switch (iaddr) {
	case 1: 
		goto l_1;
	case 2: 
		goto l_2;
	case 3: 
		goto l_3;
	case 4: 
		goto l_4;
	case 5: 
		goto l_5;
	};
	/*                                                                      */
	fprintf(nunit2, "\n\n+++++ stratf: TiMe=%12.4f fehler im adressverteiler  iaddr=%3d\n",
	    TiMe, iaddr);
	return(FEHLER);
	/*                                                                      */
	/*    aufrufen des unterprogrammes straf                                */
	/*    ==================================                                */
l_1:  
	straf1(nst, key);
	return(NORMAL);
l_2:  
	straf2(nst, key);
	return(NORMAL);
l_3:  
	straf3(nst, key);
	return(NORMAL);
l_4:  
	straf4(nst, key);
	return(NORMAL);
l_5:  
	straf5(nst, key);
	return(NORMAL);
}


