static char *SccsId = "@(#)PEPSY:\tunlink.c\t1.2\t92/03/27 11:59:40";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	unlin1(nuc, min, max, id)
int	id ;
int	max ;
int	min ;
int	nuc ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call unlin1(nuc,min,max,id,*9000)                             */
	/*    ***                                                               */
	/*    *** funktion : holen eines blocks von trs von einer               */
	/*    ***            user-chain                                         */
	/*    *** parameter: nuc = nummer der user-chain vom typ 1              */
	/*    ***            min = minimalzahl                                  */
	/*    ***            max = maximalzahl                                  */
	/*    ***            id  = anweisungsnummer des unterprogrammaufrufes   */
	/*    ***                                                               */
	extern int	block(), dblock(), rblock(), policy();
	extern int	next_int();
	int	ftx, k, k1, np, max1 ;
	/*                                                                      */
	/*    bestimmen der stationsnummer                                      */
	/*    ============================                                      */
	k = offset.trig + nuc - 1;
	/*                                                                      */
	/*    blockierentscheid                                                 */
	/*    =================                                                 */
	k1 = next_int(activlist[row_txact].next);
	if (userct[nuc].member < min || userct[nuc].count_gone > 0) 
		goto l_100;
	if (k1 == -k || bhead[k] == NULL) 
		goto l_200;
	tx_system[row_txact].t_block = TiMe ;
	policy(9, nuc, 0, &ftx, &np);
	if (np != 1) 
		goto l_110;
	rblock(9, nuc, 0, 1);
	goto l_200;
	/*                                                                      */
	/*    blockieren                                                        */
	/*    ==========                                                        */
l_100:  
	if (k1 != -k) 
		tx_system[row_txact].t_block = TiMe;
	policy(9, nuc, 0, &ftx, &np);
l_110:  
	activlist[row_txact].next =  -(double)k;
	activlist[row_txact].target = id;
	block(9, nuc, 0, ftx);
	if (iprint == 0 && jprint[9] == 0 || jprint[9] == -1) 
		return(AUSGANG2);
	fprintf(nunit2, " unlin1:  TiMe=%12.4f  tr%6d,%4d   wird vor der trigger-station1 nr.%3d blockiert\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nuc);
	return(AUSGANG2);
	/*                                                                      */
	/*    beginn des abholvorgangs                                          */
	/*    ========================                                          */
l_200:  
	if (userct[nuc].member > 0) 
		userct[nuc].count_gone = max;
	if (iprint == 0 && jprint[9] == 0 || jprint[9] == -1) 
		goto l_210;
	fprintf(nunit2, " unlin1:  TiMe=%12.4f  tr%6d,%4d   holt von der user-chain1 nr.%3d\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nuc);
	fprintf(nunit2, "%42smindestens%3d aber hoechstens%3d trs ab\n", BLANKF, min, max);
l_210:  
	tx_system[row_txact].t_block = 0.0;
	max1 = max;
	dblock(8, nuc, 0, max1);
	return(NORMAL);
}




int	unlin2(nuc, min, max, id)
int	id ;
int	max ;
int	min ;
int	nuc ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call unlin2(nuc,min,max,id,*9000)                             */
	/*    ***                                                               */
	/*    *** funktion : holen eines blocks von trs einer family            */
	/*    ***            von einer user-chain                               */
	/*    *** parameter: nuc = nummer der user-chain vom typ 2              */
	/*    ***            min = mindestzahl                                  */
	/*    ***            max = maximalzahl                                  */
	/*    ***            id  = anweisungsnummer des unterprogrammaufrufes   */
	/*    ***                                                               */
	extern int	block(), dblock(), rblock(), policy();
	extern int	next_int();
	int	ftx, lfam, ns, k, k1, np, max1 ;
	/*                                                                      */
	/*    familiy-zugehoerigkeit                                            */
	/*    ======================                                            */
	if (tx_system[row_txact].dup == 0) 
		return(NORMAL);
	lfam = tx_system[row_txact].family;
	/*                                                                      */
	/*    bestimmen der stationsnummer                                      */
	/*    ============================                                      */
	ns = zfam * (nuc - 1) + lfam;
	k = offset.trigf + ns - 1;
	/*                                                                      */
	/*    blockierentscheid                                                 */
	/*    =================                                                 */
	k1 = next_int(activlist[row_txact].next);
	if (usercf[lfam][nuc].member < min || usercf[lfam][nuc].count_gone > 0) 
		goto l_100;
	if (k1 == -k || bhead[k] == NULL) 
		goto l_200;
	tx_system[row_txact].t_block = TiMe ;
	policy(11, nuc, lfam, &ftx, &np);
	if (np != 1) 
		goto l_110;
	rblock(11, nuc, lfam, 1);
	goto l_200;
	/*                                                                      */
	/*    blockieren                                                        */
	/*    ==========                                                        */
l_100:  
	if (k1 != -k) 
		tx_system[row_txact].t_block = TiMe;
	policy(11, nuc, lfam, &ftx, &np);
l_110:  
	activlist[row_txact].next =  -(double)k;
	activlist[row_txact].target = id;
	block(11, nuc, lfam, ftx);
	if (iprint == 0 && jprint[11] == 0 || jprint[11] == -1) 
		return(AUSGANG2);
	fprintf(nunit2, " unlin2:  TiMe=%12.4f  tr%6d,%4d   wird vor der trigger-station2 nr.%3d blockiert\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nuc);
	return(AUSGANG2);
	/*                                                                      */
	/*    beginn des abholvorgangs                                          */
	/*    ========================                                          */
l_200:  
	if (usercf[lfam][nuc].member > 0) 
		usercf[lfam][nuc].count_gone = max;
	if (iprint == 0 && jprint[11] == 0 || jprint[11] == -1) 
		goto l_210;
	fprintf(nunit2, " unlin2:  TiMe=%12.4f  tr%6d,%4d   holt von der user-chain2 nr.%3d\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nuc);
	fprintf(nunit2, "%42smindestens%3d aber hoechstens%3d trs ab\n", BLANKF, min, max);
l_210:  
	tx_system[row_txact].t_block = 0.0;
	max1 = max;
	dblock(10, nuc, lfam, max1);
	return(NORMAL);
}


