static char *SccsId = "@(#)PEPSY:\twork.c\t1.3\t92/03/27 11:59:43";
#include <ctype.h>
#include "gpss_prepare.h"
#include "gpss_decl.h"


int	work(nfa, wt, iex, idn)
int	idn ;
int	iex ;
double	wt ;
int	nfa ;
/*                                                                      */
{
	/*    ***                                                               */
	/*    *** call work(nfa,wt,iex,idn,*9000,*9999)                         */
	/*    ***                                                               */
	/*    *** funktion : bearbeiten einer tr in einer facility              */
	/*    *** parameter: nfa = nummer der facility                          */
	/*    ***            wt  = bearbeitungszeit                             */
	/*    ***            iex = verdraengungssperre                          */
	/*    ***                  = 0: die tr darf verdraengt werden           */
	/*    ***                  = 1: die tr darf nicht verdraengt werden     */
	/*    ***            idn = zieladresse                                  */
	/*    ***                                                               */
	extern int	tchain();

#ifdef DEBUG
dprint(TRANSPORT, "work: nfa %d, wt %f, iex %d, idn %d\n", nfa, wt, iex, idn); /* */
#endif
	/*                                                                      */
	/*    fehlerausgang                                                     */
	/*    =============                                                     */
	if (fac[nfa].occup == row_txact) 
		goto l_100;
	fprintf(nunit2, "\n\n+++++ work: TiMe=%12.4f  tr%6d,%4d belegt fac%3d nicht\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nfa);
l_9999:
	return(FEHLER);
	/*                                                                      */
	/*    bearbeitungsentscheid                                             */
	/*    =====================                                             */
l_100:  
	if (fac[nfa].preemp == 0) 
		goto l_200;
	if (tx_system[row_txact].TiMe_left < eps) 
		tx_system[row_txact].TiMe_left = wt;
	return(NORMAL);
	/*                                                                      */
	/*    bearbeiten                                                        */
	/*    ==========                                                        */
l_200:  
	fac[nfa].phase = 2;
	if (iex == 1) 
		fac[nfa].phase = -2;
	activlist[row_txact].target =  idn;
	if (tx_system[row_txact].TiMe_left > eps) 
		goto l_300;
	activlist[row_txact].next = TiMe + wt;
	switch (tchain(3, row_txact)) {
	case FEHLER : 
		goto l_9999;
	}
	if (iprint == 0 && jprint[1] == 0 || jprint[1] == -1) 
		return(AUSGANG2);
	fprintf(nunit2, " work  :  TiMe=%12.4f  tr%6d,%4d   wird in fac%3d bearbeitet bis TiMe=%12.4f\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nfa, activlist[row_txact].next);
	return(AUSGANG2);
	/*                                                                      */
	/*    bearbeiten nach wiederbelegung                                    */
	/*    ==============================                                    */
l_300:  
	activlist[row_txact].next = TiMe + tx_system[row_txact].TiMe_left;
	tx_system[row_txact].TiMe_left = 0.0;
	tchain(3, row_txact);
	if (iprint == 0 && jprint[1] == 0 || jprint[1] == -1) 
		return(AUSGANG2);
	fprintf(nunit2, " work  :  TiMe=%12.4f  tr%6d,%4d   wird in fac%3d weiterbearbeitet bis TiMe=%12.4f\n",
	    TiMe, tx_system[row_txact].nr, tx_system[row_txact].dup, nfa, activlist[row_txact].next);
	return(AUSGANG2);
}


