static char *SccsId = "@(#)PEPSY:\tin.c\t1.2\t92/03/27 12:01:45";
/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/



/* einlesen und gleichzeitiges ausgeben der Netzdaten */
# include "initsave.h"

/* Funktion: einlesen einer Kommentarzeile */

void getline(fp,line)   
FILE *fp;
char *line;
{
	int c;
	int i;

	while((*line++ = getc(fp)) != '\n')
		;
	*--line = '\0';
}


int einlesen(argc,argv)
int argc;
char *argv[];

{
	int i;
	char zeile[80], junk;

	fpin = stdin;
	fpout = stdout;
	fscanf(fpin,"%d",&kn);
	fscanf(fpin,"%d",&auftr);

	if (kn > ANZKN) {
		fprintf(stderr,"to many nodes \n");
		printf("sum_nodes\n0 0 0 \n");
		exit(3);
	}
	if (kn > ANZUS) {
		fprintf(stderr,"to many users \n");
		printf("sum_users\n0 0 0 \n");
		exit(4);
	}
	for (i=0;i < kn ; i++) {
		fscanf(fpin,"%f %d %d %f",&node[i].visits,
		    &node[i].servers,&node[i].typ,&node[i].sevrate);
		if (node[i].typ < 1 || node[i].typ > 10 ) {
			fprintf(stderr,"wrong node type %d\n",node[i].typ);
			printf("sum_type\n0 0 0 \n");
			exit(5);
		}
		if (node[i].typ == 3 && node[i].servers != auftr) {
			fprintf(stderr," for typ 3 nodes the number of servers must \
			\n be equal to the number of users !!! \n");
			printf("sum_servers\n0 0 0 \n");
			exit(6);
		}
		if (node[i].typ == 2 || node[i].typ == 4)
			if(node[i].servers != 1) {
			fprintf(stderr," for typ 2 or typ 4 nodes the number of \
			\n servers must be equal to 1 !!! \n");
			printf("sum_servers\n0 0 0 \n");
			exit(7);
		}		
	}
	fclose(fpin);
}

