static char *SccsId = "@(#)PEPSY:\tout.c\t1.3\t94/04/26 13:53:06";
/*

	                     P E P S Y 

		  Performance and Evaluation Prediction System

	Copyright 1987, 1988
	
			  Universitaet Erlangen-Nuernberg,
			  Lehrstuhl fuer Betriebssysteme
			  Martensstrasse 1

			  8520 Erlangen

	Alle Rechte, einschliesslich Verfilmung und Vertonung, vorbehalten.
	PEPSY darf ohne Erlaubnis der Verfasser nicht in Lesezirkeln
	gefuehrt werden.

*/


/* Ausgabe der Leistungsgroessen */

# include "initsave.h"

int ausgeben()


{
	int i; 
	float hilf;

	fprintf(fpout,"sum\n\n");
	fprintf(fpout,"1 %d 1\n\n",kn);
	/*
	fprintf(stderr,"Zahl der Iterationen : %d\n\n",zaehler);
	*/
	fprintf(fpout,"# lambda e 1/mue rho mvz maa mwz mwsl\n\n");
	for (i = 0; i < kn ; i++ ) {
		hilf = leistung[i].response - 1/node[i].sevrate;
		fprintf(fpout,"%g %g %g %g %g %g %g %g \n",
			leistung[i].durchsatz,
			node[i].visits,
			1/node[i].sevrate,
			(node[i].typ != 3) ? leistung[i].auslast : 0.0,
			leistung[i].response,
			leistung[i].users,
			hilf > 0 ? hilf : 0,
			hilf > 0 ? hilf * leistung[i].durchsatz : 0);
	}
	fclose(fpout);
}
